Galador.Reflection Namespace

Galador.Reflection Class Library Documentation
Galador.Reflection Namespace

[Missing <summary> documentation for "N:Galador.Reflection"]

Classes
 | Class | Description
Public class | ExportAttribute | Type marked with this attribute are the one that will be registered when one register their assembly with RegisterAssemblies(Assembly)
Public class | ImportAttribute | When one resolve a type (i.e. create an instance with Resolve(Type, RequestCache) or Create(Type, RequestCache)), all their property marked with this attribute will also be set using Resolve(Type, RequestCache) Can also be used on constructor parameter to specify a particular type to use.
Public class | PropertyPath | A class that make it ease to observe and change a property path, i.e. an expression such as myObject.Property1.Property2.Property3. Only works with fields and properties.
Public class | PropertyPathPropertyValue | Represent each individual path of the property path. i.e. if the property path is myObject.A.B.C, there will be one for A, B and C. Can either represent a path using a PropertyInfo or FieldInfo.
Public class | PropertyPathT, TProp | A strongly typed subclass of PropertyPath for easier use.
Public class | Registry | This class is a IServiceProvider, IOC, and MEF clone all together. Services are registered explicitly with Register(Type, Object) or automatically with RegisterAssemblies(Assembly) assembly. Then service can then be acquired / resolved, using constructor and property injection lazily with Resolve(Type, RequestCache). Each registered service will be created only once. Imported object (with ImportAttribute) which are not registered as service will be created, only once per request, with Create(Type, RequestCache) and stored in the RequestCache for reuse during the request as it traverses the object dependencies tree.
Public class | RequestCache | All unregistered instances created during a request are stored here. Registered service instances are stored in the registry that register them. It can be reused for later queries, creating some sort of session lifespan for temporary object. Instances are indexed by type since the registry will only create one instance of each type (for a given cache), reusing this instance for all subsequent query.
Interfaces
 | Interface | Description
Public interface | IRegistryDelegate | Delegate called after object creation


ExportAttribute Class

ExportAttribute Class
Type marked with this attribute are the one that will be registered when one register their assembly with RegisterAssemblies(Assembly)
Inheritance Hierarchy
SystemObject
SystemAttribute
Galador.ReflectionExportAttribute

Namespace: Galador.Reflection
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public class ExportAttribute : Attribute
Public Class ExportAttribute
    Inherits Attribute
public ref class ExportAttribute : public Attribute
type ExportAttribute =
    class
        inherit Attribute
    end

The ExportAttribute type exposes the following members.

Constructors
 | Name | Description
Public method | ExportAttribute | Initializes a new instance of the ExportAttribute class
Top
Properties
 | Name | Description
Public property | TypeId | When implemented in a derived class, gets a unique identifier for this Attribute. (Inherited from Attribute.)
Top
Methods
 | Name | Description
Public method | Equals | Returns a value that indicates whether this instance is equal to a specified object. (Inherited from Attribute.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Returns the hash code for this instance. (Inherited from Attribute.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | IsDefaultAttribute | When overridden in a derived class, indicates whether the value of this instance is the default value for the derived class. (Inherited from Attribute.)
Public method | Match | When overridden in a derived class, returns a value that indicates whether this instance equals a specified object. (Inherited from Attribute.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

Galador.Reflection Namespace


ExportAttribute Constructor

ExportAttribute Constructor
Initializes a new instance of the ExportAttribute class

Namespace: Galador.Reflection
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public ExportAttribute()
Public Sub New
public:
ExportAttribute()
new : unit -> ExportAttribute
See Also

Reference

ExportAttribute Class
Galador.Reflection Namespace


ExportAttribute Properties

ExportAttribute Properties

The ExportAttribute type exposes the following members.

Properties
 | Name | Description
Public property | TypeId | When implemented in a derived class, gets a unique identifier for this Attribute. (Inherited from Attribute.)
Top
See Also

Reference

ExportAttribute Class
Galador.Reflection Namespace


ExportAttribute Methods

ExportAttribute Methods

The ExportAttribute type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Returns a value that indicates whether this instance is equal to a specified object. (Inherited from Attribute.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Returns the hash code for this instance. (Inherited from Attribute.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | IsDefaultAttribute | When overridden in a derived class, indicates whether the value of this instance is the default value for the derived class. (Inherited from Attribute.)
Public method | Match | When overridden in a derived class, returns a value that indicates whether this instance equals a specified object. (Inherited from Attribute.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

ExportAttribute Class
Galador.Reflection Namespace


ImportAttribute Class

ImportAttribute Class
When one resolve a type (i.e. create an instance with Resolve(Type, RequestCache) or Create(Type, RequestCache)), all their property marked with this attribute will also be set using Resolve(Type, RequestCache) Can also be used on constructor parameter to specify a particular type to use.
Inheritance Hierarchy
SystemObject
SystemAttribute
Galador.ReflectionImportAttribute

Namespace: Galador.Reflection
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public class ImportAttribute : Attribute
Public Class ImportAttribute
    Inherits Attribute
public ref class ImportAttribute : public Attribute
type ImportAttribute =
    class
        inherit Attribute
    end

The ImportAttribute type exposes the following members.

Constructors
 | Name | Description
Public method | ImportAttribute | Initializes a new instance of the ImportAttribute class.
Top
Properties
 | Name | Description
Public property | ImportedType | The required type to be imported. If null the type of the member or constructor parameter will be used.
Public property | TypeId | When implemented in a derived class, gets a unique identifier for this Attribute. (Inherited from Attribute.)
Top
Methods
 | Name | Description
Public method | Equals | Returns a value that indicates whether this instance is equal to a specified object. (Inherited from Attribute.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Returns the hash code for this instance. (Inherited from Attribute.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | IsDefaultAttribute | When overridden in a derived class, indicates whether the value of this instance is the default value for the derived class. (Inherited from Attribute.)
Public method | Match | When overridden in a derived class, returns a value that indicates whether this instance equals a specified object. (Inherited from Attribute.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

Galador.Reflection Namespace


ImportAttribute Constructor

ImportAttribute Constructor
Initializes a new instance of the ImportAttribute class.

Namespace: Galador.Reflection
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public ImportAttribute(
    Type eType = null
)
Public Sub New (
    Optional eType As Type = Nothing
)
public:
ImportAttribute(
    Type^ eType = nullptr
)
new :
        ?eType : Type
(* Defaults:
        let _eType = defaultArg eType null
*)
-> ImportAttribute

Parameters

eType (Optional)
Type: SystemType
(Optional) type that is imported. Will set ImportedType
See Also

Reference

ImportAttribute Class
Galador.Reflection Namespace


ImportAttribute Properties

ImportAttribute Properties

The ImportAttribute type exposes the following members.

Properties
 | Name | Description
Public property | ImportedType | The required type to be imported. If null the type of the member or constructor parameter will be used.
Public property | TypeId | When implemented in a derived class, gets a unique identifier for this Attribute. (Inherited from Attribute.)
Top
See Also

Reference

ImportAttribute Class
Galador.Reflection Namespace


ImportAttribute.ImportedType Property

ImportAttributeImportedType Property
The required type to be imported. If null the type of the member or constructor parameter will be used.

Namespace: Galador.Reflection
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public Type ImportedType { get; set; }
Public Property ImportedType As Type
    Get
    Set
public:
property Type^ ImportedType {
    Type^ get ();
    void set (Type^ value);
}
member ImportedType : Type with get, set

Property Value

Type: Type
See Also

Reference

ImportAttribute Class
Galador.Reflection Namespace


ImportAttribute Methods

ImportAttribute Methods

The ImportAttribute type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Returns a value that indicates whether this instance is equal to a specified object. (Inherited from Attribute.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Returns the hash code for this instance. (Inherited from Attribute.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | IsDefaultAttribute | When overridden in a derived class, indicates whether the value of this instance is the default value for the derived class. (Inherited from Attribute.)
Public method | Match | When overridden in a derived class, returns a value that indicates whether this instance equals a specified object. (Inherited from Attribute.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

ImportAttribute Class
Galador.Reflection Namespace


IRegistryDelegate Interface

IRegistryDelegate Interface
Delegate called after object creation

Namespace: Galador.Reflection
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public interface IRegistryDelegate
Public Interface IRegistryDelegate
public interface class IRegistryDelegate
type IRegistryDelegate =  interface end

The IRegistryDelegate type exposes the following members.

Methods
 | Name | Description
Public method | OnRegistryCreated | Called when the full object tree (i.e. with all dependency) has been created.
Top
See Also

Reference

Galador.Reflection Namespace


IRegistryDelegate Methods

IRegistryDelegate Methods

The IRegistryDelegate type exposes the following members.

Methods
 | Name | Description
Public method | OnRegistryCreated | Called when the full object tree (i.e. with all dependency) has been created.
Top
See Also

Reference

IRegistryDelegate Interface
Galador.Reflection Namespace


IRegistryDelegate.OnRegistryCreated Method

IRegistryDelegateOnRegistryCreated Method
Called when the full object tree (i.e. with all dependency) has been created.

Namespace: Galador.Reflection
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
void OnRegistryCreated()
Sub OnRegistryCreated
void OnRegistryCreated()
abstract OnRegistryCreated : unit -> unit
See Also

Reference

IRegistryDelegate Interface
Galador.Reflection Namespace


PropertyPath Class

PropertyPath Class
A class that make it ease to observe and change a property path, i.e. an expression such as myObject.Property1.Property2.Property3. Only works with fields and properties.
Inheritance Hierarchy
SystemObject
Galador.ReflectionPropertyPath
Galador.ReflectionPropertyPathT, TProp

Namespace: Galador.Reflection
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public class PropertyPath : INotifyPropertyChanged
Public Class PropertyPath
    Implements INotifyPropertyChanged
public ref class PropertyPath : INotifyPropertyChanged
type PropertyPath =
    class
        interface INotifyPropertyChanged
    end

The PropertyPath type exposes the following members.

Properties
 | Name | Description
Public property | Elements | Gets the elements of the path. i.e. if the property path is myObject.A.B.C, it will be the values of A, B, C.
Public property | Root | The root of the path. i.e. if the property path is myObject.A.B.C, it will be the value of myObject.
Public property | Value | The value at the end of the path. i.e. if the property path is myObject.A.B.C, it will be the value of C.
Top
Methods
 | Name | Description
 | CreateTP(ExpressionFuncTP) | Creates a string typed PropertyPath from a no root (or a static property) and an ExpressionTDelegate. Only member path is supported.
 | CreateT, TP(T, ExpressionFuncT, TP) | Creates a string typed PropertyPath from a root and an ExpressionTDelegate. Only member path is supported.
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
 | WatchTP(ExpressionFuncTP, ActionTP) | Create a property watch with a method to be called when it Value change, with the new value.
 | WatchT, TP(T, ExpressionFuncT, TP, ActionTP) | Create a property watch with a method to be called when it Value change, with the new value.
Top
Events
 | Name | Description
Public event | PropertyChanged | Occurs when either Root or Value change.
Top
Extension Methods
 | Name | Description
Public Extension Method | AddWeakHandlerT | Help listening to INotifyPropertyChanged in a weak fashion. (Defined by WeakEvents.)
Top
Remarks
PropertyPaths register weak INotifyPropertyChanged on all part of the path to track for change. Change won't be detected if this interface is not fired. Very much like XAML UI. They are also weak event, keep a reference to the PropertyPath or it will disappear and no event will be fired.
See Also

Reference

Galador.Reflection Namespace


PropertyPath Properties

PropertyPath Properties

The PropertyPath type exposes the following members.

Properties
 | Name | Description
Public property | Elements | Gets the elements of the path. i.e. if the property path is myObject.A.B.C, it will be the values of A, B, C.
Public property | Root | The root of the path. i.e. if the property path is myObject.A.B.C, it will be the value of myObject.
Public property | Value | The value at the end of the path. i.e. if the property path is myObject.A.B.C, it will be the value of C.
Top
See Also

Reference

PropertyPath Class
Galador.Reflection Namespace


PropertyPath.Elements Property

PropertyPathElements Property
Gets the elements of the path. i.e. if the property path is myObject.A.B.C, it will be the values of A, B, C.

Namespace: Galador.Reflection
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public ReadOnlyCollection<PropertyPathPropertyValue> Elements { get; }
Public ReadOnly Property Elements As ReadOnlyCollection(Of PropertyPathPropertyValue)
    Get
public:
property ReadOnlyCollection<PropertyPathPropertyValue^>^ Elements {
    ReadOnlyCollection<PropertyPathPropertyValue^>^ get ();
}
member Elements : ReadOnlyCollection<PropertyPathPropertyValue> with get

Property Value

Type: ReadOnlyCollection PropertyPathPropertyValue
See Also

Reference

PropertyPath Class
Galador.Reflection Namespace


PropertyPath.Root Property

PropertyPathRoot Property
The root of the path. i.e. if the property path is myObject.A.B.C, it will be the value of myObject.

Namespace: Galador.Reflection
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public Object Root { get; set; }
Public Property Root As Object
    Get
    Set
public:
property Object^ Root {
    Object^ get ();
    void set (Object^ value);
}
member Root : Object with get, set

Property Value

Type: Object
Exceptions
Exception | Condition
InvalidCastException | If one try to set a value that can't be fit in the expression path
See Also

Reference

PropertyPath Class
Galador.Reflection Namespace


PropertyPath.Value Property

PropertyPathValue Property
The value at the end of the path. i.e. if the property path is myObject.A.B.C, it will be the value of C.

Namespace: Galador.Reflection
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public Object Value { get; set; }
Public Property Value As Object
    Get
    Set
public:
property Object^ Value {
    Object^ get ();
    void set (Object^ value);
}
member Value : Object with get, set

Property Value

Type: Object
See Also

Reference

PropertyPath Class
Galador.Reflection Namespace


PropertyPath Methods

PropertyPath Methods

The PropertyPath type exposes the following members.

Methods
 | Name | Description
 | CreateTP(ExpressionFuncTP) | Creates a string typed PropertyPath from a no root (or a static property) and an ExpressionTDelegate. Only member path is supported.
 | CreateT, TP(T, ExpressionFuncT, TP) | Creates a string typed PropertyPath from a root and an ExpressionTDelegate. Only member path is supported.
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
 | WatchTP(ExpressionFuncTP, ActionTP) | Create a property watch with a method to be called when it Value change, with the new value.
 | WatchT, TP(T, ExpressionFuncT, TP, ActionTP) | Create a property watch with a method to be called when it Value change, with the new value.
Top
Extension Methods
 | Name | Description
Public Extension Method | AddWeakHandlerT | Help listening to INotifyPropertyChanged in a weak fashion. (Defined by WeakEvents.)
Top
See Also

Reference

PropertyPath Class
Galador.Reflection Namespace


PropertyPath.Create Method

PropertyPathCreate Method
Overload List
Name | Description
CreateTP(ExpressionFuncTP) | Creates a string typed PropertyPath from a no root (or a static property) and an ExpressionTDelegate. Only member path is supported.
CreateT, TP(T, ExpressionFuncT, TP) | Creates a string typed PropertyPath from a root and an ExpressionTDelegate. Only member path is supported.
Top
See Also

Reference

PropertyPath Class
Galador.Reflection Namespace


PropertyPath.Create(TP) Method (Expression(Func(TP)))

PropertyPathCreateTP Method (ExpressionFuncTP)
Creates a string typed PropertyPath from a no root (or a static property) and an ExpressionTDelegate. Only member path is supported.

Namespace: Galador.Reflection
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public static PropertyPath<DBNull, TP> Create<TP>(
    Expression<Func<TP>> e
)

Public Shared Function Create(Of TP) (
    e As Expression(Of Func(Of TP))
) As PropertyPath(Of DBNull, TP)
public:
generic<typename TP>
static PropertyPath<DBNull^, TP>^ Create(
    Expression<Func<TP>^>^ e
)
static member Create :
        e : Expression<Func<'TP>> -> PropertyPath<DBNull, 'TP>

Parameters

e
Type: System.Linq.ExpressionsExpression Func TP
A member expression to navigate from to the value.

Type Parameters

TP
The type of the last member of the path.

Return Value

Type: PropertyPath DBNull, TP
A newly create PropertyPath
See Also

Reference

PropertyPath Class
Create Overload
Galador.Reflection Namespace


PropertyPath.Create(T, TP) Method (T, Expression(Func(T, TP)))

PropertyPathCreateT, TP Method (T, ExpressionFuncT, TP)
Creates a string typed PropertyPath from a root and an ExpressionTDelegate. Only member path is supported.

Namespace: Galador.Reflection
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public static PropertyPath<T, TP> Create<T, TP>(
    T root,
    Expression<Func<T, TP>> e
)

Public Shared Function Create(Of T, TP) (
    root As T,
    e As Expression(Of Func(Of T, TP))
) As PropertyPath(Of T, TP)
public:
generic<typename T, typename TP>
static PropertyPath<T, TP>^ Create(
    T root,
    Expression<Func<T, TP>^>^ e
)
static member Create :
        root : 'T *
        e : Expression<Func<'T, 'TP>> -> PropertyPath<'T, 'TP>

Parameters

root
Type: T
The root of the expression.
e
Type: System.Linq.ExpressionsExpression Func T, TP
The member expression to navigate from the root to the value.

Type Parameters

T
The type of Root
TP
The type of the last member of the path.

Return Value

Type: PropertyPath T, TP
A newly create PropertyPath
See Also

Reference

PropertyPath Class
Create Overload
Galador.Reflection Namespace


PropertyPath.Watch Method

PropertyPathWatch Method
Overload List
Name | Description
WatchTP(ExpressionFuncTP, ActionTP) | Create a property watch with a method to be called when it Value change, with the new value.
WatchT, TP(T, ExpressionFuncT, TP, ActionTP) | Create a property watch with a method to be called when it Value change, with the new value.
Top
See Also

Reference

PropertyPath Class
Galador.Reflection Namespace


PropertyPath.Watch(TP) Method (Expression(Func(TP)), Action(TP))

PropertyPathWatchTP Method (ExpressionFuncTP, ActionTP)
Create a property watch with a method to be called when it Value change, with the new value.

Namespace: Galador.Reflection
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public static PropertyPath<DBNull, TP> Watch<TP>(
    Expression<Func<TP>> e,
    Action<TP> onValueChanged
)

Public Shared Function Watch(Of TP) (
    e As Expression(Of Func(Of TP)),
    onValueChanged As Action(Of TP)
) As PropertyPath(Of DBNull, TP)
public:
generic<typename TP>
static PropertyPath<DBNull^, TP>^ Watch(
    Expression<Func<TP>^>^ e,
    Action<TP>^ onValueChanged
)
static member Watch :
        e : Expression<Func<'TP>> *
        onValueChanged : Action<'TP> -> PropertyPath<DBNull, 'TP>

Parameters

e
Type: System.Linq.ExpressionsExpression Func TP
The expression (i.e. myObject.A.B.C) that describe the path. Only properties and fields are supported.
onValueChanged
Type: SystemAction TP
Action called an time Value change.

Type Parameters

TP
The type of the last member of the property path.

Return Value

Type: PropertyPath DBNull, TP
The property path instance. Keep it to avoid garbage collection (in which case onValueChanged will stop being called)
See Also

Reference

PropertyPath Class
Watch Overload
Galador.Reflection Namespace


PropertyPath.Watch(T, TP) Method (T, Expression(Func(T, TP)), Action(TP))

PropertyPathWatchT, TP Method (T, ExpressionFuncT, TP, ActionTP)
Create a property watch with a method to be called when it Value change, with the new value.

Namespace: Galador.Reflection
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public static PropertyPath<T, TP> Watch<T, TP>(
    T root,
    Expression<Func<T, TP>> e,
    Action<TP> onValueChanged
)

Public Shared Function Watch(Of T, TP) (
    root As T,
    e As Expression(Of Func(Of T, TP)),
    onValueChanged As Action(Of TP)
) As PropertyPath(Of T, TP)
public:
generic<typename T, typename TP>
static PropertyPath<T, TP>^ Watch(
    T root,
    Expression<Func<T, TP>^>^ e,
    Action<TP>^ onValueChanged
)
static member Watch :
        root : 'T *
        e : Expression<Func<'T, 'TP>> *
        onValueChanged : Action<'TP> -> PropertyPath<'T, 'TP>

Parameters

root
Type: T
The root of the path.
e
Type: System.Linq.ExpressionsExpression Func T, TP
The expression (i.e. myObject.A.B.C) that describe the path. Only properties and fields are supported.
onValueChanged
Type: SystemAction TP
Action called an time Value change.

Type Parameters

T
Type of the root, i.e. first object, of the path
TP
The type of the last member of the property path.

Return Value

Type: PropertyPath T, TP
The property path instance. Keep it to avoid garbage collection (in which case onValueChanged will stop being called)
See Also

Reference

PropertyPath Class
Watch Overload
Galador.Reflection Namespace


PropertyPath Events

PropertyPath Events

The PropertyPath type exposes the following members.

Events
 | Name | Description
Public event | PropertyChanged | Occurs when either Root or Value change.
Top
See Also

Reference

PropertyPath Class
Galador.Reflection Namespace


PropertyPath.PropertyChanged Event

PropertyPathPropertyChanged Event
Occurs when either Root or Value change.

Namespace: Galador.Reflection
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public event PropertyChangedEventHandler PropertyChanged
Public Event PropertyChanged As PropertyChangedEventHandler
public:
virtual  event PropertyChangedEventHandler^ PropertyChanged {
    void add (PropertyChangedEventHandler^ value);
    void remove (PropertyChangedEventHandler^ value);
}
abstract PropertyChanged : IEvent<PropertyChangedEventHandler,
    PropertyChangedEventArgs>
override PropertyChanged : IEvent<PropertyChangedEventHandler,
    PropertyChangedEventArgs>

Value

Type: System.ComponentModelPropertyChangedEventHandler

Implements

INotifyPropertyChangedPropertyChanged
See Also

Reference

PropertyPath Class
Galador.Reflection Namespace


PropertyPath.PropertyValue Class

PropertyPathPropertyValue Class
Represent each individual path of the property path. i.e. if the property path is myObject.A.B.C, there will be one for A, B and C. Can either represent a path using a PropertyInfo or FieldInfo.
Inheritance Hierarchy
SystemObject
Galador.ReflectionPropertyPathPropertyValue

Namespace: Galador.Reflection
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public class PropertyValue
Public Class PropertyValue
public ref class PropertyValue
type PropertyValue =  class end

The PropertyPathPropertyValue type exposes the following members.

Properties
 | Name | Description
Public property | Member | The MemberInfo that this object maps too.
Public property | Name | Member's name.
Public property | Object | The instance to which this Member applies.
Public property | Path | The PropertyPath that owns this PropertyPathPropertyValue.
Public property | Value | The value of the Member for Object.
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Events
 | Name | Description
Public event | ValueChanged | Fired when Value changes.
Top
See Also

Reference

Galador.Reflection Namespace


PropertyValue Properties

PropertyValue Properties

The PropertyPathPropertyValue type exposes the following members.

Properties
 | Name | Description
Public property | Member | The MemberInfo that this object maps too.
Public property | Name | Member's name.
Public property | Object | The instance to which this Member applies.
Public property | Path | The PropertyPath that owns this PropertyPathPropertyValue.
Public property | Value | The value of the Member for Object.
Top
See Also

Reference

PropertyPathPropertyValue Class
Galador.Reflection Namespace


PropertyPath.PropertyValue.Member Property

PropertyPathPropertyValueMember Property
The MemberInfo that this object maps too.

Namespace: Galador.Reflection
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public FastMember Member { get; }
Public ReadOnly Property Member As FastMember
    Get
public:
property FastMember^ Member {
    FastMember^ get ();
}
member Member : FastMember with get

Property Value

Type: FastMember
See Also

Reference

PropertyPathPropertyValue Class
Galador.Reflection Namespace


PropertyPath.PropertyValue.Name Property

PropertyPathPropertyValueName Property
Member's name.

Namespace: Galador.Reflection
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public string Name { get; }
Public ReadOnly Property Name As String
    Get
public:
property String^ Name {
    String^ get ();
}
member Name : string with get

Property Value

Type: String
See Also

Reference

PropertyPathPropertyValue Class
Galador.Reflection Namespace


PropertyPath.PropertyValue.Object Property

PropertyPathPropertyValueObject Property
The instance to which this Member applies.

Namespace: Galador.Reflection
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public Object Object { get; }
Public ReadOnly Property Object As Object
    Get
public:
property Object^ Object {
    Object^ get ();
}
member Object : Object with get

Property Value

Type: Object
See Also

Reference

PropertyPathPropertyValue Class
Galador.Reflection Namespace


PropertyPath.PropertyValue.Path Property

PropertyPathPropertyValuePath Property
The PropertyPath that owns this PropertyPathPropertyValue.

Namespace: Galador.Reflection
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public PropertyPath Path { get; }
Public ReadOnly Property Path As PropertyPath
    Get
public:
property PropertyPath^ Path {
    PropertyPath^ get ();
}
member Path : PropertyPath with get

Property Value

Type: PropertyPath
See Also

Reference

PropertyPathPropertyValue Class
Galador.Reflection Namespace


PropertyPath.PropertyValue.Value Property

PropertyPathPropertyValueValue Property
The value of the Member for Object.

Namespace: Galador.Reflection
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public Object Value { get; }
Public ReadOnly Property Value As Object
    Get
public:
property Object^ Value {
    Object^ get ();
}
member Value : Object with get

Property Value

Type: Object
See Also

Reference

PropertyPathPropertyValue Class
Galador.Reflection Namespace


PropertyValue Methods

PropertyValue Methods

The PropertyPathPropertyValue type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

PropertyPathPropertyValue Class
Galador.Reflection Namespace


PropertyValue Events

PropertyValue Events

The PropertyPathPropertyValue type exposes the following members.

Events
 | Name | Description
Public event | ValueChanged | Fired when Value changes.
Top
See Also

Reference

PropertyPathPropertyValue Class
Galador.Reflection Namespace


PropertyPath.PropertyValue.ValueChanged Event

PropertyPathPropertyValueValueChanged Event
Fired when Value changes.

Namespace: Galador.Reflection
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public event EventHandler ValueChanged
Public Event ValueChanged As EventHandler
public:
 event EventHandler^ ValueChanged {
    void add (EventHandler^ value);
    void remove (EventHandler^ value);
}
member ValueChanged : IEvent<EventHandler,
    EventArgs>

Value

Type: SystemEventHandler
See Also

Reference

PropertyPathPropertyValue Class
Galador.Reflection Namespace


PropertyPath(T, TProp) Class

PropertyPathT, TProp Class
A strongly typed subclass of PropertyPath for easier use.
Inheritance Hierarchy
SystemObject
Galador.ReflectionPropertyPath
Galador.ReflectionPropertyPathT, TProp

Namespace: Galador.Reflection
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public class PropertyPath<T, TProp> : PropertyPath

Public Class PropertyPath(Of T, TProp)
    Inherits PropertyPath
generic<typename T, typename TProp>
public ref class PropertyPath : public PropertyPath
type PropertyPath<'T, 'TProp> =
    class
        inherit PropertyPath
    end

Type Parameters

T
The type of the root of the path
TProp
The type of the last property at the end of the path.

The PropertyPathT, TProp type exposes the following members.

Properties
 | Name | Description
Public property | Elements | Gets the elements of the path. i.e. if the property path is myObject.A.B.C, it will be the values of A, B, C. (Inherited from PropertyPath.)
Public property | Root | The root or first object of the property path.
Public property | Value | The value of the last member of the property path.
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Events
 | Name | Description
Public event | PropertyChanged | Occurs when either Root or Value change. (Inherited from PropertyPath.)
Top
See Also

Reference

Galador.Reflection Namespace


PropertyPath(T, TProp) Properties

PropertyPathT, TProp Properties

The PropertyPathT, TProp generic type exposes the following members.

Properties
 | Name | Description
Public property | Elements | Gets the elements of the path. i.e. if the property path is myObject.A.B.C, it will be the values of A, B, C. (Inherited from PropertyPath.)
Public property | Root | The root or first object of the property path.
Public property | Value | The value of the last member of the property path.
Top
See Also

Reference

PropertyPathT, TProp Class
Galador.Reflection Namespace


PropertyPath(T, TProp).Root Property

PropertyPathT, TPropRoot Property
The root or first object of the property path.

Namespace: Galador.Reflection
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public T Root { get; set; }
Public Property Root As T
    Get
    Set
public:
property T Root {
    T get ();
    void set (T value);
}
member Root : 'T with get, set

Property Value

Type: T
See Also

Reference

PropertyPathT, TProp Class
Galador.Reflection Namespace


PropertyPath(T, TProp).Value Property

PropertyPathT, TPropValue Property
The value of the last member of the property path.

Namespace: Galador.Reflection
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public TProp Value { get; set; }
Public Property Value As TProp
    Get
    Set
public:
property TProp Value {
    TProp get ();
    void set (TProp value);
}
member Value : 'TProp with get, set

Property Value

Type: TProp
See Also

Reference

PropertyPathT, TProp Class
Galador.Reflection Namespace


PropertyPath(T, TProp) Methods

PropertyPathT, TProp Methods

The PropertyPathT, TProp generic type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

PropertyPathT, TProp Class
Galador.Reflection Namespace


PropertyPath(T, TProp) Events

PropertyPathT, TProp Events

The PropertyPathT, TProp generic type exposes the following members.

Events
 | Name | Description
Public event | PropertyChanged | Occurs when either Root or Value change. (Inherited from PropertyPath.)
Top
See Also

Reference

PropertyPathT, TProp Class
Galador.Reflection Namespace


Registry Class

Registry Class
This class is a IServiceProvider, IOC, and MEF clone all together. Services are registered explicitly with Register(Type, Object) or automatically with RegisterAssemblies(Assembly) assembly. Then service can then be acquired / resolved, using constructor and property injection lazily with Resolve(Type, RequestCache). Each registered service will be created only once. Imported object (with ImportAttribute) which are not registered as service will be created, only once per request, with Create(Type, RequestCache) and stored in the RequestCache for reuse during the request as it traverses the object dependencies tree.
Inheritance Hierarchy
SystemObject
Galador.ReflectionRegistry

Namespace: Galador.Reflection
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public class Registry : IDisposable, IServiceProvider
Public Class Registry
    Implements IDisposable, IServiceProvider
public ref class Registry : IDisposable,
    IServiceProvider
type Registry =
    class
        interface IDisposable
        interface IServiceProvider
    end

The Registry type exposes the following members.

Constructors
 | Name | Description
Public method | Registry | Initializes a new instance of the Registry class.
Public method | Registry(Boolean) | Initializes a new instance of the Registry class.
Top
Properties
 | Name | Description
Public property | IsDisposed | Whether this registry has been disposed or not.
Top
Methods
 | Name | Description
Public method | CanCreate(Type, RequestCache) | Whether given type can be created. Basically it must be a concrete class with some constructors with arguments that can also be created (or resolved).
Public method | CanCreateT(RequestCache) | Whether given type can be created. Basically it must be a concrete class with some constructors with arguments that can also be created (or resolved).
Public method | Create(Type, RequestCache) | Create that object from scratch regardless of registration
Public method | CreateT(RequestCache) | Create that object from scratch regardless of registration
Public method | Dispose | Dispose of all IDisposable object registered with the registry and make it unusable.
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | (Overrides ObjectFinalize.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | IsRegistered(Type) | Return whether there is an object that is registered for the requested type.
Public method | IsRegisteredT | Return whether there is an object that is registered for the requested type.
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | Register(Type) | Register all arguments types with the registry
Public method | Register(Type, Object) | Register an instance as an instance of a given type. It will returned when resolving any base class or implemented interface.
Public method | RegisterT | Register T as an exported type. Register(Type, Object).
Public method | RegisterT(T) | Register T as an exported type. Register(Type, Object).
Public method | RegisterAssemblies(IEnumerableAssembly) | Register some assembly, by registering all type they export that are marked with ExportAttribute.
Public method | RegisterAssemblies(Assembly) | Register some assembly, by registering all type they export that are marked with ExportAttribute.
Public method | Resolve(Type, RequestCache) | This will resolve the first type with ResolveAll(Type, RequestCache)
Public method | ResolveT(RequestCache) | This will resolve the first T with ResolveAll(Type, RequestCache)
Public method | ResolveAll(Type, RequestCache) | Resolve all registered service that inherit from, or implement or are type. If none are registered, it will create and return newly create instance of type , that will be saved in the cache.
Public method | ResolveAllT(RequestCache) | Resolve all registered service that inherit from, or implement or are T. If none are registered, it will create and return newly create instance of T , that will be saved in the cache.
Public method | ResolveProperties | Will set all properties marked with ImportAttribute. If property is an array or a ListT It will ResolveAll(Type, RequestCache) and set up the array / collection with the result.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

Galador.Reflection Namespace


Registry Constructor

Registry Constructor
Overload List
 | Name | Description
Public method | Registry | Initializes a new instance of the Registry class.
Public method | Registry(Boolean) | Initializes a new instance of the Registry class.
Top
See Also

Reference

Registry Class
Galador.Reflection Namespace


Registry Constructor

Registry Constructor
Initializes a new instance of the Registry class.

Namespace: Galador.Reflection
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public Registry()
Public Sub New
public:
Registry()
new : unit -> Registry
See Also

Reference

Registry Class
Registry Overload
Galador.Reflection Namespace


Registry Constructor (Boolean)

Registry Constructor (Boolean)
Initializes a new instance of the Registry class.

Namespace: Galador.Reflection
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public Registry(
    bool registerSelf
)
Public Sub New (
    registerSelf As Boolean
)
public:
Registry(
    bool registerSelf
)
new :
        registerSelf : bool -> Registry

Parameters

registerSelf
Type: SystemBoolean
if set to true the registry will register itself and can be injected as a dependency.
See Also

Reference

Registry Class
Registry Overload
Galador.Reflection Namespace


Registry Properties

Registry Properties

The Registry type exposes the following members.

Properties
 | Name | Description
Public property | IsDisposed | Whether this registry has been disposed or not.
Top
See Also

Reference

Registry Class
Galador.Reflection Namespace


Registry.IsDisposed Property

RegistryIsDisposed Property
Whether this registry has been disposed or not.

Namespace: Galador.Reflection
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public bool IsDisposed { get; }
Public ReadOnly Property IsDisposed As Boolean
    Get
public:
property bool IsDisposed {
    bool get ();
}
member IsDisposed : bool with get

Property Value

Type: Boolean
See Also

Reference

Registry Class
Galador.Reflection Namespace


Registry Methods

Registry Methods

The Registry type exposes the following members.

Methods
 | Name | Description
Public method | CanCreate(Type, RequestCache) | Whether given type can be created. Basically it must be a concrete class with some constructors with arguments that can also be created (or resolved).
Public method | CanCreateT(RequestCache) | Whether given type can be created. Basically it must be a concrete class with some constructors with arguments that can also be created (or resolved).
Public method | Create(Type, RequestCache) | Create that object from scratch regardless of registration
Public method | CreateT(RequestCache) | Create that object from scratch regardless of registration
Public method | Dispose | Dispose of all IDisposable object registered with the registry and make it unusable.
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | (Overrides ObjectFinalize.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | IsRegistered(Type) | Return whether there is an object that is registered for the requested type.
Public method | IsRegisteredT | Return whether there is an object that is registered for the requested type.
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | Register(Type) | Register all arguments types with the registry
Public method | Register(Type, Object) | Register an instance as an instance of a given type. It will returned when resolving any base class or implemented interface.
Public method | RegisterT | Register T as an exported type. Register(Type, Object).
Public method | RegisterT(T) | Register T as an exported type. Register(Type, Object).
Public method | RegisterAssemblies(IEnumerableAssembly) | Register some assembly, by registering all type they export that are marked with ExportAttribute.
Public method | RegisterAssemblies(Assembly) | Register some assembly, by registering all type they export that are marked with ExportAttribute.
Public method | Resolve(Type, RequestCache) | This will resolve the first type with ResolveAll(Type, RequestCache)
Public method | ResolveT(RequestCache) | This will resolve the first T with ResolveAll(Type, RequestCache)
Public method | ResolveAll(Type, RequestCache) | Resolve all registered service that inherit from, or implement or are type. If none are registered, it will create and return newly create instance of type , that will be saved in the cache.
Public method | ResolveAllT(RequestCache) | Resolve all registered service that inherit from, or implement or are T. If none are registered, it will create and return newly create instance of T , that will be saved in the cache.
Public method | ResolveProperties | Will set all properties marked with ImportAttribute. If property is an array or a ListT It will ResolveAll(Type, RequestCache) and set up the array / collection with the result.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

Registry Class
Galador.Reflection Namespace


Registry.CanCreate Method

RegistryCanCreate Method
Overload List
 | Name | Description
Public method | CanCreateT(RequestCache) | Whether given type can be created. Basically it must be a concrete class with some constructors with arguments that can also be created (or resolved).
Public method | CanCreate(Type, RequestCache) | Whether given type can be created. Basically it must be a concrete class with some constructors with arguments that can also be created (or resolved).
Top
See Also

Reference

Registry Class
Galador.Reflection Namespace


Registry.CanCreate(T) Method (RequestCache)

RegistryCanCreateT Method (RequestCache)
Whether given type can be created. Basically it must be a concrete class with some constructors with arguments that can also be created (or resolved).

Namespace: Galador.Reflection
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public bool CanCreate<T>(
    RequestCache cache = null
)

Public Function CanCreate(Of T) (
    Optional cache As RequestCache = Nothing
) As Boolean
public:
generic<typename T>
bool CanCreate(
    RequestCache^ cache = nullptr
)
member CanCreate :
        ?cache : RequestCache
(* Defaults:
        let _cache = defaultArg cache null
*)
-> bool

Parameters

cache (Optional)
Type: Galador.ReflectionRequestCache
A cache of instance to possibly use for construction.

Type Parameters

T
The type to check for creation.

Return Value

Type: Boolean
Whether the type can be instantiated
See Also

Reference

Registry Class
CanCreate Overload
Galador.Reflection Namespace


Registry.CanCreate Method (Type, RequestCache)

RegistryCanCreate Method (Type, RequestCache)
Whether given type can be created. Basically it must be a concrete class with some constructors with arguments that can also be created (or resolved).

Namespace: Galador.Reflection
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public bool CanCreate(
    Type type,
    RequestCache cache = null
)
Public Function CanCreate (
    type As Type,
    Optional cache As RequestCache = Nothing
) As Boolean
public:
bool CanCreate(
    Type^ type,
    RequestCache^ cache = nullptr
)
member CanCreate :
        type : Type *
        ?cache : RequestCache
(* Defaults:
        let _cache = defaultArg cache null
*)
-> bool

Parameters

type
Type: SystemType
The type to check for creation.
cache (Optional)
Type: Galador.ReflectionRequestCache
A cache of instance to possibly use for construction.

Return Value

Type: Boolean
Whether the type can be instantiated
See Also

Reference

Registry Class
CanCreate Overload
Galador.Reflection Namespace


Registry.Create Method

RegistryCreate Method
Overload List
 | Name | Description
Public method | CreateT(RequestCache) | Create that object from scratch regardless of registration
Public method | Create(Type, RequestCache) | Create that object from scratch regardless of registration
Top
See Also

Reference

Registry Class
Galador.Reflection Namespace


Registry.Create(T) Method (RequestCache)

RegistryCreateT Method (RequestCache)
Create that object from scratch regardless of registration

Namespace: Galador.Reflection
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public T Create<T>(
    RequestCache cache = null
)

Public Function Create(Of T) (
    Optional cache As RequestCache = Nothing
) As T
public:
generic<typename T>
T Create(
    RequestCache^ cache = nullptr
)
member Create :
        ?cache : RequestCache
(* Defaults:
        let _cache = defaultArg cache null
*)
-> 'T

Parameters

cache (Optional)
Type: Galador.ReflectionRequestCache
A cache of possible instance to use as property, constructor argument and the like, on top of registered services.

Type Parameters

T
The type to instantiate.

Return Value

Type: T
A newly created instance
Exceptions
Exception | Condition
InvalidOperationException | If no appropriate constructor can be found.
See Also

Reference

Registry Class
Create Overload
Galador.Reflection Namespace


Registry.Create Method (Type, RequestCache)

RegistryCreate Method (Type, RequestCache)
Create that object from scratch regardless of registration

Namespace: Galador.Reflection
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public Object Create(
    Type type,
    RequestCache cache = null
)
Public Function Create (
    type As Type,
    Optional cache As RequestCache = Nothing
) As Object
public:
Object^ Create(
    Type^ type,
    RequestCache^ cache = nullptr
)
member Create :
        type : Type *
        ?cache : RequestCache
(* Defaults:
        let _cache = defaultArg cache null
*)
-> Object

Parameters

type
Type: SystemType
The type to instantiate.
cache (Optional)
Type: Galador.ReflectionRequestCache
A cache of possible instance to use as property, constructor argument and the like, on top of registered services.

Return Value

Type: Object
A newly created instance
Exceptions
Exception | Condition
InvalidOperationException | If no appropriate constructor can be found.
See Also

Reference

Registry Class
Create Overload
Galador.Reflection Namespace


Registry.Dispose Method

RegistryDispose Method
Dispose of all IDisposable object registered with the registry and make it unusable.

Namespace: Galador.Reflection
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void Dispose()
Public Sub Dispose
public:
virtual void Dispose() sealed
abstract Dispose : unit -> unit
override Dispose : unit -> unit

Implements

IDisposableDispose
See Also

Reference

Registry Class
Galador.Reflection Namespace


Registry.Finalize Method

RegistryFinalize Method

[Missing <summary> documentation for "M:Galador.Reflection.Registry.Finalize"]

Namespace: Galador.Reflection
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
protected override void Finalize()
Protected Overrides Sub Finalize
protected:
virtual void Finalize() override
abstract Finalize : unit -> unit
override Finalize : unit -> unit

Implements

ObjectFinalize
See Also

Reference

Registry Class
Galador.Reflection Namespace


Registry.IsRegistered Method

RegistryIsRegistered Method
Overload List
 | Name | Description
Public method | IsRegisteredT | Return whether there is an object that is registered for the requested type.
Public method | IsRegistered(Type) | Return whether there is an object that is registered for the requested type.
Top
See Also

Reference

Registry Class
Galador.Reflection Namespace


Registry.IsRegistered(T) Method

RegistryIsRegisteredT Method
Return whether there is an object that is registered for the requested type.

Namespace: Galador.Reflection
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public bool IsRegistered<T>()

Public Function IsRegistered(Of T) As Boolean
public:
generic<typename T>
bool IsRegistered()
member IsRegistered : unit -> bool

Type Parameters

T
The type to check for registration.

Return Value

Type: Boolean
Whether the given type is registered
See Also

Reference

Registry Class
IsRegistered Overload
Galador.Reflection Namespace


Registry.IsRegistered Method (Type)

RegistryIsRegistered Method (Type)
Return whether there is an object that is registered for the requested type.

Namespace: Galador.Reflection
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public bool IsRegistered(
    Type type
)
Public Function IsRegistered (
    type As Type
) As Boolean
public:
bool IsRegistered(
    Type^ type
)
member IsRegistered :
        type : Type -> bool

Parameters

type
Type: SystemType
The type to check for registration.

Return Value

Type: Boolean
Whether the given type is registered
See Also

Reference

Registry Class
IsRegistered Overload
Galador.Reflection Namespace


Registry.Register Method

RegistryRegister Method
Overload List
 | Name | Description
Public method | RegisterT | Register T as an exported type. Register(Type, Object).
Public method | Register(Type) | Register all arguments types with the registry
Public method | RegisterT(T) | Register T as an exported type. Register(Type, Object).
Public method | Register(Type, Object) | Register an instance as an instance of a given type. It will returned when resolving any base class or implemented interface.
Top
See Also

Reference

Registry Class
Galador.Reflection Namespace


Registry.Register(T) Method

RegistryRegisterT Method
Register T as an exported type.
Register(Type, Object).

Namespace: Galador.Reflection
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void Register<T>()
where T : class

Public Sub Register(Of T As Class)
public:
generic<typename T>
where T : ref class
void Register()
member Register : unit -> unit  when 'T : not struct

Type Parameters

T
The type that is registered.
See Also

Reference

Registry Class
Register Overload
Galador.Reflection Namespace


Registry.Register Method (Type[])

RegistryRegister Method (Type)
Register all arguments types with the registry

Namespace: Galador.Reflection
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void Register(
    params Type[] types
)
Public Sub Register (
    ParamArray types As Type()
)
public:
void Register(
    ... array<Type^>^ types
)
member Register :
        types : Type[] -> unit

Parameters

types
Type: SystemType
All type to register
See Also

Reference

Registry Class
Register Overload
Galador.Reflection Namespace


Registry.Register(T) Method (T)

RegistryRegisterT Method (T)
Register T as an exported type.
Register(Type, Object).

Namespace: Galador.Reflection
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void Register<T>(
    T instance
)
where T : class

Public Sub Register(Of T As Class) (
    instance As T
)
public:
generic<typename T>
where T : ref class
void Register(
    T instance
)
member Register :
        instance : 'T -> unit  when 'T : not struct

Parameters

instance
Type: T
The instance that is set against this type.

Type Parameters

T
The type that is registered.
See Also

Reference

Registry Class
Register Overload
Galador.Reflection Namespace


Registry.Register Method (Type, Object)

RegistryRegister Method (Type, Object)
Register an instance as an instance of a given type. It will returned when resolving any base class or implemented interface.

Namespace: Galador.Reflection
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void Register(
    Type facade,
    Object instance
)
Public Sub Register (
    facade As Type,
    instance As Object
)
public:
void Register(
    Type^ facade,
    Object^ instance
)
member Register :
        facade : Type *
        instance : Object -> unit

Parameters

facade
Type: SystemType
The type that is registered.
instance
Type: SystemObject
The instance for this type. If null it will be created on demand on the first access to facade
See Also

Reference

Registry Class
Register Overload
Galador.Reflection Namespace


Registry.RegisterAssemblies Method

RegistryRegisterAssemblies Method
Overload List
 | Name | Description
Public method | RegisterAssemblies(IEnumerableAssembly) | Register some assembly, by registering all type they export that are marked with ExportAttribute.
Public method | RegisterAssemblies(Assembly) | Register some assembly, by registering all type they export that are marked with ExportAttribute.
Top
See Also

Reference

Registry Class
Galador.Reflection Namespace


Registry.RegisterAssemblies Method (IEnumerable(Assembly))

RegistryRegisterAssemblies Method (IEnumerableAssembly)
Register some assembly, by registering all type they export that are marked with ExportAttribute.

Namespace: Galador.Reflection
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void RegisterAssemblies(
    IEnumerable<Assembly> assemblies
)
Public Sub RegisterAssemblies (
    assemblies As IEnumerable(Of Assembly)
)
public:
void RegisterAssemblies(
    IEnumerable<Assembly^>^ assemblies
)
member RegisterAssemblies :
        assemblies : IEnumerable<Assembly> -> unit

Parameters

assemblies
Type: System.Collections.GenericIEnumerable Assembly

[Missing <param name="assemblies"/> documentation for "M:Galador.Reflection.Registry.RegisterAssemblies(System.Collections.Generic.IEnumerable{System.Reflection.Assembly})"]

See Also

Reference

Registry Class
RegisterAssemblies Overload
Galador.Reflection Namespace


Registry.RegisterAssemblies Method (Assembly[])

RegistryRegisterAssemblies Method (Assembly)
Register some assembly, by registering all type they export that are marked with ExportAttribute.

Namespace: Galador.Reflection
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void RegisterAssemblies(
    params Assembly[] ass
)
Public Sub RegisterAssemblies (
    ParamArray ass As Assembly()
)
public:
void RegisterAssemblies(
    ... array<Assembly^>^ ass
)
member RegisterAssemblies :
        ass : Assembly[] -> unit

Parameters

ass
Type: System.ReflectionAssembly

[Missing <param name="ass"/> documentation for "M:Galador.Reflection.Registry.RegisterAssemblies(System.Reflection.Assembly[])"]

See Also

Reference

Registry Class
RegisterAssemblies Overload
Galador.Reflection Namespace


Registry.Resolve Method

RegistryResolve Method
Overload List
 | Name | Description
Public method | ResolveT(RequestCache) | This will resolve the first T with ResolveAll(Type, RequestCache)
Public method | Resolve(Type, RequestCache) | This will resolve the first type with ResolveAll(Type, RequestCache)
Top
See Also

Reference

Registry Class
Galador.Reflection Namespace


Registry.Resolve(T) Method (RequestCache)

RegistryResolveT Method (RequestCache)
This will resolve the first T with ResolveAll(Type, RequestCache)

Namespace: Galador.Reflection
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public T Resolve<T>(
    RequestCache cache = null
)

Public Function Resolve(Of T) (
    Optional cache As RequestCache = Nothing
) As T
public:
generic<typename T>
T Resolve(
    RequestCache^ cache = nullptr
)
member Resolve :
        ?cache : RequestCache
(* Defaults:
        let _cache = defaultArg cache null
*)
-> 'T

Parameters

cache (Optional)
Type: Galador.ReflectionRequestCache
A cache for all instance that need be create and are not a registered service. Can be null

Type Parameters

T
The requested type

Return Value

Type: T
An instance of T, either a reused service if registered, or newly created instance otherwise.
See Also

Reference

Registry Class
Resolve Overload
Galador.Reflection Namespace


Registry.Resolve Method (Type, RequestCache)

RegistryResolve Method (Type, RequestCache)
This will resolve the first type with ResolveAll(Type, RequestCache)

Namespace: Galador.Reflection
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public Object Resolve(
    Type type,
    RequestCache cache = null
)
Public Function Resolve (
    type As Type,
    Optional cache As RequestCache = Nothing
) As Object
public:
Object^ Resolve(
    Type^ type,
    RequestCache^ cache = nullptr
)
member Resolve :
        type : Type *
        ?cache : RequestCache
(* Defaults:
        let _cache = defaultArg cache null
*)
-> Object

Parameters

type
Type: SystemType
The requested type
cache (Optional)
Type: Galador.ReflectionRequestCache
A cache for all instance that need be create and are not a registered service. Can be null

Return Value

Type: Object
An instance of type type, either a reused service if registered, or newly created instance otherwise.
See Also

Reference

Registry Class
Resolve Overload
Galador.Reflection Namespace


Registry.ResolveAll Method

RegistryResolveAll Method
Overload List
 | Name | Description
Public method | ResolveAllT(RequestCache) | Resolve all registered service that inherit from, or implement or are T. If none are registered, it will create and return newly create instance of T , that will be saved in the cache.
Public method | ResolveAll(Type, RequestCache) | Resolve all registered service that inherit from, or implement or are type. If none are registered, it will create and return newly create instance of type , that will be saved in the cache.
Top
See Also

Reference

Registry Class
Galador.Reflection Namespace


Registry.ResolveAll(T) Method (RequestCache)

RegistryResolveAllT Method (RequestCache)
Resolve all registered service that inherit from, or implement or are T. If none are registered, it will create and return newly create instance of T , that will be saved in the cache.

Namespace: Galador.Reflection
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public IEnumerable<T> ResolveAll<T>(
    RequestCache cache = null
)

Public Function ResolveAll(Of T) (
    Optional cache As RequestCache = Nothing
) As IEnumerable(Of T)
public:
generic<typename T>
IEnumerable<T>^ ResolveAll(
    RequestCache^ cache = nullptr
)
member ResolveAll :
        ?cache : RequestCache
(* Defaults:
        let _cache = defaultArg cache null
*)
-> IEnumerable<'T>

Parameters

cache (Optional)
Type: Galador.ReflectionRequestCache
Where newly create instance that are not service are cached for reuse.

Type Parameters

T
The requested type

Return Value

Type: IEnumerable T
Al registered service which implement or are subclass of T or a newly create one.
See Also

Reference

Registry Class
ResolveAll Overload
Galador.Reflection Namespace


Registry.ResolveAll Method (Type, RequestCache)

RegistryResolveAll Method (Type, RequestCache)
Resolve all registered service that inherit from, or implement or are type. If none are registered, it will create and return newly create instance of type , that will be saved in the cache.

Namespace: Galador.Reflection
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public IEnumerable<Object> ResolveAll(
    Type type,
    RequestCache cache = null
)
Public Function ResolveAll (
    type As Type,
    Optional cache As RequestCache = Nothing
) As IEnumerable(Of Object)
public:
IEnumerable<Object^>^ ResolveAll(
    Type^ type,
    RequestCache^ cache = nullptr
)
member ResolveAll :
        type : Type *
        ?cache : RequestCache
(* Defaults:
        let _cache = defaultArg cache null
*)
-> IEnumerable<Object>

Parameters

type
Type: SystemType
The requested type
cache (Optional)
Type: Galador.ReflectionRequestCache
Where newly create instance that are not service are cached for reuse.

Return Value

Type: IEnumerable Object
Al registered service which implement or are subclass of type or a newly create one.
See Also

Reference

Registry Class
ResolveAll Overload
Galador.Reflection Namespace


Registry.ResolveProperties Method

RegistryResolveProperties Method
Will set all properties marked with ImportAttribute. If property is an array or a ListT It will ResolveAll(Type, RequestCache) and set up the array / collection with the result.

Namespace: Galador.Reflection
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void ResolveProperties(
    Object instance,
    RequestCache cache = null
)
Public Sub ResolveProperties (
    instance As Object,
    Optional cache As RequestCache = Nothing
)
public:
void ResolveProperties(
    Object^ instance,
    RequestCache^ cache = nullptr
)
member ResolveProperties :
        instance : Object *
        ?cache : RequestCache
(* Defaults:
        let _cache = defaultArg cache null
*)
-> unit

Parameters

instance
Type: SystemObject
The object which property must be resolved.
cache (Optional)
Type: Galador.ReflectionRequestCache
A cache for the request so that each instance which are not service is created only once.
See Also

Reference

Registry Class
Galador.Reflection Namespace


RequestCache Class

RequestCache Class
All unregistered instances created during a request are stored here. Registered service instances are stored in the registry that register them. It can be reused for later queries, creating some sort of session lifespan for temporary object.
Instances are indexed by type since the registry will only create one instance of each type (for a given cache), reusing this instance for all subsequent query.
Inheritance Hierarchy
SystemObject
Galador.ReflectionRequestCache

Namespace: Galador.Reflection
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public class RequestCache : IDisposable
Public Class RequestCache
    Implements IDisposable
public ref class RequestCache : IDisposable
type RequestCache =
    class
        interface IDisposable
    end

The RequestCache type exposes the following members.

Constructors
 | Name | Description
Public method | RequestCache | Initializes a new instance of the RequestCache class
Top
Properties
 | Name | Description
Public property | Count | The number of cached instance.
Public property | Item | Gets the instance of given type that has been created, or null.
Public property | Keys | All the type for which an instance has been created and cached.
Top
Methods
 | Name | Description
Public method | Contains | Whether an instance of this exact type has been created.
Public method | Dispose | Will dispose of all IDisposable that it contains
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

Galador.Reflection Namespace


RequestCache Constructor

RequestCache Constructor
Initializes a new instance of the RequestCache class

Namespace: Galador.Reflection
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public RequestCache()
Public Sub New
public:
RequestCache()
new : unit -> RequestCache
See Also

Reference

RequestCache Class
Galador.Reflection Namespace


RequestCache Properties

RequestCache Properties

The RequestCache type exposes the following members.

Properties
 | Name | Description
Public property | Count | The number of cached instance.
Public property | Item | Gets the instance of given type that has been created, or null.
Public property | Keys | All the type for which an instance has been created and cached.
Top
See Also

Reference

RequestCache Class
Galador.Reflection Namespace


RequestCache.Count Property

RequestCacheCount Property
The number of cached instance.

Namespace: Galador.Reflection
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public int Count { get; }
Public ReadOnly Property Count As Integer
    Get
public:
property int Count {
    int get ();
}
member Count : int with get

Property Value

Type: Int32
See Also

Reference

RequestCache Class
Galador.Reflection Namespace


RequestCache.Item Property

RequestCacheItem Property
Gets the instance of given type that has been created, or null.

Namespace: Galador.Reflection
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public Object this[
    Type index
] { get; }
Public ReadOnly Default Property Item (
    index As Type
) As Object
    Get
public:
property Object^ default[Type^ index] {
    Object^ get (Type^ index);
}
member Item : Object with get

Parameters

index
Type: SystemType
The type of the instance.

Return Value

Type: Object
An already created and cached instance, or null
See Also

Reference

RequestCache Class
Galador.Reflection Namespace


RequestCache.Keys Property

RequestCacheKeys Property
All the type for which an instance has been created and cached.

Namespace: Galador.Reflection
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public IEnumerable<Type> Keys { get; }
Public ReadOnly Property Keys As IEnumerable(Of Type)
    Get
public:
property IEnumerable<Type^>^ Keys {
    IEnumerable<Type^>^ get ();
}
member Keys : IEnumerable<Type> with get

Property Value

Type: IEnumerable Type
See Also

Reference

RequestCache Class
Galador.Reflection Namespace


RequestCache Methods

RequestCache Methods

The RequestCache type exposes the following members.

Methods
 | Name | Description
Public method | Contains | Whether an instance of this exact type has been created.
Public method | Dispose | Will dispose of all IDisposable that it contains
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

RequestCache Class
Galador.Reflection Namespace


RequestCache.Contains Method

RequestCacheContains Method
Whether an instance of this exact type has been created.

Namespace: Galador.Reflection
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public bool Contains(
    Type key
)
Public Function Contains (
    key As Type
) As Boolean
public:
bool Contains(
    Type^ key
)
member Contains :
        key : Type -> bool

Parameters

key
Type: SystemType

[Missing <param name="key"/> documentation for "M:Galador.Reflection.RequestCache.Contains(System.Type)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:Galador.Reflection.RequestCache.Contains(System.Type)"]

See Also

Reference

RequestCache Class
Galador.Reflection Namespace


RequestCache.Dispose Method

RequestCacheDispose Method
Will dispose of all IDisposable that it contains

Namespace: Galador.Reflection
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void Dispose()
Public Sub Dispose
public:
virtual void Dispose() sealed
abstract Dispose : unit -> unit
override Dispose : unit -> unit

Implements

IDisposableDispose
See Also

Reference

RequestCache Class
Galador.Reflection Namespace


Galador.Reflection.Logging Namespace

Galador.Reflection.Logging Namespace

[Missing <summary> documentation for "N:Galador.Reflection.Logging"]

Classes
 | Class | Description
Public class | TraceKey | Thin multiplatform wrapper around System.Diagnostics.Trace. All its methods, but Write(String) and WriteLine(String), will start the line with a Header.
Public class | TraceKeys | The class that hold reference to all TraceKey, which are very thin wrapper around System.Diagnostic.Trace.
Public class | TraceKeysTracesProperty | The list of existing traces (i.e. TraceKey).


TraceKey Class

TraceKey Class
Thin multiplatform wrapper around System.Diagnostics.Trace. All its methods, but Write(String) and WriteLine(String), will start the line with a Header.
Inheritance Hierarchy
SystemObject
Galador.Reflection.LoggingTraceKey

Namespace: Galador.Reflection.Logging
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public sealed class TraceKey
Public NotInheritable Class TraceKey
public ref class TraceKey sealed
[<SealedAttribute>]
type TraceKey =  class end

The TraceKey type exposes the following members.

Properties
 | Name | Description
Public property | Header | Header written at the start of each line. By default output trace's Name, date, time and current thread ID.
Public property | IsEnabled | Whether the trace is enabled or not. Disabled trace do not write anything.
Public property | Name | Name of the trace
Public property | TraceError | Whether to disable the Error(Object) method and override.
Public property | TraceInfo | Whether to disable the Information(Object) methods and overrides.
Public property | TraceWarning | Whether to disable the Warning(Object) methods and overrides.
Top
Methods
 | Name | Description
Public method | Assert(Boolean, String) |
Public method | Assert(Boolean, String, Object) |
Public method | Debug(Object) |
Public method | Debug(String) |
Public method | Debug(String, Object) |
Public method | DebugIf(Boolean, String) |
Public method | DebugIf(Boolean, String, Object) |
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Public method | Error(Object) |
Public method | Error(String) |
Public method | Error(String, Object) |
 | Flush |
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | Information(Object) |
Public method | Information(String) |
Public method | Information(String, Object) |
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Public method | Warning(Object) |
Public method | Warning(String) |
Public method | Warning(String, Object) |
Public method | Write(Object) |
Public method | Write(String) |
Public method | Write(String, Object) |
Public method | WriteIf(Boolean, String) |
Public method | WriteIf(Boolean, String, Object) |
Public method | WriteLine(Object) |
Public method | WriteLine(String) |
Public method | WriteLine(String, Object) |
Public method | WriteLineIf(Boolean, String) |
Public method | WriteLineIf(Boolean, String, Object) |
Top
Fields
Name | Description
HeaderError | Additional header for Error(Object) methods.
HeaderInfo | Additional header for Information(Object) methods.
HeaderWarning | Additional header for Warning(Object) methods
Top
See Also

Reference

Galador.Reflection.Logging Namespace


TraceKey Properties

TraceKey Properties

The TraceKey type exposes the following members.

Properties
 | Name | Description
Public property | Header | Header written at the start of each line. By default output trace's Name, date, time and current thread ID.
Public property | IsEnabled | Whether the trace is enabled or not. Disabled trace do not write anything.
Public property | Name | Name of the trace
Public property | TraceError | Whether to disable the Error(Object) method and override.
Public property | TraceInfo | Whether to disable the Information(Object) methods and overrides.
Public property | TraceWarning | Whether to disable the Warning(Object) methods and overrides.
Top
See Also

Reference

TraceKey Class
Galador.Reflection.Logging Namespace


TraceKey.Header Property

TraceKeyHeader Property
Header written at the start of each line. By default output trace's Name, date, time and current thread ID.

Namespace: Galador.Reflection.Logging
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public Func<string> Header { get; set; }
Public Property Header As Func(Of String)
    Get
    Set
public:
property Func<String^>^ Header {
    Func<String^>^ get ();
    void set (Func<String^>^ value);
}
member Header : Func<string> with get, set

Property Value

Type: Func String
See Also

Reference

TraceKey Class
Galador.Reflection.Logging Namespace


TraceKey.IsEnabled Property

TraceKeyIsEnabled Property
Whether the trace is enabled or not. Disabled trace do not write anything.

Namespace: Galador.Reflection.Logging
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public bool IsEnabled { get; set; }
Public Property IsEnabled As Boolean
    Get
    Set
public:
property bool IsEnabled {
    bool get ();
    void set (bool value);
}
member IsEnabled : bool with get, set

Property Value

Type: Boolean
Remarks
All IsEnabled state can be initialized in th App.config file on the full .NET framework. With the key "TraceKeys." + trace.Name, and value true, false, on, off
See Also

Reference

TraceKey Class
Galador.Reflection.Logging Namespace


TraceKey.Name Property

TraceKeyName Property
Name of the trace

Namespace: Galador.Reflection.Logging
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public string Name { get; }
Public ReadOnly Property Name As String
    Get
public:
property String^ Name {
    String^ get ();
}
member Name : string with get

Property Value

Type: String
See Also

Reference

TraceKey Class
Galador.Reflection.Logging Namespace


TraceKey.TraceError Property

TraceKeyTraceError Property
Whether to disable the Error(Object) method and override.

Namespace: Galador.Reflection.Logging
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public bool TraceError { get; set; }
Public Property TraceError As Boolean
    Get
    Set
public:
property bool TraceError {
    bool get ();
    void set (bool value);
}
member TraceError : bool with get, set

Property Value

Type: Boolean
See Also

Reference

TraceKey Class
Galador.Reflection.Logging Namespace


TraceKey.TraceInfo Property

TraceKeyTraceInfo Property
Whether to disable the Information(Object) methods and overrides.

Namespace: Galador.Reflection.Logging
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public bool TraceInfo { get; set; }
Public Property TraceInfo As Boolean
    Get
    Set
public:
property bool TraceInfo {
    bool get ();
    void set (bool value);
}
member TraceInfo : bool with get, set

Property Value

Type: Boolean
See Also

Reference

TraceKey Class
Galador.Reflection.Logging Namespace


TraceKey.TraceWarning Property

TraceKeyTraceWarning Property
Whether to disable the Warning(Object) methods and overrides.

Namespace: Galador.Reflection.Logging
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public bool TraceWarning { get; set; }
Public Property TraceWarning As Boolean
    Get
    Set
public:
property bool TraceWarning {
    bool get ();
    void set (bool value);
}
member TraceWarning : bool with get, set

Property Value

Type: Boolean
See Also

Reference

TraceKey Class
Galador.Reflection.Logging Namespace


TraceKey Methods

TraceKey Methods

The TraceKey type exposes the following members.

Methods
 | Name | Description
Public method | Assert(Boolean, String) |
Public method | Assert(Boolean, String, Object) |
Public method | Debug(Object) |
Public method | Debug(String) |
Public method | Debug(String, Object) |
Public method | DebugIf(Boolean, String) |
Public method | DebugIf(Boolean, String, Object) |
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Public method | Error(Object) |
Public method | Error(String) |
Public method | Error(String, Object) |
 | Flush |
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | Information(Object) |
Public method | Information(String) |
Public method | Information(String, Object) |
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Public method | Warning(Object) |
Public method | Warning(String) |
Public method | Warning(String, Object) |
Public method | Write(Object) |
Public method | Write(String) |
Public method | Write(String, Object) |
Public method | WriteIf(Boolean, String) |
Public method | WriteIf(Boolean, String, Object) |
Public method | WriteLine(Object) |
Public method | WriteLine(String) |
Public method | WriteLine(String, Object) |
Public method | WriteLineIf(Boolean, String) |
Public method | WriteLineIf(Boolean, String, Object) |
Top
See Also

Reference

TraceKey Class
Galador.Reflection.Logging Namespace


TraceKey.Assert Method

TraceKeyAssert Method
Overload List
 | Name | Description
Public method | Assert(Boolean, String) |
Public method | Assert(Boolean, String, Object) |
Top
See Also

Reference

TraceKey Class
Galador.Reflection.Logging Namespace


TraceKey.Assert Method (Boolean, String)

TraceKeyAssert Method (Boolean, String)

[Missing <summary> documentation for "M:Galador.Reflection.Logging.TraceKey.Assert(System.Boolean,System.String)"]

Namespace: Galador.Reflection.Logging
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void Assert(
    bool condition,
    string message
)
Public Sub Assert (
    condition As Boolean,
    message As String
)
public:
void Assert(
    bool condition,
    String^ message
)
member Assert :
        condition : bool *
        message : string -> unit

Parameters

condition
Type: SystemBoolean

[Missing <param name="condition"/> documentation for "M:Galador.Reflection.Logging.TraceKey.Assert(System.Boolean,System.String)"]

message
Type: SystemString

[Missing <param name="message"/> documentation for "M:Galador.Reflection.Logging.TraceKey.Assert(System.Boolean,System.String)"]

See Also

Reference

TraceKey Class
Assert Overload
Galador.Reflection.Logging Namespace


TraceKey.Assert Method (Boolean, String, Object[])

TraceKeyAssert Method (Boolean, String, Object)

[Missing <summary> documentation for "M:Galador.Reflection.Logging.TraceKey.Assert(System.Boolean,System.String,System.Object[])"]

Namespace: Galador.Reflection.Logging
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void Assert(
    bool condition,
    string format,
    params Object[] args
)
Public Sub Assert (
    condition As Boolean,
    format As String,
    ParamArray args As Object()
)
public:
void Assert(
    bool condition,
    String^ format,
    ... array<Object^>^ args
)
member Assert :
        condition : bool *
        format : string *
        args : Object[] -> unit

Parameters

condition
Type: SystemBoolean

[Missing <param name="condition"/> documentation for "M:Galador.Reflection.Logging.TraceKey.Assert(System.Boolean,System.String,System.Object[])"]

format
Type: SystemString

[Missing <param name="format"/> documentation for "M:Galador.Reflection.Logging.TraceKey.Assert(System.Boolean,System.String,System.Object[])"]

args
Type: SystemObject

[Missing <param name="args"/> documentation for "M:Galador.Reflection.Logging.TraceKey.Assert(System.Boolean,System.String,System.Object[])"]

See Also

Reference

TraceKey Class
Assert Overload
Galador.Reflection.Logging Namespace


TraceKey.Debug Method

TraceKeyDebug Method
Overload List
 | Name | Description
Public method | Debug(Object) |
Public method | Debug(String) |
Public method | Debug(String, Object) |
Top
See Also

Reference

TraceKey Class
Galador.Reflection.Logging Namespace


TraceKey.Debug Method (Object)

TraceKeyDebug Method (Object)

[Missing <summary> documentation for "M:Galador.Reflection.Logging.TraceKey.Debug(System.Object)"]

Namespace: Galador.Reflection.Logging
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void Debug(
    Object o
)
Public Sub Debug (
    o As Object
)
public:
void Debug(
    Object^ o
)
member Debug :
        o : Object -> unit

Parameters

o
Type: SystemObject

[Missing <param name="o"/> documentation for "M:Galador.Reflection.Logging.TraceKey.Debug(System.Object)"]

See Also

Reference

TraceKey Class
Debug Overload
Galador.Reflection.Logging Namespace


TraceKey.Debug Method (String)

TraceKeyDebug Method (String)

[Missing <summary> documentation for "M:Galador.Reflection.Logging.TraceKey.Debug(System.String)"]

Namespace: Galador.Reflection.Logging
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void Debug(
    string msg
)
Public Sub Debug (
    msg As String
)
public:
void Debug(
    String^ msg
)
member Debug :
        msg : string -> unit

Parameters

msg
Type: SystemString

[Missing <param name="msg"/> documentation for "M:Galador.Reflection.Logging.TraceKey.Debug(System.String)"]

See Also

Reference

TraceKey Class
Debug Overload
Galador.Reflection.Logging Namespace


TraceKey.Debug Method (String, Object[])

TraceKeyDebug Method (String, Object)

[Missing <summary> documentation for "M:Galador.Reflection.Logging.TraceKey.Debug(System.String,System.Object[])"]

Namespace: Galador.Reflection.Logging
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void Debug(
    string format,
    params Object[] args
)
Public Sub Debug (
    format As String,
    ParamArray args As Object()
)
public:
void Debug(
    String^ format,
    ... array<Object^>^ args
)
member Debug :
        format : string *
        args : Object[] -> unit

Parameters

format
Type: SystemString

[Missing <param name="format"/> documentation for "M:Galador.Reflection.Logging.TraceKey.Debug(System.String,System.Object[])"]

args
Type: SystemObject

[Missing <param name="args"/> documentation for "M:Galador.Reflection.Logging.TraceKey.Debug(System.String,System.Object[])"]

See Also

Reference

TraceKey Class
Debug Overload
Galador.Reflection.Logging Namespace


TraceKey.DebugIf Method

TraceKeyDebugIf Method
Overload List
 | Name | Description
Public method | DebugIf(Boolean, String) |
Public method | DebugIf(Boolean, String, Object) |
Top
See Also

Reference

TraceKey Class
Galador.Reflection.Logging Namespace


TraceKey.DebugIf Method (Boolean, String)

TraceKeyDebugIf Method (Boolean, String)

[Missing <summary> documentation for "M:Galador.Reflection.Logging.TraceKey.DebugIf(System.Boolean,System.String)"]

Namespace: Galador.Reflection.Logging
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void DebugIf(
    bool condition,
    string msg
)
Public Sub DebugIf (
    condition As Boolean,
    msg As String
)
public:
void DebugIf(
    bool condition,
    String^ msg
)
member DebugIf :
        condition : bool *
        msg : string -> unit

Parameters

condition
Type: SystemBoolean

[Missing <param name="condition"/> documentation for "M:Galador.Reflection.Logging.TraceKey.DebugIf(System.Boolean,System.String)"]

msg
Type: SystemString

[Missing <param name="msg"/> documentation for "M:Galador.Reflection.Logging.TraceKey.DebugIf(System.Boolean,System.String)"]

See Also

Reference

TraceKey Class
DebugIf Overload
Galador.Reflection.Logging Namespace


TraceKey.DebugIf Method (Boolean, String, Object[])

TraceKeyDebugIf Method (Boolean, String, Object)

[Missing <summary> documentation for "M:Galador.Reflection.Logging.TraceKey.DebugIf(System.Boolean,System.String,System.Object[])"]

Namespace: Galador.Reflection.Logging
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void DebugIf(
    bool condition,
    string format,
    params Object[] args
)
Public Sub DebugIf (
    condition As Boolean,
    format As String,
    ParamArray args As Object()
)
public:
void DebugIf(
    bool condition,
    String^ format,
    ... array<Object^>^ args
)
member DebugIf :
        condition : bool *
        format : string *
        args : Object[] -> unit

Parameters

condition
Type: SystemBoolean

[Missing <param name="condition"/> documentation for "M:Galador.Reflection.Logging.TraceKey.DebugIf(System.Boolean,System.String,System.Object[])"]

format
Type: SystemString

[Missing <param name="format"/> documentation for "M:Galador.Reflection.Logging.TraceKey.DebugIf(System.Boolean,System.String,System.Object[])"]

args
Type: SystemObject

[Missing <param name="args"/> documentation for "M:Galador.Reflection.Logging.TraceKey.DebugIf(System.Boolean,System.String,System.Object[])"]

See Also

Reference

TraceKey Class
DebugIf Overload
Galador.Reflection.Logging Namespace


TraceKey.Error Method

TraceKeyError Method
Overload List
 | Name | Description
Public method | Error(Object) |
Public method | Error(String) |
Public method | Error(String, Object) |
Top
See Also

Reference

TraceKey Class
Galador.Reflection.Logging Namespace


TraceKey.Error Method (Object)

TraceKeyError Method (Object)

[Missing <summary> documentation for "M:Galador.Reflection.Logging.TraceKey.Error(System.Object)"]

Namespace: Galador.Reflection.Logging
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void Error(
    Object o
)
Public Sub Error (
    o As Object
)
public:
void Error(
    Object^ o
)
member Error :
        o : Object -> unit

Parameters

o
Type: SystemObject

[Missing <param name="o"/> documentation for "M:Galador.Reflection.Logging.TraceKey.Error(System.Object)"]

See Also

Reference

TraceKey Class
Error Overload
Galador.Reflection.Logging Namespace


TraceKey.Error Method (String)

TraceKeyError Method (String)

[Missing <summary> documentation for "M:Galador.Reflection.Logging.TraceKey.Error(System.String)"]

Namespace: Galador.Reflection.Logging
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void Error(
    string msg
)
Public Sub Error (
    msg As String
)
public:
void Error(
    String^ msg
)
member Error :
        msg : string -> unit

Parameters

msg
Type: SystemString

[Missing <param name="msg"/> documentation for "M:Galador.Reflection.Logging.TraceKey.Error(System.String)"]

See Also

Reference

TraceKey Class
Error Overload
Galador.Reflection.Logging Namespace


TraceKey.Error Method (String, Object[])

TraceKeyError Method (String, Object)

[Missing <summary> documentation for "M:Galador.Reflection.Logging.TraceKey.Error(System.String,System.Object[])"]

Namespace: Galador.Reflection.Logging
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void Error(
    string format,
    params Object[] args
)
Public Sub Error (
    format As String,
    ParamArray args As Object()
)
public:
void Error(
    String^ format,
    ... array<Object^>^ args
)
member Error :
        format : string *
        args : Object[] -> unit

Parameters

format
Type: SystemString

[Missing <param name="format"/> documentation for "M:Galador.Reflection.Logging.TraceKey.Error(System.String,System.Object[])"]

args
Type: SystemObject

[Missing <param name="args"/> documentation for "M:Galador.Reflection.Logging.TraceKey.Error(System.String,System.Object[])"]

See Also

Reference

TraceKey Class
Error Overload
Galador.Reflection.Logging Namespace


TraceKey.Flush Method

TraceKeyFlush Method

[Missing <summary> documentation for "M:Galador.Reflection.Logging.TraceKey.Flush"]

Namespace: Galador.Reflection.Logging
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public static void Flush()
Public Shared Sub Flush
public:
static void Flush()
static member Flush : unit -> unit
See Also

Reference

TraceKey Class
Galador.Reflection.Logging Namespace


TraceKey.Information Method

TraceKeyInformation Method
Overload List
 | Name | Description
Public method | Information(Object) |
Public method | Information(String) |
Public method | Information(String, Object) |
Top
See Also

Reference

TraceKey Class
Galador.Reflection.Logging Namespace


TraceKey.Information Method (Object)

TraceKeyInformation Method (Object)

[Missing <summary> documentation for "M:Galador.Reflection.Logging.TraceKey.Information(System.Object)"]

Namespace: Galador.Reflection.Logging
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void Information(
    Object o
)
Public Sub Information (
    o As Object
)
public:
void Information(
    Object^ o
)
member Information :
        o : Object -> unit

Parameters

o
Type: SystemObject

[Missing <param name="o"/> documentation for "M:Galador.Reflection.Logging.TraceKey.Information(System.Object)"]

See Also

Reference

TraceKey Class
Information Overload
Galador.Reflection.Logging Namespace


TraceKey.Information Method (String)

TraceKeyInformation Method (String)

[Missing <summary> documentation for "M:Galador.Reflection.Logging.TraceKey.Information(System.String)"]

Namespace: Galador.Reflection.Logging
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void Information(
    string msg
)
Public Sub Information (
    msg As String
)
public:
void Information(
    String^ msg
)
member Information :
        msg : string -> unit

Parameters

msg
Type: SystemString

[Missing <param name="msg"/> documentation for "M:Galador.Reflection.Logging.TraceKey.Information(System.String)"]

See Also

Reference

TraceKey Class
Information Overload
Galador.Reflection.Logging Namespace


TraceKey.Information Method (String, Object[])

TraceKeyInformation Method (String, Object)

[Missing <summary> documentation for "M:Galador.Reflection.Logging.TraceKey.Information(System.String,System.Object[])"]

Namespace: Galador.Reflection.Logging
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void Information(
    string format,
    params Object[] args
)
Public Sub Information (
    format As String,
    ParamArray args As Object()
)
public:
void Information(
    String^ format,
    ... array<Object^>^ args
)
member Information :
        format : string *
        args : Object[] -> unit

Parameters

format
Type: SystemString

[Missing <param name="format"/> documentation for "M:Galador.Reflection.Logging.TraceKey.Information(System.String,System.Object[])"]

args
Type: SystemObject

[Missing <param name="args"/> documentation for "M:Galador.Reflection.Logging.TraceKey.Information(System.String,System.Object[])"]

See Also

Reference

TraceKey Class
Information Overload
Galador.Reflection.Logging Namespace


TraceKey.Warning Method

TraceKeyWarning Method
Overload List
 | Name | Description
Public method | Warning(Object) |
Public method | Warning(String) |
Public method | Warning(String, Object) |
Top
See Also

Reference

TraceKey Class
Galador.Reflection.Logging Namespace


TraceKey.Warning Method (Object)

TraceKeyWarning Method (Object)

[Missing <summary> documentation for "M:Galador.Reflection.Logging.TraceKey.Warning(System.Object)"]

Namespace: Galador.Reflection.Logging
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void Warning(
    Object o
)
Public Sub Warning (
    o As Object
)
public:
void Warning(
    Object^ o
)
member Warning :
        o : Object -> unit

Parameters

o
Type: SystemObject

[Missing <param name="o"/> documentation for "M:Galador.Reflection.Logging.TraceKey.Warning(System.Object)"]

See Also

Reference

TraceKey Class
Warning Overload
Galador.Reflection.Logging Namespace


TraceKey.Warning Method (String)

TraceKeyWarning Method (String)

[Missing <summary> documentation for "M:Galador.Reflection.Logging.TraceKey.Warning(System.String)"]

Namespace: Galador.Reflection.Logging
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void Warning(
    string msg
)
Public Sub Warning (
    msg As String
)
public:
void Warning(
    String^ msg
)
member Warning :
        msg : string -> unit

Parameters

msg
Type: SystemString

[Missing <param name="msg"/> documentation for "M:Galador.Reflection.Logging.TraceKey.Warning(System.String)"]

See Also

Reference

TraceKey Class
Warning Overload
Galador.Reflection.Logging Namespace


TraceKey.Warning Method (String, Object[])

TraceKeyWarning Method (String, Object)

[Missing <summary> documentation for "M:Galador.Reflection.Logging.TraceKey.Warning(System.String,System.Object[])"]

Namespace: Galador.Reflection.Logging
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void Warning(
    string format,
    params Object[] args
)
Public Sub Warning (
    format As String,
    ParamArray args As Object()
)
public:
void Warning(
    String^ format,
    ... array<Object^>^ args
)
member Warning :
        format : string *
        args : Object[] -> unit

Parameters

format
Type: SystemString

[Missing <param name="format"/> documentation for "M:Galador.Reflection.Logging.TraceKey.Warning(System.String,System.Object[])"]

args
Type: SystemObject

[Missing <param name="args"/> documentation for "M:Galador.Reflection.Logging.TraceKey.Warning(System.String,System.Object[])"]

See Also

Reference

TraceKey Class
Warning Overload
Galador.Reflection.Logging Namespace


TraceKey.Write Method

TraceKeyWrite Method
Overload List
 | Name | Description
Public method | Write(Object) |
Public method | Write(String) |
Public method | Write(String, Object) |
Top
See Also

Reference

TraceKey Class
Galador.Reflection.Logging Namespace


TraceKey.Write Method (Object)

TraceKeyWrite Method (Object)

[Missing <summary> documentation for "M:Galador.Reflection.Logging.TraceKey.Write(System.Object)"]

Namespace: Galador.Reflection.Logging
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void Write(
    Object o
)
Public Sub Write (
    o As Object
)
public:
void Write(
    Object^ o
)
member Write :
        o : Object -> unit

Parameters

o
Type: SystemObject

[Missing <param name="o"/> documentation for "M:Galador.Reflection.Logging.TraceKey.Write(System.Object)"]

See Also

Reference

TraceKey Class
Write Overload
Galador.Reflection.Logging Namespace


TraceKey.Write Method (String)

TraceKeyWrite Method (String)

[Missing <summary> documentation for "M:Galador.Reflection.Logging.TraceKey.Write(System.String)"]

Namespace: Galador.Reflection.Logging
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void Write(
    string msg
)
Public Sub Write (
    msg As String
)
public:
void Write(
    String^ msg
)
member Write :
        msg : string -> unit

Parameters

msg
Type: SystemString

[Missing <param name="msg"/> documentation for "M:Galador.Reflection.Logging.TraceKey.Write(System.String)"]

See Also

Reference

TraceKey Class
Write Overload
Galador.Reflection.Logging Namespace


TraceKey.Write Method (String, Object[])

TraceKeyWrite Method (String, Object)

[Missing <summary> documentation for "M:Galador.Reflection.Logging.TraceKey.Write(System.String,System.Object[])"]

Namespace: Galador.Reflection.Logging
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void Write(
    string format,
    params Object[] args
)
Public Sub Write (
    format As String,
    ParamArray args As Object()
)
public:
void Write(
    String^ format,
    ... array<Object^>^ args
)
member Write :
        format : string *
        args : Object[] -> unit

Parameters

format
Type: SystemString

[Missing <param name="format"/> documentation for "M:Galador.Reflection.Logging.TraceKey.Write(System.String,System.Object[])"]

args
Type: SystemObject

[Missing <param name="args"/> documentation for "M:Galador.Reflection.Logging.TraceKey.Write(System.String,System.Object[])"]

See Also

Reference

TraceKey Class
Write Overload
Galador.Reflection.Logging Namespace


TraceKey.WriteIf Method

TraceKeyWriteIf Method
Overload List
 | Name | Description
Public method | WriteIf(Boolean, String) |
Public method | WriteIf(Boolean, String, Object) |
Top
See Also

Reference

TraceKey Class
Galador.Reflection.Logging Namespace


TraceKey.WriteIf Method (Boolean, String)

TraceKeyWriteIf Method (Boolean, String)

[Missing <summary> documentation for "M:Galador.Reflection.Logging.TraceKey.WriteIf(System.Boolean,System.String)"]

Namespace: Galador.Reflection.Logging
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void WriteIf(
    bool condition,
    string msg
)
Public Sub WriteIf (
    condition As Boolean,
    msg As String
)
public:
void WriteIf(
    bool condition,
    String^ msg
)
member WriteIf :
        condition : bool *
        msg : string -> unit

Parameters

condition
Type: SystemBoolean

[Missing <param name="condition"/> documentation for "M:Galador.Reflection.Logging.TraceKey.WriteIf(System.Boolean,System.String)"]

msg
Type: SystemString

[Missing <param name="msg"/> documentation for "M:Galador.Reflection.Logging.TraceKey.WriteIf(System.Boolean,System.String)"]

See Also

Reference

TraceKey Class
WriteIf Overload
Galador.Reflection.Logging Namespace


TraceKey.WriteIf Method (Boolean, String, Object[])

TraceKeyWriteIf Method (Boolean, String, Object)

[Missing <summary> documentation for "M:Galador.Reflection.Logging.TraceKey.WriteIf(System.Boolean,System.String,System.Object[])"]

Namespace: Galador.Reflection.Logging
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void WriteIf(
    bool condition,
    string format,
    params Object[] args
)
Public Sub WriteIf (
    condition As Boolean,
    format As String,
    ParamArray args As Object()
)
public:
void WriteIf(
    bool condition,
    String^ format,
    ... array<Object^>^ args
)
member WriteIf :
        condition : bool *
        format : string *
        args : Object[] -> unit

Parameters

condition
Type: SystemBoolean

[Missing <param name="condition"/> documentation for "M:Galador.Reflection.Logging.TraceKey.WriteIf(System.Boolean,System.String,System.Object[])"]

format
Type: SystemString

[Missing <param name="format"/> documentation for "M:Galador.Reflection.Logging.TraceKey.WriteIf(System.Boolean,System.String,System.Object[])"]

args
Type: SystemObject

[Missing <param name="args"/> documentation for "M:Galador.Reflection.Logging.TraceKey.WriteIf(System.Boolean,System.String,System.Object[])"]

See Also

Reference

TraceKey Class
WriteIf Overload
Galador.Reflection.Logging Namespace


TraceKey.WriteLine Method

TraceKeyWriteLine Method
Overload List
 | Name | Description
Public method | WriteLine(Object) |
Public method | WriteLine(String) |
Public method | WriteLine(String, Object) |
Top
See Also

Reference

TraceKey Class
Galador.Reflection.Logging Namespace


TraceKey.WriteLine Method (Object)

TraceKeyWriteLine Method (Object)

[Missing <summary> documentation for "M:Galador.Reflection.Logging.TraceKey.WriteLine(System.Object)"]

Namespace: Galador.Reflection.Logging
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void WriteLine(
    Object o
)
Public Sub WriteLine (
    o As Object
)
public:
void WriteLine(
    Object^ o
)
member WriteLine :
        o : Object -> unit

Parameters

o
Type: SystemObject

[Missing <param name="o"/> documentation for "M:Galador.Reflection.Logging.TraceKey.WriteLine(System.Object)"]

See Also

Reference

TraceKey Class
WriteLine Overload
Galador.Reflection.Logging Namespace


TraceKey.WriteLine Method (String)

TraceKeyWriteLine Method (String)

[Missing <summary> documentation for "M:Galador.Reflection.Logging.TraceKey.WriteLine(System.String)"]

Namespace: Galador.Reflection.Logging
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void WriteLine(
    string msg
)
Public Sub WriteLine (
    msg As String
)
public:
void WriteLine(
    String^ msg
)
member WriteLine :
        msg : string -> unit

Parameters

msg
Type: SystemString

[Missing <param name="msg"/> documentation for "M:Galador.Reflection.Logging.TraceKey.WriteLine(System.String)"]

See Also

Reference

TraceKey Class
WriteLine Overload
Galador.Reflection.Logging Namespace


TraceKey.WriteLine Method (String, Object[])

TraceKeyWriteLine Method (String, Object)

[Missing <summary> documentation for "M:Galador.Reflection.Logging.TraceKey.WriteLine(System.String,System.Object[])"]

Namespace: Galador.Reflection.Logging
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void WriteLine(
    string format,
    params Object[] args
)
Public Sub WriteLine (
    format As String,
    ParamArray args As Object()
)
public:
void WriteLine(
    String^ format,
    ... array<Object^>^ args
)
member WriteLine :
        format : string *
        args : Object[] -> unit

Parameters

format
Type: SystemString

[Missing <param name="format"/> documentation for "M:Galador.Reflection.Logging.TraceKey.WriteLine(System.String,System.Object[])"]

args
Type: SystemObject

[Missing <param name="args"/> documentation for "M:Galador.Reflection.Logging.TraceKey.WriteLine(System.String,System.Object[])"]

See Also

Reference

TraceKey Class
WriteLine Overload
Galador.Reflection.Logging Namespace


TraceKey.WriteLineIf Method

TraceKeyWriteLineIf Method
Overload List
 | Name | Description
Public method | WriteLineIf(Boolean, String) |
Public method | WriteLineIf(Boolean, String, Object) |
Top
See Also

Reference

TraceKey Class
Galador.Reflection.Logging Namespace


TraceKey.WriteLineIf Method (Boolean, String)

TraceKeyWriteLineIf Method (Boolean, String)

[Missing <summary> documentation for "M:Galador.Reflection.Logging.TraceKey.WriteLineIf(System.Boolean,System.String)"]

Namespace: Galador.Reflection.Logging
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void WriteLineIf(
    bool condition,
    string msg
)
Public Sub WriteLineIf (
    condition As Boolean,
    msg As String
)
public:
void WriteLineIf(
    bool condition,
    String^ msg
)
member WriteLineIf :
        condition : bool *
        msg : string -> unit

Parameters

condition
Type: SystemBoolean

[Missing <param name="condition"/> documentation for "M:Galador.Reflection.Logging.TraceKey.WriteLineIf(System.Boolean,System.String)"]

msg
Type: SystemString

[Missing <param name="msg"/> documentation for "M:Galador.Reflection.Logging.TraceKey.WriteLineIf(System.Boolean,System.String)"]

See Also

Reference

TraceKey Class
WriteLineIf Overload
Galador.Reflection.Logging Namespace


TraceKey.WriteLineIf Method (Boolean, String, Object[])

TraceKeyWriteLineIf Method (Boolean, String, Object)

[Missing <summary> documentation for "M:Galador.Reflection.Logging.TraceKey.WriteLineIf(System.Boolean,System.String,System.Object[])"]

Namespace: Galador.Reflection.Logging
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void WriteLineIf(
    bool condition,
    string format,
    params Object[] args
)
Public Sub WriteLineIf (
    condition As Boolean,
    format As String,
    ParamArray args As Object()
)
public:
void WriteLineIf(
    bool condition,
    String^ format,
    ... array<Object^>^ args
)
member WriteLineIf :
        condition : bool *
        format : string *
        args : Object[] -> unit

Parameters

condition
Type: SystemBoolean

[Missing <param name="condition"/> documentation for "M:Galador.Reflection.Logging.TraceKey.WriteLineIf(System.Boolean,System.String,System.Object[])"]

format
Type: SystemString

[Missing <param name="format"/> documentation for "M:Galador.Reflection.Logging.TraceKey.WriteLineIf(System.Boolean,System.String,System.Object[])"]

args
Type: SystemObject

[Missing <param name="args"/> documentation for "M:Galador.Reflection.Logging.TraceKey.WriteLineIf(System.Boolean,System.String,System.Object[])"]

See Also

Reference

TraceKey Class
WriteLineIf Overload
Galador.Reflection.Logging Namespace


TraceKey Fields

TraceKey Fields

The TraceKey type exposes the following members.

Fields
Name | Description
HeaderError | Additional header for Error(Object) methods.
HeaderInfo | Additional header for Information(Object) methods.
HeaderWarning | Additional header for Warning(Object) methods
Top
See Also

Reference

TraceKey Class
Galador.Reflection.Logging Namespace


TraceKey.HeaderError Field

TraceKeyHeaderError Field
Additional header for Error(Object) methods.

Namespace: Galador.Reflection.Logging
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public const string HeaderError
Public Const HeaderError As String
public:
literal String^ HeaderError
static val mutable HeaderError: string

Field Value

Type: String
See Also

Reference

TraceKey Class
Galador.Reflection.Logging Namespace


TraceKey.HeaderInfo Field

TraceKeyHeaderInfo Field
Additional header for Information(Object) methods.

Namespace: Galador.Reflection.Logging
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public const string HeaderInfo
Public Const HeaderInfo As String
public:
literal String^ HeaderInfo
static val mutable HeaderInfo: string

Field Value

Type: String
See Also

Reference

TraceKey Class
Galador.Reflection.Logging Namespace


TraceKey.HeaderWarning Field

TraceKeyHeaderWarning Field
Additional header for Warning(Object) methods

Namespace: Galador.Reflection.Logging
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public const string HeaderWarning
Public Const HeaderWarning As String
public:
literal String^ HeaderWarning
static val mutable HeaderWarning: string

Field Value

Type: String
See Also

Reference

TraceKey Class
Galador.Reflection.Logging Namespace


TraceKeys Class

TraceKeys Class
The class that hold reference to all TraceKey, which are very thin wrapper around System.Diagnostic.Trace.
Inheritance Hierarchy
SystemObject
Galador.Reflection.LoggingTraceKeys

Namespace: Galador.Reflection.Logging
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public static class TraceKeys
Public NotInheritable Class TraceKeys
public ref class TraceKeys abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
type TraceKeys =  class end

The TraceKeys type exposes the following members.

Properties
Name | Description
Application | A predefined trace, with IsEnabled true by default. Use that for your main application.
Registry | A predefined trace, with IsEnabled false by default. Used by the Registry code to log information.
Serialization | A predefined trace, with IsEnabled false by default. Used by the serialization code to log information.
Traces | Gets all the traces.
Top
Remarks
All IsEnabled state can be initialized in th App.config file on the full .NET framework. With the key "TraceKeys." + trace.Name, and value true, false, on, off
See Also

Reference

Galador.Reflection.Logging Namespace


TraceKeys Properties

TraceKeys Properties

The TraceKeys type exposes the following members.

Properties
Name | Description
Application | A predefined trace, with IsEnabled true by default. Use that for your main application.
Registry | A predefined trace, with IsEnabled false by default. Used by the Registry code to log information.
Serialization | A predefined trace, with IsEnabled false by default. Used by the serialization code to log information.
Traces | Gets all the traces.
Top
See Also

Reference

TraceKeys Class
Galador.Reflection.Logging Namespace


TraceKeys.Application Property

TraceKeysApplication Property
A predefined trace, with IsEnabled true by default. Use that for your main application.

Namespace: Galador.Reflection.Logging
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public static TraceKey Application { get; }
Public Shared ReadOnly Property Application As TraceKey
    Get
public:
static property TraceKey^ Application {
    TraceKey^ get ();
}
static member Application : TraceKey with get

Property Value

Type: TraceKey
See Also

Reference

TraceKeys Class
Galador.Reflection.Logging Namespace


TraceKeys.Registry Property

TraceKeysRegistry Property
A predefined trace, with IsEnabled false by default. Used by the Registry code to log information.

Namespace: Galador.Reflection.Logging
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public static TraceKey Registry { get; }
Public Shared ReadOnly Property Registry As TraceKey
    Get
public:
static property TraceKey^ Registry {
    TraceKey^ get ();
}
static member Registry : TraceKey with get

Property Value

Type: TraceKey
See Also

Reference

TraceKeys Class
Galador.Reflection.Logging Namespace


TraceKeys.Serialization Property

TraceKeysSerialization Property
A predefined trace, with IsEnabled false by default. Used by the serialization code to log information.

Namespace: Galador.Reflection.Logging
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public static TraceKey Serialization { get; }
Public Shared ReadOnly Property Serialization As TraceKey
    Get
public:
static property TraceKey^ Serialization {
    TraceKey^ get ();
}
static member Serialization : TraceKey with get

Property Value

Type: TraceKey
See Also

Reference

TraceKeys Class
Galador.Reflection.Logging Namespace


TraceKeys.Traces Property

TraceKeysTraces Property
Gets all the traces.

Namespace: Galador.Reflection.Logging
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public static TraceKeysTracesProperty Traces { get; }
Public Shared ReadOnly Property Traces As TraceKeysTracesProperty
    Get
public:
static property TraceKeysTracesProperty^ Traces {
    TraceKeysTracesProperty^ get ();
}
static member Traces : TraceKeysTracesProperty with get

Property Value

Type: TraceKeysTracesProperty
See Also

Reference

TraceKeys Class
Galador.Reflection.Logging Namespace


TraceKeys.TracesProperty Class

TraceKeysTracesProperty Class
The list of existing traces (i.e. TraceKey).
Inheritance Hierarchy
SystemObject
Galador.Reflection.LoggingTraceKeysTracesProperty

Namespace: Galador.Reflection.Logging
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public class TracesProperty : IEnumerable<TraceKey>,
    IEnumerable
Public Class TracesProperty
    Implements IEnumerable(Of TraceKey), IEnumerable
public ref class TracesProperty : IEnumerable<TraceKey^>,
    IEnumerable
type TracesProperty =
    class
        interface IEnumerable<TraceKey>
        interface IEnumerable
    end

The TraceKeysTracesProperty type exposes the following members.

Constructors
 | Name | Description
Public method | TraceKeysTracesProperty | Initializes a new instance of the TraceKeysTracesProperty class
Top
Properties
 | Name | Description
Public property | Item | Gets a TraceKey by name.
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetEnumerator | Exposes the enumerator, which supports a simple iteration over a collection of a specified type.To browse the .NET Framework source code for this type, see the Reference Source.
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetTrace | Gets a TraceKey by name and run some code (init) against it.
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

Galador.Reflection.Logging Namespace


TraceKeys.TracesProperty Constructor

TraceKeysTracesProperty Constructor
Initializes a new instance of the TraceKeysTracesProperty class

Namespace: Galador.Reflection.Logging
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public TracesProperty()
Public Sub New
public:
TracesProperty()
new : unit -> TracesProperty
See Also

Reference

TraceKeysTracesProperty Class
Galador.Reflection.Logging Namespace


TracesProperty Properties

TracesProperty Properties

The TraceKeysTracesProperty type exposes the following members.

Properties
 | Name | Description
Public property | Item | Gets a TraceKey by name.
Top
See Also

Reference

TraceKeysTracesProperty Class
Galador.Reflection.Logging Namespace


TraceKeys.TracesProperty.Item Property

TraceKeysTracesPropertyItem Property
Gets a TraceKey by name.

Namespace: Galador.Reflection.Logging
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public TraceKey this[
    string name
] { get; }
Public ReadOnly Default Property Item (
    name As String
) As TraceKey
    Get
public:
property TraceKey^ default[String^ name] {
    TraceKey^ get (String^ name);
}
member Item : TraceKey with get

Parameters

name
Type: SystemString

Property Value

Type: TraceKey
See Also

Reference

TraceKeysTracesProperty Class
Galador.Reflection.Logging Namespace


TracesProperty Methods

TracesProperty Methods

The TraceKeysTracesProperty type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetEnumerator | Exposes the enumerator, which supports a simple iteration over a collection of a specified type.To browse the .NET Framework source code for this type, see the Reference Source.
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetTrace | Gets a TraceKey by name and run some code (init) against it.
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

TraceKeysTracesProperty Class
Galador.Reflection.Logging Namespace


TraceKeys.TracesProperty.GetEnumerator Method

TraceKeysTracesPropertyGetEnumerator Method
Exposes the enumerator, which supports a simple iteration over a collection of a specified type.To browse the .NET Framework source code for this type, see the Reference Source.

Namespace: Galador.Reflection.Logging
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public IEnumerator<TraceKey> GetEnumerator()
Public Function GetEnumerator As IEnumerator(Of TraceKey)
public:
virtual IEnumerator<TraceKey^>^ GetEnumerator() sealed
abstract GetEnumerator : unit -> IEnumerator<TraceKey>
override GetEnumerator : unit -> IEnumerator<TraceKey>

Return Value

Type: IEnumerator TraceKey

[Missing <returns> documentation for "M:Galador.Reflection.Logging.TraceKeys.TracesProperty.GetEnumerator"]

Implements

IEnumerableTGetEnumerator
See Also

Reference

TraceKeysTracesProperty Class
Galador.Reflection.Logging Namespace


TraceKeys.TracesProperty.GetTrace Method

TraceKeysTracesPropertyGetTrace Method
Gets a TraceKey by name and run some code (init) against it.

Namespace: Galador.Reflection.Logging
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public TraceKey GetTrace(
    string name,
    Action<TraceKey> init
)
Public Function GetTrace (
    name As String,
    init As Action(Of TraceKey)
) As TraceKey
public:
TraceKey^ GetTrace(
    String^ name,
    Action<TraceKey^>^ init
)
member GetTrace :
        name : string *
        init : Action<TraceKey> -> TraceKey

Parameters

name
Type: SystemString
The name of the trace.
init
Type: SystemAction TraceKey
Initialization or updating code to run on the TraceKey.

Return Value

Type: TraceKey
The TraceKey with the name
See Also

Reference

TraceKeysTracesProperty Class
Galador.Reflection.Logging Namespace


Galador.Reflection.Serialization Namespace

Galador.Reflection.Serialization Namespace

[Missing <summary> documentation for "N:Galador.Reflection.Serialization"]

Classes
Class Description
Public class DateTimeOffsetSurrogate
Built in surrogate for DateTimeOffset.
Public class DateTimeSurrogate
Built in surrogate for DateTime.
Public class DBNullSurrogate
Built in surrogate for DBNull.
Public class KnownTypes
This class does all the reflection work related to .NET type lookup.
Public class MemberListT
Specialized list of T which must be IMember. Index them by both int index but also name.
Public class Missing
Instance returned when the original type cannot be found.
Public class MissingMember
A class that represent either property or field in a class. Identified by name.
Public class NotSerializedAttribute
Property or Field with this attribute will NOT be serialized regardless of the SerializationSettingsAttribute of their class.
Public class ObjectContext
A class that will contain all references written by the ObjectWriter or read by the ObjectReader Could be use for reference purpose.
Public class ObjectReader
This class will deserialize an object (or many object) from a given IPrimitiveReader.
Public class ObjectWriter
This write objects to a version tolerant serialization stream. Very much like JSON writing public field and property and matching them by name. WIth the following differences:
1. Class meta data is written, to avoid repeating property / field name. i.e. once a class has been written only the property value need be written for each instance.
2. Object 'ID' are created and written for each reference, to avoid circular reference.
3. It supports IList, ICollectionT, IDictionary, IDictionaryTKey, TValue
4. It supports TypeConverter, ISerializable.
4. Opaque type (such as Bitmap or Stream) or readonly type (such as Tuple) can still be serialized using ISurrogateT classes.
5. It is a strongly typed serialization mechanism, however class name and assembly name can be overridden using the SerializationNameAttribute on each class, effectively enabling replacing one class by another. Also class name is not matched on assembly, only full type name.
6. Of course it also support various attribute to select which property fields are saved.
Public class PrimitiveBinaryReader
An IPrimitiveReader reading from a Stream.
Public class PrimitiveBinaryWriter
An IPrimitiveWriter writing to a Stream.
Public class PrimitiveTextReader
An IPrimitiveReader reading from a TextReader.
Public class PrimitiveTextWriter
An IPrimitiveWriter writing to a TextWriter.
Public class ReflectType
The type representing locally all relevant serialization info of a .NET type. One can object local information with GetType(Type). This information will be serialized along with object data to exactly reproduce object format when deserializing.
Public class ReflectTypeMember
Represent a member of this type, i.e. a property or field that will be serialized.
Public class SerializationNameAttribute
This attribute will override default type name and assembly name used to identify the type they decorate.
Public class SerializationSettings
Settings for the ObjectWriter that will affect serialization
Public class SerializationSettingsAttribute
Attribute that control serialization behavior for a particular type.
Public class SerializedAttribute
Property or Field with this attribute will be serialized regardless of the SerializationSettingsAttribute of their class.
Public class Serializer
Handy helper class to perform typical serialization operation in just one method call.
Public class StreamExtensions
A utility class helping write base .NET value to a stream
Public class TimeSpanSurrogate
Built in surrogate for TimeSpan.
Public class TokenPrimitiveReader
An IPrimitiveReader that read the data from an object list. It is faster for cloning and also make it easier to debug serialization.
Public class TokenPrimitiveWriter
An IPrimitiveWriter that write data to an object list. It is faster for cloning and also make it easier to debug serialization.
Public class TupleSurrogateT1
Built in surrogate for TupleT1.
Public class TupleSurrogateT1, T2
Built in surrogate for TupleT1, T2, ValueTupleT1, T2, KeyValuePairTKey, TValue.
Public class TupleSurrogateT1, T2, T3
Built in surrogate for TupleT1, T2, T3, ValueTupleT1, T2, T3.
Public class TupleSurrogateT1, T2, T3, T4
Built in surrogate for TupleT1, T2, T3, T4, ValueTupleT1, T2, T3, T4.
Public class TupleSurrogateT1, T2, T3, T4, T5
Built in surrogate for TupleT1, T2, T3, T4, T5,ValueTupleT1, T2, T3, T4, T5.
Public class TypeDescription
This class help transform type to string description and vice version. The string format is very similar to standard .NET type string, except the assembly name is just the name, without version of hash.
Public class TypeDescriptionConverter
TypeConverter for TypeDescription
Interfaces
 | Interface | Description
Public interface | IDeserialized | This method will be called on deserialized object for further deserialization post processing. It will be called immediately on value type and when the whole object tree has been process on value type.
Public interface | IMember | Object which have a name and are used with MemberListT. So far either of FastMember, ReflectTypeMember and MissingMember.
Public interface | IPrimitiveReader | An interface that know how to read all primitive type (i.e. all non object PrimitiveType) from some underlying storage.
Public interface | IPrimitiveWriter | An interface that know how to write all primitive type (i.e. all non object PrimitiveType) to some underlying storage.
Public interface | ISurrogateT | Implement this interface to help the serializer read/write problematic types. i.e. type that are not described by their public properties and fields (such as Bitmap or Stream) and type which have readonly value type, such as TupleT1. Do that by exposing the data as public property and fields, or implement a known collection.
Enumerations
 | Enumeration | Description
Public enumeration | PrimitiveType | A quick categorization of .NET type
Public enumeration | ReflectCollectionType | The well known collection type implemented by the type. It is not a flag enum. Only one at a time is supported


DateTimeOffsetSurrogate Class

DateTimeOffsetSurrogate Class
Built in surrogate for DateTimeOffset.
Inheritance Hierarchy
SystemObject
Galador.Reflection.SerializationDateTimeOffsetSurrogate

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public class DateTimeOffsetSurrogate : ISurrogate<DateTimeOffset>
Public Class DateTimeOffsetSurrogate
    Implements ISurrogate(Of DateTimeOffset)
public ref class DateTimeOffsetSurrogate : ISurrogate<DateTimeOffset>
type DateTimeOffsetSurrogate =
    class
        interface ISurrogate<DateTimeOffset>
    end

The DateTimeOffsetSurrogate type exposes the following members.

Constructors
 | Name | Description
Public method | DateTimeOffsetSurrogate | Initializes a new instance of the DateTimeOffsetSurrogate class
Top
Properties
 | Name | Description
Public property | Offset |
Public property | Ticks |
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

Galador.Reflection.Serialization Namespace


DateTimeOffsetSurrogate Constructor

DateTimeOffsetSurrogate Constructor
Initializes a new instance of the DateTimeOffsetSurrogate class

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public DateTimeOffsetSurrogate()
Public Sub New
public:
DateTimeOffsetSurrogate()
new : unit -> DateTimeOffsetSurrogate
See Also

Reference

DateTimeOffsetSurrogate Class


DateTimeOffsetSurrogate Properties

DateTimeOffsetSurrogate Properties

The DateTimeOffsetSurrogate type exposes the following members.

Properties
 | Name | Description
Public property | Offset |
Public property | Ticks |
Top
See Also

Reference

DateTimeOffsetSurrogate Class


DateTimeOffsetSurrogate.Offset Property

DateTimeOffsetSurrogateOffset Property

[Missing <summary> documentation for "P:Galador.Reflection.Serialization.DateTimeOffsetSurrogate.Offset"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public long Offset { get; set; }
Public Property Offset As Long
    Get
    Set
public:
property long long Offset {
    long long get ();
    void set (long long value);
}
member Offset : int64 with get, set

Property Value

Type: Int64
See Also

Reference

DateTimeOffsetSurrogate Class


DateTimeOffsetSurrogate.Ticks Property

DateTimeOffsetSurrogateTicks Property

[Missing <summary> documentation for "P:Galador.Reflection.Serialization.DateTimeOffsetSurrogate.Ticks"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public long Ticks { get; set; }
Public Property Ticks As Long
    Get
    Set
public:
property long long Ticks {
    long long get ();
    void set (long long value);
}
member Ticks : int64 with get, set

Property Value

Type: Int64
See Also

Reference

DateTimeOffsetSurrogate Class


DateTimeOffsetSurrogate Methods

DateTimeOffsetSurrogate Methods

The DateTimeOffsetSurrogate type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

DateTimeOffsetSurrogate Class


DateTimeSurrogate Class

DateTimeSurrogate Class
Built in surrogate for DateTime.
Inheritance Hierarchy
SystemObject
Galador.Reflection.SerializationDateTimeSurrogate

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public class DateTimeSurrogate : ISurrogate<DateTime>
Public Class DateTimeSurrogate
    Implements ISurrogate(Of DateTime)
public ref class DateTimeSurrogate : ISurrogate<DateTime>
type DateTimeSurrogate =
    class
        interface ISurrogate<DateTime>
    end

The DateTimeSurrogate type exposes the following members.

Constructors
 | Name | Description
Public method | DateTimeSurrogate | Initializes a new instance of the DateTimeSurrogate class
Top
Properties
 | Name | Description
Public property | Kind |
Public property | Ticks |
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference


DateTimeSurrogate Constructor

DateTimeSurrogate Constructor
Initializes a new instance of the DateTimeSurrogate class

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public DateTimeSurrogate()
Public Sub New
public:
DateTimeSurrogate()
new : unit -> DateTimeSurrogate
See Also

Reference

DateTimeSurrogate Class


DateTimeSurrogate Properties

DateTimeSurrogate Properties

The DateTimeSurrogate type exposes the following members.

Properties
 | Name | Description
Public property | Kind |
Public property | Ticks |
Top
See Also

Reference

DateTimeSurrogate Class


DateTimeSurrogate.Kind Property

DateTimeSurrogateKind Property

[Missing <summary> documentation for "P:Galador.Reflection.Serialization.DateTimeSurrogate.Kind"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public DateTimeKind Kind { get; set; }
Public Property Kind As DateTimeKind
    Get
    Set
public:
property DateTimeKind Kind {
    DateTimeKind get ();
    void set (DateTimeKind value);
}
member Kind : DateTimeKind with get, set

Property Value

Type: DateTimeKind
See Also

Reference

DateTimeSurrogate Class


DateTimeSurrogate.Ticks Property

DateTimeSurrogateTicks Property

[Missing <summary> documentation for "P:Galador.Reflection.Serialization.DateTimeSurrogate.Ticks"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public long Ticks { get; set; }
Public Property Ticks As Long
    Get
    Set
public:
property long long Ticks {
    long long get ();
    void set (long long value);
}
member Ticks : int64 with get, set

Property Value

Type: Int64
See Also

Reference

DateTimeSurrogate Class


DateTimeSurrogate Methods

DateTimeSurrogate Methods

The DateTimeSurrogate type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

DateTimeSurrogate Class


DBNullSurrogate Class

DBNullSurrogate Class
Built in surrogate for DBNull.
Inheritance Hierarchy
SystemObject
Galador.Reflection.SerializationDBNullSurrogate

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public class DBNullSurrogate : ISurrogate<DBNull>
Public Class DBNullSurrogate
    Implements ISurrogate(Of DBNull)
public ref class DBNullSurrogate : ISurrogate<DBNull^>
type DBNullSurrogate =
    class
        interface ISurrogate<DBNull>
    end

The DBNullSurrogate type exposes the following members.

Constructors
 | Name | Description
Public method | DBNullSurrogate | Initializes a new instance of the DBNullSurrogate class
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | Instantiate |
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference


DBNullSurrogate Constructor

DBNullSurrogate Constructor
Initializes a new instance of the DBNullSurrogate class

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public DBNullSurrogate()
Public Sub New
public:
DBNullSurrogate()
new : unit -> DBNullSurrogate
See Also

Reference

DBNullSurrogate Class


DBNullSurrogate Methods

DBNullSurrogate Methods

The DBNullSurrogate type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | Instantiate |
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

DBNullSurrogate Class


DBNullSurrogate.Instantiate Method

DBNullSurrogateInstantiate Method

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.DBNullSurrogate.Instantiate"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public DBNull Instantiate()
Public Function Instantiate As DBNull
public:
virtual DBNull^ Instantiate() sealed
abstract Instantiate : unit -> DBNull
override Instantiate : unit -> DBNull

Return Value

Type: DBNull

[Missing <returns> documentation for "M:Galador.Reflection.Serialization.DBNullSurrogate.Instantiate"]

Implements

ISurrogateTInstantiate
See Also

Reference

DBNullSurrogate Class


IDeserialized Interface

IDeserialized Interface
This method will be called on deserialized object for further deserialization post processing. It will be called immediately on value type and when the whole object tree has been process on value type.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public interface IDeserialized
Public Interface IDeserialized
public interface class IDeserialized
type IDeserialized =  interface end

The IDeserialized type exposes the following members.

Methods
 | Name | Description
Public method | Deserialized | On completion of the deserialization process this method will be called.
Top
See Also

Reference


IDeserialized Methods

IDeserialized Methods

The IDeserialized type exposes the following members.

Methods
 | Name | Description
Public method | Deserialized | On completion of the deserialization process this method will be called.
Top
See Also

Reference

IDeserialized Interface


IDeserialized.Deserialized Method

IDeserializedDeserialized Method
On completion of the deserialization process this method will be called.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
void Deserialized()
Sub Deserialized
void Deserialized()
abstract Deserialized : unit -> unit
See Also

Reference

IDeserialized Interface


IMember Interface

IMember Interface
Object which have a name and are used with MemberListT. So far either of FastMember, ReflectTypeMember and MissingMember.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public interface IMember
Public Interface IMember
public interface class IMember
type IMember =  interface end

The IMember type exposes the following members.

Properties
 | Name | Description
Public property | Name | The name of this member. Use as an index in MemberListT.
Top
See Also

Reference


IMember Properties

IMember Properties

The IMember type exposes the following members.

Properties
 | Name | Description
Public property | Name | The name of this member. Use as an index in MemberListT.
Top
See Also

Reference

IMember Interface


IMember.Name Property

IMemberName Property
The name of this member. Use as an index in MemberListT.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
string Name { get; }
ReadOnly Property Name As String
    Get
property String^ Name {
    String^ get ();
}
abstract Name : string with get

Property Value

Type: String
See Also

Reference

IMember Interface


IPrimitiveReader Interface

IPrimitiveReader Interface
An interface that know how to read all primitive type (i.e. all non object PrimitiveType) from some underlying storage.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public interface IPrimitiveReader : IDisposable
Public Interface IPrimitiveReader
    Inherits IDisposable
public interface class IPrimitiveReader : IDisposable
type IPrimitiveReader =
    interface
        interface IDisposable
    end

The IPrimitiveReader type exposes the following members.

Methods
 | Name | Description
Public method | Dispose | Performs application-defined tasks associated with freeing, releasing, or resetting unmanaged resources. (Inherited from IDisposable.)
Public method | ReadBool |
Public method | ReadByte |
Public method | ReadBytes |
Public method | ReadChar |
Public method | ReadDecimal |
Public method | ReadDouble |
Public method | ReadGuid |
Public method | ReadInt16 |
Public method | ReadInt32 |
Public method | ReadInt64 |
Public method | ReadSByte |
Public method | ReadSingle |
Public method | ReadString |
Public method | ReadUInt16 |
Public method | ReadUInt32 |
Public method | ReadUInt64 |
Public method | ReadVInt | Reads an long that was written in a more compact format.
Public method | ReadVNInt | Reads an long? that was written in a more compact format.
Public method | ReadVNUInt | Reads an ulong? that was written in a more compact format.
Public method | ReadVUInt | Reads an ulong that was written in a more compact format.
Top
See Also

Reference


IPrimitiveReader Methods

IPrimitiveReader Methods

The IPrimitiveReader type exposes the following members.

Methods
 | Name | Description
Public method | Dispose | Performs application-defined tasks associated with freeing, releasing, or resetting unmanaged resources. (Inherited from IDisposable.)
Public method | ReadBool |
Public method | ReadByte |
Public method | ReadBytes |
Public method | ReadChar |
Public method | ReadDecimal |
Public method | ReadDouble |
Public method | ReadGuid |
Public method | ReadInt16 |
Public method | ReadInt32 |
Public method | ReadInt64 |
Public method | ReadSByte |
Public method | ReadSingle |
Public method | ReadString |
Public method | ReadUInt16 |
Public method | ReadUInt32 |
Public method | ReadUInt64 |
Public method | ReadVInt | Reads an long that was written in a more compact format.
Public method | ReadVNInt | Reads an long? that was written in a more compact format.
Public method | ReadVNUInt | Reads an ulong? that was written in a more compact format.
Public method | ReadVUInt | Reads an ulong that was written in a more compact format.
Top
See Also

Reference

IPrimitiveReader Interface


IPrimitiveReader.ReadBool Method

IPrimitiveReaderReadBool Method

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.IPrimitiveReader.ReadBool"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
bool ReadBool()
Function ReadBool As Boolean
bool ReadBool()
abstract ReadBool : unit -> bool

Return Value

Type: Boolean

[Missing <returns> documentation for "M:Galador.Reflection.Serialization.IPrimitiveReader.ReadBool"]

See Also

Reference

IPrimitiveReader Interface


IPrimitiveReader.ReadByte Method

IPrimitiveReaderReadByte Method

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.IPrimitiveReader.ReadByte"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
byte ReadByte()
Function ReadByte As Byte
unsigned char ReadByte()
abstract ReadByte : unit -> byte

Return Value

Type: Byte

[Missing <returns> documentation for "M:Galador.Reflection.Serialization.IPrimitiveReader.ReadByte"]

See Also

Reference

IPrimitiveReader Interface


IPrimitiveReader.ReadBytes Method

IPrimitiveReaderReadBytes Method

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.IPrimitiveReader.ReadBytes"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
byte[] ReadBytes()
Function ReadBytes As Byte()
array<unsigned char>^ ReadBytes()
abstract ReadBytes : unit -> byte[]

Return Value

Type: Byte

[Missing <returns> documentation for "M:Galador.Reflection.Serialization.IPrimitiveReader.ReadBytes"]

See Also

Reference

IPrimitiveReader Interface


IPrimitiveReader.ReadChar Method

IPrimitiveReaderReadChar Method

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.IPrimitiveReader.ReadChar"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
char ReadChar()
Function ReadChar As Char
wchar_t ReadChar()
abstract ReadChar : unit -> char

Return Value

Type: Char

[Missing <returns> documentation for "M:Galador.Reflection.Serialization.IPrimitiveReader.ReadChar"]

See Also

Reference

IPrimitiveReader Interface


IPrimitiveReader.ReadDecimal Method

IPrimitiveReaderReadDecimal Method

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.IPrimitiveReader.ReadDecimal"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
decimal ReadDecimal()
Function ReadDecimal As Decimal
Decimal ReadDecimal()
abstract ReadDecimal : unit -> decimal

Return Value

Type: Decimal

[Missing <returns> documentation for "M:Galador.Reflection.Serialization.IPrimitiveReader.ReadDecimal"]

See Also

Reference

IPrimitiveReader Interface


IPrimitiveReader.ReadDouble Method

IPrimitiveReaderReadDouble Method

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.IPrimitiveReader.ReadDouble"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
double ReadDouble()
Function ReadDouble As Double
double ReadDouble()
abstract ReadDouble : unit -> float

Return Value

Type: Double

[Missing <returns> documentation for "M:Galador.Reflection.Serialization.IPrimitiveReader.ReadDouble"]

See Also

Reference

IPrimitiveReader Interface


IPrimitiveReader.ReadGuid Method

IPrimitiveReaderReadGuid Method

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.IPrimitiveReader.ReadGuid"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
Guid ReadGuid()
Function ReadGuid As Guid
Guid ReadGuid()
abstract ReadGuid : unit -> Guid

Return Value

Type: Guid

[Missing <returns> documentation for "M:Galador.Reflection.Serialization.IPrimitiveReader.ReadGuid"]

See Also

Reference

IPrimitiveReader Interface


IPrimitiveReader.ReadInt16 Method

IPrimitiveReaderReadInt16 Method

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.IPrimitiveReader.ReadInt16"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
short ReadInt16()
Function ReadInt16 As Short
short ReadInt16()
abstract ReadInt16 : unit -> int16

Return Value

Type: Int16

[Missing <returns> documentation for "M:Galador.Reflection.Serialization.IPrimitiveReader.ReadInt16"]

See Also

Reference

IPrimitiveReader Interface


IPrimitiveReader.ReadInt32 Method

IPrimitiveReaderReadInt32 Method

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.IPrimitiveReader.ReadInt32"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
int ReadInt32()
Function ReadInt32 As Integer
int ReadInt32()
abstract ReadInt32 : unit -> int

Return Value

Type: Int32

[Missing <returns> documentation for "M:Galador.Reflection.Serialization.IPrimitiveReader.ReadInt32"]

See Also

Reference

IPrimitiveReader Interface


IPrimitiveReader.ReadInt64 Method

IPrimitiveReaderReadInt64 Method

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.IPrimitiveReader.ReadInt64"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
long ReadInt64()
Function ReadInt64 As Long
long long ReadInt64()
abstract ReadInt64 : unit -> int64

Return Value

Type: Int64

[Missing <returns> documentation for "M:Galador.Reflection.Serialization.IPrimitiveReader.ReadInt64"]

See Also

Reference

IPrimitiveReader Interface


IPrimitiveReader.ReadSByte Method

IPrimitiveReaderReadSByte Method

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.IPrimitiveReader.ReadSByte"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
sbyte ReadSByte()
Function ReadSByte As SByte
signed char ReadSByte()
abstract ReadSByte : unit -> sbyte

Return Value

Type: SByte

[Missing <returns> documentation for "M:Galador.Reflection.Serialization.IPrimitiveReader.ReadSByte"]

See Also

Reference

IPrimitiveReader Interface


IPrimitiveReader.ReadSingle Method

IPrimitiveReaderReadSingle Method

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.IPrimitiveReader.ReadSingle"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
float ReadSingle()
Function ReadSingle As Single
float ReadSingle()
abstract ReadSingle : unit -> float32

Return Value

Type: Single

[Missing <returns> documentation for "M:Galador.Reflection.Serialization.IPrimitiveReader.ReadSingle"]

See Also

Reference

IPrimitiveReader Interface


IPrimitiveReader.ReadString Method

IPrimitiveReaderReadString Method

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.IPrimitiveReader.ReadString"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
string ReadString()
Function ReadString As String
String^ ReadString()
abstract ReadString : unit -> string

Return Value

Type: String

[Missing <returns> documentation for "M:Galador.Reflection.Serialization.IPrimitiveReader.ReadString"]

See Also

Reference

IPrimitiveReader Interface


IPrimitiveReader.ReadUInt16 Method

IPrimitiveReaderReadUInt16 Method

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.IPrimitiveReader.ReadUInt16"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
ushort ReadUInt16()
Function ReadUInt16 As UShort
unsigned short ReadUInt16()
abstract ReadUInt16 : unit -> uint16

Return Value

Type: UInt16

[Missing <returns> documentation for "M:Galador.Reflection.Serialization.IPrimitiveReader.ReadUInt16"]

See Also

Reference

IPrimitiveReader Interface


IPrimitiveReader.ReadUInt32 Method

IPrimitiveReaderReadUInt32 Method

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.IPrimitiveReader.ReadUInt32"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
uint ReadUInt32()
Function ReadUInt32 As UInteger
unsigned int ReadUInt32()
abstract ReadUInt32 : unit -> uint32

Return Value

Type: UInt32

[Missing <returns> documentation for "M:Galador.Reflection.Serialization.IPrimitiveReader.ReadUInt32"]

See Also

Reference

IPrimitiveReader Interface


IPrimitiveReader.ReadUInt64 Method

IPrimitiveReaderReadUInt64 Method

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.IPrimitiveReader.ReadUInt64"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
ulong ReadUInt64()
Function ReadUInt64 As ULong
unsigned long long ReadUInt64()
abstract ReadUInt64 : unit -> uint64

Return Value

Type: UInt64

[Missing <returns> documentation for "M:Galador.Reflection.Serialization.IPrimitiveReader.ReadUInt64"]

See Also

Reference

IPrimitiveReader Interface


IPrimitiveReader.ReadVInt Method

IPrimitiveReaderReadVInt Method
Reads an long that was written in a more compact format.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
long ReadVInt()
Function ReadVInt As Long
long long ReadVInt()
abstract ReadVInt : unit -> int64

Return Value

Type: Int64
The long that was read.
See Also

Reference

IPrimitiveReader Interface


IPrimitiveReader.ReadVNInt Method

IPrimitiveReaderReadVNInt Method
Reads an long? that was written in a more compact format.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
Nullable<long> ReadVNInt()
Function ReadVNInt As Nullable(Of Long)
Nullable<long long> ReadVNInt()
abstract ReadVNInt : unit -> Nullable<int64>

Return Value

Type: Nullable Int64
The long? that was read.
See Also

Reference

IPrimitiveReader Interface


IPrimitiveReader.ReadVNUInt Method

IPrimitiveReaderReadVNUInt Method
Reads an ulong? that was written in a more compact format.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
Nullable<ulong> ReadVNUInt()
Function ReadVNUInt As Nullable(Of ULong)
Nullable<unsigned long long> ReadVNUInt()
abstract ReadVNUInt : unit -> Nullable<uint64>

Return Value

Type: Nullable UInt64
The ulong? that was read.
See Also

Reference

IPrimitiveReader Interface


IPrimitiveReader.ReadVUInt Method

IPrimitiveReaderReadVUInt Method
Reads an ulong that was written in a more compact format.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
ulong ReadVUInt()
Function ReadVUInt As ULong
unsigned long long ReadVUInt()
abstract ReadVUInt : unit -> uint64

Return Value

Type: UInt64
The ulong that was read.
See Also

Reference

IPrimitiveReader Interface


IPrimitiveWriter Interface

IPrimitiveWriter Interface
An interface that know how to write all primitive type (i.e. all non object PrimitiveType) to some underlying storage.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public interface IPrimitiveWriter : IDisposable
Public Interface IPrimitiveWriter
    Inherits IDisposable
public interface class IPrimitiveWriter : IDisposable
type IPrimitiveWriter =
    interface
        interface IDisposable
    end

The IPrimitiveWriter type exposes the following members.

Methods
 | Name | Description
Public method | Dispose | Performs application-defined tasks associated with freeing, releasing, or resetting unmanaged resources. (Inherited from IDisposable.)
Public method | Write(Boolean) |
Public method | Write(Byte) |
Public method | Write(Byte) |
Public method | Write(Char) |
Public method | Write(Decimal) |
Public method | Write(Double) |
Public method | Write(Guid) |
Public method | Write(Int16) |
Public method | Write(Int32) |
Public method | Write(Int64) |
Public method | Write(SByte) |
Public method | Write(Single) |
Public method | Write(String) |
Public method | Write(UInt16) |
Public method | Write(UInt32) |
Public method | Write(UInt64) |
Public method | WriteVInt(Int64) | Writes an long in a more compact format.
Public method | WriteVInt(NullableInt64) | Writes an long? in a more compact format.
Public method | WriteVInt(NullableUInt64) | Writes an ulong? in a more compact format.
Public method | WriteVInt(UInt64) | Writes an ulong in a more compact format.
Top
See Also

Reference


IPrimitiveWriter Methods

IPrimitiveWriter Methods

The IPrimitiveWriter type exposes the following members.

Methods
 | Name | Description
Public method | Dispose | Performs application-defined tasks associated with freeing, releasing, or resetting unmanaged resources. (Inherited from IDisposable.)
Public method | Write(Boolean) |
Public method | Write(Byte) |
Public method | Write(Byte) |
Public method | Write(Char) |
Public method | Write(Decimal) |
Public method | Write(Double) |
Public method | Write(Guid) |
Public method | Write(Int16) |
Public method | Write(Int32) |
Public method | Write(Int64) |
Public method | Write(SByte) |
Public method | Write(Single) |
Public method | Write(String) |
Public method | Write(UInt16) |
Public method | Write(UInt32) |
Public method | Write(UInt64) |
Public method | WriteVInt(Int64) | Writes an long in a more compact format.
Public method | WriteVInt(NullableInt64) | Writes an long? in a more compact format.
Public method | WriteVInt(NullableUInt64) | Writes an ulong? in a more compact format.
Public method | WriteVInt(UInt64) | Writes an ulong in a more compact format.
Top
See Also

Reference

IPrimitiveWriter Interface


IPrimitiveWriter.Write Method

IPrimitiveWriterWrite Method
Overload List
 | Name | Description
Public method | Write(Boolean) |
Public method | Write(Byte) |
Public method | Write(Byte) |
Public method | Write(Char) |
Public method | Write(Decimal) |
Public method | Write(Double) |
Public method | Write(Guid) |
Public method | Write(Int16) |
Public method | Write(Int32) |
Public method | Write(Int64) |
Public method | Write(SByte) |
Public method | Write(Single) |
Public method | Write(String) |
Public method | Write(UInt16) |
Public method | Write(UInt32) |
Public method | Write(UInt64) |
Top
See Also

Reference

IPrimitiveWriter Interface


IPrimitiveWriter.Write Method (Boolean)

IPrimitiveWriterWrite Method (Boolean)

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.IPrimitiveWriter.Write(System.Boolean)"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
void Write(
    bool value
)
Sub Write (
    value As Boolean
)
void Write(
    bool value
)
abstract Write :
        value : bool -> unit

Parameters

value
Type: SystemBoolean

[Missing <param name="value"/> documentation for "M:Galador.Reflection.Serialization.IPrimitiveWriter.Write(System.Boolean)"]

See Also

Reference

IPrimitiveWriter Interface
Write Overload


IPrimitiveWriter.Write Method (Byte)

IPrimitiveWriterWrite Method (Byte)

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.IPrimitiveWriter.Write(System.Byte)"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
void Write(
    byte value
)
Sub Write (
    value As Byte
)
void Write(
    unsigned char value
)
abstract Write :
        value : byte -> unit

Parameters

value
Type: SystemByte

[Missing <param name="value"/> documentation for "M:Galador.Reflection.Serialization.IPrimitiveWriter.Write(System.Byte)"]

See Also

Reference

IPrimitiveWriter Interface
Write Overload


IPrimitiveWriter.Write Method (Byte[])

IPrimitiveWriterWrite Method (Byte)

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.IPrimitiveWriter.Write(System.Byte[])"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
void Write(
    byte[] value
)
Sub Write (
    value As Byte()
)
void Write(
    array<unsigned char>^ value
)
abstract Write :
        value : byte[] -> unit

Parameters

value
Type: SystemByte

[Missing <param name="value"/> documentation for "M:Galador.Reflection.Serialization.IPrimitiveWriter.Write(System.Byte[])"]

See Also

Reference

IPrimitiveWriter Interface
Write Overload


IPrimitiveWriter.Write Method (Char)

IPrimitiveWriterWrite Method (Char)

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.IPrimitiveWriter.Write(System.Char)"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
void Write(
    char value
)
Sub Write (
    value As Char
)
void Write(
    wchar_t value
)
abstract Write :
        value : char -> unit

Parameters

value
Type: SystemChar

[Missing <param name="value"/> documentation for "M:Galador.Reflection.Serialization.IPrimitiveWriter.Write(System.Char)"]

See Also

Reference

IPrimitiveWriter Interface
Write Overload


IPrimitiveWriter.Write Method (Decimal)

IPrimitiveWriterWrite Method (Decimal)

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.IPrimitiveWriter.Write(System.Decimal)"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
void Write(
    decimal value
)
Sub Write (
    value As Decimal
)
void Write(
    Decimal value
)
abstract Write :
        value : decimal -> unit

Parameters

value
Type: SystemDecimal

[Missing <param name="value"/> documentation for "M:Galador.Reflection.Serialization.IPrimitiveWriter.Write(System.Decimal)"]

See Also

Reference

IPrimitiveWriter Interface
Write Overload


IPrimitiveWriter.Write Method (Double)

IPrimitiveWriterWrite Method (Double)

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.IPrimitiveWriter.Write(System.Double)"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
void Write(
    double value
)
Sub Write (
    value As Double
)
void Write(
    double value
)
abstract Write :
        value : float -> unit

Parameters

value
Type: SystemDouble

[Missing <param name="value"/> documentation for "M:Galador.Reflection.Serialization.IPrimitiveWriter.Write(System.Double)"]

See Also

Reference

IPrimitiveWriter Interface
Write Overload


IPrimitiveWriter.Write Method (Guid)

IPrimitiveWriterWrite Method (Guid)

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.IPrimitiveWriter.Write(System.Guid)"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
void Write(
    Guid value
)
Sub Write (
    value As Guid
)
void Write(
    Guid value
)
abstract Write :
        value : Guid -> unit

Parameters

value
Type: SystemGuid

[Missing <param name="value"/> documentation for "M:Galador.Reflection.Serialization.IPrimitiveWriter.Write(System.Guid)"]

See Also

Reference

IPrimitiveWriter Interface
Write Overload


IPrimitiveWriter.Write Method (Int16)

IPrimitiveWriterWrite Method (Int16)

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.IPrimitiveWriter.Write(System.Int16)"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
void Write(
    short value
)
Sub Write (
    value As Short
)
void Write(
    short value
)
abstract Write :
        value : int16 -> unit

Parameters

value
Type: SystemInt16

[Missing <param name="value"/> documentation for "M:Galador.Reflection.Serialization.IPrimitiveWriter.Write(System.Int16)"]

See Also

Reference

IPrimitiveWriter Interface
Write Overload


IPrimitiveWriter.Write Method (Int32)

IPrimitiveWriterWrite Method (Int32)

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.IPrimitiveWriter.Write(System.Int32)"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
void Write(
    int value
)
Sub Write (
    value As Integer
)
void Write(
    int value
)
abstract Write :
        value : int -> unit

Parameters

value
Type: SystemInt32

[Missing <param name="value"/> documentation for "M:Galador.Reflection.Serialization.IPrimitiveWriter.Write(System.Int32)"]

See Also

Reference

IPrimitiveWriter Interface
Write Overload


IPrimitiveWriter.Write Method (Int64)

IPrimitiveWriterWrite Method (Int64)

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.IPrimitiveWriter.Write(System.Int64)"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
void Write(
    long value
)
Sub Write (
    value As Long
)
void Write(
    long long value
)
abstract Write :
        value : int64 -> unit

Parameters

value
Type: SystemInt64

[Missing <param name="value"/> documentation for "M:Galador.Reflection.Serialization.IPrimitiveWriter.Write(System.Int64)"]

See Also

Reference

IPrimitiveWriter Interface
Write Overload


IPrimitiveWriter.Write Method (SByte)

IPrimitiveWriterWrite Method (SByte)

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.IPrimitiveWriter.Write(System.SByte)"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
void Write(
    sbyte value
)
Sub Write (
    value As SByte
)
void Write(
    signed char value
)
abstract Write :
        value : sbyte -> unit

Parameters

value
Type: SystemSByte

[Missing <param name="value"/> documentation for "M:Galador.Reflection.Serialization.IPrimitiveWriter.Write(System.SByte)"]

See Also

Reference

IPrimitiveWriter Interface
Write Overload


IPrimitiveWriter.Write Method (Single)

IPrimitiveWriterWrite Method (Single)

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.IPrimitiveWriter.Write(System.Single)"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
void Write(
    float value
)
Sub Write (
    value As Single
)
void Write(
    float value
)
abstract Write :
        value : float32 -> unit

Parameters

value
Type: SystemSingle

[Missing <param name="value"/> documentation for "M:Galador.Reflection.Serialization.IPrimitiveWriter.Write(System.Single)"]

See Also

Reference

IPrimitiveWriter Interface
Write Overload


IPrimitiveWriter.Write Method (String)

IPrimitiveWriterWrite Method (String)

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.IPrimitiveWriter.Write(System.String)"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
void Write(
    string value
)
Sub Write (
    value As String
)
void Write(
    String^ value
)
abstract Write :
        value : string -> unit

Parameters

value
Type: SystemString

[Missing <param name="value"/> documentation for "M:Galador.Reflection.Serialization.IPrimitiveWriter.Write(System.String)"]

See Also

Reference

IPrimitiveWriter Interface
Write Overload


IPrimitiveWriter.Write Method (UInt16)

IPrimitiveWriterWrite Method (UInt16)

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.IPrimitiveWriter.Write(System.UInt16)"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
void Write(
    ushort value
)
Sub Write (
    value As UShort
)
void Write(
    unsigned short value
)
abstract Write :
        value : uint16 -> unit

Parameters

value
Type: SystemUInt16

[Missing <param name="value"/> documentation for "M:Galador.Reflection.Serialization.IPrimitiveWriter.Write(System.UInt16)"]

See Also

Reference

IPrimitiveWriter Interface
Write Overload


IPrimitiveWriter.Write Method (UInt32)

IPrimitiveWriterWrite Method (UInt32)

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.IPrimitiveWriter.Write(System.UInt32)"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
void Write(
    uint value
)
Sub Write (
    value As UInteger
)
void Write(
    unsigned int value
)
abstract Write :
        value : uint32 -> unit

Parameters

value
Type: SystemUInt32

[Missing <param name="value"/> documentation for "M:Galador.Reflection.Serialization.IPrimitiveWriter.Write(System.UInt32)"]

See Also

Reference

IPrimitiveWriter Interface
Write Overload


IPrimitiveWriter.Write Method (UInt64)

IPrimitiveWriterWrite Method (UInt64)

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.IPrimitiveWriter.Write(System.UInt64)"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
void Write(
    ulong value
)
Sub Write (
    value As ULong
)
void Write(
    unsigned long long value
)
abstract Write :
        value : uint64 -> unit

Parameters

value
Type: SystemUInt64

[Missing <param name="value"/> documentation for "M:Galador.Reflection.Serialization.IPrimitiveWriter.Write(System.UInt64)"]

See Also

Reference

IPrimitiveWriter Interface
Write Overload


IPrimitiveWriter.WriteVInt Method

IPrimitiveWriterWriteVInt Method
Overload List
 | Name | Description
Public method | WriteVInt(Int64) | Writes an long in a more compact format.
Public method | WriteVInt(NullableInt64) | Writes an long? in a more compact format.
Public method | WriteVInt(NullableUInt64) | Writes an ulong? in a more compact format.
Public method | WriteVInt(UInt64) | Writes an ulong in a more compact format.
Top
See Also

Reference

IPrimitiveWriter Interface


IPrimitiveWriter.WriteVInt Method (Int64)

IPrimitiveWriterWriteVInt Method (Int64)
Writes an long in a more compact format.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
void WriteVInt(
    long value
)
Sub WriteVInt (
    value As Long
)
void WriteVInt(
    long long value
)
abstract WriteVInt :
        value : int64 -> unit

Parameters

value
Type: SystemInt64
The value to write.
See Also

Reference

IPrimitiveWriter Interface
WriteVInt Overload


IPrimitiveWriter.WriteVInt Method (Nullable(Int64))

IPrimitiveWriterWriteVInt Method (NullableInt64)
Writes an long? in a more compact format.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
void WriteVInt(
    Nullable<long> value
)
Sub WriteVInt (
    value As Nullable(Of Long)
)
void WriteVInt(
    Nullable<long long> value
)
abstract WriteVInt :
        value : Nullable<int64> -> unit

Parameters

value
Type: SystemNullable Int64
The value to write.
See Also

Reference

IPrimitiveWriter Interface
WriteVInt Overload


IPrimitiveWriter.WriteVInt Method (Nullable(UInt64))

IPrimitiveWriterWriteVInt Method (NullableUInt64)
Writes an ulong? in a more compact format.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
void WriteVInt(
    Nullable<ulong> value
)
Sub WriteVInt (
    value As Nullable(Of ULong)
)
void WriteVInt(
    Nullable<unsigned long long> value
)
abstract WriteVInt :
        value : Nullable<uint64> -> unit

Parameters

value
Type: SystemNullable UInt64
The value to write.
See Also

Reference

IPrimitiveWriter Interface
WriteVInt Overload


IPrimitiveWriter.WriteVInt Method (UInt64)

IPrimitiveWriterWriteVInt Method (UInt64)
Writes an ulong in a more compact format.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
void WriteVInt(
    ulong value
)
Sub WriteVInt (
    value As ULong
)
void WriteVInt(
    unsigned long long value
)
abstract WriteVInt :
        value : uint64 -> unit

Parameters

value
Type: SystemUInt64
The value to write.
See Also

Reference

IPrimitiveWriter Interface
WriteVInt Overload


ISurrogate(T) Interface

ISurrogateT Interface
Implement this interface to help the serializer read/write problematic types. i.e. type that are not described by their public properties and fields (such as Bitmap or Stream) and type which have readonly value type, such as TupleT1. Do that by exposing the data as public property and fields, or implement a known collection.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public interface ISurrogate<T>

Public Interface ISurrogate(Of T)
generic<typename T>
public interface class ISurrogate
type ISurrogate<'T> =  interface end

Type Parameters

T
The type that this interface will help read and write.

The ISurrogateT type exposes the following members.

Methods
 | Name | Description
Public method | Initialize | Initializes the surrogate with the a value
Public method | Instantiate | Return the value that was serialized.
Top
See Also

Reference


ISurrogate(T) Methods

ISurrogateT Methods

The ISurrogateT generic type exposes the following members.

Methods
 | Name | Description
Public method | Initialize | Initializes the surrogate with the a value
Public method | Instantiate | Return the value that was serialized.
Top
See Also

Reference

ISurrogateT Interface


ISurrogate(T).Initialize Method

ISurrogateTInitialize Method
Initializes the surrogate with the a value

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
void Initialize(
    T value
)
Sub Initialize (
    value As T
)
void Initialize(
    T value
)
abstract Initialize :
        value : 'T -> unit

Parameters

value
Type: T
The value that must be saved.
See Also

Reference

ISurrogateT Interface


ISurrogate(T).Instantiate Method

ISurrogateTInstantiate Method
Return the value that was serialized.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
T Instantiate()
Function Instantiate As T
T Instantiate()
abstract Instantiate : unit -> 'T

Return Value

Type: T

[Missing <returns> documentation for "M:Galador.Reflection.Serialization.ISurrogate`1.Instantiate"]

See Also

Reference

ISurrogateT Interface


KnownTypes Class

KnownTypes Class
This class does all the reflection work related to .NET type lookup.
Inheritance Hierarchy
SystemObject
Galador.Reflection.SerializationKnownTypes

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public static class KnownTypes
Public NotInheritable Class KnownTypes
public ref class KnownTypes abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
type KnownTypes =  class end

The KnownTypes type exposes the following members.

Methods
Name | Description
GetType | Lookup a type by type name and assembly name. It will look for SerializationNameAttribute that match the arguments.
Register(IEnumerableAssembly) | Registers plug-ins assemblies at runtime, so that the serializer can resolve SerializationNameAttribute or DataContractAttribute.
Register(Assembly) | Registers plug-ins assemblies at runtime, so that the serializer can resolve SerializationNameAttribute or DataContractAttribute.
TryGetSurrogate | Tries the get the surrogate for a given type.
Top
See Also

Reference


KnownTypes Methods

KnownTypes Methods

The KnownTypes type exposes the following members.

Methods
Name | Description
GetType | Lookup a type by type name and assembly name. It will look for SerializationNameAttribute that match the arguments.
Register(IEnumerableAssembly) | Registers plug-ins assemblies at runtime, so that the serializer can resolve SerializationNameAttribute or DataContractAttribute.
Register(Assembly) | Registers plug-ins assemblies at runtime, so that the serializer can resolve SerializationNameAttribute or DataContractAttribute.
TryGetSurrogate | Tries the get the surrogate for a given type.
Top
See Also

Reference

KnownTypes Class


KnownTypes.GetType Method

KnownTypesGetType Method
Lookup a type by type name and assembly name. It will look for SerializationNameAttribute that match the arguments.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public static Type GetType(
    string typeName,
    string assemblyName
)
Public Shared Function GetType (
    typeName As String,
    assemblyName As String
) As Type
public:
static Type^ GetType(
    String^ typeName,
    String^ assemblyName
)
static member GetType :
        typeName : string *
        assemblyName : string -> Type

Parameters

typeName
Type: SystemString
Name of the type.
assemblyName
Type: SystemString
Name of the assembly.

Return Value

Type: Type
A type or null.
See Also

Reference

KnownTypes Class


KnownTypes.Register Method

KnownTypesRegister Method
Overload List
Name | Description
Register(IEnumerableAssembly) | Registers plug-ins assemblies at runtime, so that the serializer can resolve SerializationNameAttribute or DataContractAttribute.
Register(Assembly) | Registers plug-ins assemblies at runtime, so that the serializer can resolve SerializationNameAttribute or DataContractAttribute.
Top
See Also

Reference

KnownTypes Class


KnownTypes.Register Method (IEnumerable(Assembly))

KnownTypesRegister Method (IEnumerableAssembly)
Registers plug-ins assemblies at runtime, so that the serializer can resolve SerializationNameAttribute or DataContractAttribute.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public static void Register(
    IEnumerable<Assembly> assemblies
)
Public Shared Sub Register (
    assemblies As IEnumerable(Of Assembly)
)
public:
static void Register(
    IEnumerable<Assembly^>^ assemblies
)
static member Register :
        assemblies : IEnumerable<Assembly> -> unit

Parameters

assemblies
Type: System.Collections.GenericIEnumerable Assembly

[Missing <param name="assemblies"/> documentation for "M:Galador.Reflection.Serialization.KnownTypes.Register(System.Collections.Generic.IEnumerable{System.Reflection.Assembly})"]

See Also

Reference

KnownTypes Class
Register Overload


KnownTypes.Register Method (Assembly[])

KnownTypesRegister Method (Assembly)
Registers plug-ins assemblies at runtime, so that the serializer can resolve SerializationNameAttribute or DataContractAttribute.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public static void Register(
    params Assembly[] ass
)
Public Shared Sub Register (
    ParamArray ass As Assembly()
)
public:
static void Register(
    ... array<Assembly^>^ ass
)
static member Register :
        ass : Assembly[] -> unit

Parameters

ass
Type: System.ReflectionAssembly

[Missing <param name="ass"/> documentation for "M:Galador.Reflection.Serialization.KnownTypes.Register(System.Reflection.Assembly[])"]

See Also

Reference

KnownTypes Class
Register Overload


KnownTypes.TryGetSurrogate Method

KnownTypesTryGetSurrogate Method
Tries the get the surrogate for a given type.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public static bool TryGetSurrogate(
    Type type,
    out Type result
)
Public Shared Function TryGetSurrogate (
    type As Type,
    <OutAttribute> ByRef result As Type
) As Boolean
public:
static bool TryGetSurrogate(
    Type^ type,
    [OutAttribute] Type^% result
)
static member TryGetSurrogate :
        type : Type *
        result : Type byref -> bool

Parameters

type
Type: SystemType
The type that might have surrogate.
result
Type: SystemType
The surrogate type, or null.

Return Value

Type: Boolean
Whether or not a surrogate type has been found.
See Also

Reference

KnownTypes Class


MemberList(T) Class

MemberListT Class
Specialized list of T which must be IMember. Index them by both int index but also name.
Inheritance Hierarchy
SystemObject
Galador.Reflection.SerializationMemberListT

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public class MemberList<T> : IReadOnlyList<T>,
    IReadOnlyCollection<T>, IEnumerable<T>, IEnumerable, IReadOnlyDictionary<string, T>,
    IReadOnlyCollection<KeyValuePair<string, T>>, IEnumerable<KeyValuePair<string, T>>
where T : IMember

Public Class MemberList(Of T As IMember)
    Implements IReadOnlyList(Of T), IReadOnlyCollection(Of T),
    IEnumerable(Of T), IEnumerable, IReadOnlyDictionary(Of String, T),
    IReadOnlyCollection(Of KeyValuePair(Of String, T)), IEnumerable(Of KeyValuePair(Of String, T))
generic<typename T>
where T : IMember
public ref class MemberList : IReadOnlyList<T>,
    IReadOnlyCollection<T>, IEnumerable<T>, IEnumerable, IReadOnlyDictionary<String^, T>,
    IReadOnlyCollection<KeyValuePair<String^, T>>, IEnumerable<KeyValuePair<String^, T>>
type MemberList<'T when 'T : IMember> =
    class
        interface IReadOnlyList<'T>
        interface IReadOnlyCollection<'T>
        interface IEnumerable<'T>
        interface IEnumerable
        interface IReadOnlyDictionary<string, 'T>
        interface IReadOnlyCollection<KeyValuePair<string, 'T>>
        interface IEnumerable<KeyValuePair<string, 'T>>
    end

Type Parameters

T

[Missing <typeparam name="T"/> documentation for "T:Galador.Reflection.Serialization.MemberList`1"]

The MemberListT type exposes the following members.

Properties
 | Name | Description
Public property | Count | Number of members or item.
Public property | ItemInt32 | Gets the T at the specified index.
Public property | ItemString | Gets the T with the given name.
Public property | MemberNames | All the member's names.
Top
Methods
 | Name | Description
Public method | Contains | Whether a member with such a name exists.
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetEnumerator | Enumerate the members.
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference


MemberList(T) Properties

MemberListT Properties

The MemberListT generic type exposes the following members.

Properties
 | Name | Description
Public property | Count | Number of members or item.
Public property | ItemInt32 | Gets the T at the specified index.
Public property | ItemString | Gets the T with the given name.
Public property | MemberNames | All the member's names.
Top
See Also

Reference

MemberListT Class


MemberList(T).Count Property

MemberListTCount Property
Number of members or item.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public int Count { get; }
Public ReadOnly Property Count As Integer
    Get
public:
virtual property int Count {
    int get () sealed;
}
abstract Count : int with get
override Count : int with get

Property Value

Type: Int32

Implements

IReadOnlyCollectionTCount
IReadOnlyCollectionTCount
See Also

Reference

MemberListT Class


MemberList(T).Item Property

MemberListTItem Property
Overload List
 | Name | Description
Public property | ItemInt32 | Gets the T at the specified index.
Public property | ItemString | Gets the T with the given name.
Top
See Also

Reference

MemberListT Class


MemberList(T).Item Property (Int32)

MemberListTItem Property (Int32)
Gets the T at the specified index.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public T this[
    int index
] { get; }
Public ReadOnly Default Property Item (
    index As Integer
) As T
    Get
public:
virtual property T default[int index] {
    T get (int index) sealed;
}
abstract Item : 'T with get
override Item : 'T with get

Parameters

index
Type: SystemInt32

Property Value

Type: T

Implements

IReadOnlyListTItemInt32
See Also

Reference

MemberListT Class
Item Overload


MemberList(T).Item Property (String)

MemberListTItem Property (String)
Gets the T with the given name.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public T this[
    string name
] { get; }
Public ReadOnly Default Property Item (
    name As String
) As T
    Get
public:
virtual property T default[String^ name] {
    T get (String^ name) sealed;
}
abstract Item : 'T with get
override Item : 'T with get

Parameters

name
Type: SystemString
Name of the member.

Return Value

Type: T
Return the member with name, or null.

Implements

IReadOnlyDictionaryTKey, TValueItemTKey
See Also

Reference

MemberListT Class
Item Overload


MemberList(T).MemberNames Property

MemberListTMemberNames Property
All the member's names.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public IEnumerable<string> MemberNames { get; }
Public ReadOnly Property MemberNames As IEnumerable(Of String)
    Get
public:
property IEnumerable<String^>^ MemberNames {
    IEnumerable<String^>^ get ();
}
member MemberNames : IEnumerable<string> with get

Property Value

Type: IEnumerable String
See Also

Reference

MemberListT Class


MemberList(T) Methods

MemberListT Methods

The MemberListT generic type exposes the following members.

Methods
 | Name | Description
Public method | Contains | Whether a member with such a name exists.
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetEnumerator | Enumerate the members.
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

MemberListT Class


MemberList(T).Contains Method

MemberListTContains Method
Whether a member with such a name exists.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public bool Contains(
    string name
)
Public Function Contains (
    name As String
) As Boolean
public:
bool Contains(
    String^ name
)
member Contains :
        name : string -> bool

Parameters

name
Type: SystemString
The member's name.

Return Value

Type: Boolean
Whether there is such a member.
See Also

Reference

MemberListT Class


MemberList(T).GetEnumerator Method

MemberListTGetEnumerator Method
Enumerate the members.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public IEnumerator<T> GetEnumerator()
Public Function GetEnumerator As IEnumerator(Of T)
public:
virtual IEnumerator<T>^ GetEnumerator() sealed
abstract GetEnumerator : unit -> IEnumerator<'T>
override GetEnumerator : unit -> IEnumerator<'T>

Return Value

Type: IEnumerator T

[Missing <returns> documentation for "M:Galador.Reflection.Serialization.MemberList`1.GetEnumerator"]

Implements

IEnumerableTGetEnumerator
See Also

Reference

MemberListT Class


Missing Class

Missing Class
Instance returned when the original type cannot be found.
Inheritance Hierarchy
SystemObject
Galador.Reflection.SerializationMissing

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public sealed class Missing
Public NotInheritable Class Missing
public ref class Missing sealed
[<SealedAttribute>]
type Missing =  class end

The Missing type exposes the following members.

Properties
 | Name | Description
Public property | Collection | Collection data that was serialized, if these type was serialized as a collection. Also used for ISerializable type, saving the SerializationInfo data.
Public property | ConverterString | If this object was originally serialized using a TypeConverter this is the string that was saved
Public property | Members | Serialized member values.
Public property | Type | Serialization information about this object's original type.
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference


Missing Properties

Missing Properties

The Missing type exposes the following members.

Properties
 | Name | Description
Public property | Collection | Collection data that was serialized, if these type was serialized as a collection. Also used for ISerializable type, saving the SerializationInfo data.
Public property | ConverterString | If this object was originally serialized using a TypeConverter this is the string that was saved
Public property | Members | Serialized member values.
Public property | Type | Serialization information about this object's original type.
Top
See Also

Reference

Missing Class


Missing.Collection Property

MissingCollection Property
Collection data that was serialized, if these type was serialized as a collection. Also used for ISerializable type, saving the SerializationInfo data.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public IReadOnlyList<Tuple<Object, Object>> Collection { get; }
Public ReadOnly Property Collection As IReadOnlyList(Of Tuple(Of Object, Object))
    Get
public:
property IReadOnlyList<Tuple<Object^, Object^>^>^ Collection {
    IReadOnlyList<Tuple<Object^, Object^>^>^ get ();
}
member Collection : IReadOnlyList<Tuple<Object, Object>> with get

Property Value

Type: IReadOnlyList Tuple Object, Object
See Also

Reference

Missing Class


Missing.ConverterString Property

MissingConverterString Property
If this object was originally serialized using a TypeConverter this is the string that was saved

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public string ConverterString { get; }
Public ReadOnly Property ConverterString As String
    Get
public:
property String^ ConverterString {
    String^ get ();
}
member ConverterString : string with get

Property Value

Type: String
See Also

Reference

Missing Class


Missing.Members Property

MissingMembers Property
Serialized member values.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public MemberList<MissingMember> Members { get; }
Public ReadOnly Property Members As MemberList(Of MissingMember)
    Get
public:
property MemberList<MissingMember^>^ Members {
    MemberList<MissingMember^>^ get ();
}
member Members : MemberList<MissingMember> with get

Property Value

Type: MemberList MissingMember
See Also

Reference

Missing Class


Missing.Type Property

MissingType Property
Serialization information about this object's original type.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public ReflectType Type { get; }
Public ReadOnly Property Type As ReflectType
    Get
public:
property ReflectType^ Type {
    ReflectType^ get ();
}
member Type : ReflectType with get

Property Value

Type: ReflectType
See Also

Reference

Missing Class


Missing Methods

Missing Methods

The Missing type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

Missing Class


Missing.Member Class

MissingMember Class
A class that represent either property or field in a class. Identified by name.
Inheritance Hierarchy
SystemObject
Galador.Reflection.SerializationMissingMember

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public class Member : IMember
Public Class Member
    Implements IMember
public ref class Member : IMember
type Member =
    class
        interface IMember
    end

The MissingMember type exposes the following members.

Constructors
 | Name | Description
Public method | MissingMember | Initializes a new instance of the MissingMember class
Top
Properties
 | Name | Description
Public property | Name | The property or field name.
Public property | Type | Serialization information about this member declared type.
Public property | Value | Value of the member at the time it was serialized.
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference


Missing.Member Constructor

MissingMember Constructor
Initializes a new instance of the MissingMember class

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public Member()
Public Sub New
public:
Member()
new : unit -> Member
See Also

Reference

MissingMember Class


Member Properties

Member Properties

The MissingMember type exposes the following members.

Properties
 | Name | Description
Public property | Name | The property or field name.
Public property | Type | Serialization information about this member declared type.
Public property | Value | Value of the member at the time it was serialized.
Top
See Also

Reference

MissingMember Class


Missing.Member.Name Property

MissingMemberName Property
The property or field name.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public string Name { get; }
Public ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () sealed;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String

Implements

IMemberName
See Also

Reference

MissingMember Class


Missing.Member.Type Property

MissingMemberType Property
Serialization information about this member declared type.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public ReflectType Type { get; }
Public ReadOnly Property Type As ReflectType
    Get
public:
property ReflectType^ Type {
    ReflectType^ get ();
}
member Type : ReflectType with get

Property Value

Type: ReflectType
See Also

Reference

MissingMember Class


Missing.Member.Value Property

MissingMemberValue Property
Value of the member at the time it was serialized.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public Object Value { get; }
Public ReadOnly Property Value As Object
    Get
public:
property Object^ Value {
    Object^ get ();
}
member Value : Object with get

Property Value

Type: Object
See Also

Reference

MissingMember Class


Member Methods

Member Methods

The MissingMember type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

MissingMember Class


NotSerializedAttribute Class

NotSerializedAttribute Class
Property or Field with this attribute will NOT be serialized regardless of the SerializationSettingsAttribute of their class.
Inheritance Hierarchy
SystemObject
SystemAttribute
Galador.Reflection.SerializationNotSerializedAttribute

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public class NotSerializedAttribute : Attribute
Public Class NotSerializedAttribute
    Inherits Attribute
public ref class NotSerializedAttribute : public Attribute
type NotSerializedAttribute =
    class
        inherit Attribute
    end

The NotSerializedAttribute type exposes the following members.

Constructors
 | Name | Description
Public method | NotSerializedAttribute | Initializes a new instance of the NotSerializedAttribute class
Top
Properties
 | Name | Description
Public property | TypeId | When implemented in a derived class, gets a unique identifier for this Attribute. (Inherited from Attribute.)
Top
Methods
 | Name | Description
Public method | Equals | Returns a value that indicates whether this instance is equal to a specified object. (Inherited from Attribute.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Returns the hash code for this instance. (Inherited from Attribute.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | IsDefaultAttribute | When overridden in a derived class, indicates whether the value of this instance is the default value for the derived class. (Inherited from Attribute.)
Public method | Match | When overridden in a derived class, returns a value that indicates whether this instance equals a specified object. (Inherited from Attribute.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference


NotSerializedAttribute Constructor

NotSerializedAttribute Constructor
Initializes a new instance of the NotSerializedAttribute class

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public NotSerializedAttribute()
Public Sub New
public:
NotSerializedAttribute()
new : unit -> NotSerializedAttribute
See Also

Reference

NotSerializedAttribute Class


NotSerializedAttribute Properties

NotSerializedAttribute Properties

The NotSerializedAttribute type exposes the following members.

Properties
 | Name | Description
Public property | TypeId | When implemented in a derived class, gets a unique identifier for this Attribute. (Inherited from Attribute.)
Top
See Also

Reference

NotSerializedAttribute Class


NotSerializedAttribute Methods

NotSerializedAttribute Methods

The NotSerializedAttribute type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Returns a value that indicates whether this instance is equal to a specified object. (Inherited from Attribute.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Returns the hash code for this instance. (Inherited from Attribute.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | IsDefaultAttribute | When overridden in a derived class, indicates whether the value of this instance is the default value for the derived class. (Inherited from Attribute.)
Public method | Match | When overridden in a derived class, returns a value that indicates whether this instance equals a specified object. (Inherited from Attribute.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

NotSerializedAttribute Class


ObjectContext Class

ObjectContext Class
A class that will contain all references written by the ObjectWriter or read by the ObjectReader Could be use for reference purpose.
Inheritance Hierarchy
SystemObject
Galador.Reflection.SerializationObjectContext

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public class ObjectContext
Public Class ObjectContext
public ref class ObjectContext
type ObjectContext =  class end

The ObjectContext type exposes the following members.

Constructors
 | Name | Description
Public method | ObjectContext | Initializes a new instance of the ObjectContext class
Top
Properties
 | Name | Description
Public property | Count | Number of object that have been register with this context.
Public property | Objects | All the objects. Note that the ReflectType found in the context are not the singletons obtained with GetType(Type) method but are, instead, the type information of the item in the stream as they were at the time of serialization.
Top
Methods
 | Name | Description
Public method | Contains(Object) | When writing object, check if they are already registered with this method
Public method | Contains(UInt64) | Whether an object has been registered with this ID
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GenerateCSharpCode(String) | Generates the C# class that can be used to deserialize all types registered in this context.
Public method | GenerateCSharpCode(TextWriter, String) | Generates the C# class that can be used to deserialize all types registered in this context.
 | GenerateCSharpCode(String, ReflectType) | Generates the C# class that can be used to deserialize all given types.
 | GenerateCSharpCode(String, Type) | Generates the C# class that can be used to deserialize all given types.
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Public method | TryGetId | When writing object, check if they are already registered with this method
Public method | TryGetObject | When reading object, check whether they are already known with that method
Top
See Also

Reference


ObjectContext Constructor

ObjectContext Constructor
Initializes a new instance of the ObjectContext class

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public ObjectContext()
Public Sub New
public:
ObjectContext()
new : unit -> ObjectContext
See Also

Reference

ObjectContext Class


ObjectContext Properties

ObjectContext Properties

The ObjectContext type exposes the following members.

Properties
 | Name | Description
Public property | Count | Number of object that have been register with this context.
Public property | Objects | All the objects. Note that the ReflectType found in the context are not the singletons obtained with GetType(Type) method but are, instead, the type information of the item in the stream as they were at the time of serialization.
Top
See Also

Reference

ObjectContext Class


ObjectContext.Count Property

ObjectContextCount Property
Number of object that have been register with this context.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public int Count { get; }
Public ReadOnly Property Count As Integer
    Get
public:
property int Count {
    int get ();
}
member Count : int with get

Property Value

Type: Int32
See Also

Reference

ObjectContext Class


ObjectContext.Objects Property

ObjectContextObjects Property
All the objects. Note that the ReflectType found in the context are not the singletons obtained with GetType(Type) method but are, instead, the type information of the item in the stream as they were at the time of serialization.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public IEnumerable<Object> Objects { get; }
Public ReadOnly Property Objects As IEnumerable(Of Object)
    Get
public:
property IEnumerable<Object^>^ Objects {
    IEnumerable<Object^>^ get ();
}
member Objects : IEnumerable<Object> with get

Property Value

Type: IEnumerable Object
See Also

Reference

ObjectContext Class


ObjectContext Methods

ObjectContext Methods

The ObjectContext type exposes the following members.

Methods
 | Name | Description
Public method | Contains(Object) | When writing object, check if they are already registered with this method
Public method | Contains(UInt64) | Whether an object has been registered with this ID
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GenerateCSharpCode(String) | Generates the C# class that can be used to deserialize all types registered in this context.
Public method | GenerateCSharpCode(TextWriter, String) | Generates the C# class that can be used to deserialize all types registered in this context.
 | GenerateCSharpCode(String, ReflectType) | Generates the C# class that can be used to deserialize all given types.
 | GenerateCSharpCode(String, Type) | Generates the C# class that can be used to deserialize all given types.
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Public method | TryGetId | When writing object, check if they are already registered with this method
Public method | TryGetObject | When reading object, check whether they are already known with that method
Top
See Also

Reference

ObjectContext Class


ObjectContext.Contains Method

ObjectContextContains Method
Overload List
 | Name | Description
Public method | Contains(Object) | When writing object, check if they are already registered with this method
Public method | Contains(UInt64) | Whether an object has been registered with this ID
Top
See Also

Reference

ObjectContext Class


ObjectContext.Contains Method (Object)

ObjectContextContains Method (Object)
When writing object, check if they are already registered with this method

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public bool Contains(
    Object o
)
Public Function Contains (
    o As Object
) As Boolean
public:
bool Contains(
    Object^ o
)
member Contains :
        o : Object -> bool

Parameters

o
Type: SystemObject

[Missing <param name="o"/> documentation for "M:Galador.Reflection.Serialization.ObjectContext.Contains(System.Object)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:Galador.Reflection.Serialization.ObjectContext.Contains(System.Object)"]

See Also

Reference

ObjectContext Class
Contains Overload


ObjectContext.Contains Method (UInt64)

ObjectContextContains Method (UInt64)
Whether an object has been registered with this ID

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public bool Contains(
    ulong ID
)
Public Function Contains (
    ID As ULong
) As Boolean
public:
bool Contains(
    unsigned long long ID
)
member Contains :
        ID : uint64 -> bool

Parameters

ID
Type: SystemUInt64

[Missing <param name="ID"/> documentation for "M:Galador.Reflection.Serialization.ObjectContext.Contains(System.UInt64)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:Galador.Reflection.Serialization.ObjectContext.Contains(System.UInt64)"]

See Also

Reference

ObjectContext Class
Contains Overload


ObjectContext.GenerateCSharpCode Method

ObjectContextGenerateCSharpCode Method
Overload List
 | Name | Description
Public method | GenerateCSharpCode(String) | Generates the C# class that can be used to deserialize all types registered in this context.
Public method | GenerateCSharpCode(TextWriter, String) | Generates the C# class that can be used to deserialize all types registered in this context.
 | GenerateCSharpCode(String, ReflectType) | Generates the C# class that can be used to deserialize all given types.
 | GenerateCSharpCode(String, Type) | Generates the C# class that can be used to deserialize all given types.
Top
See Also

Reference

ObjectContext Class


ObjectContext.GenerateCSharpCode Method (String)

ObjectContextGenerateCSharpCode Method (String)
Generates the C# class that can be used to deserialize all types registered in this context.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public string GenerateCSharpCode(
    string namespace
)
Public Function GenerateCSharpCode (
    namespace As String
) As String
public:
String^ GenerateCSharpCode(
    String^ namespace
)
member GenerateCSharpCode :
        namespace : string -> string

Parameters

namespace
Type: SystemString
The namespace of the generated class.

Return Value

Type: String
A generated C# code file as string.
See Also

Reference

ObjectContext Class
GenerateCSharpCode Overload


ObjectContext.GenerateCSharpCode Method (TextWriter, String)

ObjectContextGenerateCSharpCode Method (TextWriter, String)
Generates the C# class that can be used to deserialize all types registered in this context.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void GenerateCSharpCode(
    TextWriter w,
    string namespace
)
Public Sub GenerateCSharpCode (
    w As TextWriter,
    namespace As String
)
public:
void GenerateCSharpCode(
    TextWriter^ w,
    String^ namespace
)
member GenerateCSharpCode :
        w : TextWriter *
        namespace : string -> unit

Parameters

w
Type: System.IOTextWriter
The writer to which the generated C# code will be written to.
namespace
Type: SystemString
The namespace of the generated class.
See Also

Reference

ObjectContext Class
GenerateCSharpCode Overload


ObjectContext.GenerateCSharpCode Method (String, ReflectType[])

ObjectContextGenerateCSharpCode Method (String, ReflectType)
Generates the C# class that can be used to deserialize all given types.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public static string GenerateCSharpCode(
    string namespace,
    params ReflectType[] types
)
Public Shared Function GenerateCSharpCode (
    namespace As String,
    ParamArray types As ReflectType()
) As String
public:
static String^ GenerateCSharpCode(
    String^ namespace,
    ... array<ReflectType^>^ types
)
static member GenerateCSharpCode :
        namespace : string *
        types : ReflectType[] -> string

Parameters

namespace
Type: SystemString
The namespace of the generated class.
types
Type: Galador.Reflection.SerializationReflectType
The types that will be rewritten with only the serialization information.

Return Value

Type: String
A generated C# code file as string.
See Also

Reference

ObjectContext Class
GenerateCSharpCode Overload


ObjectContext.GenerateCSharpCode Method (String, Type[])

ObjectContextGenerateCSharpCode Method (String, Type)
Generates the C# class that can be used to deserialize all given types.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public static string GenerateCSharpCode(
    string namespace,
    params Type[] types
)
Public Shared Function GenerateCSharpCode (
    namespace As String,
    ParamArray types As Type()
) As String
public:
static String^ GenerateCSharpCode(
    String^ namespace,
    ... array<Type^>^ types
)
static member GenerateCSharpCode :
        namespace : string *
        types : Type[] -> string

Parameters

namespace
Type: SystemString
The namespace of the generated class.
types
Type: SystemType
The types that will be rewritten with only the serialization information.

Return Value

Type: String
A generated C# code file as string.
See Also

Reference

ObjectContext Class
GenerateCSharpCode Overload


ObjectContext.TryGetId Method

ObjectContextTryGetId Method
When writing object, check if they are already registered with this method

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public bool TryGetId(
    Object o,
    out ulong id
)
Public Function TryGetId (
    o As Object,
    <OutAttribute> ByRef id As ULong
) As Boolean
public:
bool TryGetId(
    Object^ o,
    [OutAttribute] unsigned long long% id
)
member TryGetId :
        o : Object *
        id : uint64 byref -> bool

Parameters

o
Type: SystemObject

[Missing <param name="o"/> documentation for "M:Galador.Reflection.Serialization.ObjectContext.TryGetId(System.Object,System.UInt64@)"]

id
Type: SystemUInt64

[Missing <param name="id"/> documentation for "M:Galador.Reflection.Serialization.ObjectContext.TryGetId(System.Object,System.UInt64@)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:Galador.Reflection.Serialization.ObjectContext.TryGetId(System.Object,System.UInt64@)"]

See Also

Reference

ObjectContext Class


ObjectContext.TryGetObject Method

ObjectContextTryGetObject Method
When reading object, check whether they are already known with that method

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public bool TryGetObject(
    ulong id,
    out Object o
)
Public Function TryGetObject (
    id As ULong,
    <OutAttribute> ByRef o As Object
) As Boolean
public:
bool TryGetObject(
    unsigned long long id,
    [OutAttribute] Object^% o
)
member TryGetObject :
        id : uint64 *
        o : Object byref -> bool

Parameters

id
Type: SystemUInt64

[Missing <param name="id"/> documentation for "M:Galador.Reflection.Serialization.ObjectContext.TryGetObject(System.UInt64,System.Object@)"]

o
Type: SystemObject

[Missing <param name="o"/> documentation for "M:Galador.Reflection.Serialization.ObjectContext.TryGetObject(System.UInt64,System.Object@)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:Galador.Reflection.Serialization.ObjectContext.TryGetObject(System.UInt64,System.Object@)"]

See Also

Reference

ObjectContext Class


ObjectReader Class

ObjectReader Class
This class will deserialize an object (or many object) from a given IPrimitiveReader.
Inheritance Hierarchy
SystemObject
Galador.Reflection.SerializationObjectReader

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public class ObjectReader : IDisposable
Public Class ObjectReader
    Implements IDisposable
public ref class ObjectReader : IDisposable
type ObjectReader =
    class
        interface IDisposable
    end

The ObjectReader type exposes the following members.

Constructors
 | Name | Description
Public method | ObjectReader | Initializes a new instance of the ObjectReader class.
Top
Properties
 | Name | Description
Public property | Context | this reader's context. That will hold reference of all objects read.
Public property | Reader | The data stream from which object are read.
Top
Methods
 | Name | Description
Public method | Dispose | Releases unmanaged and - optionally - managed resources.
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | Read | Reads the next object from the Reader.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

Galador.Reflection.SerializationObjectWriter


ObjectReader Constructor

ObjectReader Constructor
Initializes a new instance of the ObjectReader class.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public ObjectReader(
    IPrimitiveReader reader
)
Public Sub New (
    reader As IPrimitiveReader
)
public:
ObjectReader(
    IPrimitiveReader^ reader
)
new :
        reader : IPrimitiveReader -> ObjectReader

Parameters

reader
Type: Galador.Reflection.SerializationIPrimitiveReader
The reader from which data is read.
Exceptions
Exception | Condition
ArgumentNullException | If the reader is null
ArgumentException | If the data stream is a higher version number that this reader.
See Also

Reference

ObjectReader Class


ObjectReader Properties

ObjectReader Properties

The ObjectReader type exposes the following members.

Properties
 | Name | Description
Public property | Context | this reader's context. That will hold reference of all objects read.
Public property | Reader | The data stream from which object are read.
Top
See Also

Reference

ObjectReader Class


ObjectReader.Context Property

ObjectReaderContext Property
this reader's context. That will hold reference of all objects read.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public ObjectContext Context { get; }
Public ReadOnly Property Context As ObjectContext
    Get
public:
property ObjectContext^ Context {
    ObjectContext^ get ();
}
member Context : ObjectContext with get

Property Value

Type: ObjectContext
See Also

Reference

ObjectReader Class


ObjectReader.Reader Property

ObjectReaderReader Property
The data stream from which object are read.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public IPrimitiveReader Reader { get; }
Public ReadOnly Property Reader As IPrimitiveReader
    Get
public:
property IPrimitiveReader^ Reader {
    IPrimitiveReader^ get ();
}
member Reader : IPrimitiveReader with get

Property Value

Type: IPrimitiveReader
See Also

Reference

ObjectReader Class


ObjectReader Methods

ObjectReader Methods

The ObjectReader type exposes the following members.

Methods
 | Name | Description
Public method | Dispose | Releases unmanaged and - optionally - managed resources.
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | Read | Reads the next object from the Reader.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

ObjectReader Class


ObjectReader.Dispose Method

ObjectReaderDispose Method
Releases unmanaged and - optionally - managed resources.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void Dispose()
Public Sub Dispose
public:
virtual void Dispose() sealed
abstract Dispose : unit -> unit
override Dispose : unit -> unit

Implements

IDisposableDispose
See Also

Reference

ObjectReader Class


ObjectReader.Read Method

ObjectReaderRead Method
Reads the next object from the Reader.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public Object Read()
Public Function Read As Object
public:
Object^ Read()
member Read : unit -> Object

Return Value

Type: Object
The next object in the stream.
See Also

Reference

ObjectReader Class


ObjectWriter Class

ObjectWriter Class
This write objects to a version tolerant serialization stream. Very much like JSON writing public field and property and matching them by name. WIth the following differences:
1. Class meta data is written, to avoid repeating property / field name. i.e. once a class has been written only the property value need be written for each instance.
2. Object 'ID' are created and written for each reference, to avoid circular reference.
3. It supports IList, ICollectionT, IDictionary, IDictionaryTKey, TValue
4. It supports TypeConverter, ISerializable.
4. Opaque type (such as Bitmap or Stream) or readonly type (such as Tuple) can still be serialized using ISurrogateT classes.
5. It is a strongly typed serialization mechanism, however class name and assembly name can be overridden using the SerializationNameAttribute on each class, effectively enabling replacing one class by another. Also class name is not matched on assembly, only full type name.
6. Of course it also support various attribute to select which property fields are saved.
Inheritance Hierarchy
SystemObject
Galador.Reflection.SerializationObjectWriter

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public class ObjectWriter : IDisposable
Public Class ObjectWriter
    Implements IDisposable
public ref class ObjectWriter : IDisposable
type ObjectWriter =
    class
        interface IDisposable
    end

The ObjectWriter type exposes the following members.

Constructors
 | Name | Description
Public method | ObjectWriter | Initializes a new instance of the ObjectWriter class.
Top
Properties
 | Name | Description
Public property | Context | this writer's context. That will hold reference of all objects written.
Public property | Settings | Some settings that can affect the serialization process.
Public property | Writer | The data stream to which object are written.
Top
Methods
 | Name | Description
Public method | Dispose | Releases unmanaged and - optionally - managed resources.
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Public method | Write | Writes the next object to the Writer.
Top
See Also

Reference


ObjectWriter Constructor

ObjectWriter Constructor
Initializes a new instance of the ObjectWriter class.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public ObjectWriter(
    IPrimitiveWriter writer
)
Public Sub New (
    writer As IPrimitiveWriter
)
public:
ObjectWriter(
    IPrimitiveWriter^ writer
)
new :
        writer : IPrimitiveWriter -> ObjectWriter

Parameters

writer
Type: Galador.Reflection.SerializationIPrimitiveWriter
The writer to which the data is written.
Exceptions
Exception | Condition
ArgumentNullException | If the writer is null
See Also

Reference

ObjectWriter Class


ObjectWriter Properties

ObjectWriter Properties

The ObjectWriter type exposes the following members.

Properties
 | Name | Description
Public property | Context | this writer's context. That will hold reference of all objects written.
Public property | Settings | Some settings that can affect the serialization process.
Public property | Writer | The data stream to which object are written.
Top
See Also

Reference

ObjectWriter Class


ObjectWriter.Context Property

ObjectWriterContext Property
this writer's context. That will hold reference of all objects written.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public ObjectContext Context { get; }
Public ReadOnly Property Context As ObjectContext
    Get
public:
property ObjectContext^ Context {
    ObjectContext^ get ();
}
member Context : ObjectContext with get

Property Value

Type: ObjectContext
See Also

Reference

ObjectWriter Class


ObjectWriter.Settings Property

ObjectWriterSettings Property
Some settings that can affect the serialization process.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public SerializationSettings Settings { get; set; }
Public Property Settings As SerializationSettings
    Get
    Set
public:
property SerializationSettings^ Settings {
    SerializationSettings^ get ();
    void set (SerializationSettings^ value);
}
member Settings : SerializationSettings with get, set

Property Value

Type: SerializationSettings
See Also

Reference

ObjectWriter Class


ObjectWriter.Writer Property

ObjectWriterWriter Property
The data stream to which object are written.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public IPrimitiveWriter Writer { get; }
Public ReadOnly Property Writer As IPrimitiveWriter
    Get
public:
property IPrimitiveWriter^ Writer {
    IPrimitiveWriter^ get ();
}
member Writer : IPrimitiveWriter with get

Property Value

Type: IPrimitiveWriter
See Also

Reference

ObjectWriter Class


ObjectWriter Methods

ObjectWriter Methods

The ObjectWriter type exposes the following members.

Methods
 | Name | Description
Public method | Dispose | Releases unmanaged and - optionally - managed resources.
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Public method | Write | Writes the next object to the Writer.
Top
See Also

Reference

ObjectWriter Class


ObjectWriter.Dispose Method

ObjectWriterDispose Method
Releases unmanaged and - optionally - managed resources.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void Dispose()
Public Sub Dispose
public:
virtual void Dispose() sealed
abstract Dispose : unit -> unit
override Dispose : unit -> unit

Implements

IDisposableDispose
See Also

Reference

ObjectWriter Class


ObjectWriter.Write Method

ObjectWriterWrite Method
Writes the next object to the Writer.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void Write(
    Object o
)
Public Sub Write (
    o As Object
)
public:
void Write(
    Object^ o
)
member Write :
        o : Object -> unit

Parameters

o
Type: SystemObject
The object to write.
See Also

Reference

ObjectWriter Class


PrimitiveBinaryReader Class

PrimitiveBinaryReader Class
An IPrimitiveReader reading from a Stream.
Inheritance Hierarchy
SystemObject
Galador.Reflection.SerializationPrimitiveBinaryReader

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public class PrimitiveBinaryReader : IPrimitiveReader,
    IDisposable
Public Class PrimitiveBinaryReader
    Implements IPrimitiveReader, IDisposable
public ref class PrimitiveBinaryReader : IPrimitiveReader,
    IDisposable
type PrimitiveBinaryReader =
    class
        interface IPrimitiveReader
        interface IDisposable
    end

The PrimitiveBinaryReader type exposes the following members.

Constructors
 | Name | Description
Public method | PrimitiveBinaryReader | Initializes a new instance of the PrimitiveBinaryReader class
Top
Methods
 | Name | Description
Public method | Dispose | Releases all resources used by the PrimitiveBinaryReader
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ReadBool |
Public method | ReadByte |
Public method | ReadBytes |
Public method | ReadChar |
Public method | ReadDecimal |
Public method | ReadDouble |
Public method | ReadGuid |
Public method | ReadInt16 |
Public method | ReadInt32 |
Public method | ReadInt64 |
Public method | ReadSByte |
Public method | ReadSingle |
Public method | ReadString |
Public method | ReadUInt16 |
Public method | ReadUInt32 |
Public method | ReadUInt64 |
Public method | ReadVInt |
Public method | ReadVNInt |
Public method | ReadVNUInt |
Public method | ReadVUInt |
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference


PrimitiveBinaryReader Constructor

PrimitiveBinaryReader Constructor
Initializes a new instance of the PrimitiveBinaryReader class

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public PrimitiveBinaryReader(
    Stream stream
)
Public Sub New (
    stream As Stream
)
public:
PrimitiveBinaryReader(
    Stream^ stream
)
new :
        stream : Stream -> PrimitiveBinaryReader

Parameters

stream
Type: System.IOStream

[Missing <param name="stream"/> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryReader.#ctor(System.IO.Stream)"]

See Also

Reference

PrimitiveBinaryReader Class


PrimitiveBinaryReader Methods

PrimitiveBinaryReader Methods

The PrimitiveBinaryReader type exposes the following members.

Methods
 | Name | Description
Public method | Dispose |
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ReadBool |
Public method | ReadByte |
Public method | ReadBytes |
Public method | ReadChar |
Public method | ReadDecimal |
Public method | ReadDouble |
Public method | ReadGuid |
Public method | ReadInt16 |
Public method | ReadInt32 |
Public method | ReadInt64 |
Public method | ReadSByte |
Public method | ReadSingle |
Public method | ReadString |
Public method | ReadUInt16 |
Public method | ReadUInt32 |
Public method | ReadUInt64 |
Public method | ReadVInt |
Public method | ReadVNInt |
Public method | ReadVNUInt |
Public method | ReadVUInt |
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

PrimitiveBinaryReader Class


PrimitiveBinaryReader.Dispose Method

PrimitiveBinaryReaderDispose Method
Releases all resources used by the PrimitiveBinaryReader

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void Dispose()
Public Sub Dispose
public:
virtual void Dispose() sealed
abstract Dispose : unit -> unit
override Dispose : unit -> unit

Implements

IDisposableDispose
See Also

Reference

PrimitiveBinaryReader Class


PrimitiveBinaryReader.ReadBool Method

PrimitiveBinaryReaderReadBool Method

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryReader.ReadBool"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public bool ReadBool()
Public Function ReadBool As Boolean
public:
virtual bool ReadBool() sealed
abstract ReadBool : unit -> bool
override ReadBool : unit -> bool

Return Value

Type: Boolean

[Missing <returns> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryReader.ReadBool"]

Implements

IPrimitiveReaderReadBool
See Also

Reference

PrimitiveBinaryReader Class


PrimitiveBinaryReader.ReadByte Method

PrimitiveBinaryReaderReadByte Method

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryReader.ReadByte"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public byte ReadByte()
Public Function ReadByte As Byte
public:
virtual unsigned char ReadByte() sealed
abstract ReadByte : unit -> byte
override ReadByte : unit -> byte

Return Value

Type: Byte

[Missing <returns> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryReader.ReadByte"]

Implements

IPrimitiveReaderReadByte
See Also

Reference

PrimitiveBinaryReader Class


PrimitiveBinaryReader.ReadBytes Method

PrimitiveBinaryReaderReadBytes Method

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryReader.ReadBytes"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public byte[] ReadBytes()
Public Function ReadBytes As Byte()
public:
virtual array<unsigned char>^ ReadBytes() sealed
abstract ReadBytes : unit -> byte[]
override ReadBytes : unit -> byte[]

Return Value

Type: Byte

[Missing <returns> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryReader.ReadBytes"]

Implements

IPrimitiveReaderReadBytes
See Also

Reference

PrimitiveBinaryReader Class


PrimitiveBinaryReader.ReadChar Method

PrimitiveBinaryReaderReadChar Method

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryReader.ReadChar"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public char ReadChar()
Public Function ReadChar As Char
public:
virtual wchar_t ReadChar() sealed
abstract ReadChar : unit -> char
override ReadChar : unit -> char

Return Value

Type: Char

[Missing <returns> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryReader.ReadChar"]

Implements

IPrimitiveReaderReadChar
See Also

Reference

PrimitiveBinaryReader Class


PrimitiveBinaryReader.ReadDecimal Method

PrimitiveBinaryReaderReadDecimal Method

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryReader.ReadDecimal"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public decimal ReadDecimal()
Public Function ReadDecimal As Decimal
public:
virtual Decimal ReadDecimal() sealed
abstract ReadDecimal : unit -> decimal
override ReadDecimal : unit -> decimal

Return Value

Type: Decimal

[Missing <returns> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryReader.ReadDecimal"]

Implements

IPrimitiveReaderReadDecimal
See Also

Reference

PrimitiveBinaryReader Class


PrimitiveBinaryReader.ReadDouble Method

PrimitiveBinaryReaderReadDouble Method

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryReader.ReadDouble"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public double ReadDouble()
Public Function ReadDouble As Double
public:
virtual double ReadDouble() sealed
abstract ReadDouble : unit -> float
override ReadDouble : unit -> float

Return Value

Type: Double

[Missing <returns> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryReader.ReadDouble"]

Implements

IPrimitiveReaderReadDouble
See Also

Reference

PrimitiveBinaryReader Class


PrimitiveBinaryReader.ReadGuid Method

PrimitiveBinaryReaderReadGuid Method

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryReader.ReadGuid"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public Guid ReadGuid()
Public Function ReadGuid As Guid
public:
virtual Guid ReadGuid() sealed
abstract ReadGuid : unit -> Guid
override ReadGuid : unit -> Guid

Return Value

Type: Guid

[Missing <returns> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryReader.ReadGuid"]

Implements

IPrimitiveReaderReadGuid
See Also

Reference

PrimitiveBinaryReader Class


PrimitiveBinaryReader.ReadInt16 Method

PrimitiveBinaryReaderReadInt16 Method

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryReader.ReadInt16"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public short ReadInt16()
Public Function ReadInt16 As Short
public:
virtual short ReadInt16() sealed
abstract ReadInt16 : unit -> int16
override ReadInt16 : unit -> int16

Return Value

Type: Int16

[Missing <returns> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryReader.ReadInt16"]

Implements

IPrimitiveReaderReadInt16
See Also

Reference

PrimitiveBinaryReader Class


PrimitiveBinaryReader.ReadInt32 Method

PrimitiveBinaryReaderReadInt32 Method

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryReader.ReadInt32"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public int ReadInt32()
Public Function ReadInt32 As Integer
public:
virtual int ReadInt32() sealed
abstract ReadInt32 : unit -> int
override ReadInt32 : unit -> int

Return Value

Type: Int32

[Missing <returns> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryReader.ReadInt32"]

Implements

IPrimitiveReaderReadInt32
See Also

Reference

PrimitiveBinaryReader Class


PrimitiveBinaryReader.ReadInt64 Method

PrimitiveBinaryReaderReadInt64 Method

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryReader.ReadInt64"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public long ReadInt64()
Public Function ReadInt64 As Long
public:
virtual long long ReadInt64() sealed
abstract ReadInt64 : unit -> int64
override ReadInt64 : unit -> int64

Return Value

Type: Int64

[Missing <returns> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryReader.ReadInt64"]

Implements

IPrimitiveReaderReadInt64
See Also

Reference

PrimitiveBinaryReader Class


PrimitiveBinaryReader.ReadSByte Method

PrimitiveBinaryReaderReadSByte Method

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryReader.ReadSByte"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public sbyte ReadSByte()
Public Function ReadSByte As SByte
public:
virtual signed char ReadSByte() sealed
abstract ReadSByte : unit -> sbyte
override ReadSByte : unit -> sbyte

Return Value

Type: SByte

[Missing <returns> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryReader.ReadSByte"]

Implements

IPrimitiveReaderReadSByte
See Also

Reference

PrimitiveBinaryReader Class


PrimitiveBinaryReader.ReadSingle Method

PrimitiveBinaryReaderReadSingle Method

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryReader.ReadSingle"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public float ReadSingle()
Public Function ReadSingle As Single
public:
virtual float ReadSingle() sealed
abstract ReadSingle : unit -> float32
override ReadSingle : unit -> float32

Return Value

Type: Single

[Missing <returns> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryReader.ReadSingle"]

Implements

IPrimitiveReaderReadSingle
See Also

Reference

PrimitiveBinaryReader Class


PrimitiveBinaryReader.ReadString Method

PrimitiveBinaryReaderReadString Method

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryReader.ReadString"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public string ReadString()
Public Function ReadString As String
public:
virtual String^ ReadString() sealed
abstract ReadString : unit -> string
override ReadString : unit -> string

Return Value

Type: String

[Missing <returns> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryReader.ReadString"]

Implements

IPrimitiveReaderReadString
See Also

Reference

PrimitiveBinaryReader Class


PrimitiveBinaryReader.ReadUInt16 Method

PrimitiveBinaryReaderReadUInt16 Method

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryReader.ReadUInt16"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public ushort ReadUInt16()
Public Function ReadUInt16 As UShort
public:
virtual unsigned short ReadUInt16() sealed
abstract ReadUInt16 : unit -> uint16
override ReadUInt16 : unit -> uint16

Return Value

Type: UInt16

[Missing <returns> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryReader.ReadUInt16"]

Implements

IPrimitiveReaderReadUInt16
See Also

Reference

PrimitiveBinaryReader Class


PrimitiveBinaryReader.ReadUInt32 Method

PrimitiveBinaryReaderReadUInt32 Method

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryReader.ReadUInt32"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public uint ReadUInt32()
Public Function ReadUInt32 As UInteger
public:
virtual unsigned int ReadUInt32() sealed
abstract ReadUInt32 : unit -> uint32
override ReadUInt32 : unit -> uint32

Return Value

Type: UInt32

[Missing <returns> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryReader.ReadUInt32"]

Implements

IPrimitiveReaderReadUInt32
See Also

Reference

PrimitiveBinaryReader Class


PrimitiveBinaryReader.ReadUInt64 Method

PrimitiveBinaryReaderReadUInt64 Method

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryReader.ReadUInt64"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public ulong ReadUInt64()
Public Function ReadUInt64 As ULong
public:
virtual unsigned long long ReadUInt64() sealed
abstract ReadUInt64 : unit -> uint64
override ReadUInt64 : unit -> uint64

Return Value

Type: UInt64

[Missing <returns> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryReader.ReadUInt64"]

Implements

IPrimitiveReaderReadUInt64
See Also

Reference

PrimitiveBinaryReader Class


PrimitiveBinaryReader.ReadVInt Method

PrimitiveBinaryReaderReadVInt Method

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryReader.ReadVInt"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public long ReadVInt()
Public Function ReadVInt As Long
public:
virtual long long ReadVInt() sealed
abstract ReadVInt : unit -> int64
override ReadVInt : unit -> int64

Return Value

Type: Int64

[Missing <returns> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryReader.ReadVInt"]

Implements

IPrimitiveReaderReadVInt
See Also

Reference

PrimitiveBinaryReader Class


PrimitiveBinaryReader.ReadVNInt Method

PrimitiveBinaryReaderReadVNInt Method

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryReader.ReadVNInt"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public Nullable<long> ReadVNInt()
Public Function ReadVNInt As Nullable(Of Long)
public:
virtual Nullable<long long> ReadVNInt() sealed
abstract ReadVNInt : unit -> Nullable<int64>
override ReadVNInt : unit -> Nullable<int64>

Return Value

Type: Nullable Int64

[Missing <returns> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryReader.ReadVNInt"]

Implements

IPrimitiveReaderReadVNInt
See Also

Reference

PrimitiveBinaryReader Class


PrimitiveBinaryReader.ReadVNUInt Method

PrimitiveBinaryReaderReadVNUInt Method

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryReader.ReadVNUInt"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public Nullable<ulong> ReadVNUInt()
Public Function ReadVNUInt As Nullable(Of ULong)
public:
virtual Nullable<unsigned long long> ReadVNUInt() sealed
abstract ReadVNUInt : unit -> Nullable<uint64>
override ReadVNUInt : unit -> Nullable<uint64>

Return Value

Type: Nullable UInt64

[Missing <returns> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryReader.ReadVNUInt"]

Implements

IPrimitiveReaderReadVNUInt
See Also

Reference

PrimitiveBinaryReader Class


PrimitiveBinaryReader.ReadVUInt Method

PrimitiveBinaryReaderReadVUInt Method

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryReader.ReadVUInt"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public ulong ReadVUInt()
Public Function ReadVUInt As ULong
public:
virtual unsigned long long ReadVUInt() sealed
abstract ReadVUInt : unit -> uint64
override ReadVUInt : unit -> uint64

Return Value

Type: UInt64

[Missing <returns> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryReader.ReadVUInt"]

Implements

IPrimitiveReaderReadVUInt
See Also

Reference

PrimitiveBinaryReader Class


PrimitiveBinaryWriter Class

PrimitiveBinaryWriter Class
An IPrimitiveWriter writing to a Stream.
Inheritance Hierarchy
SystemObject
Galador.Reflection.SerializationPrimitiveBinaryWriter

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public class PrimitiveBinaryWriter : IPrimitiveWriter,
    IDisposable
Public Class PrimitiveBinaryWriter
    Implements IPrimitiveWriter, IDisposable
public ref class PrimitiveBinaryWriter : IPrimitiveWriter,
    IDisposable
type PrimitiveBinaryWriter =
    class
        interface IPrimitiveWriter
        interface IDisposable
    end

The PrimitiveBinaryWriter type exposes the following members.

Constructors
 | Name | Description
Public method | PrimitiveBinaryWriter | Initializes a new instance of the PrimitiveBinaryWriter class
Top
Methods
 | Name | Description
Public method | Dispose | Releases all resources used by the PrimitiveBinaryWriter
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Public method | Write(Boolean) |
Public method | Write(Byte) |
Public method | Write(Byte) |
Public method | Write(Char) |
Public method | Write(Decimal) |
Public method | Write(Double) |
Public method | Write(Guid) |
Public method | Write(Int16) |
Public method | Write(Int32) |
Public method | Write(Int64) |
Public method | Write(SByte) |
Public method | Write(Single) |
Public method | Write(String) |
Public method | Write(UInt16) |
Public method | Write(UInt32) |
Public method | Write(UInt64) |
Public method | WriteVInt(Int64) |
Public method | WriteVInt(NullableInt64) |
Public method | WriteVInt(NullableUInt64) |
Public method | WriteVInt(UInt64) |
Top
See Also

Reference


PrimitiveBinaryWriter Constructor

PrimitiveBinaryWriter Constructor
Initializes a new instance of the PrimitiveBinaryWriter class

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public PrimitiveBinaryWriter(
    Stream stream
)
Public Sub New (
    stream As Stream
)
public:
PrimitiveBinaryWriter(
    Stream^ stream
)
new :
        stream : Stream -> PrimitiveBinaryWriter

Parameters

stream
Type: System.IOStream

[Missing <param name="stream"/> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryWriter.#ctor(System.IO.Stream)"]

See Also

Reference

PrimitiveBinaryWriter Class


PrimitiveBinaryWriter Methods

PrimitiveBinaryWriter Methods

The PrimitiveBinaryWriter type exposes the following members.

Methods
 | Name | Description
Public method | Dispose |
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Public method | Write(Boolean) |
Public method | Write(Byte) |
Public method | Write(Byte) |
Public method | Write(Char) |
Public method | Write(Decimal) |
Public method | Write(Double) |
Public method | Write(Guid) |
Public method | Write(Int16) |
Public method | Write(Int32) |
Public method | Write(Int64) |
Public method | Write(SByte) |
Public method | Write(Single) |
Public method | Write(String) |
Public method | Write(UInt16) |
Public method | Write(UInt32) |
Public method | Write(UInt64) |
Public method | WriteVInt(Int64) |
Public method | WriteVInt(NullableInt64) |
Public method | WriteVInt(NullableUInt64) |
Public method | WriteVInt(UInt64) |
Top
See Also

Reference

PrimitiveBinaryWriter Class


PrimitiveBinaryWriter.Dispose Method

PrimitiveBinaryWriterDispose Method
Releases all resources used by the PrimitiveBinaryWriter

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void Dispose()
Public Sub Dispose
public:
virtual void Dispose() sealed
abstract Dispose : unit -> unit
override Dispose : unit -> unit

Implements

IDisposableDispose
See Also

Reference

PrimitiveBinaryWriter Class


PrimitiveBinaryWriter.Write Method

PrimitiveBinaryWriterWrite Method
Overload List
 | Name | Description
Public method | Write(Boolean) |
Public method | Write(Byte) |
Public method | Write(Byte) |
Public method | Write(Char) |
Public method | Write(Decimal) |
Public method | Write(Double) |
Public method | Write(Guid) |
Public method | Write(Int16) |
Public method | Write(Int32) |
Public method | Write(Int64) |
Public method | Write(SByte) |
Public method | Write(Single) |
Public method | Write(String) |
Public method | Write(UInt16) |
Public method | Write(UInt32) |
Public method | Write(UInt64) |
Top
See Also

Reference

PrimitiveBinaryWriter Class


PrimitiveBinaryWriter.Write Method (Boolean)

PrimitiveBinaryWriterWrite Method (Boolean)

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryWriter.Write(System.Boolean)"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void Write(
    bool value
)
Public Sub Write (
    value As Boolean
)
public:
virtual void Write(
    bool value
) sealed
abstract Write :
        value : bool -> unit
override Write :
        value : bool -> unit

Parameters

value
Type: SystemBoolean

[Missing <param name="value"/> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryWriter.Write(System.Boolean)"]

Implements

IPrimitiveWriterWrite(Boolean)
See Also

Reference

PrimitiveBinaryWriter Class
Write Overload


PrimitiveBinaryWriter.Write Method (Byte)

PrimitiveBinaryWriterWrite Method (Byte)

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryWriter.Write(System.Byte)"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void Write(
    byte value
)
Public Sub Write (
    value As Byte
)
public:
virtual void Write(
    unsigned char value
) sealed
abstract Write :
        value : byte -> unit
override Write :
        value : byte -> unit

Parameters

value
Type: SystemByte

[Missing <param name="value"/> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryWriter.Write(System.Byte)"]

Implements

IPrimitiveWriterWrite(Byte)
See Also

Reference

PrimitiveBinaryWriter Class
Write Overload


PrimitiveBinaryWriter.Write Method (Byte[])

PrimitiveBinaryWriterWrite Method (Byte)

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryWriter.Write(System.Byte[])"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void Write(
    byte[] value
)
Public Sub Write (
    value As Byte()
)
public:
virtual void Write(
    array<unsigned char>^ value
) sealed
abstract Write :
        value : byte[] -> unit
override Write :
        value : byte[] -> unit

Parameters

value
Type: SystemByte

[Missing <param name="value"/> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryWriter.Write(System.Byte[])"]

Implements

IPrimitiveWriterWrite(Byte)
See Also

Reference

PrimitiveBinaryWriter Class
Write Overload


PrimitiveBinaryWriter.Write Method (Char)

PrimitiveBinaryWriterWrite Method (Char)

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryWriter.Write(System.Char)"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void Write(
    char value
)
Public Sub Write (
    value As Char
)
public:
virtual void Write(
    wchar_t value
) sealed
abstract Write :
        value : char -> unit
override Write :
        value : char -> unit

Parameters

value
Type: SystemChar

[Missing <param name="value"/> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryWriter.Write(System.Char)"]

Implements

IPrimitiveWriterWrite(Char)
See Also

Reference

PrimitiveBinaryWriter Class
Write Overload


PrimitiveBinaryWriter.Write Method (Decimal)

PrimitiveBinaryWriterWrite Method (Decimal)

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryWriter.Write(System.Decimal)"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void Write(
    decimal value
)
Public Sub Write (
    value As Decimal
)
public:
virtual void Write(
    Decimal value
) sealed
abstract Write :
        value : decimal -> unit
override Write :
        value : decimal -> unit

Parameters

value
Type: SystemDecimal

[Missing <param name="value"/> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryWriter.Write(System.Decimal)"]

Implements

IPrimitiveWriterWrite(Decimal)
See Also

Reference

PrimitiveBinaryWriter Class
Write Overload


PrimitiveBinaryWriter.Write Method (Double)

PrimitiveBinaryWriterWrite Method (Double)

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryWriter.Write(System.Double)"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void Write(
    double value
)
Public Sub Write (
    value As Double
)
public:
virtual void Write(
    double value
) sealed
abstract Write :
        value : float -> unit
override Write :
        value : float -> unit

Parameters

value
Type: SystemDouble

[Missing <param name="value"/> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryWriter.Write(System.Double)"]

Implements

IPrimitiveWriterWrite(Double)
See Also

Reference

PrimitiveBinaryWriter Class
Write Overload


PrimitiveBinaryWriter.Write Method (Guid)

PrimitiveBinaryWriterWrite Method (Guid)

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryWriter.Write(System.Guid)"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void Write(
    Guid value
)
Public Sub Write (
    value As Guid
)
public:
virtual void Write(
    Guid value
) sealed
abstract Write :
        value : Guid -> unit
override Write :
        value : Guid -> unit

Parameters

value
Type: SystemGuid

[Missing <param name="value"/> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryWriter.Write(System.Guid)"]

Implements

IPrimitiveWriterWrite(Guid)
See Also

Reference

PrimitiveBinaryWriter Class
Write Overload


PrimitiveBinaryWriter.Write Method (Int16)

PrimitiveBinaryWriterWrite Method (Int16)

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryWriter.Write(System.Int16)"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void Write(
    short value
)
Public Sub Write (
    value As Short
)
public:
virtual void Write(
    short value
) sealed
abstract Write :
        value : int16 -> unit
override Write :
        value : int16 -> unit

Parameters

value
Type: SystemInt16

[Missing <param name="value"/> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryWriter.Write(System.Int16)"]

Implements

IPrimitiveWriterWrite(Int16)
See Also

Reference

PrimitiveBinaryWriter Class
Write Overload


PrimitiveBinaryWriter.Write Method (Int32)

PrimitiveBinaryWriterWrite Method (Int32)

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryWriter.Write(System.Int32)"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void Write(
    int value
)
Public Sub Write (
    value As Integer
)
public:
virtual void Write(
    int value
) sealed
abstract Write :
        value : int -> unit
override Write :
        value : int -> unit

Parameters

value
Type: SystemInt32

[Missing <param name="value"/> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryWriter.Write(System.Int32)"]

Implements

IPrimitiveWriterWrite(Int32)
See Also

Reference

PrimitiveBinaryWriter Class
Write Overload


PrimitiveBinaryWriter.Write Method (Int64)

PrimitiveBinaryWriterWrite Method (Int64)

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryWriter.Write(System.Int64)"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void Write(
    long value
)
Public Sub Write (
    value As Long
)
public:
virtual void Write(
    long long value
) sealed
abstract Write :
        value : int64 -> unit
override Write :
        value : int64 -> unit

Parameters

value
Type: SystemInt64

[Missing <param name="value"/> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryWriter.Write(System.Int64)"]

Implements

IPrimitiveWriterWrite(Int64)
See Also

Reference

PrimitiveBinaryWriter Class
Write Overload


PrimitiveBinaryWriter.Write Method (SByte)

PrimitiveBinaryWriterWrite Method (SByte)

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryWriter.Write(System.SByte)"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void Write(
    sbyte value
)
Public Sub Write (
    value As SByte
)
public:
virtual void Write(
    signed char value
) sealed
abstract Write :
        value : sbyte -> unit
override Write :
        value : sbyte -> unit

Parameters

value
Type: SystemSByte

[Missing <param name="value"/> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryWriter.Write(System.SByte)"]

Implements

IPrimitiveWriterWrite(SByte)
See Also

Reference

PrimitiveBinaryWriter Class
Write Overload


PrimitiveBinaryWriter.Write Method (Single)

PrimitiveBinaryWriterWrite Method (Single)

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryWriter.Write(System.Single)"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void Write(
    float value
)
Public Sub Write (
    value As Single
)
public:
virtual void Write(
    float value
) sealed
abstract Write :
        value : float32 -> unit
override Write :
        value : float32 -> unit

Parameters

value
Type: SystemSingle

[Missing <param name="value"/> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryWriter.Write(System.Single)"]

Implements

IPrimitiveWriterWrite(Single)
See Also

Reference

PrimitiveBinaryWriter Class
Write Overload


PrimitiveBinaryWriter.Write Method (String)

PrimitiveBinaryWriterWrite Method (String)

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryWriter.Write(System.String)"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void Write(
    string value
)
Public Sub Write (
    value As String
)
public:
virtual void Write(
    String^ value
) sealed
abstract Write :
        value : string -> unit
override Write :
        value : string -> unit

Parameters

value
Type: SystemString

[Missing <param name="value"/> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryWriter.Write(System.String)"]

Implements

IPrimitiveWriterWrite(String)
See Also

Reference

PrimitiveBinaryWriter Class
Write Overload


PrimitiveBinaryWriter.Write Method (UInt16)

PrimitiveBinaryWriterWrite Method (UInt16)

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryWriter.Write(System.UInt16)"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void Write(
    ushort value
)
Public Sub Write (
    value As UShort
)
public:
virtual void Write(
    unsigned short value
) sealed
abstract Write :
        value : uint16 -> unit
override Write :
        value : uint16 -> unit

Parameters

value
Type: SystemUInt16

[Missing <param name="value"/> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryWriter.Write(System.UInt16)"]

Implements

IPrimitiveWriterWrite(UInt16)
See Also

Reference

PrimitiveBinaryWriter Class
Write Overload


PrimitiveBinaryWriter.Write Method (UInt32)

PrimitiveBinaryWriterWrite Method (UInt32)

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryWriter.Write(System.UInt32)"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void Write(
    uint value
)
Public Sub Write (
    value As UInteger
)
public:
virtual void Write(
    unsigned int value
) sealed
abstract Write :
        value : uint32 -> unit
override Write :
        value : uint32 -> unit

Parameters

value
Type: SystemUInt32

[Missing <param name="value"/> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryWriter.Write(System.UInt32)"]

Implements

IPrimitiveWriterWrite(UInt32)
See Also

Reference

PrimitiveBinaryWriter Class
Write Overload


PrimitiveBinaryWriter.Write Method (UInt64)

PrimitiveBinaryWriterWrite Method (UInt64)

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryWriter.Write(System.UInt64)"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void Write(
    ulong value
)
Public Sub Write (
    value As ULong
)
public:
virtual void Write(
    unsigned long long value
) sealed
abstract Write :
        value : uint64 -> unit
override Write :
        value : uint64 -> unit

Parameters

value
Type: SystemUInt64

[Missing <param name="value"/> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryWriter.Write(System.UInt64)"]

Implements

IPrimitiveWriterWrite(UInt64)
See Also

Reference

PrimitiveBinaryWriter Class
Write Overload


PrimitiveBinaryWriter.WriteVInt Method

PrimitiveBinaryWriterWriteVInt Method
Overload List
 | Name | Description
Public method | WriteVInt(Int64) |
Public method | WriteVInt(NullableInt64) |
Public method | WriteVInt(NullableUInt64) |
Public method | WriteVInt(UInt64) |
Top
See Also

Reference

PrimitiveBinaryWriter Class


PrimitiveBinaryWriter.WriteVInt Method (Int64)

PrimitiveBinaryWriterWriteVInt Method (Int64)

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryWriter.WriteVInt(System.Int64)"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void WriteVInt(
    long value
)
Public Sub WriteVInt (
    value As Long
)
public:
virtual void WriteVInt(
    long long value
) sealed
abstract WriteVInt :
        value : int64 -> unit
override WriteVInt :
        value : int64 -> unit

Parameters

value
Type: SystemInt64

[Missing <param name="value"/> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryWriter.WriteVInt(System.Int64)"]

Implements

IPrimitiveWriterWriteVInt(Int64)
See Also

Reference

PrimitiveBinaryWriter Class
WriteVInt Overload


PrimitiveBinaryWriter.WriteVInt Method (Nullable(Int64))

PrimitiveBinaryWriterWriteVInt Method (NullableInt64)

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryWriter.WriteVInt(System.Nullable{System.Int64})"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void WriteVInt(
    Nullable<long> value
)
Public Sub WriteVInt (
    value As Nullable(Of Long)
)
public:
virtual void WriteVInt(
    Nullable<long long> value
) sealed
abstract WriteVInt :
        value : Nullable<int64> -> unit
override WriteVInt :
        value : Nullable<int64> -> unit

Parameters

value
Type: SystemNullable Int64

[Missing <param name="value"/> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryWriter.WriteVInt(System.Nullable{System.Int64})"]

Implements

IPrimitiveWriterWriteVInt(NullableInt64)
See Also

Reference

PrimitiveBinaryWriter Class
WriteVInt Overload


PrimitiveBinaryWriter.WriteVInt Method (Nullable(UInt64))

PrimitiveBinaryWriterWriteVInt Method (NullableUInt64)

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryWriter.WriteVInt(System.Nullable{System.UInt64})"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void WriteVInt(
    Nullable<ulong> value
)
Public Sub WriteVInt (
    value As Nullable(Of ULong)
)
public:
virtual void WriteVInt(
    Nullable<unsigned long long> value
) sealed
abstract WriteVInt :
        value : Nullable<uint64> -> unit
override WriteVInt :
        value : Nullable<uint64> -> unit

Parameters

value
Type: SystemNullable UInt64

[Missing <param name="value"/> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryWriter.WriteVInt(System.Nullable{System.UInt64})"]

Implements

IPrimitiveWriterWriteVInt(NullableUInt64)
See Also

Reference

PrimitiveBinaryWriter Class
WriteVInt Overload


PrimitiveBinaryWriter.WriteVInt Method (UInt64)

PrimitiveBinaryWriterWriteVInt Method (UInt64)

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryWriter.WriteVInt(System.UInt64)"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void WriteVInt(
    ulong value
)
Public Sub WriteVInt (
    value As ULong
)
public:
virtual void WriteVInt(
    unsigned long long value
) sealed
abstract WriteVInt :
        value : uint64 -> unit
override WriteVInt :
        value : uint64 -> unit

Parameters

value
Type: SystemUInt64

[Missing <param name="value"/> documentation for "M:Galador.Reflection.Serialization.PrimitiveBinaryWriter.WriteVInt(System.UInt64)"]

Implements

IPrimitiveWriterWriteVInt(UInt64)
See Also

Reference

PrimitiveBinaryWriter Class
WriteVInt Overload


PrimitiveTextReader Class

PrimitiveTextReader Class
An IPrimitiveReader reading from a TextReader.
Inheritance Hierarchy
SystemObject
Galador.Reflection.SerializationPrimitiveTextReader

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public class PrimitiveTextReader : IPrimitiveReader,
    IDisposable
Public Class PrimitiveTextReader
    Implements IPrimitiveReader, IDisposable
public ref class PrimitiveTextReader : IPrimitiveReader,
    IDisposable
type PrimitiveTextReader =
    class
        interface IPrimitiveReader
        interface IDisposable
    end

The PrimitiveTextReader type exposes the following members.

Constructors
 | Name | Description
Public method | PrimitiveTextReader | Initializes a new instance of the PrimitiveTextReader class
Top
Methods
 | Name | Description
Public method | Dispose | Releases all resources used by the PrimitiveTextReader
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ReadBool |
Public method | ReadByte |
Public method | ReadBytes |
Public method | ReadChar |
Public method | ReadDecimal |
Public method | ReadDouble |
Public method | ReadGuid |
Public method | ReadInt16 |
Public method | ReadInt32 |
Public method | ReadInt64 |
Public method | ReadSByte |
Public method | ReadSingle |
Public method | ReadString |
Public method | ReadUInt16 |
Public method | ReadUInt32 |
Public method | ReadUInt64 |
Public method | ReadVInt |
Public method | ReadVNInt |
Public method | ReadVNUInt |
Public method | ReadVUInt |
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference


PrimitiveTextReader Constructor

PrimitiveTextReader Constructor
Initializes a new instance of the PrimitiveTextReader class

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public PrimitiveTextReader(
    TextReader reader
)
Public Sub New (
    reader As TextReader
)
public:
PrimitiveTextReader(
    TextReader^ reader
)
new :
        reader : TextReader -> PrimitiveTextReader

Parameters

reader
Type: System.IOTextReader

[Missing <param name="reader"/> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextReader.#ctor(System.IO.TextReader)"]

See Also

Reference

PrimitiveTextReader Class


PrimitiveTextReader Methods

PrimitiveTextReader Methods

The PrimitiveTextReader type exposes the following members.

Methods
 | Name | Description
Public method | Dispose |
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ReadBool |
Public method | ReadByte |
Public method | ReadBytes |
Public method | ReadChar |
Public method | ReadDecimal |
Public method | ReadDouble |
Public method | ReadGuid |
Public method | ReadInt16 |
Public method | ReadInt32 |
Public method | ReadInt64 |
Public method | ReadSByte |
Public method | ReadSingle |
Public method | ReadString |
Public method | ReadUInt16 |
Public method | ReadUInt32 |
Public method | ReadUInt64 |
Public method | ReadVInt |
Public method | ReadVNInt |
Public method | ReadVNUInt |
Public method | ReadVUInt |
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

PrimitiveTextReader Class


PrimitiveTextReader.Dispose Method

PrimitiveTextReaderDispose Method
Releases all resources used by the PrimitiveTextReader

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void Dispose()
Public Sub Dispose
public:
virtual void Dispose() sealed
abstract Dispose : unit -> unit
override Dispose : unit -> unit

Implements

IDisposableDispose
See Also

Reference

PrimitiveTextReader Class


PrimitiveTextReader.ReadBool Method

PrimitiveTextReaderReadBool Method

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextReader.ReadBool"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public bool ReadBool()
Public Function ReadBool As Boolean
public:
virtual bool ReadBool() sealed
abstract ReadBool : unit -> bool
override ReadBool : unit -> bool

Return Value

Type: Boolean

[Missing <returns> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextReader.ReadBool"]

Implements

IPrimitiveReaderReadBool
See Also

Reference

PrimitiveTextReader Class


PrimitiveTextReader.ReadByte Method

PrimitiveTextReaderReadByte Method

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextReader.ReadByte"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public byte ReadByte()
Public Function ReadByte As Byte
public:
virtual unsigned char ReadByte() sealed
abstract ReadByte : unit -> byte
override ReadByte : unit -> byte

Return Value

Type: Byte

[Missing <returns> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextReader.ReadByte"]

Implements

IPrimitiveReaderReadByte
See Also

Reference

PrimitiveTextReader Class


PrimitiveTextReader.ReadBytes Method

PrimitiveTextReaderReadBytes Method

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextReader.ReadBytes"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public byte[] ReadBytes()
Public Function ReadBytes As Byte()
public:
virtual array<unsigned char>^ ReadBytes() sealed
abstract ReadBytes : unit -> byte[]
override ReadBytes : unit -> byte[]

Return Value

Type: Byte

[Missing <returns> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextReader.ReadBytes"]

Implements

IPrimitiveReaderReadBytes
See Also

Reference

PrimitiveTextReader Class


PrimitiveTextReader.ReadChar Method

PrimitiveTextReaderReadChar Method

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextReader.ReadChar"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public char ReadChar()
Public Function ReadChar As Char
public:
virtual wchar_t ReadChar() sealed
abstract ReadChar : unit -> char
override ReadChar : unit -> char

Return Value

Type: Char

[Missing <returns> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextReader.ReadChar"]

Implements

IPrimitiveReaderReadChar
See Also

Reference

PrimitiveTextReader Class


PrimitiveTextReader.ReadDecimal Method

PrimitiveTextReaderReadDecimal Method

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextReader.ReadDecimal"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public decimal ReadDecimal()
Public Function ReadDecimal As Decimal
public:
virtual Decimal ReadDecimal() sealed
abstract ReadDecimal : unit -> decimal
override ReadDecimal : unit -> decimal

Return Value

Type: Decimal

[Missing <returns> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextReader.ReadDecimal"]

Implements

IPrimitiveReaderReadDecimal
See Also

Reference

PrimitiveTextReader Class


PrimitiveTextReader.ReadDouble Method

PrimitiveTextReaderReadDouble Method

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextReader.ReadDouble"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public double ReadDouble()
Public Function ReadDouble As Double
public:
virtual double ReadDouble() sealed
abstract ReadDouble : unit -> float
override ReadDouble : unit -> float

Return Value

Type: Double

[Missing <returns> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextReader.ReadDouble"]

Implements

IPrimitiveReaderReadDouble
See Also

Reference

PrimitiveTextReader Class


PrimitiveTextReader.ReadGuid Method

PrimitiveTextReaderReadGuid Method

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextReader.ReadGuid"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public Guid ReadGuid()
Public Function ReadGuid As Guid
public:
virtual Guid ReadGuid() sealed
abstract ReadGuid : unit -> Guid
override ReadGuid : unit -> Guid

Return Value

Type: Guid

[Missing <returns> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextReader.ReadGuid"]

Implements

IPrimitiveReaderReadGuid
See Also

Reference

PrimitiveTextReader Class


PrimitiveTextReader.ReadInt16 Method

PrimitiveTextReaderReadInt16 Method

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextReader.ReadInt16"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public short ReadInt16()
Public Function ReadInt16 As Short
public:
virtual short ReadInt16() sealed
abstract ReadInt16 : unit -> int16
override ReadInt16 : unit -> int16

Return Value

Type: Int16

[Missing <returns> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextReader.ReadInt16"]

Implements

IPrimitiveReaderReadInt16
See Also

Reference

PrimitiveTextReader Class


PrimitiveTextReader.ReadInt32 Method

PrimitiveTextReaderReadInt32 Method

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextReader.ReadInt32"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public int ReadInt32()
Public Function ReadInt32 As Integer
public:
virtual int ReadInt32() sealed
abstract ReadInt32 : unit -> int
override ReadInt32 : unit -> int

Return Value

Type: Int32

[Missing <returns> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextReader.ReadInt32"]

Implements

IPrimitiveReaderReadInt32
See Also

Reference

PrimitiveTextReader Class


PrimitiveTextReader.ReadInt64 Method

PrimitiveTextReaderReadInt64 Method

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextReader.ReadInt64"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public long ReadInt64()
Public Function ReadInt64 As Long
public:
virtual long long ReadInt64() sealed
abstract ReadInt64 : unit -> int64
override ReadInt64 : unit -> int64

Return Value

Type: Int64

[Missing <returns> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextReader.ReadInt64"]

Implements

IPrimitiveReaderReadInt64
See Also

Reference

PrimitiveTextReader Class


PrimitiveTextReader.ReadSByte Method

PrimitiveTextReaderReadSByte Method

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextReader.ReadSByte"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public sbyte ReadSByte()
Public Function ReadSByte As SByte
public:
virtual signed char ReadSByte() sealed
abstract ReadSByte : unit -> sbyte
override ReadSByte : unit -> sbyte

Return Value

Type: SByte

[Missing <returns> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextReader.ReadSByte"]

Implements

IPrimitiveReaderReadSByte
See Also

Reference

PrimitiveTextReader Class


PrimitiveTextReader.ReadSingle Method

PrimitiveTextReaderReadSingle Method

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextReader.ReadSingle"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public float ReadSingle()
Public Function ReadSingle As Single
public:
virtual float ReadSingle() sealed
abstract ReadSingle : unit -> float32
override ReadSingle : unit -> float32

Return Value

Type: Single

[Missing <returns> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextReader.ReadSingle"]

Implements

IPrimitiveReaderReadSingle
See Also

Reference

PrimitiveTextReader Class


PrimitiveTextReader.ReadString Method

PrimitiveTextReaderReadString Method

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextReader.ReadString"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public string ReadString()
Public Function ReadString As String
public:
virtual String^ ReadString() sealed
abstract ReadString : unit -> string
override ReadString : unit -> string

Return Value

Type: String

[Missing <returns> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextReader.ReadString"]

Implements

IPrimitiveReaderReadString
See Also

Reference

PrimitiveTextReader Class


PrimitiveTextReader.ReadUInt16 Method

PrimitiveTextReaderReadUInt16 Method

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextReader.ReadUInt16"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public ushort ReadUInt16()
Public Function ReadUInt16 As UShort
public:
virtual unsigned short ReadUInt16() sealed
abstract ReadUInt16 : unit -> uint16
override ReadUInt16 : unit -> uint16

Return Value

Type: UInt16

[Missing <returns> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextReader.ReadUInt16"]

Implements

IPrimitiveReaderReadUInt16
See Also

Reference

PrimitiveTextReader Class


PrimitiveTextReader.ReadUInt32 Method

PrimitiveTextReaderReadUInt32 Method

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextReader.ReadUInt32"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public uint ReadUInt32()
Public Function ReadUInt32 As UInteger
public:
virtual unsigned int ReadUInt32() sealed
abstract ReadUInt32 : unit -> uint32
override ReadUInt32 : unit -> uint32

Return Value

Type: UInt32

[Missing <returns> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextReader.ReadUInt32"]

Implements

IPrimitiveReaderReadUInt32
See Also

Reference

PrimitiveTextReader Class


PrimitiveTextReader.ReadUInt64 Method

PrimitiveTextReaderReadUInt64 Method

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextReader.ReadUInt64"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public ulong ReadUInt64()
Public Function ReadUInt64 As ULong
public:
virtual unsigned long long ReadUInt64() sealed
abstract ReadUInt64 : unit -> uint64
override ReadUInt64 : unit -> uint64

Return Value

Type: UInt64

[Missing <returns> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextReader.ReadUInt64"]

Implements

IPrimitiveReaderReadUInt64
See Also

Reference

PrimitiveTextReader Class


PrimitiveTextReader.ReadVInt Method

PrimitiveTextReaderReadVInt Method

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextReader.ReadVInt"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public long ReadVInt()
Public Function ReadVInt As Long
public:
virtual long long ReadVInt() sealed
abstract ReadVInt : unit -> int64
override ReadVInt : unit -> int64

Return Value

Type: Int64

[Missing <returns> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextReader.ReadVInt"]

Implements

IPrimitiveReaderReadVInt
See Also

Reference

PrimitiveTextReader Class


PrimitiveTextReader.ReadVNInt Method

PrimitiveTextReaderReadVNInt Method

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextReader.ReadVNInt"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public Nullable<long> ReadVNInt()
Public Function ReadVNInt As Nullable(Of Long)
public:
virtual Nullable<long long> ReadVNInt() sealed
abstract ReadVNInt : unit -> Nullable<int64>
override ReadVNInt : unit -> Nullable<int64>

Return Value

Type: Nullable Int64

[Missing <returns> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextReader.ReadVNInt"]

Implements

IPrimitiveReaderReadVNInt
See Also

Reference

PrimitiveTextReader Class


PrimitiveTextReader.ReadVNUInt Method

PrimitiveTextReaderReadVNUInt Method

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextReader.ReadVNUInt"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public Nullable<ulong> ReadVNUInt()
Public Function ReadVNUInt As Nullable(Of ULong)
public:
virtual Nullable<unsigned long long> ReadVNUInt() sealed
abstract ReadVNUInt : unit -> Nullable<uint64>
override ReadVNUInt : unit -> Nullable<uint64>

Return Value

Type: Nullable UInt64

[Missing <returns> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextReader.ReadVNUInt"]

Implements

IPrimitiveReaderReadVNUInt
See Also

Reference

PrimitiveTextReader Class


PrimitiveTextReader.ReadVUInt Method

PrimitiveTextReaderReadVUInt Method

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextReader.ReadVUInt"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public ulong ReadVUInt()
Public Function ReadVUInt As ULong
public:
virtual unsigned long long ReadVUInt() sealed
abstract ReadVUInt : unit -> uint64
override ReadVUInt : unit -> uint64

Return Value

Type: UInt64

[Missing <returns> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextReader.ReadVUInt"]

Implements

IPrimitiveReaderReadVUInt
See Also

Reference

PrimitiveTextReader Class


PrimitiveTextWriter Class

PrimitiveTextWriter Class
An IPrimitiveWriter writing to a TextWriter.
Inheritance Hierarchy
SystemObject
Galador.Reflection.SerializationPrimitiveTextWriter

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public class PrimitiveTextWriter : IPrimitiveWriter,
    IDisposable
Public Class PrimitiveTextWriter
    Implements IPrimitiveWriter, IDisposable
public ref class PrimitiveTextWriter : IPrimitiveWriter,
    IDisposable
type PrimitiveTextWriter =
    class
        interface IPrimitiveWriter
        interface IDisposable
    end

The PrimitiveTextWriter type exposes the following members.

Constructors
 | Name | Description
Public method | PrimitiveTextWriter | Initializes a new instance of the PrimitiveTextWriter class
Top
Methods
 | Name | Description
Public method | Dispose | Releases all resources used by the PrimitiveTextWriter
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Public method | Write(Boolean) |
Public method | Write(Byte) |
Public method | Write(Byte) |
Public method | Write(Char) |
Public method | Write(Decimal) |
Public method | Write(Double) |
Public method | Write(Guid) |
Public method | Write(Int16) |
Public method | Write(Int32) |
Public method | Write(Int64) |
Public method | Write(SByte) |
Public method | Write(Single) |
Public method | Write(String) |
Public method | Write(UInt16) |
Public method | Write(UInt32) |
Public method | Write(UInt64) |
Public method | WriteVInt(Int64) |
Public method | WriteVInt(NullableInt64) |
Public method | WriteVInt(NullableUInt64) |
Public method | WriteVInt(UInt64) |
Top
See Also

Reference


PrimitiveTextWriter Constructor

PrimitiveTextWriter Constructor
Initializes a new instance of the PrimitiveTextWriter class

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public PrimitiveTextWriter(
    TextWriter writer
)
Public Sub New (
    writer As TextWriter
)
public:
PrimitiveTextWriter(
    TextWriter^ writer
)
new :
        writer : TextWriter -> PrimitiveTextWriter

Parameters

writer
Type: System.IOTextWriter

[Missing <param name="writer"/> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextWriter.#ctor(System.IO.TextWriter)"]

See Also

Reference

PrimitiveTextWriter Class


PrimitiveTextWriter Methods

PrimitiveTextWriter Methods

The PrimitiveTextWriter type exposes the following members.

Methods
 | Name | Description
Public method | Dispose |
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Public method | Write(Boolean) |
Public method | Write(Byte) |
Public method | Write(Byte) |
Public method | Write(Char) |
Public method | Write(Decimal) |
Public method | Write(Double) |
Public method | Write(Guid) |
Public method | Write(Int16) |
Public method | Write(Int32) |
Public method | Write(Int64) |
Public method | Write(SByte) |
Public method | Write(Single) |
Public method | Write(String) |
Public method | Write(UInt16) |
Public method | Write(UInt32) |
Public method | Write(UInt64) |
Public method | WriteVInt(Int64) |
Public method | WriteVInt(NullableInt64) |
Public method | WriteVInt(NullableUInt64) |
Public method | WriteVInt(UInt64) |
Top
See Also

Reference

PrimitiveTextWriter Class


PrimitiveTextWriter.Dispose Method

PrimitiveTextWriterDispose Method
Releases all resources used by the PrimitiveTextWriter

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void Dispose()
Public Sub Dispose
public:
virtual void Dispose() sealed
abstract Dispose : unit -> unit
override Dispose : unit -> unit

Implements

IDisposableDispose
See Also

Reference

PrimitiveTextWriter Class


PrimitiveTextWriter.Write Method

PrimitiveTextWriterWrite Method
Overload List
 | Name | Description
Public method | Write(Boolean) |
Public method | Write(Byte) |
Public method | Write(Byte) |
Public method | Write(Char) |
Public method | Write(Decimal) |
Public method | Write(Double) |
Public method | Write(Guid) |
Public method | Write(Int16) |
Public method | Write(Int32) |
Public method | Write(Int64) |
Public method | Write(SByte) |
Public method | Write(Single) |
Public method | Write(String) |
Public method | Write(UInt16) |
Public method | Write(UInt32) |
Public method | Write(UInt64) |
Top
See Also

Reference

PrimitiveTextWriter Class


PrimitiveTextWriter.Write Method (Boolean)

PrimitiveTextWriterWrite Method (Boolean)

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextWriter.Write(System.Boolean)"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void Write(
    bool value
)
Public Sub Write (
    value As Boolean
)
public:
virtual void Write(
    bool value
) sealed
abstract Write :
        value : bool -> unit
override Write :
        value : bool -> unit

Parameters

value
Type: SystemBoolean

[Missing <param name="value"/> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextWriter.Write(System.Boolean)"]

Implements

IPrimitiveWriterWrite(Boolean)
See Also

Reference

PrimitiveTextWriter Class
Write Overload


PrimitiveTextWriter.Write Method (Byte)

PrimitiveTextWriterWrite Method (Byte)

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextWriter.Write(System.Byte)"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void Write(
    byte value
)
Public Sub Write (
    value As Byte
)
public:
virtual void Write(
    unsigned char value
) sealed
abstract Write :
        value : byte -> unit
override Write :
        value : byte -> unit

Parameters

value
Type: SystemByte

[Missing <param name="value"/> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextWriter.Write(System.Byte)"]

Implements

IPrimitiveWriterWrite(Byte)
See Also

Reference

PrimitiveTextWriter Class
Write Overload


PrimitiveTextWriter.Write Method (Byte[])

PrimitiveTextWriterWrite Method (Byte)

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextWriter.Write(System.Byte[])"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void Write(
    byte[] value
)
Public Sub Write (
    value As Byte()
)
public:
virtual void Write(
    array<unsigned char>^ value
) sealed
abstract Write :
        value : byte[] -> unit
override Write :
        value : byte[] -> unit

Parameters

value
Type: SystemByte

[Missing <param name="value"/> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextWriter.Write(System.Byte[])"]

Implements

IPrimitiveWriterWrite(Byte)
See Also

Reference

PrimitiveTextWriter Class
Write Overload


PrimitiveTextWriter.Write Method (Char)

PrimitiveTextWriterWrite Method (Char)

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextWriter.Write(System.Char)"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void Write(
    char value
)
Public Sub Write (
    value As Char
)
public:
virtual void Write(
    wchar_t value
) sealed
abstract Write :
        value : char -> unit
override Write :
        value : char -> unit

Parameters

value
Type: SystemChar

[Missing <param name="value"/> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextWriter.Write(System.Char)"]

Implements

IPrimitiveWriterWrite(Char)
See Also

Reference

PrimitiveTextWriter Class
Write Overload


PrimitiveTextWriter.Write Method (Decimal)

PrimitiveTextWriterWrite Method (Decimal)

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextWriter.Write(System.Decimal)"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void Write(
    decimal value
)
Public Sub Write (
    value As Decimal
)
public:
virtual void Write(
    Decimal value
) sealed
abstract Write :
        value : decimal -> unit
override Write :
        value : decimal -> unit

Parameters

value
Type: SystemDecimal

[Missing <param name="value"/> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextWriter.Write(System.Decimal)"]

Implements

IPrimitiveWriterWrite(Decimal)
See Also

Reference

PrimitiveTextWriter Class
Write Overload


PrimitiveTextWriter.Write Method (Double)

PrimitiveTextWriterWrite Method (Double)

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextWriter.Write(System.Double)"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void Write(
    double value
)
Public Sub Write (
    value As Double
)
public:
virtual void Write(
    double value
) sealed
abstract Write :
        value : float -> unit
override Write :
        value : float -> unit

Parameters

value
Type: SystemDouble

[Missing <param name="value"/> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextWriter.Write(System.Double)"]

Implements

IPrimitiveWriterWrite(Double)
See Also

Reference

PrimitiveTextWriter Class
Write Overload


PrimitiveTextWriter.Write Method (Guid)

PrimitiveTextWriterWrite Method (Guid)

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextWriter.Write(System.Guid)"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void Write(
    Guid value
)
Public Sub Write (
    value As Guid
)
public:
virtual void Write(
    Guid value
) sealed
abstract Write :
        value : Guid -> unit
override Write :
        value : Guid -> unit

Parameters

value
Type: SystemGuid

[Missing <param name="value"/> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextWriter.Write(System.Guid)"]

Implements

IPrimitiveWriterWrite(Guid)
See Also

Reference

PrimitiveTextWriter Class
Write Overload


PrimitiveTextWriter.Write Method (Int16)

PrimitiveTextWriterWrite Method (Int16)

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextWriter.Write(System.Int16)"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void Write(
    short value
)
Public Sub Write (
    value As Short
)
public:
virtual void Write(
    short value
) sealed
abstract Write :
        value : int16 -> unit
override Write :
        value : int16 -> unit

Parameters

value
Type: SystemInt16

[Missing <param name="value"/> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextWriter.Write(System.Int16)"]

Implements

IPrimitiveWriterWrite(Int16)
See Also

Reference

PrimitiveTextWriter Class
Write Overload


PrimitiveTextWriter.Write Method (Int32)

PrimitiveTextWriterWrite Method (Int32)

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextWriter.Write(System.Int32)"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void Write(
    int value
)
Public Sub Write (
    value As Integer
)
public:
virtual void Write(
    int value
) sealed
abstract Write :
        value : int -> unit
override Write :
        value : int -> unit

Parameters

value
Type: SystemInt32

[Missing <param name="value"/> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextWriter.Write(System.Int32)"]

Implements

IPrimitiveWriterWrite(Int32)
See Also

Reference

PrimitiveTextWriter Class
Write Overload


PrimitiveTextWriter.Write Method (Int64)

PrimitiveTextWriterWrite Method (Int64)

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextWriter.Write(System.Int64)"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void Write(
    long value
)
Public Sub Write (
    value As Long
)
public:
virtual void Write(
    long long value
) sealed
abstract Write :
        value : int64 -> unit
override Write :
        value : int64 -> unit

Parameters

value
Type: SystemInt64

[Missing <param name="value"/> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextWriter.Write(System.Int64)"]

Implements

IPrimitiveWriterWrite(Int64)
See Also

Reference

PrimitiveTextWriter Class
Write Overload


PrimitiveTextWriter.Write Method (SByte)

PrimitiveTextWriterWrite Method (SByte)

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextWriter.Write(System.SByte)"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void Write(
    sbyte value
)
Public Sub Write (
    value As SByte
)
public:
virtual void Write(
    signed char value
) sealed
abstract Write :
        value : sbyte -> unit
override Write :
        value : sbyte -> unit

Parameters

value
Type: SystemSByte

[Missing <param name="value"/> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextWriter.Write(System.SByte)"]

Implements

IPrimitiveWriterWrite(SByte)
See Also

Reference

PrimitiveTextWriter Class
Write Overload


PrimitiveTextWriter.Write Method (Single)

PrimitiveTextWriterWrite Method (Single)

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextWriter.Write(System.Single)"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void Write(
    float value
)
Public Sub Write (
    value As Single
)
public:
virtual void Write(
    float value
) sealed
abstract Write :
        value : float32 -> unit
override Write :
        value : float32 -> unit

Parameters

value
Type: SystemSingle

[Missing <param name="value"/> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextWriter.Write(System.Single)"]

Implements

IPrimitiveWriterWrite(Single)
See Also

Reference

PrimitiveTextWriter Class
Write Overload


PrimitiveTextWriter.Write Method (String)

PrimitiveTextWriterWrite Method (String)

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextWriter.Write(System.String)"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void Write(
    string value
)
Public Sub Write (
    value As String
)
public:
virtual void Write(
    String^ value
) sealed
abstract Write :
        value : string -> unit
override Write :
        value : string -> unit

Parameters

value
Type: SystemString

[Missing <param name="value"/> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextWriter.Write(System.String)"]

Implements

IPrimitiveWriterWrite(String)
See Also

Reference

PrimitiveTextWriter Class
Write Overload


PrimitiveTextWriter.Write Method (UInt16)

PrimitiveTextWriterWrite Method (UInt16)

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextWriter.Write(System.UInt16)"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void Write(
    ushort value
)
Public Sub Write (
    value As UShort
)
public:
virtual void Write(
    unsigned short value
) sealed
abstract Write :
        value : uint16 -> unit
override Write :
        value : uint16 -> unit

Parameters

value
Type: SystemUInt16

[Missing <param name="value"/> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextWriter.Write(System.UInt16)"]

Implements

IPrimitiveWriterWrite(UInt16)
See Also

Reference

PrimitiveTextWriter Class
Write Overload


PrimitiveTextWriter.Write Method (UInt32)

PrimitiveTextWriterWrite Method (UInt32)

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextWriter.Write(System.UInt32)"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void Write(
    uint value
)
Public Sub Write (
    value As UInteger
)
public:
virtual void Write(
    unsigned int value
) sealed
abstract Write :
        value : uint32 -> unit
override Write :
        value : uint32 -> unit

Parameters

value
Type: SystemUInt32

[Missing <param name="value"/> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextWriter.Write(System.UInt32)"]

Implements

IPrimitiveWriterWrite(UInt32)
See Also

Reference

PrimitiveTextWriter Class
Write Overload


PrimitiveTextWriter.Write Method (UInt64)

PrimitiveTextWriterWrite Method (UInt64)

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextWriter.Write(System.UInt64)"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void Write(
    ulong value
)
Public Sub Write (
    value As ULong
)
public:
virtual void Write(
    unsigned long long value
) sealed
abstract Write :
        value : uint64 -> unit
override Write :
        value : uint64 -> unit

Parameters

value
Type: SystemUInt64

[Missing <param name="value"/> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextWriter.Write(System.UInt64)"]

Implements

IPrimitiveWriterWrite(UInt64)
See Also

Reference

PrimitiveTextWriter Class
Write Overload


PrimitiveTextWriter.WriteVInt Method

PrimitiveTextWriterWriteVInt Method
Overload List
 | Name | Description
Public method | WriteVInt(Int64) |
Public method | WriteVInt(NullableInt64) |
Public method | WriteVInt(NullableUInt64) |
Public method | WriteVInt(UInt64) |
Top
See Also

Reference

PrimitiveTextWriter Class


PrimitiveTextWriter.WriteVInt Method (Int64)

PrimitiveTextWriterWriteVInt Method (Int64)

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextWriter.WriteVInt(System.Int64)"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void WriteVInt(
    long value
)
Public Sub WriteVInt (
    value As Long
)
public:
virtual void WriteVInt(
    long long value
) sealed
abstract WriteVInt :
        value : int64 -> unit
override WriteVInt :
        value : int64 -> unit

Parameters

value
Type: SystemInt64

[Missing <param name="value"/> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextWriter.WriteVInt(System.Int64)"]

Implements

IPrimitiveWriterWriteVInt(Int64)
See Also

Reference

PrimitiveTextWriter Class
WriteVInt Overload


PrimitiveTextWriter.WriteVInt Method (Nullable(Int64))

PrimitiveTextWriterWriteVInt Method (NullableInt64)

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextWriter.WriteVInt(System.Nullable{System.Int64})"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void WriteVInt(
    Nullable<long> value
)
Public Sub WriteVInt (
    value As Nullable(Of Long)
)
public:
virtual void WriteVInt(
    Nullable<long long> value
) sealed
abstract WriteVInt :
        value : Nullable<int64> -> unit
override WriteVInt :
        value : Nullable<int64> -> unit

Parameters

value
Type: SystemNullable Int64

[Missing <param name="value"/> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextWriter.WriteVInt(System.Nullable{System.Int64})"]

Implements

IPrimitiveWriterWriteVInt(NullableInt64)
See Also

Reference

PrimitiveTextWriter Class
WriteVInt Overload


PrimitiveTextWriter.WriteVInt Method (Nullable(UInt64))

PrimitiveTextWriterWriteVInt Method (NullableUInt64)

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextWriter.WriteVInt(System.Nullable{System.UInt64})"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void WriteVInt(
    Nullable<ulong> value
)
Public Sub WriteVInt (
    value As Nullable(Of ULong)
)
public:
virtual void WriteVInt(
    Nullable<unsigned long long> value
) sealed
abstract WriteVInt :
        value : Nullable<uint64> -> unit
override WriteVInt :
        value : Nullable<uint64> -> unit

Parameters

value
Type: SystemNullable UInt64

[Missing <param name="value"/> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextWriter.WriteVInt(System.Nullable{System.UInt64})"]

Implements

IPrimitiveWriterWriteVInt(NullableUInt64)
See Also

Reference

PrimitiveTextWriter Class
WriteVInt Overload


PrimitiveTextWriter.WriteVInt Method (UInt64)

PrimitiveTextWriterWriteVInt Method (UInt64)

[Missing <summary> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextWriter.WriteVInt(System.UInt64)"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public void WriteVInt(
    ulong value
)
Public Sub WriteVInt (
    value As ULong
)
public:
virtual void WriteVInt(
    unsigned long long value
) sealed
abstract WriteVInt :
        value : uint64 -> unit
override WriteVInt :
        value : uint64 -> unit

Parameters

value
Type: SystemUInt64

[Missing <param name="value"/> documentation for "M:Galador.Reflection.Serialization.PrimitiveTextWriter.WriteVInt(System.UInt64)"]

Implements

IPrimitiveWriterWriteVInt(UInt64)
See Also

Reference

PrimitiveTextWriter Class
WriteVInt Overload


PrimitiveType Enumeration

PrimitiveType Enumeration
A quick categorization of .NET type

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public enum PrimitiveType
Public Enumeration PrimitiveType
public enum class PrimitiveType
type PrimitiveType
Members
Member name | Value | Description
None | 0 | array, pointers, and unsupported type will be none
Object | 1 | Anything else that the obvious other values.
String | 2 |
Bytes | 3 |
Guid | 4 |
Bool | 5 |
Char | 6 |
Byte | 7 |
SByte | 8 |
Int16 | 9 |
UInt16 | 10 |
Int32 | 11 |
UInt32 | 12 |
Int64 | 13 |
UInt64 | 14 |
Single | 15 |
Double | 16 |
Decimal | 17 |
See Also

Reference


ReflectCollectionType Enumeration

ReflectCollectionType Enumeration
The well known collection type implemented by the type. It is not a flag enum. Only one at a time is supported

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public enum ReflectCollectionType
Public Enumeration ReflectCollectionType
public enum class ReflectCollectionType
type ReflectCollectionType
Members
Member name | Value | Description
None | 0 | This type implement no interface
IList | 1 | This type implement IList
ICollectionT | 2 | This type implement ICollectionT
IDictionary | 3 | This type implement IDictionary
IDictionaryKV | 4 | This type implement IDictionaryTKey, TValue
See Also

Reference


ReflectType Class

ReflectType Class
The type representing locally all relevant serialization info of a .NET type. One can object local information with GetType(Type). This information will be serialized along with object data to exactly reproduce object format when deserializing.
Inheritance Hierarchy
SystemObject
Galador.Reflection.SerializationReflectType

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public sealed class ReflectType
Public NotInheritable Class ReflectType
public ref class ReflectType sealed
[<SealedAttribute>]
type ReflectType =  class end

The ReflectType type exposes the following members.

Properties
 | Name | Description
Public property | ArrayRank | For array type, this will be the array rank. Or 0 otherwise.
Public property | AssemblyName | Most .NET type (except generic type, array, generic parameter and primitive type) will be identified with their TypeName and AssemblyName
Public property | BaseType | The base type serialization information.
Public property | Collection1 | If this type is an ICollectionT or and IDictionaryTKey, TValue this would be the info about T, or TKey, respectively
Public property | Collection2 | If this type is an IDictionaryTKey, TValue this would be the info about TValue.
Public property | CollectionInterface | Return the collection type implemented by this type by examining this type and its BaseType If the type is not a collection return self.
Public property | CollectionType | Which, if any, well known collection type is implemented by this class.
Public property | Element | Element type information for pointers, array, generic type and enum.
Public property | FastType | The associated runtime item. Can be null when deserializing.
Public property | GenericArguments | If this is a generic type, will contain either the type parameter or arguments.
Public property | GenericParameterIndex | For type that are generic parameter, the position / index. Otherwise 0.
Public property | HasConverter | Whether there is a TypeConverter to serialize instance of that type, or not.
Public property | HasSurrogate | Whether there is an ISurrogateT type to use to serialize instances if that type, or not.
Public property | IsArray | Whether this represent a pointer type, or not.
Public property | IsDefaultSave | Whether this type is using the default save (i.e. members + collection Type) or not. Only relevant for the serializer itself.
Public property | IsEnum | Whether this represent an enum, or not.
Public property | IsFinal | Whether this type can have subclass or not (i..e canHaveSubclass = IsFinal == false).
Public property | IsGeneric | Whether this represent a generic type, or not.
Public property | IsGenericParameter | Whether this represent a generic type parameter, or not.
Public property | IsGenericTypeDefinition | Whether this represent a generic type definition, or not.
Public property | IsIgnored | Whether this type is supported, or not (i.e. supported = Ignored == false).
Public property | IsISerializable | Whether this type is ISerializable or not.
Public property | IsNullable | Whether this represent a nullable type, or not.
Public property | IsPointer | Whether this represent a pointer type or not.
Public property | IsReference | Whether this is a reference type, or not.
Public property | IsSurrogateType | Whether this type is a surrogate for another type
Public property | Kind | A quick way to categorize the item in either a well known primitive type (written directly to the IPrimitiveWriter) or more elaborate object needing a description
Public property | Members | For normal type (i.e. all but primitive type, array, pointer, enum) contains the list of known members. i.e. property of field that are marked for serialization.
Public property | RuntimeMembers | Gets the all the Members for that type, including the BaseType's RuntimeMembers.
Public property | Surrogate | Info about the ISurrogateT type to use to serialize instance of that type, if any.
Public property | Type | The .NET Type that this ReflectType represent, if it can be found. ReflectType created by the ObjectReader might have a null value there if the type can't be found. In which case instance of this type will be deserialized as Missing.
Public property | TypeName | Most .NET type (except generic type, array, generic parameter and primitive type) will be identified with their TypeName and AssemblyName
Top
Methods
 | Name | Description
Public method | Equals | Determines whether obj is another ReflectType representing the same .NET Type. (Overrides ObjectEquals(Object).)
Public method | GetHashCode | Returns a hash code for this instance. (Overrides ObjectGetHashCode.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
 | GetType(Object) | Gets the ReflectType information of an object
 | GetType(Type) | Gets the ReflectType information of a type
Public method | GetTypeConverter | Gets the TypeConverter for this type, if any.
Public method | ParentHierarchy | Return the BaseType, all the BaseType's BaseType recursively.
Public method | ToString | Returns a String that represents this instance. That can immediately recognisezed by the astute reader as the Type description. (Overrides ObjectToString.)
Public method | TryGetOriginal | If this object is a ISurrogateT instance for another type, try to get the appropriate instance, by calling Instantiate.
Public method | TryGetSurrogate | Will (try to) get a surrogate for that item. I.e. an appropriate instance of ISurrogateT
Top
Fields
Name | Description
RNullable | The serialization information about NullableT type. Preloaded for performance and implementation reason.
RObject | The serialization information about Object type. Preloaded for performance and implementation reason.
RReflectType | The serialization information about ReflectType type. Preloaded for performance and implementation reason.
RString | The serialization information about String type. Preloaded for performance and implementation reason.
RType | The serialization information about Type type. Preloaded for performance and implementation reason.
Top
See Also

Reference


ReflectType Properties

ReflectType Properties

The ReflectType type exposes the following members.

Properties
 | Name | Description
Public property | ArrayRank | For array type, this will be the array rank. Or 0 otherwise.
Public property | AssemblyName | Most .NET type (except generic type, array, generic parameter and primitive type) will be identified with their TypeName and AssemblyName
Public property | BaseType | The base type serialization information.
Public property | Collection1 | If this type is an ICollectionT or and IDictionaryTKey, TValue this would be the info about T, or TKey, respectively
Public property | Collection2 | If this type is an IDictionaryTKey, TValue this would be the info about TValue.
Public property | CollectionInterface | Return the collection type implemented by this type by examining this type and its BaseType If the type is not a collection return self.
Public property | CollectionType | Which, if any, well known collection type is implemented by this class.
Public property | Element | Element type information for pointers, array, generic type and enum.
Public property | FastType | The associated runtime item. Can be null when deserializing.
Public property | GenericArguments | If this is a generic type, will contain either the type parameter or arguments.
Public property | GenericParameterIndex | For type that are generic parameter, the position / index. Otherwise 0.
Public property | HasConverter | Whether there is a TypeConverter to serialize instance of that type, or not.
Public property | HasSurrogate | Whether there is an ISurrogateT type to use to serialize instances if that type, or not.
Public property | IsArray | Whether this represent a pointer type, or not.
Public property | IsDefaultSave | Whether this type is using the default save (i.e. members + collection Type) or not. Only relevant for the serializer itself.
Public property | IsEnum | Whether this represent an enum, or not.
Public property | IsFinal | Whether this type can have subclass or not (i..e canHaveSubclass = IsFinal == false).
Public property | IsGeneric | Whether this represent a generic type, or not.
Public property | IsGenericParameter | Whether this represent a generic type parameter, or not.
Public property | IsGenericTypeDefinition | Whether this represent a generic type definition, or not.
Public property | IsIgnored | Whether this type is supported, or not (i.e. supported = Ignored == false).
Public property | IsISerializable | Whether this type is ISerializable or not.
Public property | IsNullable | Whether this represent a nullable type, or not.
Public property | IsPointer | Whether this represent a pointer type or not.
Public property | IsReference | Whether this is a reference type, or not.
Public property | IsSurrogateType | Whether this type is a surrogate for another type
Public property | Kind | A quick way to categorize the item in either a well known primitive type (written directly to the IPrimitiveWriter) or more elaborate object needing a description
Public property | Members | For normal type (i.e. all but primitive type, array, pointer, enum) contains the list of known members. i.e. property of field that are marked for serialization.
Public property | RuntimeMembers | Gets the all the Members for that type, including the BaseType's RuntimeMembers.
Public property | Surrogate | Info about the ISurrogateT type to use to serialize instance of that type, if any.
Public property | Type | The .NET Type that this ReflectType represent, if it can be found. ReflectType created by the ObjectReader might have a null value there if the type can't be found. In which case instance of this type will be deserialized as Missing.
Public property | TypeName | Most .NET type (except generic type, array, generic parameter and primitive type) will be identified with their TypeName and AssemblyName
Top
See Also

Reference

ReflectType Class


ReflectType.ArrayRank Property

ReflectTypeArrayRank Property
For array type, this will be the array rank. Or 0 otherwise.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public int ArrayRank { get; }
Public ReadOnly Property ArrayRank As Integer
    Get
public:
property int ArrayRank {
    int get ();
}
member ArrayRank : int with get

Property Value

Type: Int32
See Also

Reference

ReflectType Class


ReflectType.AssemblyName Property

ReflectTypeAssemblyName Property
Most .NET type (except generic type, array, generic parameter and primitive type) will be identified with their TypeName and AssemblyName

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public string AssemblyName { get; }
Public ReadOnly Property AssemblyName As String
    Get
public:
property String^ AssemblyName {
    String^ get ();
}
member AssemblyName : string with get

Property Value

Type: String
See Also

Reference

ReflectType Class


ReflectType.BaseType Property

ReflectTypeBaseType Property
The base type serialization information.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public ReflectType BaseType { get; }
Public ReadOnly Property BaseType As ReflectType
    Get
public:
property ReflectType^ BaseType {
    ReflectType^ get ();
}
member BaseType : ReflectType with get

Property Value

Type: ReflectType
See Also

Reference

ReflectType Class


ReflectType.Collection1 Property

ReflectTypeCollection1 Property
If this type is an ICollectionT or and IDictionaryTKey, TValue this would be the info about T, or TKey, respectively

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public ReflectType Collection1 { get; }
Public ReadOnly Property Collection1 As ReflectType
    Get
public:
property ReflectType^ Collection1 {
    ReflectType^ get ();
}
member Collection1 : ReflectType with get

Property Value

Type: ReflectType
See Also

Reference

ReflectType Class


ReflectType.Collection2 Property

ReflectTypeCollection2 Property
If this type is an IDictionaryTKey, TValue this would be the info about TValue.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public ReflectType Collection2 { get; }
Public ReadOnly Property Collection2 As ReflectType
    Get
public:
property ReflectType^ Collection2 {
    ReflectType^ get ();
}
member Collection2 : ReflectType with get

Property Value

Type: ReflectType
See Also

Reference

ReflectType Class


ReflectType.CollectionInterface Property

ReflectTypeCollectionInterface Property
Return the collection type implemented by this type by examining this type and its BaseType If the type is not a collection return self.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public ReflectType CollectionInterface { get; }
Public ReadOnly Property CollectionInterface As ReflectType
    Get
public:
property ReflectType^ CollectionInterface {
    ReflectType^ get ();
}
member CollectionInterface : ReflectType with get

Property Value

Type: ReflectType
See Also

Reference

ReflectType Class


ReflectType.CollectionType Property

ReflectTypeCollectionType Property
Which, if any, well known collection type is implemented by this class.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public ReflectCollectionType CollectionType { get; }
Public ReadOnly Property CollectionType As ReflectCollectionType
    Get
public:
property ReflectCollectionType CollectionType {
    ReflectCollectionType get ();
}
member CollectionType : ReflectCollectionType with get

Property Value

Type: ReflectCollectionType
See Also

Reference

ReflectType Class


ReflectType.Element Property

ReflectTypeElement Property
Element type information for pointers, array, generic type and enum.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public ReflectType Element { get; }
Public ReadOnly Property Element As ReflectType
    Get
public:
property ReflectType^ Element {
    ReflectType^ get ();
}
member Element : ReflectType with get

Property Value

Type: ReflectType
See Also

Reference

ReflectType Class


ReflectType.FastType Property

ReflectTypeFastType Property
The associated runtime item. Can be null when deserializing.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public FastType FastType { get; }
Public ReadOnly Property FastType As FastType
    Get
public:
property FastType^ FastType {
    FastType^ get ();
}
member FastType : FastType with get

Property Value

Type: FastType
See Also

Reference

ReflectType Class


ReflectType.GenericArguments Property

ReflectTypeGenericArguments Property
If this is a generic type, will contain either the type parameter or arguments.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public IReadOnlyList<ReflectType> GenericArguments { get; }
Public ReadOnly Property GenericArguments As IReadOnlyList(Of ReflectType)
    Get
public:
property IReadOnlyList<ReflectType^>^ GenericArguments {
    IReadOnlyList<ReflectType^>^ get ();
}
member GenericArguments : IReadOnlyList<ReflectType> with get

Property Value

Type: IReadOnlyList ReflectType
See Also

Reference

ReflectType Class


ReflectType.GenericParameterIndex Property

ReflectTypeGenericParameterIndex Property
For type that are generic parameter, the position / index. Otherwise 0.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public int GenericParameterIndex { get; }
Public ReadOnly Property GenericParameterIndex As Integer
    Get
public:
property int GenericParameterIndex {
    int get ();
}
member GenericParameterIndex : int with get

Property Value

Type: Int32
See Also

Reference

ReflectType Class


ReflectType.HasConverter Property

ReflectTypeHasConverter Property
Whether there is a TypeConverter to serialize instance of that type, or not.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public bool HasConverter { get; }
Public ReadOnly Property HasConverter As Boolean
    Get
public:
property bool HasConverter {
    bool get ();
}
member HasConverter : bool with get

Property Value

Type: Boolean
See Also

Reference

ReflectType Class


ReflectType.HasSurrogate Property

ReflectTypeHasSurrogate Property
Whether there is an ISurrogateT type to use to serialize instances if that type, or not.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public bool HasSurrogate { get; }
Public ReadOnly Property HasSurrogate As Boolean
    Get
public:
property bool HasSurrogate {
    bool get ();
}
member HasSurrogate : bool with get

Property Value

Type: Boolean
See Also

Reference

ReflectType Class


ReflectType.IsArray Property

ReflectTypeIsArray Property
Whether this represent a pointer type, or not.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public bool IsArray { get; }
Public ReadOnly Property IsArray As Boolean
    Get
public:
property bool IsArray {
    bool get ();
}
member IsArray : bool with get

Property Value

Type: Boolean
See Also

Reference

ReflectType Class


ReflectType.IsDefaultSave Property

ReflectTypeIsDefaultSave Property
Whether this type is using the default save (i.e. members + collection Type) or not. Only relevant for the serializer itself.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public bool IsDefaultSave { get; }
Public ReadOnly Property IsDefaultSave As Boolean
    Get
public:
property bool IsDefaultSave {
    bool get ();
}
member IsDefaultSave : bool with get

Property Value

Type: Boolean
See Also

Reference

ReflectType Class


ReflectType.IsEnum Property

ReflectTypeIsEnum Property
Whether this represent an enum, or not.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public bool IsEnum { get; }
Public ReadOnly Property IsEnum As Boolean
    Get
public:
property bool IsEnum {
    bool get ();
}
member IsEnum : bool with get

Property Value

Type: Boolean
See Also

Reference

ReflectType Class


ReflectType.IsFinal Property

ReflectTypeIsFinal Property
Whether this type can have subclass or not (i..e canHaveSubclass = IsFinal == false).

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public bool IsFinal { get; }
Public ReadOnly Property IsFinal As Boolean
    Get
public:
property bool IsFinal {
    bool get ();
}
member IsFinal : bool with get

Property Value

Type: Boolean
See Also

Reference

ReflectType Class


ReflectType.IsGeneric Property

ReflectTypeIsGeneric Property
Whether this represent a generic type, or not.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public bool IsGeneric { get; }
Public ReadOnly Property IsGeneric As Boolean
    Get
public:
property bool IsGeneric {
    bool get ();
}
member IsGeneric : bool with get

Property Value

Type: Boolean
See Also

Reference

ReflectType Class


ReflectType.IsGenericParameter Property

ReflectTypeIsGenericParameter Property
Whether this represent a generic type parameter, or not.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public bool IsGenericParameter { get; }
Public ReadOnly Property IsGenericParameter As Boolean
    Get
public:
property bool IsGenericParameter {
    bool get ();
}
member IsGenericParameter : bool with get

Property Value

Type: Boolean
See Also

Reference

ReflectType Class


ReflectType.IsGenericTypeDefinition Property

ReflectTypeIsGenericTypeDefinition Property
Whether this represent a generic type definition, or not.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public bool IsGenericTypeDefinition { get; }
Public ReadOnly Property IsGenericTypeDefinition As Boolean
    Get
public:
property bool IsGenericTypeDefinition {
    bool get ();
}
member IsGenericTypeDefinition : bool with get

Property Value

Type: Boolean
See Also

Reference

ReflectType Class


ReflectType.IsIgnored Property

ReflectTypeIsIgnored Property
Whether this type is supported, or not (i.e. supported = Ignored == false).

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public bool IsIgnored { get; }
Public ReadOnly Property IsIgnored As Boolean
    Get
public:
property bool IsIgnored {
    bool get ();
}
member IsIgnored : bool with get

Property Value

Type: Boolean
See Also

Reference

ReflectType Class


ReflectType.IsISerializable Property

ReflectTypeIsISerializable Property
Whether this type is ISerializable or not.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public bool IsISerializable { get; }
Public ReadOnly Property IsISerializable As Boolean
    Get
public:
property bool IsISerializable {
    bool get ();
}
member IsISerializable : bool with get

Property Value

Type: Boolean
See Also

Reference

ReflectType Class


ReflectType.IsNullable Property

ReflectTypeIsNullable Property
Whether this represent a nullable type, or not.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public bool IsNullable { get; }
Public ReadOnly Property IsNullable As Boolean
    Get
public:
property bool IsNullable {
    bool get ();
}
member IsNullable : bool with get

Property Value

Type: Boolean
See Also

Reference

ReflectType Class


ReflectType.IsPointer Property

ReflectTypeIsPointer Property
Whether this represent a pointer type or not.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public bool IsPointer { get; }
Public ReadOnly Property IsPointer As Boolean
    Get
public:
property bool IsPointer {
    bool get ();
}
member IsPointer : bool with get

Property Value

Type: Boolean
See Also

Reference

ReflectType Class


ReflectType.IsReference Property

ReflectTypeIsReference Property
Whether this is a reference type, or not.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public bool IsReference { get; }
Public ReadOnly Property IsReference As Boolean
    Get
public:
property bool IsReference {
    bool get ();
}
member IsReference : bool with get

Property Value

Type: Boolean
See Also

Reference

ReflectType Class


ReflectType.IsSurrogateType Property

ReflectTypeIsSurrogateType Property
Whether this type is a surrogate for another type

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public bool IsSurrogateType { get; set; }
Public Property IsSurrogateType As Boolean
    Get
    Set
public:
property bool IsSurrogateType {
    bool get ();
    void set (bool value);
}
member IsSurrogateType : bool with get, set

Property Value

Type: Boolean
See Also

Reference

ReflectType Class


ReflectType.Kind Property

ReflectTypeKind Property
A quick way to categorize the item in either a well known primitive type (written directly to the IPrimitiveWriter) or more elaborate object needing a description

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public PrimitiveType Kind { get; }
Public ReadOnly Property Kind As PrimitiveType
    Get
public:
property PrimitiveType Kind {
    PrimitiveType get ();
}
member Kind : PrimitiveType with get

Property Value

Type: PrimitiveType
See Also

Reference

ReflectType Class


ReflectType.Members Property

ReflectTypeMembers Property
For normal type (i.e. all but primitive type, array, pointer, enum) contains the list of known members. i.e. property of field that are marked for serialization.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public MemberList<ReflectTypeMember> Members { get; }
Public ReadOnly Property Members As MemberList(Of ReflectTypeMember)
    Get
public:
property MemberList<ReflectTypeMember^>^ Members {
    MemberList<ReflectTypeMember^>^ get ();
}
member Members : MemberList<ReflectTypeMember> with get

Property Value

Type: MemberList ReflectTypeMember
See Also

Reference

ReflectType Class


ReflectType.RuntimeMembers Property

ReflectTypeRuntimeMembers Property
Gets the all the Members for that type, including the BaseType's RuntimeMembers.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public IReadOnlyList<ReflectTypeMember> RuntimeMembers { get; }
Public ReadOnly Property RuntimeMembers As IReadOnlyList(Of ReflectTypeMember)
    Get
public:
property IReadOnlyList<ReflectTypeMember^>^ RuntimeMembers {
    IReadOnlyList<ReflectTypeMember^>^ get ();
}
member RuntimeMembers : IReadOnlyList<ReflectTypeMember> with get

Property Value

Type: IReadOnlyList ReflectTypeMember
See Also

Reference

ReflectType Class


ReflectType.Surrogate Property

ReflectTypeSurrogate Property
Info about the ISurrogateT type to use to serialize instance of that type, if any.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public ReflectType Surrogate { get; }
Public ReadOnly Property Surrogate As ReflectType
    Get
public:
property ReflectType^ Surrogate {
    ReflectType^ get ();
}
member Surrogate : ReflectType with get

Property Value

Type: ReflectType
See Also

Reference

ReflectType Class


ReflectType.Type Property

ReflectTypeType Property
The .NET Type that this ReflectType represent, if it can be found. ReflectType created by the ObjectReader might have a null value there if the type can't be found. In which case instance of this type will be deserialized as Missing.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public Type Type { get; }
Public ReadOnly Property Type As Type
    Get
public:
property Type^ Type {
    Type^ get ();
}
member Type : Type with get

Property Value

Type: Type
Remarks
This property can be null when deserializing and no matching type can be found.
See Also

Reference

ReflectType Class


ReflectType.TypeName Property

ReflectTypeTypeName Property
Most .NET type (except generic type, array, generic parameter and primitive type) will be identified with their TypeName and AssemblyName

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public string TypeName { get; }
Public ReadOnly Property TypeName As String
    Get
public:
property String^ TypeName {
    String^ get ();
}
member TypeName : string with get

Property Value

Type: String
See Also

Reference

ReflectType Class


ReflectType Methods

ReflectType Methods

The ReflectType type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether obj is another ReflectType representing the same .NET Type. (Overrides ObjectEquals(Object).)
Public method | GetHashCode | Returns a hash code for this instance. (Overrides ObjectGetHashCode.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
 | GetType(Object) | Gets the ReflectType information of an object
 | GetType(Type) | Gets the ReflectType information of a type
Public method | GetTypeConverter | Gets the TypeConverter for this type, if any.
Public method | ParentHierarchy | Return the BaseType, all the BaseType's BaseType recursively.
Public method | ToString | Returns a String that represents this instance. That can immediately recognisezed by the astute reader as the Type description. (Overrides ObjectToString.)
Public method | TryGetOriginal | If this object is a ISurrogateT instance for another type, try to get the appropriate instance, by calling Instantiate.
Public method | TryGetSurrogate | Will (try to) get a surrogate for that item. I.e. an appropriate instance of ISurrogateT
Top
See Also

Reference

ReflectType Class


ReflectType.Equals Method

ReflectTypeEquals Method
Determines whether obj is another ReflectType representing the same .NET Type.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public override bool Equals(
    Object obj
)
Public Overrides Function Equals (
    obj As Object
) As Boolean
public:
virtual bool Equals(
    Object^ obj
) override
abstract Equals :
        obj : Object -> bool
override Equals :
        obj : Object -> bool

Parameters

obj
Type: SystemObject

[Missing <param name="obj"/> documentation for "M:Galador.Reflection.Serialization.ReflectType.Equals(System.Object)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:Galador.Reflection.Serialization.ReflectType.Equals(System.Object)"]

See Also

Reference

ReflectType Class


ReflectType.GetHashCode Method

ReflectTypeGetHashCode Method
Returns a hash code for this instance.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public override int GetHashCode()
Public Overrides Function GetHashCode As Integer
public:
virtual int GetHashCode() override
abstract GetHashCode : unit -> int
override GetHashCode : unit -> int

Return Value

Type: Int32

[Missing <returns> documentation for "M:Galador.Reflection.Serialization.ReflectType.GetHashCode"]

See Also

Reference

ReflectType Class


ReflectType.GetType Method

ReflectTypeGetType Method
Overload List
 | Name | Description
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
 | GetType(Object) | Gets the ReflectType information of an object
 | GetType(Type) | Gets the ReflectType information of a type
Top
See Also

Reference

ReflectType Class


ReflectType.GetType Method (Object)

ReflectTypeGetType Method (Object)
Gets the ReflectType information of an object

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public static ReflectType GetType(
    Object o
)
Public Shared Function GetType (
    o As Object
) As ReflectType
public:
static ReflectType^ GetType(
    Object^ o
)
static member GetType :
        o : Object -> ReflectType

Parameters

o
Type: SystemObject

[Missing <param name="o"/> documentation for "M:Galador.Reflection.Serialization.ReflectType.GetType(System.Object)"]

Return Value

Type: ReflectType

[Missing <returns> documentation for "M:Galador.Reflection.Serialization.ReflectType.GetType(System.Object)"]

See Also

Reference

ReflectType Class
GetType Overload


ReflectType.GetType Method (Type)

ReflectTypeGetType Method (Type)
Gets the ReflectType information of a type

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public static ReflectType GetType(
    Type type
)
Public Shared Function GetType (
    type As Type
) As ReflectType
public:
static ReflectType^ GetType(
    Type^ type
)
static member GetType :
        type : Type -> ReflectType

Parameters

type
Type: SystemType

[Missing <param name="type"/> documentation for "M:Galador.Reflection.Serialization.ReflectType.GetType(System.Type)"]

Return Value

Type: ReflectType

[Missing <returns> documentation for "M:Galador.Reflection.Serialization.ReflectType.GetType(System.Type)"]

See Also

Reference

ReflectType Class
GetType Overload


ReflectType.GetTypeConverter Method

ReflectTypeGetTypeConverter Method
Gets the TypeConverter for this type, if any.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public TypeConverter GetTypeConverter()
Public Function GetTypeConverter As TypeConverter
public:
TypeConverter^ GetTypeConverter()
member GetTypeConverter : unit -> TypeConverter

Return Value

Type: TypeConverter

[Missing <returns> documentation for "M:Galador.Reflection.Serialization.ReflectType.GetTypeConverter"]

See Also

Reference

ReflectType Class


ReflectType.ParentHierarchy Method

ReflectTypeParentHierarchy Method
Return the BaseType, all the BaseType's BaseType recursively.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public IEnumerable<ReflectType> ParentHierarchy()
Public Function ParentHierarchy As IEnumerable(Of ReflectType)
public:
IEnumerable<ReflectType^>^ ParentHierarchy()
member ParentHierarchy : unit -> IEnumerable<ReflectType>

Return Value

Type: IEnumerable ReflectType

[Missing <returns> documentation for "M:Galador.Reflection.Serialization.ReflectType.ParentHierarchy"]

See Also

Reference

ReflectType Class


ReflectType.ToString Method

ReflectTypeToString Method
Returns a String that represents this instance. That can immediately recognisezed by the astute reader as the Type description.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public override string ToString()
Public Overrides Function ToString As String
public:
virtual String^ ToString() override
abstract ToString : unit -> string
override ToString : unit -> string

Return Value

Type: String

[Missing <returns> documentation for "M:Galador.Reflection.Serialization.ReflectType.ToString"]

See Also

Reference

ReflectType Class


ReflectType.TryGetOriginal Method

ReflectTypeTryGetOriginal Method
If this object is a ISurrogateT instance for another type, try to get the appropriate instance, by calling Instantiate.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public bool TryGetOriginal(
    Object o,
    out Object result
)
Public Function TryGetOriginal (
    o As Object,
    <OutAttribute> ByRef result As Object
) As Boolean
public:
bool TryGetOriginal(
    Object^ o,
    [OutAttribute] Object^% result
)
member TryGetOriginal :
        o : Object *
        result : Object byref -> bool

Parameters

o
Type: SystemObject
The object that could be a surrogate.
result
Type: SystemObject
The result instance.

Return Value

Type: Boolean
Whether this object has been successfully identified as a surrogate, or not.
See Also

Reference

ReflectType Class


ReflectType.TryGetSurrogate Method

ReflectTypeTryGetSurrogate Method
Will (try to) get a surrogate for that item. I.e. an appropriate instance of ISurrogateT

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public bool TryGetSurrogate(
    Object o,
    out Object result
)
Public Function TryGetSurrogate (
    o As Object,
    <OutAttribute> ByRef result As Object
) As Boolean
public:
bool TryGetSurrogate(
    Object^ o,
    [OutAttribute] Object^% result
)
member TryGetSurrogate :
        o : Object *
        result : Object byref -> bool

Parameters

o
Type: SystemObject
The object for which a surrogate must be created.
result
Type: SystemObject
The resulting surrogate.

Return Value

Type: Boolean
Whether a surrogate has been found
Exceptions
Exception | Condition
ArgumentException | If the surrogate class exists but can't be made
See Also

Reference

ReflectType Class


ReflectType Fields

ReflectType Fields

The ReflectType type exposes the following members.

Fields
Name | Description
RNullable | The serialization information about NullableT type. Preloaded for performance and implementation reason.
RObject | The serialization information about Object type. Preloaded for performance and implementation reason.
RReflectType | The serialization information about ReflectType type. Preloaded for performance and implementation reason.
RString | The serialization information about String type. Preloaded for performance and implementation reason.
RType | The serialization information about Type type. Preloaded for performance and implementation reason.
Top
See Also

Reference

ReflectType Class


ReflectType.RNullable Field

ReflectTypeRNullable Field
The serialization information about NullableT type. Preloaded for performance and implementation reason.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public static readonly ReflectType RNullable
Public Shared ReadOnly RNullable As ReflectType
public:
static initonly ReflectType^ RNullable
static val RNullable: ReflectType

Field Value

Type: ReflectType
See Also

Reference

ReflectType Class


ReflectType.RObject Field

ReflectTypeRObject Field
The serialization information about Object type. Preloaded for performance and implementation reason.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public static readonly ReflectType RObject
Public Shared ReadOnly RObject As ReflectType
public:
static initonly ReflectType^ RObject
static val RObject: ReflectType

Field Value

Type: ReflectType
See Also

Reference

ReflectType Class


ReflectType.RReflectType Field

ReflectTypeRReflectType Field
The serialization information about ReflectType type. Preloaded for performance and implementation reason.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public static readonly ReflectType RReflectType
Public Shared ReadOnly RReflectType As ReflectType
public:
static initonly ReflectType^ RReflectType
static val RReflectType: ReflectType

Field Value

Type: ReflectType
See Also

Reference

ReflectType Class


ReflectType.RString Field

ReflectTypeRString Field
The serialization information about String type. Preloaded for performance and implementation reason.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public static readonly ReflectType RString
Public Shared ReadOnly RString As ReflectType
public:
static initonly ReflectType^ RString
static val RString: ReflectType

Field Value

Type: ReflectType
See Also

Reference

ReflectType Class


ReflectType.RType Field

ReflectTypeRType Field
The serialization information about Type type. Preloaded for performance and implementation reason.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public static readonly ReflectType RType
Public Shared ReadOnly RType As ReflectType
public:
static initonly ReflectType^ RType
static val RType: ReflectType

Field Value

Type: ReflectType
See Also

Reference

ReflectType Class


ReflectType.Member Class

ReflectTypeMember Class
Represent a member of this type, i.e. a property or field that will be serialized.
Inheritance Hierarchy
SystemObject
Galador.Reflection.SerializationReflectTypeMember

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public class Member : IMember
Public Class Member
    Implements IMember
public ref class Member : IMember
type Member =
    class
        interface IMember
    end

The ReflectTypeMember type exposes the following members.

Constructors
 | Name | Description
Public method | ReflectTypeMember | Initializes a new instance of the ReflectTypeMember class
Top
Properties
 | Name | Description
Public property | Name | This is the member name for the member, i.e. Name.
Public property | RuntimeMember | This is the info for the declared type of this member, i.e. either of PropertyType or FieldType.
Public property | Type | This is the info for the declared type of this member, i.e. either of PropertyType or FieldType.
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference


ReflectType.Member Constructor

ReflectTypeMember Constructor
Initializes a new instance of the ReflectTypeMember class

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public Member()
Public Sub New
public:
Member()
new : unit -> Member
See Also

Reference

ReflectTypeMember Class


Member Properties

Member Properties

The ReflectTypeMember type exposes the following members.

Properties
 | Name | Description
Public property | Name | This is the member name for the member, i.e. Name.
Public property | RuntimeMember | This is the info for the declared type of this member, i.e. either of PropertyType or FieldType.
Public property | Type | This is the info for the declared type of this member, i.e. either of PropertyType or FieldType.
Top
See Also

Reference

ReflectTypeMember Class


ReflectType.Member.Name Property

ReflectTypeMemberName Property
This is the member name for the member, i.e. Name.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public string Name { get; }
Public ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () sealed;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String

Implements

IMemberName
See Also

Reference

ReflectTypeMember Class


ReflectType.Member.RuntimeMember Property

ReflectTypeMemberRuntimeMember Property
This is the info for the declared type of this member, i.e. either of PropertyType or FieldType.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public FastMember RuntimeMember { get; }
Public ReadOnly Property RuntimeMember As FastMember
    Get
public:
property FastMember^ RuntimeMember {
    FastMember^ get ();
}
member RuntimeMember : FastMember with get

Property Value

Type: FastMember
Remarks
This property can be null when deserializing and matching member can be found.
See Also

Reference

ReflectTypeMember Class


ReflectType.Member.Type Property

ReflectTypeMemberType Property
This is the info for the declared type of this member, i.e. either of PropertyType or FieldType.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public ReflectType Type { get; set; }
Public Property Type As ReflectType
    Get
    Set
public:
property ReflectType^ Type {
    ReflectType^ get ();
    void set (ReflectType^ value);
}
member Type : ReflectType with get, set

Property Value

Type: ReflectType
See Also

Reference

ReflectTypeMember Class


Member Methods

Member Methods

The ReflectTypeMember type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

ReflectTypeMember Class


SerializationNameAttribute Class

SerializationNameAttribute Class
This attribute will override default type name and assembly name used to identify the type they decorate.
Inheritance Hierarchy
SystemObject
SystemAttribute
Galador.Reflection.SerializationSerializationNameAttribute

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public class SerializationNameAttribute : Attribute
Public Class SerializationNameAttribute
    Inherits Attribute
public ref class SerializationNameAttribute : public Attribute
type SerializationNameAttribute =
    class
        inherit Attribute
    end

The SerializationNameAttribute type exposes the following members.

Constructors
 | Name | Description
Public method | SerializationNameAttribute | Initializes a new instance of the SerializationNameAttribute class.
Public method | SerializationNameAttribute(String, String) | Initializes a new instance of the SerializationNameAttribute class.
Top
Properties
 | Name | Description
Public property | AssemblyName | Value to use in lieu of the Name.
Public property | TypeId | When implemented in a derived class, gets a unique identifier for this Attribute. (Inherited from Attribute.)
Public property | TypeName | Value to use in lieu of the FullName
Top
Methods
 | Name | Description
Public method | Equals | Determines obj is another SerializationNameAttribute with the same property values. (Overrides AttributeEquals(Object).)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Returns a hash code for this instance. (Overrides AttributeGetHashCode.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | IsDefaultAttribute | When overridden in a derived class, indicates whether the value of this instance is the default value for the derived class. (Inherited from Attribute.)
Public method | Match | When overridden in a derived class, returns a value that indicates whether this instance equals a specified object. (Inherited from Attribute.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference


SerializationNameAttribute Constructor

SerializationNameAttribute Constructor
Overload List
 | Name | Description
Public method | SerializationNameAttribute | Initializes a new instance of the SerializationNameAttribute class.
Public method | SerializationNameAttribute(String, String) | Initializes a new instance of the SerializationNameAttribute class.
Top
See Also

Reference

SerializationNameAttribute Class


SerializationNameAttribute Constructor

SerializationNameAttribute Constructor
Initializes a new instance of the SerializationNameAttribute class.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public SerializationNameAttribute()
Public Sub New
public:
SerializationNameAttribute()
new : unit -> SerializationNameAttribute
See Also

Reference

SerializationNameAttribute Class
SerializationNameAttribute Overload


SerializationNameAttribute Constructor (String, String)

SerializationNameAttribute Constructor (String, String)
Initializes a new instance of the SerializationNameAttribute class.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public SerializationNameAttribute(
    string type,
    string assembly = null
)
Public Sub New (
    type As String,
    Optional assembly As String = Nothing
)
public:
SerializationNameAttribute(
    String^ type,
    String^ assembly = nullptr
)
new :
        type : string *
        ?assembly : string
(* Defaults:
        let _assembly = defaultArg assembly null
*)
-> SerializationNameAttribute

Parameters

type
Type: SystemString
The TypeName to use.
assembly (Optional)
Type: SystemString
The AssemblyName to use.
See Also

Reference

SerializationNameAttribute Class
SerializationNameAttribute Overload


SerializationNameAttribute Properties

SerializationNameAttribute Properties

The SerializationNameAttribute type exposes the following members.

Properties
 | Name | Description
Public property | AssemblyName | Value to use in lieu of the Name.
Public property | TypeId | When implemented in a derived class, gets a unique identifier for this Attribute. (Inherited from Attribute.)
Public property | TypeName | Value to use in lieu of the FullName
Top
See Also

Reference

SerializationNameAttribute Class


SerializationNameAttribute.AssemblyName Property

SerializationNameAttributeAssemblyName Property
Value to use in lieu of the Name.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public string AssemblyName { get; set; }
Public Property AssemblyName As String
    Get
    Set
public:
property String^ AssemblyName {
    String^ get ();
    void set (String^ value);
}
member AssemblyName : string with get, set

Property Value

Type: String
See Also

Reference

SerializationNameAttribute Class


SerializationNameAttribute.TypeName Property

SerializationNameAttributeTypeName Property
Value to use in lieu of the FullName

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public string TypeName { get; set; }
Public Property TypeName As String
    Get
    Set
public:
property String^ TypeName {
    String^ get ();
    void set (String^ value);
}
member TypeName : string with get, set

Property Value

Type: String
See Also

Reference

SerializationNameAttribute Class


SerializationNameAttribute Methods

SerializationNameAttribute Methods

The SerializationNameAttribute type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines obj is another SerializationNameAttribute with the same property values. (Overrides AttributeEquals(Object).)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Returns a hash code for this instance. (Overrides AttributeGetHashCode.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | IsDefaultAttribute | When overridden in a derived class, indicates whether the value of this instance is the default value for the derived class. (Inherited from Attribute.)
Public method | Match | When overridden in a derived class, returns a value that indicates whether this instance equals a specified object. (Inherited from Attribute.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

SerializationNameAttribute Class


SerializationNameAttribute.Equals Method

SerializationNameAttributeEquals Method
Determines obj is another SerializationNameAttribute with the same property values.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public override bool Equals(
    Object obj
)
Public Overrides Function Equals (
    obj As Object
) As Boolean
public:
virtual bool Equals(
    Object^ obj
) override
abstract Equals :
        obj : Object -> bool
override Equals :
        obj : Object -> bool

Parameters

obj
Type: SystemObject
The Object to compare with this instance.

Return Value

Type: Boolean
true if the specified Object is equal to this instance; otherwise, false.
See Also

Reference

SerializationNameAttribute Class


SerializationNameAttribute.GetHashCode Method

SerializationNameAttributeGetHashCode Method
Returns a hash code for this instance.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public override int GetHashCode()
Public Overrides Function GetHashCode As Integer
public:
virtual int GetHashCode() override
abstract GetHashCode : unit -> int
override GetHashCode : unit -> int

Return Value

Type: Int32
A hash code for this instance, suitable for use in hashing algorithms and data structures like a hash table.
See Also

Reference

SerializationNameAttribute Class


SerializationSettings Class

SerializationSettings Class
Settings for the ObjectWriter that will affect serialization
Inheritance Hierarchy
SystemObject
Galador.Reflection.SerializationSerializationSettings

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public class SerializationSettings
Public Class SerializationSettings
public ref class SerializationSettings
type SerializationSettings =  class end

The SerializationSettings type exposes the following members.

Constructors
 | Name | Description
Public method | SerializationSettings | Initializes a new instance of the SerializationSettings class
Top
Properties
 | Name | Description
Public property | IgnoreISerializable | Whether to ignore ISerializable interface when serializing. Necessary for compatibility with .NET Core.
Public property | IgnoreTypeConverter | Whether to ignore TypeConverter when serializing. If they prove problematic.
Public property | SkipMetaData | Whether the serialized output contains exhaustive (when SkipMetaData is false) or minimal (when SkipMetaData is true) type information. If SkipMetaData is true and the type can not be resolved or there is a version mismatch data would be irrecoverably corrupted. It should NOT be used, unless it is used for in process object deep cloning.
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference


SerializationSettings Constructor

SerializationSettings Constructor
Initializes a new instance of the SerializationSettings class

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public SerializationSettings()
Public Sub New
public:
SerializationSettings()
new : unit -> SerializationSettings
See Also

Reference

SerializationSettings Class


SerializationSettings Properties

SerializationSettings Properties

The SerializationSettings type exposes the following members.

Properties
 | Name | Description
Public property | IgnoreISerializable | Whether to ignore ISerializable interface when serializing. Necessary for compatibility with .NET Core.
Public property | IgnoreTypeConverter | Whether to ignore TypeConverter when serializing. If they prove problematic.
Public property | SkipMetaData | Whether the serialized output contains exhaustive (when SkipMetaData is false) or minimal (when SkipMetaData is true) type information. If SkipMetaData is true and the type can not be resolved or there is a version mismatch data would be irrecoverably corrupted. It should NOT be used, unless it is used for in process object deep cloning.
Top
See Also

Reference

SerializationSettings Class


SerializationSettings.IgnoreISerializable Property

SerializationSettingsIgnoreISerializable Property
Whether to ignore ISerializable interface when serializing. Necessary for compatibility with .NET Core.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public bool IgnoreISerializable { get; set; }
Public Property IgnoreISerializable As Boolean
    Get
    Set
public:
property bool IgnoreISerializable {
    bool get ();
    void set (bool value);
}
member IgnoreISerializable : bool with get, set

Property Value

Type: Boolean
See Also

Reference

SerializationSettings Class


SerializationSettings.IgnoreTypeConverter Property

SerializationSettingsIgnoreTypeConverter Property
Whether to ignore TypeConverter when serializing. If they prove problematic.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public bool IgnoreTypeConverter { get; set; }
Public Property IgnoreTypeConverter As Boolean
    Get
    Set
public:
property bool IgnoreTypeConverter {
    bool get ();
    void set (bool value);
}
member IgnoreTypeConverter : bool with get, set

Property Value

Type: Boolean
See Also

Reference

SerializationSettings Class


SerializationSettings.SkipMetaData Property

SerializationSettingsSkipMetaData Property
Whether the serialized output contains exhaustive (when SkipMetaData is false) or minimal (when SkipMetaData is true) type information.
If SkipMetaData is true and the type can not be resolved or there is a version mismatch data would be irrecoverably corrupted.
It should NOT be used, unless it is used for in process object deep cloning.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public bool SkipMetaData { get; set; }
Public Property SkipMetaData As Boolean
    Get
    Set
public:
property bool SkipMetaData {
    bool get ();
    void set (bool value);
}
member SkipMetaData : bool with get, set

Property Value

Type: Boolean
See Also

Reference

SerializationSettings Class


SerializationSettings Methods

SerializationSettings Methods

The SerializationSettings type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

SerializationSettings Class


SerializationSettingsAttribute Class

SerializationSettingsAttribute Class
Attribute that control serialization behavior for a particular type.
Inheritance Hierarchy
SystemObject
SystemAttribute
Galador.Reflection.SerializationSerializationSettingsAttribute

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public class SerializationSettingsAttribute : Attribute
Public Class SerializationSettingsAttribute
    Inherits Attribute
public ref class SerializationSettingsAttribute : public Attribute
type SerializationSettingsAttribute =
    class
        inherit Attribute
    end

The SerializationSettingsAttribute type exposes the following members.

Constructors
 | Name | Description
Public method | SerializationSettingsAttribute | Initializes a new instance of the SerializationSettingsAttribute class.
Public method | SerializationSettingsAttribute(Boolean) | Initializes a new instance of the SerializationSettingsAttribute class.
Top
Properties
 | Name | Description
Public property | IncludeFields | Will get or set whether all fields of this type (whether public or private) must be serialized.
Public property | IncludePrivateFields | Whether private fields of this type should be serialized or not. Default value is false.
Public property | IncludePrivateProperties | Whether private properties of this type should be serialized or not. Default value is false.
Public property | IncludePrivates | Will get or set whether private properties AND private fields of this type must be serialized.
Public property | IncludeProperties | Will get or set whether all properties of this type (whether public or private) must be serialized.
Public property | IncludePublicFields | Whether public fields of this type should be serialized or not. Default value is true.
Public property | IncludePublicProperties | Whether public properties of this type should be serialized or not. Default value is true.
Public property | IncludePublics | Will get or set whether public properties AND public fields of this type must be serialized.
Public property | TypeId | When implemented in a derived class, gets a unique identifier for this Attribute. (Inherited from Attribute.)
Top
Methods
 | Name | Description
Public method | Equals | Returns a value that indicates whether this instance is equal to a specified object. (Inherited from Attribute.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Returns the hash code for this instance. (Inherited from Attribute.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | IsDefaultAttribute | When overridden in a derived class, indicates whether the value of this instance is the default value for the derived class. (Inherited from Attribute.)
Public method | Match | When overridden in a derived class, returns a value that indicates whether this instance equals a specified object. (Inherited from Attribute.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference


SerializationSettingsAttribute Constructor

SerializationSettingsAttribute Constructor
Overload List
 | Name | Description
Public method | SerializationSettingsAttribute | Initializes a new instance of the SerializationSettingsAttribute class.
Public method | SerializationSettingsAttribute(Boolean) | Initializes a new instance of the SerializationSettingsAttribute class.
Top
See Also

Reference

SerializationSettingsAttribute Class


SerializationSettingsAttribute Constructor

SerializationSettingsAttribute Constructor
Initializes a new instance of the SerializationSettingsAttribute class.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public SerializationSettingsAttribute()
Public Sub New
public:
SerializationSettingsAttribute()
new : unit -> SerializationSettingsAttribute
See Also

Reference

SerializationSettingsAttribute Class
SerializationSettingsAttribute Overload


SerializationSettingsAttribute Constructor (Boolean)

SerializationSettingsAttribute Constructor (Boolean)
Initializes a new instance of the SerializationSettingsAttribute class.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public SerializationSettingsAttribute(
    bool default
)
Public Sub New (
    default As Boolean
)
public:
SerializationSettingsAttribute(
    bool default
)
new :
        default : bool -> SerializationSettingsAttribute

Parameters

default
Type: SystemBoolean
Set all properties to default.
See Also

Reference

SerializationSettingsAttribute Class
SerializationSettingsAttribute Overload


SerializationSettingsAttribute Properties

SerializationSettingsAttribute Properties

The SerializationSettingsAttribute type exposes the following members.

Properties
 | Name | Description
Public property | IncludeFields | Will get or set whether all fields of this type (whether public or private) must be serialized.
Public property | IncludePrivateFields | Whether private fields of this type should be serialized or not. Default value is false.
Public property | IncludePrivateProperties | Whether private properties of this type should be serialized or not. Default value is false.
Public property | IncludePrivates | Will get or set whether private properties AND private fields of this type must be serialized.
Public property | IncludeProperties | Will get or set whether all properties of this type (whether public or private) must be serialized.
Public property | IncludePublicFields | Whether public fields of this type should be serialized or not. Default value is true.
Public property | IncludePublicProperties | Whether public properties of this type should be serialized or not. Default value is true.
Public property | IncludePublics | Will get or set whether public properties AND public fields of this type must be serialized.
Public property | TypeId | When implemented in a derived class, gets a unique identifier for this Attribute. (Inherited from Attribute.)
Top
See Also

Reference

SerializationSettingsAttribute Class


SerializationSettingsAttribute.IncludeFields Property

SerializationSettingsAttributeIncludeFields Property
Will get or set whether all fields of this type (whether public or private) must be serialized.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public bool IncludeFields { get; set; }
Public Property IncludeFields As Boolean
    Get
    Set
public:
property bool IncludeFields {
    bool get ();
    void set (bool value);
}
member IncludeFields : bool with get, set

Property Value

Type: Boolean
See Also

Reference

SerializationSettingsAttribute Class


SerializationSettingsAttribute.IncludePrivateFields Property

SerializationSettingsAttributeIncludePrivateFields Property
Whether private fields of this type should be serialized or not. Default value is false.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public bool IncludePrivateFields { get; set; }
Public Property IncludePrivateFields As Boolean
    Get
    Set
public:
property bool IncludePrivateFields {
    bool get ();
    void set (bool value);
}
member IncludePrivateFields : bool with get, set

Property Value

Type: Boolean
See Also

Reference

SerializationSettingsAttribute Class


SerializationSettingsAttribute.IncludePrivateProperties Property

SerializationSettingsAttributeIncludePrivateProperties Property
Whether private properties of this type should be serialized or not. Default value is false.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public bool IncludePrivateProperties { get; set; }
Public Property IncludePrivateProperties As Boolean
    Get
    Set
public:
property bool IncludePrivateProperties {
    bool get ();
    void set (bool value);
}
member IncludePrivateProperties : bool with get, set

Property Value

Type: Boolean
See Also

Reference

SerializationSettingsAttribute Class


SerializationSettingsAttribute.IncludePrivates Property

SerializationSettingsAttributeIncludePrivates Property
Will get or set whether private properties AND private fields of this type must be serialized.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public bool IncludePrivates { get; set; }
Public Property IncludePrivates As Boolean
    Get
    Set
public:
property bool IncludePrivates {
    bool get ();
    void set (bool value);
}
member IncludePrivates : bool with get, set

Property Value

Type: Boolean
See Also

Reference

SerializationSettingsAttribute Class


SerializationSettingsAttribute.IncludeProperties Property

SerializationSettingsAttributeIncludeProperties Property
Will get or set whether all properties of this type (whether public or private) must be serialized.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public bool IncludeProperties { get; set; }
Public Property IncludeProperties As Boolean
    Get
    Set
public:
property bool IncludeProperties {
    bool get ();
    void set (bool value);
}
member IncludeProperties : bool with get, set

Property Value

Type: Boolean
See Also

Reference

SerializationSettingsAttribute Class


SerializationSettingsAttribute.IncludePublicFields Property

SerializationSettingsAttributeIncludePublicFields Property
Whether public fields of this type should be serialized or not. Default value is true.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public bool IncludePublicFields { get; set; }
Public Property IncludePublicFields As Boolean
    Get
    Set
public:
property bool IncludePublicFields {
    bool get ();
    void set (bool value);
}
member IncludePublicFields : bool with get, set

Property Value

Type: Boolean
See Also

Reference

SerializationSettingsAttribute Class


SerializationSettingsAttribute.IncludePublicProperties Property

SerializationSettingsAttributeIncludePublicProperties Property
Whether public properties of this type should be serialized or not. Default value is true.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public bool IncludePublicProperties { get; set; }
Public Property IncludePublicProperties As Boolean
    Get
    Set
public:
property bool IncludePublicProperties {
    bool get ();
    void set (bool value);
}
member IncludePublicProperties : bool with get, set

Property Value

Type: Boolean
See Also

Reference

SerializationSettingsAttribute Class


SerializationSettingsAttribute.IncludePublics Property

SerializationSettingsAttributeIncludePublics Property
Will get or set whether public properties AND public fields of this type must be serialized.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public bool IncludePublics { get; set; }
Public Property IncludePublics As Boolean
    Get
    Set
public:
property bool IncludePublics {
    bool get ();
    void set (bool value);
}
member IncludePublics : bool with get, set

Property Value

Type: Boolean
See Also

Reference

SerializationSettingsAttribute Class


SerializationSettingsAttribute Methods

SerializationSettingsAttribute Methods

The SerializationSettingsAttribute type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Returns a value that indicates whether this instance is equal to a specified object. (Inherited from Attribute.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Returns the hash code for this instance. (Inherited from Attribute.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | IsDefaultAttribute | When overridden in a derived class, indicates whether the value of this instance is the default value for the derived class. (Inherited from Attribute.)
Public method | Match | When overridden in a derived class, returns a value that indicates whether this instance equals a specified object. (Inherited from Attribute.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

SerializationSettingsAttribute Class


SerializedAttribute Class

SerializedAttribute Class
Property or Field with this attribute will be serialized regardless of the SerializationSettingsAttribute of their class.
Inheritance Hierarchy
SystemObject
SystemAttribute
Galador.Reflection.SerializationSerializedAttribute

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public class SerializedAttribute : Attribute
Public Class SerializedAttribute
    Inherits Attribute
public ref class SerializedAttribute : public Attribute
type SerializedAttribute =
    class
        inherit Attribute
    end

The SerializedAttribute type exposes the following members.

Constructors
 | Name | Description
Public method | SerializedAttribute | Initializes a new instance of the SerializedAttribute class
Top
Properties
 | Name | Description
Public property | TypeId | When implemented in a derived class, gets a unique identifier for this Attribute. (Inherited from Attribute.)
Top
Methods
 | Name | Description
Public method | Equals | Returns a value that indicates whether this instance is equal to a specified object. (Inherited from Attribute.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Returns the hash code for this instance. (Inherited from Attribute.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | IsDefaultAttribute | When overridden in a derived class, indicates whether the value of this instance is the default value for the derived class. (Inherited from Attribute.)
Public method | Match | When overridden in a derived class, returns a value that indicates whether this instance equals a specified object. (Inherited from Attribute.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference


SerializedAttribute Constructor

SerializedAttribute Constructor
Initializes a new instance of the SerializedAttribute class

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public SerializedAttribute()
Public Sub New
public:
SerializedAttribute()
new : unit -> SerializedAttribute
See Also

Reference

SerializedAttribute Class


SerializedAttribute Properties

SerializedAttribute Properties

The SerializedAttribute type exposes the following members.

Properties
 | Name | Description
Public property | TypeId | When implemented in a derived class, gets a unique identifier for this Attribute. (Inherited from Attribute.)
Top
See Also

Reference

SerializedAttribute Class


SerializedAttribute Methods

SerializedAttribute Methods

The SerializedAttribute type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Returns a value that indicates whether this instance is equal to a specified object. (Inherited from Attribute.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Returns the hash code for this instance. (Inherited from Attribute.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | IsDefaultAttribute | When overridden in a derived class, indicates whether the value of this instance is the default value for the derived class. (Inherited from Attribute.)
Public method | Match | When overridden in a derived class, returns a value that indicates whether this instance equals a specified object. (Inherited from Attribute.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

SerializedAttribute Class


Serializer Class

Serializer Class
Handy helper class to perform typical serialization operation in just one method call.
Inheritance Hierarchy
SystemObject
Galador.Reflection.SerializationSerializer

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public static class Serializer
Public NotInheritable Class Serializer
public ref class Serializer abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
type Serializer =  class end

The Serializer type exposes the following members.

Methods
Name | Description
CloneT | Perform a deep clone operation by serializing then deserializing an object.
Deserialize(Stream) | Deserialize an object from a stream.
Deserialize(String) | Deserialize an object from a string.
Serialize(Object, Stream, SerializationSettings) | Serializes the specified object o to a stream.
Serialize(Object, StringBuilder, SerializationSettings) | Serializes the specified object o as a string.
ToSerializedString | Serialize the instance as a string and returns it.
Top
See Also

Reference


Serializer Methods

Serializer Methods

The Serializer type exposes the following members.

Methods
Name | Description
CloneT | Perform a deep clone operation by serializing then deserializing an object.
Deserialize(Stream) | Deserialize an object from a stream.
Deserialize(String) | Deserialize an object from a string.
Serialize(Object, Stream, SerializationSettings) | Serializes the specified object o to a stream.
Serialize(Object, StringBuilder, SerializationSettings) | Serializes the specified object o as a string.
ToSerializedString | Serialize the instance as a string and returns it.
Top
See Also

Reference

Serializer Class


Serializer.Clone(T) Method

SerializerCloneT Method
Perform a deep clone operation by serializing then deserializing an object.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public static T Clone<T>(
    T instance,
    SerializationSettings settings = null
)

Public Shared Function Clone(Of T) (
    instance As T,
    Optional settings As SerializationSettings = Nothing
) As T
public:
generic<typename T>
static T Clone(
    T instance,
    SerializationSettings^ settings = nullptr
)
static member Clone :
        instance : 'T *
        ?settings : SerializationSettings
(* Defaults:
        let _settings = defaultArg settings null
*)
-> 'T

Parameters

instance
Type: T
The instance to clone.
settings (Optional)
Type: Galador.Reflection.SerializationSerializationSettings
The settings to use with the ObjectWriter

Type Parameters

T
The type of the object to clone.

Return Value

Type: T
A deep clone of the instance.
See Also

Reference

Serializer Class


Serializer.Deserialize Method

SerializerDeserialize Method
Overload List
Name | Description
Deserialize(Stream) | Deserialize an object from a stream.
Deserialize(String) | Deserialize an object from a string.
Top
See Also

Reference

Serializer Class


Serializer.Deserialize Method (Stream)

SerializerDeserialize Method (Stream)
Deserialize an object from a stream.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public static Object Deserialize(
    Stream source
)
Public Shared Function Deserialize (
    source As Stream
) As Object
public:
static Object^ Deserialize(
    Stream^ source
)
static member Deserialize :
        source : Stream -> Object

Parameters

source
Type: System.IOStream
The stream to read as a serialized object.

Return Value

Type: Object
A newly deserialized object.
See Also

Reference

Serializer Class
Deserialize Overload


Serializer.Deserialize Method (String)

SerializerDeserialize Method (String)
Deserialize an object from a string.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public static Object Deserialize(
    string source
)
Public Shared Function Deserialize (
    source As String
) As Object
public:
static Object^ Deserialize(
    String^ source
)
static member Deserialize :
        source : string -> Object

Parameters

source
Type: SystemString
The string to read as a serialized object.

Return Value

Type: Object
A newly deserialized object.
See Also

Reference

Serializer Class
Deserialize Overload


Serializer.Serialize Method

SerializerSerialize Method
Overload List
Name | Description
Serialize(Object, Stream, SerializationSettings) | Serializes the specified object o to a stream.
Serialize(Object, StringBuilder, SerializationSettings) | Serializes the specified object o as a string.
Top
See Also

Reference

Serializer Class


Serializer.Serialize Method (Object, Stream, SerializationSettings)

SerializerSerialize Method (Object, Stream, SerializationSettings)
Serializes the specified object o to a stream.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public static void Serialize(
    Object o,
    Stream target,
    SerializationSettings settings = null
)
Public Shared Sub Serialize (
    o As Object,
    target As Stream,
    Optional settings As SerializationSettings = Nothing
)
public:
static void Serialize(
    Object^ o,
    Stream^ target,
    SerializationSettings^ settings = nullptr
)
static member Serialize :
        o : Object *
        target : Stream *
        ?settings : SerializationSettings
(* Defaults:
        let _settings = defaultArg settings null
*)
-> unit

Parameters

o
Type: SystemObject
The object to serialize.
target
Type: System.IOStream
The target where the serialized version will be written.
settings (Optional)
Type: Galador.Reflection.SerializationSerializationSettings
The serialization settings to use
See Also

Reference

Serializer Class
Serialize Overload


Serializer.Serialize Method (Object, StringBuilder, SerializationSettings)

SerializerSerialize Method (Object, StringBuilder, SerializationSettings)
Serializes the specified object o as a string.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public static void Serialize(
    Object o,
    StringBuilder target,
    SerializationSettings settings = null
)
Public Shared Sub Serialize (
    o As Object,
    target As StringBuilder,
    Optional settings As SerializationSettings = Nothing
)
public:
static void Serialize(
    Object^ o,
    StringBuilder^ target,
    SerializationSettings^ settings = nullptr
)
static member Serialize :
        o : Object *
        target : StringBuilder *
        ?settings : SerializationSettings
(* Defaults:
        let _settings = defaultArg settings null
*)
-> unit

Parameters

o
Type: SystemObject
The object to serialize.
target
Type: System.TextStringBuilder
The target where the serialized version will be written.
settings (Optional)
Type: Galador.Reflection.SerializationSerializationSettings
The serialization settings to use
See Also

Reference

Serializer Class
Serialize Overload


Serializer.ToSerializedString Method

SerializerToSerializedString Method
Serialize the instance as a string and returns it.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public static string ToSerializedString(
    Object instance,
    SerializationSettings settings = null
)
Public Shared Function ToSerializedString (
    instance As Object,
    Optional settings As SerializationSettings = Nothing
) As String
public:
static String^ ToSerializedString(
    Object^ instance,
    SerializationSettings^ settings = nullptr
)
static member ToSerializedString :
        instance : Object *
        ?settings : SerializationSettings
(* Defaults:
        let _settings = defaultArg settings null
*)
-> string

Parameters

instance
Type: SystemObject
The instance to serialize as a string.
settings (Optional)
Type: Galador.Reflection.SerializationSerializationSettings
The serialization settings to use

Return Value

Type: String
A string version of the object.
See Also

Reference

Serializer Class


StreamExtensions Class

StreamExtensions Class
A utility class helping write base .NET value to a stream
Inheritance Hierarchy
SystemObject
Galador.Reflection.SerializationStreamExtensions

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public static class StreamExtensions
<ExtensionAttribute>
Public NotInheritable Class StreamExtensions
[ExtensionAttribute]
public ref class StreamExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type StreamExtensions =  class end

The StreamExtensions type exposes the following members.

Methods
Name | Description
ReadVInt(Stream) | Read value stored by WriteVInt(Stream, Int64)
ReadVInt(Stream, Int32) | Read value stored by WriteVInt(Stream, Int64)
ReadVNInt(Stream) | Read value stored by WriteVNInt(Stream, NullableInt64)
ReadVNInt(Stream, Int32) | Read value stored by WriteVNInt(Stream, NullableInt64)
ReadVNUInt(Stream) | Read value stored by WriteVNUInt(Stream, NullableUInt64)
ReadVNUInt(Stream, Int32) | Read value stored by WriteVNUInt(Stream, NullableUInt64)
ReadVUInt(Stream) | Read value stored by WriteVUInt(Stream, UInt64)
ReadVUInt(Stream, Int32) | Read value stored by WriteVUInt(Stream, UInt64)
WriteVInt | Write long as variable size array. The smaller the value, the less byte will be needed.
WriteVNInt | Write a nullable long as variable size array. The smaller the value, the less byte will be needed.
WriteVNUInt | Write a nullable long as variable size array. The smaller the value, the less byte will be needed.
WriteVUInt | Write ulong as variable size array. The smaller the value, the less byte will be needed.
Top
See Also

Reference


StreamExtensions Methods

StreamExtensions Methods

The StreamExtensions type exposes the following members.

Methods
Name | Description
ReadVInt(Stream) | Read value stored by WriteVInt(Stream, Int64)
ReadVInt(Stream, Int32) | Read value stored by WriteVInt(Stream, Int64)
ReadVNInt(Stream) | Read value stored by WriteVNInt(Stream, NullableInt64)
ReadVNInt(Stream, Int32) | Read value stored by WriteVNInt(Stream, NullableInt64)
ReadVNUInt(Stream) | Read value stored by WriteVNUInt(Stream, NullableUInt64)
ReadVNUInt(Stream, Int32) | Read value stored by WriteVNUInt(Stream, NullableUInt64)
ReadVUInt(Stream) | Read value stored by WriteVUInt(Stream, UInt64)
ReadVUInt(Stream, Int32) | Read value stored by WriteVUInt(Stream, UInt64)
WriteVInt | Write long as variable size array. The smaller the value, the less byte will be needed.
WriteVNInt | Write a nullable long as variable size array. The smaller the value, the less byte will be needed.
WriteVNUInt | Write a nullable long as variable size array. The smaller the value, the less byte will be needed.
WriteVUInt | Write ulong as variable size array. The smaller the value, the less byte will be needed.
Top
See Also

Reference

StreamExtensions Class


StreamExtensions.ReadVInt Method

StreamExtensionsReadVInt Method
Overload List
Name | Description
ReadVInt(Stream) | Read value stored by WriteVInt(Stream, Int64)
ReadVInt(Stream, Int32) | Read value stored by WriteVInt(Stream, Int64)
Top
See Also

Reference

StreamExtensions Class


StreamExtensions.ReadVInt Method (Stream)

StreamExtensionsReadVInt Method (Stream)
Read value stored by WriteVInt(Stream, Int64)

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public static long ReadVInt(
    this Stream ins
)
<ExtensionAttribute>
Public Shared Function ReadVInt (
    ins As Stream
) As Long
public:
[ExtensionAttribute]
static long long ReadVInt(
    Stream^ ins
)
[<ExtensionAttribute>]
static member ReadVInt :
        ins : Stream -> int64

Parameters

ins
Type: System.IOStream
The stream to read the value from.

Return Value

Type: Int64
The long just read.

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type Stream. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
Exceptions
Exception | Condition
IOException | EOF or Corrupted Data
See Also

Reference

StreamExtensions Class
ReadVInt Overload


StreamExtensions.ReadVInt Method (Stream, Int32)

StreamExtensionsReadVInt Method (Stream, Int32)
Read value stored by WriteVInt(Stream, Int64)

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public static long ReadVInt(
    this Stream ins,
    out int count
)
<ExtensionAttribute>
Public Shared Function ReadVInt (
    ins As Stream,
    <OutAttribute> ByRef count As Integer
) As Long
public:
[ExtensionAttribute]
static long long ReadVInt(
    Stream^ ins,
    [OutAttribute] int% count
)
[<ExtensionAttribute>]
static member ReadVInt :
        ins : Stream *
        count : int byref -> int64

Parameters

ins
Type: System.IOStream
The stream to read the value from.
count
Type: SystemInt32
How many bytes were used to store the value.

Return Value

Type: Int64
The long just read.

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type Stream. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
Exceptions
Exception | Condition
IOException | EOF or Corrupted Data
See Also

Reference

StreamExtensions Class
ReadVInt Overload


StreamExtensions.ReadVNInt Method

StreamExtensionsReadVNInt Method
Overload List
Name | Description
ReadVNInt(Stream) | Read value stored by WriteVNInt(Stream, NullableInt64)
ReadVNInt(Stream, Int32) | Read value stored by WriteVNInt(Stream, NullableInt64)
Top
See Also

Reference

StreamExtensions Class


StreamExtensions.ReadVNInt Method (Stream)

StreamExtensionsReadVNInt Method (Stream)
Read value stored by WriteVNInt(Stream, NullableInt64)

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public static Nullable<long> ReadVNInt(
    this Stream ins
)
<ExtensionAttribute>
Public Shared Function ReadVNInt (
    ins As Stream
) As Nullable(Of Long)
public:
[ExtensionAttribute]
static Nullable<long long> ReadVNInt(
    Stream^ ins
)
[<ExtensionAttribute>]
static member ReadVNInt :
        ins : Stream -> Nullable<int64>

Parameters

ins
Type: System.IOStream
The stream to read the value from.

Return Value

Type: Nullable Int64
The long? just read.

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type Stream. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
Exceptions
Exception | Condition
IOException | EOF or Corrupted Data
See Also

Reference

StreamExtensions Class
ReadVNInt Overload


StreamExtensions.ReadVNInt Method (Stream, Int32)

StreamExtensionsReadVNInt Method (Stream, Int32)
Read value stored by WriteVNInt(Stream, NullableInt64)

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public static Nullable<long> ReadVNInt(
    this Stream ins,
    out int count
)
<ExtensionAttribute>
Public Shared Function ReadVNInt (
    ins As Stream,
    <OutAttribute> ByRef count As Integer
) As Nullable(Of Long)
public:
[ExtensionAttribute]
static Nullable<long long> ReadVNInt(
    Stream^ ins,
    [OutAttribute] int% count
)
[<ExtensionAttribute>]
static member ReadVNInt :
        ins : Stream *
        count : int byref -> Nullable<int64>

Parameters

ins
Type: System.IOStream
The stream to read the value from.
count
Type: SystemInt32
How many bytes were used to store the value.

Return Value

Type: Nullable Int64
The long? just read.

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type Stream. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
Exceptions
Exception | Condition
IOException | EOF or Corrupted Data
See Also

Reference

StreamExtensions Class
ReadVNInt Overload


StreamExtensions.ReadVNUInt Method

StreamExtensionsReadVNUInt Method
Overload List
Name | Description
ReadVNUInt(Stream) | Read value stored by WriteVNUInt(Stream, NullableUInt64)
ReadVNUInt(Stream, Int32) | Read value stored by WriteVNUInt(Stream, NullableUInt64)
Top
See Also

Reference

StreamExtensions Class


StreamExtensions.ReadVNUInt Method (Stream)

StreamExtensionsReadVNUInt Method (Stream)
Read value stored by WriteVNUInt(Stream, NullableUInt64)

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public static Nullable<ulong> ReadVNUInt(
    this Stream ins
)
<ExtensionAttribute>
Public Shared Function ReadVNUInt (
    ins As Stream
) As Nullable(Of ULong)
public:
[ExtensionAttribute]
static Nullable<unsigned long long> ReadVNUInt(
    Stream^ ins
)
[<ExtensionAttribute>]
static member ReadVNUInt :
        ins : Stream -> Nullable<uint64>

Parameters

ins
Type: System.IOStream
The stream to read the value from.

Return Value

Type: Nullable UInt64
The ulong? just read.

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type Stream. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
Exceptions
Exception | Condition
IOException | EOF or Corrupted Data
See Also

Reference

StreamExtensions Class
ReadVNUInt Overload


StreamExtensions.ReadVNUInt Method (Stream, Int32)

StreamExtensionsReadVNUInt Method (Stream, Int32)
Read value stored by WriteVNUInt(Stream, NullableUInt64)

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public static Nullable<ulong> ReadVNUInt(
    this Stream ins,
    out int count
)
<ExtensionAttribute>
Public Shared Function ReadVNUInt (
    ins As Stream,
    <OutAttribute> ByRef count As Integer
) As Nullable(Of ULong)
public:
[ExtensionAttribute]
static Nullable<unsigned long long> ReadVNUInt(
    Stream^ ins,
    [OutAttribute] int% count
)
[<ExtensionAttribute>]
static member ReadVNUInt :
        ins : Stream *
        count : int byref -> Nullable<uint64>

Parameters

ins
Type: System.IOStream
The stream to read the value from.
count
Type: SystemInt32
How many bytes were used to store the value.

Return Value

Type: Nullable UInt64
The ulong? just read.

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type Stream. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
Exceptions
Exception | Condition
IOException | EOF or Corrupted Data
See Also

Reference

StreamExtensions Class
ReadVNUInt Overload


StreamExtensions.ReadVUInt Method

StreamExtensionsReadVUInt Method
Overload List
Name | Description
ReadVUInt(Stream) | Read value stored by WriteVUInt(Stream, UInt64)
ReadVUInt(Stream, Int32) | Read value stored by WriteVUInt(Stream, UInt64)
Top
See Also

Reference

StreamExtensions Class


StreamExtensions.ReadVUInt Method (Stream)

StreamExtensionsReadVUInt Method (Stream)
Read value stored by WriteVUInt(Stream, UInt64)

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public static ulong ReadVUInt(
    this Stream ins
)
<ExtensionAttribute>
Public Shared Function ReadVUInt (
    ins As Stream
) As ULong
public:
[ExtensionAttribute]
static unsigned long long ReadVUInt(
    Stream^ ins
)
[<ExtensionAttribute>]
static member ReadVUInt :
        ins : Stream -> uint64

Parameters

ins
Type: System.IOStream
The stream to read the value from.

Return Value

Type: UInt64
The ulong just read.

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type Stream. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
Exceptions
Exception | Condition
IOException | EOF or Corrupted Data
See Also

Reference

StreamExtensions Class
ReadVUInt Overload


StreamExtensions.ReadVUInt Method (Stream, Int32)

StreamExtensionsReadVUInt Method (Stream, Int32)
Read value stored by WriteVUInt(Stream, UInt64)

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public static ulong ReadVUInt(
    this Stream ins,
    out int count
)
<ExtensionAttribute>
Public Shared Function ReadVUInt (
    ins As Stream,
    <OutAttribute> ByRef count As Integer
) As ULong
public:
[ExtensionAttribute]
static unsigned long long ReadVUInt(
    Stream^ ins,
    [OutAttribute] int% count
)
[<ExtensionAttribute>]
static member ReadVUInt :
        ins : Stream *
        count : int byref -> uint64

Parameters

ins
Type: System.IOStream
The stream to read the value from.
count
Type: SystemInt32
How many bytes were used to store the value.

Return Value

Type: UInt64
The ulong just read.

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type Stream. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
Exceptions
Exception | Condition
IOException | EOF or Corrupted Data
See Also

Reference

StreamExtensions Class
ReadVUInt Overload


StreamExtensions.WriteVInt Method

StreamExtensionsWriteVInt Method
Write long as variable size array. The smaller the value, the less byte will be needed.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public static int WriteVInt(
    this Stream ins,
    long l
)
<ExtensionAttribute>
Public Shared Function WriteVInt (
    ins As Stream,
    l As Long
) As Integer
public:
[ExtensionAttribute]
static int WriteVInt(
    Stream^ ins,
    long long l
)
[<ExtensionAttribute>]
static member WriteVInt :
        ins : Stream *
        l : int64 -> int

Parameters

ins
Type: System.IOStream

[Missing <param name="ins"/> documentation for "M:Galador.Reflection.Serialization.StreamExtensions.WriteVInt(System.IO.Stream,System.Int64)"]

l
Type: SystemInt64

[Missing <param name="l"/> documentation for "M:Galador.Reflection.Serialization.StreamExtensions.WriteVInt(System.IO.Stream,System.Int64)"]

Return Value

Type: Int32

[Missing <returns> documentation for "M:Galador.Reflection.Serialization.StreamExtensions.WriteVInt(System.IO.Stream,System.Int64)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type Stream. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

StreamExtensions Class


StreamExtensions.WriteVNInt Method

StreamExtensionsWriteVNInt Method
Write a nullable long as variable size array. The smaller the value, the less byte will be needed.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public static int WriteVNInt(
    this Stream ins,
    Nullable<long> nl
)
<ExtensionAttribute>
Public Shared Function WriteVNInt (
    ins As Stream,
    nl As Nullable(Of Long)
) As Integer
public:
[ExtensionAttribute]
static int WriteVNInt(
    Stream^ ins,
    Nullable<long long> nl
)
[<ExtensionAttribute>]
static member WriteVNInt :
        ins : Stream *
        nl : Nullable<int64> -> int

Parameters

ins
Type: System.IOStream

[Missing <param name="ins"/> documentation for "M:Galador.Reflection.Serialization.StreamExtensions.WriteVNInt(System.IO.Stream,System.Nullable{System.Int64})"]

nl
Type: SystemNullable Int64

[Missing <param name="nl"/> documentation for "M:Galador.Reflection.Serialization.StreamExtensions.WriteVNInt(System.IO.Stream,System.Nullable{System.Int64})"]

Return Value

Type: Int32

[Missing <returns> documentation for "M:Galador.Reflection.Serialization.StreamExtensions.WriteVNInt(System.IO.Stream,System.Nullable{System.Int64})"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type Stream. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

StreamExtensions Class


StreamExtensions.WriteVNUInt Method

StreamExtensionsWriteVNUInt Method
Write a nullable long as variable size array. The smaller the value, the less byte will be needed.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public static int WriteVNUInt(
    this Stream ins,
    Nullable<ulong> nul
)
<ExtensionAttribute>
Public Shared Function WriteVNUInt (
    ins As Stream,
    nul As Nullable(Of ULong)
) As Integer
public:
[ExtensionAttribute]
static int WriteVNUInt(
    Stream^ ins,
    Nullable<unsigned long long> nul
)
[<ExtensionAttribute>]
static member WriteVNUInt :
        ins : Stream *
        nul : Nullable<uint64> -> int

Parameters

ins
Type: System.IOStream

[Missing <param name="ins"/> documentation for "M:Galador.Reflection.Serialization.StreamExtensions.WriteVNUInt(System.IO.Stream,System.Nullable{System.UInt64})"]

nul
Type: SystemNullable UInt64

[Missing <param name="nul"/> documentation for "M:Galador.Reflection.Serialization.StreamExtensions.WriteVNUInt(System.IO.Stream,System.Nullable{System.UInt64})"]

Return Value

Type: Int32

[Missing <returns> documentation for "M:Galador.Reflection.Serialization.StreamExtensions.WriteVNUInt(System.IO.Stream,System.Nullable{System.UInt64})"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type Stream. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

StreamExtensions Class


StreamExtensions.WriteVUInt Method

StreamExtensionsWriteVUInt Method
Write ulong as variable size array. The smaller the value, the less byte will be needed.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public static int WriteVUInt(
    this Stream ins,
    ulong ul
)
<ExtensionAttribute>
Public Shared Function WriteVUInt (
    ins As Stream,
    ul As ULong
) As Integer
public:
[ExtensionAttribute]
static int WriteVUInt(
    Stream^ ins,
    unsigned long long ul
)
[<ExtensionAttribute>]
static member WriteVUInt :
        ins : Stream *
        ul : uint64 -> int

Parameters

ins
Type: System.IOStream

[Missing <param name="ins"/> documentation for "M:Galador.Reflection.Serialization.StreamExtensions.WriteVUInt(System.IO.Stream,System.UInt64)"]

ul
Type: SystemUInt64

[Missing <param name="ul"/> documentation for "M:Galador.Reflection.Serialization.StreamExtensions.WriteVUInt(System.IO.Stream,System.UInt64)"]

Return Value

Type: Int32

[Missing <returns> documentation for "M:Galador.Reflection.Serialization.StreamExtensions.WriteVUInt(System.IO.Stream,System.UInt64)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type Stream. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

StreamExtensions Class


TimeSpanSurrogate Class

TimeSpanSurrogate Class
Built in surrogate for TimeSpan.
Inheritance Hierarchy
SystemObject
Galador.Reflection.SerializationTimeSpanSurrogate

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public class TimeSpanSurrogate : ISurrogate<TimeSpan>
Public Class TimeSpanSurrogate
    Implements ISurrogate(Of TimeSpan)
public ref class TimeSpanSurrogate : ISurrogate<TimeSpan>
type TimeSpanSurrogate =
    class
        interface ISurrogate<TimeSpan>
    end

The TimeSpanSurrogate type exposes the following members.

Constructors
 | Name | Description
Public method | TimeSpanSurrogate | Initializes a new instance of the TimeSpanSurrogate class
Top
Properties
 | Name | Description
Public property | Ticks |
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference


TimeSpanSurrogate Constructor

TimeSpanSurrogate Constructor
Initializes a new instance of the TimeSpanSurrogate class

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public TimeSpanSurrogate()
Public Sub New
public:
TimeSpanSurrogate()
new : unit -> TimeSpanSurrogate
See Also

Reference

TimeSpanSurrogate Class


TimeSpanSurrogate Properties

TimeSpanSurrogate Properties

The TimeSpanSurrogate type exposes the following members.

Properties
 | Name | Description
Public property | Ticks |
Top
See Also

Reference

TimeSpanSurrogate Class


TimeSpanSurrogate.Ticks Property

TimeSpanSurrogateTicks Property

[Missing <summary> documentation for "P:Galador.Reflection.Serialization.TimeSpanSurrogate.Ticks"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public long Ticks { get; set; }
Public Property Ticks As Long
    Get
    Set
public:
property long long Ticks {
    long long get ();
    void set (long long value);
}
member Ticks : int64 with get, set

Property Value

Type: Int64
See Also

Reference

TimeSpanSurrogate Class


TimeSpanSurrogate Methods

TimeSpanSurrogate Methods

The TimeSpanSurrogate type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

TimeSpanSurrogate Class


TokenPrimitiveReader Class

TokenPrimitiveReader Class
An IPrimitiveReader that read the data from an object list. It is faster for cloning and also make it easier to debug serialization.
Inheritance Hierarchy
SystemObject
Galador.Reflection.SerializationTokenPrimitiveReader

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public class TokenPrimitiveReader : IPrimitiveReader,
    IDisposable
Public Class TokenPrimitiveReader
    Implements IPrimitiveReader, IDisposable
public ref class TokenPrimitiveReader : IPrimitiveReader,
    IDisposable
type TokenPrimitiveReader =
    class
        interface IPrimitiveReader
        interface IDisposable
    end

The TokenPrimitiveReader type exposes the following members.

Constructors
 | Name | Description
Public method | TokenPrimitiveReader | Construct a new TokenPrimitiveReader
Top
Properties
 | Name | Description
Public property | Position | Current position in the list of token.
Public property | TokenStream | The source of values.
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference


TokenPrimitiveReader Constructor

TokenPrimitiveReader Constructor
Construct a new TokenPrimitiveReader

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public TokenPrimitiveReader(
    List<Object> stream
)
Public Sub New (
    stream As List(Of Object)
)
public:
TokenPrimitiveReader(
    List<Object^>^ stream
)
new :
        stream : List<Object> -> TokenPrimitiveReader

Parameters

stream
Type: System.Collections.GenericList Object
The source of token
See Also

Reference

TokenPrimitiveReader Class


TokenPrimitiveReader Properties

TokenPrimitiveReader Properties

The TokenPrimitiveReader type exposes the following members.

Properties
 | Name | Description
Public property | Position | Current position in the list of token.
Public property | TokenStream | The source of values.
Top
See Also

Reference

TokenPrimitiveReader Class


TokenPrimitiveReader.Position Property

TokenPrimitiveReaderPosition Property
Current position in the list of token.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public int Position { get; set; }
Public Property Position As Integer
    Get
    Set
public:
property int Position {
    int get ();
    void set (int value);
}
member Position : int with get, set

Property Value

Type: Int32
See Also

Reference

TokenPrimitiveReader Class


TokenPrimitiveReader.TokenStream Property

TokenPrimitiveReaderTokenStream Property
The source of values.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public List<Object> TokenStream { get; }
Public ReadOnly Property TokenStream As List(Of Object)
    Get
public:
property List<Object^>^ TokenStream {
    List<Object^>^ get ();
}
member TokenStream : List<Object> with get

Property Value

Type: List Object
See Also

Reference

TokenPrimitiveReader Class


TokenPrimitiveReader Methods

TokenPrimitiveReader Methods

The TokenPrimitiveReader type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

TokenPrimitiveReader Class


TokenPrimitiveWriter Class

TokenPrimitiveWriter Class
An IPrimitiveWriter that write data to an object list. It is faster for cloning and also make it easier to debug serialization.
Inheritance Hierarchy
SystemObject
Galador.Reflection.SerializationTokenPrimitiveWriter

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public class TokenPrimitiveWriter : IPrimitiveWriter,
    IDisposable
Public Class TokenPrimitiveWriter
    Implements IPrimitiveWriter, IDisposable
public ref class TokenPrimitiveWriter : IPrimitiveWriter,
    IDisposable
type TokenPrimitiveWriter =
    class
        interface IPrimitiveWriter
        interface IDisposable
    end

The TokenPrimitiveWriter type exposes the following members.

Constructors
 | Name | Description
Public method | TokenPrimitiveWriter | Create a new TokenPrimitiveWriter and its underlying list.
Public method | TokenPrimitiveWriter(ListObject) | Create a new TokenPrimitiveWriter from a list.
Top
Properties
 | Name | Description
Public property | TokenStream | The list where token will be written.
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference


TokenPrimitiveWriter Constructor

TokenPrimitiveWriter Constructor
Overload List
 | Name | Description
Public method | TokenPrimitiveWriter | Create a new TokenPrimitiveWriter and its underlying list.
Public method | TokenPrimitiveWriter(ListObject) | Create a new TokenPrimitiveWriter from a list.
Top
See Also

Reference

TokenPrimitiveWriter Class


TokenPrimitiveWriter Constructor

TokenPrimitiveWriter Constructor
Create a new TokenPrimitiveWriter and its underlying list.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public TokenPrimitiveWriter()
Public Sub New
public:
TokenPrimitiveWriter()
new : unit -> TokenPrimitiveWriter
See Also

Reference

TokenPrimitiveWriter Class
TokenPrimitiveWriter Overload


TokenPrimitiveWriter Constructor (List(Object))

TokenPrimitiveWriter Constructor (ListObject)
Create a new TokenPrimitiveWriter from a list.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public TokenPrimitiveWriter(
    List<Object> stream
)
Public Sub New (
    stream As List(Of Object)
)
public:
TokenPrimitiveWriter(
    List<Object^>^ stream
)
new :
        stream : List<Object> -> TokenPrimitiveWriter

Parameters

stream
Type: System.Collections.GenericList Object
The target list, where data will be written.
See Also

Reference

TokenPrimitiveWriter Class
TokenPrimitiveWriter Overload


TokenPrimitiveWriter Properties

TokenPrimitiveWriter Properties

The TokenPrimitiveWriter type exposes the following members.

Properties
 | Name | Description
Public property | TokenStream | The list where token will be written.
Top
See Also

Reference

TokenPrimitiveWriter Class


TokenPrimitiveWriter.TokenStream Property

TokenPrimitiveWriterTokenStream Property
The list where token will be written.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public List<Object> TokenStream { get; }
Public ReadOnly Property TokenStream As List(Of Object)
    Get
public:
property List<Object^>^ TokenStream {
    List<Object^>^ get ();
}
member TokenStream : List<Object> with get

Property Value

Type: List Object
See Also

Reference

TokenPrimitiveWriter Class


TokenPrimitiveWriter Methods

TokenPrimitiveWriter Methods

The TokenPrimitiveWriter type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

TokenPrimitiveWriter Class


TupleSurrogate(T1) Class

TupleSurrogateT1 Class
Built in surrogate for TupleT1.
Inheritance Hierarchy
SystemObject
Galador.Reflection.SerializationTupleSurrogateT1

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public class TupleSurrogate<T1> : ISurrogate<Tuple<T1>>

Public Class TupleSurrogate(Of T1)
    Implements ISurrogate(Of Tuple(Of T1))
generic<typename T1>
public ref class TupleSurrogate : ISurrogate<Tuple<T1>^>
type TupleSurrogate<'T1> =
    class
        interface ISurrogate<Tuple<'T1>>
    end

Type Parameters

T1

[Missing <typeparam name="T1"/> documentation for "T:Galador.Reflection.Serialization.TupleSurrogate`1"]

The TupleSurrogateT1 type exposes the following members.

Constructors
 | Name | Description
Public method | TupleSurrogateT1 | Initializes a new instance of the TupleSurrogateT1 class
Top
Properties
 | Name | Description
Public property | Item1 |
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference


TupleSurrogate(T1) Constructor

TupleSurrogateT1 Constructor
Initializes a new instance of the TupleSurrogateT1 class

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public TupleSurrogate()
Public Sub New
public:
TupleSurrogate()
new : unit -> TupleSurrogate
See Also

Reference

TupleSurrogateT1 Class


TupleSurrogate(T1) Properties

TupleSurrogateT1 Properties

The TupleSurrogateT1 generic type exposes the following members.

Properties
 | Name | Description
Public property | Item1 |
Top
See Also

Reference

TupleSurrogateT1 Class


TupleSurrogate(T1).Item1 Property

TupleSurrogateT1Item1 Property

[Missing <summary> documentation for "P:Galador.Reflection.Serialization.TupleSurrogate`1.Item1"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public T1 Item1 { get; set; }
Public Property Item1 As T1
    Get
    Set
public:
property T1 Item1 {
    T1 get ();
    void set (T1 value);
}
member Item1 : 'T1 with get, set

Property Value

Type: T1
See Also

Reference

TupleSurrogateT1 Class


TupleSurrogate(T1) Methods

TupleSurrogateT1 Methods

The TupleSurrogateT1 generic type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

TupleSurrogateT1 Class


TupleSurrogate(T1, T2) Class

TupleSurrogateT1, T2 Class
Built in surrogate for TupleT1, T2, ValueTupleT1, T2, KeyValuePairTKey, TValue.
Inheritance Hierarchy
SystemObject
Galador.Reflection.SerializationTupleSurrogateT1, T2

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public class TupleSurrogate<T1, T2> : ISurrogate<Tuple<T1, T2>>,
    ISurrogate<ValueTuple<T1, T2>>, ISurrogate<KeyValuePair<T1, T2>>

Public Class TupleSurrogate(Of T1, T2)
    Implements ISurrogate(Of Tuple(Of T1, T2)),
    ISurrogate(Of ValueTuple(Of T1, T2)), ISurrogate(Of KeyValuePair(Of T1, T2))
generic<typename T1, typename T2>
public ref class TupleSurrogate : ISurrogate<Tuple<T1, T2>^>,
    ISurrogate<ValueTuple<T1, T2>>, ISurrogate<KeyValuePair<T1, T2>>
type TupleSurrogate<'T1, 'T2> =
    class
        interface ISurrogate<Tuple<'T1, 'T2>>
        interface ISurrogate<ValueTuple<'T1, 'T2>>
        interface ISurrogate<KeyValuePair<'T1, 'T2>>
    end

Type Parameters

T1

[Missing <typeparam name="T1"/> documentation for "T:Galador.Reflection.Serialization.TupleSurrogate`2"]

T2

[Missing <typeparam name="T2"/> documentation for "T:Galador.Reflection.Serialization.TupleSurrogate`2"]

The TupleSurrogateT1, T2 type exposes the following members.

Constructors
 | Name | Description
Public method | TupleSurrogateT1, T2 | Initializes a new instance of the TupleSurrogateT1, T2 class
Top
Properties
 | Name | Description
Public property | Item1 |
Public property | Item2 |
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference


TupleSurrogate(T1, T2) Constructor

TupleSurrogateT1, T2 Constructor
Initializes a new instance of the TupleSurrogateT1, T2 class

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public TupleSurrogate()
Public Sub New
public:
TupleSurrogate()
new : unit -> TupleSurrogate
See Also

Reference

TupleSurrogateT1, T2 Class


TupleSurrogate(T1, T2) Properties

TupleSurrogateT1, T2 Properties

The TupleSurrogateT1, T2 generic type exposes the following members.

Properties
 | Name | Description
Public property | Item1 |
Public property | Item2 |
Top
See Also

Reference

TupleSurrogateT1, T2 Class


TupleSurrogate(T1, T2).Item1 Property

TupleSurrogateT1, T2Item1 Property

[Missing <summary> documentation for "P:Galador.Reflection.Serialization.TupleSurrogate`2.Item1"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public T1 Item1 { get; set; }
Public Property Item1 As T1
    Get
    Set
public:
property T1 Item1 {
    T1 get ();
    void set (T1 value);
}
member Item1 : 'T1 with get, set

Property Value

Type: T1
See Also

Reference

TupleSurrogateT1, T2 Class


TupleSurrogate(T1, T2).Item2 Property

TupleSurrogateT1, T2Item2 Property

[Missing <summary> documentation for "P:Galador.Reflection.Serialization.TupleSurrogate`2.Item2"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public T2 Item2 { get; set; }
Public Property Item2 As T2
    Get
    Set
public:
property T2 Item2 {
    T2 get ();
    void set (T2 value);
}
member Item2 : 'T2 with get, set

Property Value

Type: T2
See Also

Reference

TupleSurrogateT1, T2 Class


TupleSurrogate(T1, T2) Methods

TupleSurrogateT1, T2 Methods

The TupleSurrogateT1, T2 generic type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

TupleSurrogateT1, T2 Class


TupleSurrogate(T1, T2, T3) Class

TupleSurrogateT1, T2, T3 Class
Built in surrogate for TupleT1, T2, T3, ValueTupleT1, T2, T3.
Inheritance Hierarchy
SystemObject
Galador.Reflection.SerializationTupleSurrogateT1, T2, T3

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public class TupleSurrogate<T1, T2, T3> : ISurrogate<Tuple<T1, T2, T3>>,
    ISurrogate<ValueTuple<T1, T2, T3>>

Public Class TupleSurrogate(Of T1, T2, T3)
    Implements ISurrogate(Of Tuple(Of T1, T2, T3)),
    ISurrogate(Of ValueTuple(Of T1, T2, T3))
generic<typename T1, typename T2, typename T3>
public ref class TupleSurrogate : ISurrogate<Tuple<T1, T2, T3>^>,
    ISurrogate<ValueTuple<T1, T2, T3>>
type TupleSurrogate<'T1, 'T2, 'T3> =
    class
        interface ISurrogate<Tuple<'T1, 'T2, 'T3>>
        interface ISurrogate<ValueTuple<'T1, 'T2, 'T3>>
    end

Type Parameters

T1

[Missing <typeparam name="T1"/> documentation for "T:Galador.Reflection.Serialization.TupleSurrogate`3"]

T2

[Missing <typeparam name="T2"/> documentation for "T:Galador.Reflection.Serialization.TupleSurrogate`3"]

T3

[Missing <typeparam name="T3"/> documentation for "T:Galador.Reflection.Serialization.TupleSurrogate`3"]

The TupleSurrogateT1, T2, T3 type exposes the following members.

Constructors
 | Name | Description
Public method | TupleSurrogateT1, T2, T3 | Initializes a new instance of the TupleSurrogateT1, T2, T3 class
Top
Properties
 | Name | Description
Public property | Item1 |
Public property | Item2 |
Public property | Item3 |
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference


TupleSurrogate(T1, T2, T3) Constructor

TupleSurrogateT1, T2, T3 Constructor
Initializes a new instance of the TupleSurrogateT1, T2, T3 class

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public TupleSurrogate()
Public Sub New
public:
TupleSurrogate()
new : unit -> TupleSurrogate
See Also

Reference

TupleSurrogateT1, T2, T3 Class


TupleSurrogate(T1, T2, T3) Properties

TupleSurrogateT1, T2, T3 Properties

The TupleSurrogateT1, T2, T3 generic type exposes the following members.

Properties
 | Name | Description
Public property | Item1 |
Public property | Item2 |
Public property | Item3 |
Top
See Also

Reference

TupleSurrogateT1, T2, T3 Class


TupleSurrogate(T1, T2, T3).Item1 Property

TupleSurrogateT1, T2, T3Item1 Property

[Missing <summary> documentation for "P:Galador.Reflection.Serialization.TupleSurrogate`3.Item1"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public T1 Item1 { get; set; }
Public Property Item1 As T1
    Get
    Set
public:
property T1 Item1 {
    T1 get ();
    void set (T1 value);
}
member Item1 : 'T1 with get, set

Property Value

Type: T1
See Also

Reference

TupleSurrogateT1, T2, T3 Class


TupleSurrogate(T1, T2, T3).Item2 Property

TupleSurrogateT1, T2, T3Item2 Property

[Missing <summary> documentation for "P:Galador.Reflection.Serialization.TupleSurrogate`3.Item2"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public T2 Item2 { get; set; }
Public Property Item2 As T2
    Get
    Set
public:
property T2 Item2 {
    T2 get ();
    void set (T2 value);
}
member Item2 : 'T2 with get, set

Property Value

Type: T2
See Also

Reference

TupleSurrogateT1, T2, T3 Class


TupleSurrogate(T1, T2, T3).Item3 Property

TupleSurrogateT1, T2, T3Item3 Property

[Missing <summary> documentation for "P:Galador.Reflection.Serialization.TupleSurrogate`3.Item3"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public T3 Item3 { get; set; }
Public Property Item3 As T3
    Get
    Set
public:
property T3 Item3 {
    T3 get ();
    void set (T3 value);
}
member Item3 : 'T3 with get, set

Property Value

Type: T3
See Also

Reference

TupleSurrogateT1, T2, T3 Class


TupleSurrogate(T1, T2, T3) Methods

TupleSurrogateT1, T2, T3 Methods

The TupleSurrogateT1, T2, T3 generic type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

TupleSurrogateT1, T2, T3 Class


TupleSurrogate(T1, T2, T3, T4) Class

TupleSurrogateT1, T2, T3, T4 Class
Built in surrogate for TupleT1, T2, T3, T4, ValueTupleT1, T2, T3, T4.
Inheritance Hierarchy
SystemObject
Galador.Reflection.SerializationTupleSurrogateT1, T2, T3, T4

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public class TupleSurrogate<T1, T2, T3, T4> : ISurrogate<Tuple<T1, T2, T3, T4>>,
    ISurrogate<ValueTuple<T1, T2, T3, T4>>

Public Class TupleSurrogate(Of T1, T2, T3, T4)
    Implements ISurrogate(Of Tuple(Of T1, T2, T3, T4)),
    ISurrogate(Of ValueTuple(Of T1, T2, T3, T4))
generic<typename T1, typename T2, typename T3, typename T4>
public ref class TupleSurrogate : ISurrogate<Tuple<T1, T2, T3, T4>^>,
    ISurrogate<ValueTuple<T1, T2, T3, T4>>
type TupleSurrogate<'T1, 'T2, 'T3, 'T4> =
    class
        interface ISurrogate<Tuple<'T1, 'T2, 'T3, 'T4>>
        interface ISurrogate<ValueTuple<'T1, 'T2, 'T3, 'T4>>
    end

Type Parameters

T1

[Missing <typeparam name="T1"/> documentation for "T:Galador.Reflection.Serialization.TupleSurrogate`4"]

T2

[Missing <typeparam name="T2"/> documentation for "T:Galador.Reflection.Serialization.TupleSurrogate`4"]

T3

[Missing <typeparam name="T3"/> documentation for "T:Galador.Reflection.Serialization.TupleSurrogate`4"]

T4

[Missing <typeparam name="T4"/> documentation for "T:Galador.Reflection.Serialization.TupleSurrogate`4"]

The TupleSurrogateT1, T2, T3, T4 type exposes the following members.

Constructors
 | Name | Description
Public method | TupleSurrogateT1, T2, T3, T4 | Initializes a new instance of the TupleSurrogateT1, T2, T3, T4 class
Top
Properties
 | Name | Description
Public property | Item1 |
Public property | Item2 |
Public property | Item3 |
Public property | Item4 |
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference


TupleSurrogate(T1, T2, T3, T4) Constructor

TupleSurrogateT1, T2, T3, T4 Constructor
Initializes a new instance of the TupleSurrogateT1, T2, T3, T4 class

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public TupleSurrogate()
Public Sub New
public:
TupleSurrogate()
new : unit -> TupleSurrogate
See Also

Reference

TupleSurrogateT1, T2, T3, T4 Class


TupleSurrogate(T1, T2, T3, T4) Properties

TupleSurrogateT1, T2, T3, T4 Properties

The TupleSurrogateT1, T2, T3, T4 generic type exposes the following members.

Properties
 | Name | Description
Public property | Item1 |
Public property | Item2 |
Public property | Item3 |
Public property | Item4 |
Top
See Also

Reference

TupleSurrogateT1, T2, T3, T4 Class


TupleSurrogate(T1, T2, T3, T4).Item1 Property

TupleSurrogateT1, T2, T3, T4Item1 Property

[Missing <summary> documentation for "P:Galador.Reflection.Serialization.TupleSurrogate`4.Item1"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public T1 Item1 { get; set; }
Public Property Item1 As T1
    Get
    Set
public:
property T1 Item1 {
    T1 get ();
    void set (T1 value);
}
member Item1 : 'T1 with get, set

Property Value

Type: T1
See Also

Reference

TupleSurrogateT1, T2, T3, T4 Class


TupleSurrogate(T1, T2, T3, T4).Item2 Property

TupleSurrogateT1, T2, T3, T4Item2 Property

[Missing <summary> documentation for "P:Galador.Reflection.Serialization.TupleSurrogate`4.Item2"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public T2 Item2 { get; set; }
Public Property Item2 As T2
    Get
    Set
public:
property T2 Item2 {
    T2 get ();
    void set (T2 value);
}
member Item2 : 'T2 with get, set

Property Value

Type: T2
See Also

Reference

TupleSurrogateT1, T2, T3, T4 Class


TupleSurrogate(T1, T2, T3, T4).Item3 Property

TupleSurrogateT1, T2, T3, T4Item3 Property

[Missing <summary> documentation for "P:Galador.Reflection.Serialization.TupleSurrogate`4.Item3"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public T3 Item3 { get; set; }
Public Property Item3 As T3
    Get
    Set
public:
property T3 Item3 {
    T3 get ();
    void set (T3 value);
}
member Item3 : 'T3 with get, set

Property Value

Type: T3
See Also

Reference

TupleSurrogateT1, T2, T3, T4 Class


TupleSurrogate(T1, T2, T3, T4).Item4 Property

TupleSurrogateT1, T2, T3, T4Item4 Property

[Missing <summary> documentation for "P:Galador.Reflection.Serialization.TupleSurrogate`4.Item4"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public T4 Item4 { get; set; }
Public Property Item4 As T4
    Get
    Set
public:
property T4 Item4 {
    T4 get ();
    void set (T4 value);
}
member Item4 : 'T4 with get, set

Property Value

Type: T4
See Also

Reference

TupleSurrogateT1, T2, T3, T4 Class


TupleSurrogate(T1, T2, T3, T4) Methods

TupleSurrogateT1, T2, T3, T4 Methods

The TupleSurrogateT1, T2, T3, T4 generic type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

TupleSurrogateT1, T2, T3, T4 Class


TupleSurrogate(T1, T2, T3, T4, T5) Class

TupleSurrogateT1, T2, T3, T4, T5 Class
Built in surrogate for TupleT1, T2, T3, T4, T5,ValueTupleT1, T2, T3, T4, T5.
Inheritance Hierarchy
SystemObject
Galador.Reflection.SerializationTupleSurrogateT1, T2, T3, T4, T5

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public class TupleSurrogate<T1, T2, T3, T4, T5> : ISurrogate<Tuple<T1, T2, T3, T4, T5>>,
    ISurrogate<ValueTuple<T1, T2, T3, T4, T5>>

Public Class TupleSurrogate(Of T1, T2, T3, T4, T5)
    Implements ISurrogate(Of Tuple(Of T1, T2, T3, T4, T5)),
    ISurrogate(Of ValueTuple(Of T1, T2, T3, T4, T5))
generic<typename T1, typename T2, typename T3, typename T4, typename T5>
public ref class TupleSurrogate : ISurrogate<Tuple<T1, T2, T3, T4, T5>^>,
    ISurrogate<ValueTuple<T1, T2, T3, T4, T5>>
type TupleSurrogate<'T1, 'T2, 'T3, 'T4, 'T5> =
    class
        interface ISurrogate<Tuple<'T1, 'T2, 'T3, 'T4, 'T5>>
        interface ISurrogate<ValueTuple<'T1, 'T2, 'T3, 'T4, 'T5>>
    end

Type Parameters

T1

[Missing <typeparam name="T1"/> documentation for "T:Galador.Reflection.Serialization.TupleSurrogate`5"]

T2

[Missing <typeparam name="T2"/> documentation for "T:Galador.Reflection.Serialization.TupleSurrogate`5"]

T3

[Missing <typeparam name="T3"/> documentation for "T:Galador.Reflection.Serialization.TupleSurrogate`5"]

T4

[Missing <typeparam name="T4"/> documentation for "T:Galador.Reflection.Serialization.TupleSurrogate`5"]

T5

[Missing <typeparam name="T5"/> documentation for "T:Galador.Reflection.Serialization.TupleSurrogate`5"]

The TupleSurrogateT1, T2, T3, T4, T5 type exposes the following members.

Constructors
 | Name | Description
Public method | TupleSurrogateT1, T2, T3, T4, T5 | Initializes a new instance of the TupleSurrogateT1, T2, T3, T4, T5 class
Top
Properties
 | Name | Description
Public property | Item1 |
Public property | Item2 |
Public property | Item3 |
Public property | Item4 |
Public property | Item5 |
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference


TupleSurrogate(T1, T2, T3, T4, T5) Constructor

TupleSurrogateT1, T2, T3, T4, T5 Constructor
Initializes a new instance of the TupleSurrogateT1, T2, T3, T4, T5 class

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public TupleSurrogate()
Public Sub New
public:
TupleSurrogate()
new : unit -> TupleSurrogate
See Also

Reference

TupleSurrogateT1, T2, T3, T4, T5 Class


TupleSurrogate(T1, T2, T3, T4, T5) Properties

TupleSurrogateT1, T2, T3, T4, T5 Properties

The TupleSurrogateT1, T2, T3, T4, T5 generic type exposes the following members.

Properties
 | Name | Description
Public property | Item1 |
Public property | Item2 |
Public property | Item3 |
Public property | Item4 |
Public property | Item5 |
Top
See Also

Reference

TupleSurrogateT1, T2, T3, T4, T5 Class


TupleSurrogate(T1, T2, T3, T4, T5).Item1 Property

TupleSurrogateT1, T2, T3, T4, T5Item1 Property

[Missing <summary> documentation for "P:Galador.Reflection.Serialization.TupleSurrogate`5.Item1"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public T1 Item1 { get; set; }
Public Property Item1 As T1
    Get
    Set
public:
property T1 Item1 {
    T1 get ();
    void set (T1 value);
}
member Item1 : 'T1 with get, set

Property Value

Type: T1
See Also

Reference

TupleSurrogateT1, T2, T3, T4, T5 Class


TupleSurrogate(T1, T2, T3, T4, T5).Item2 Property

TupleSurrogateT1, T2, T3, T4, T5Item2 Property

[Missing <summary> documentation for "P:Galador.Reflection.Serialization.TupleSurrogate`5.Item2"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public T2 Item2 { get; set; }
Public Property Item2 As T2
    Get
    Set
public:
property T2 Item2 {
    T2 get ();
    void set (T2 value);
}
member Item2 : 'T2 with get, set

Property Value

Type: T2
See Also

Reference

TupleSurrogateT1, T2, T3, T4, T5 Class


TupleSurrogate(T1, T2, T3, T4, T5).Item3 Property

TupleSurrogateT1, T2, T3, T4, T5Item3 Property

[Missing <summary> documentation for "P:Galador.Reflection.Serialization.TupleSurrogate`5.Item3"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public T3 Item3 { get; set; }
Public Property Item3 As T3
    Get
    Set
public:
property T3 Item3 {
    T3 get ();
    void set (T3 value);
}
member Item3 : 'T3 with get, set

Property Value

Type: T3
See Also

Reference

TupleSurrogateT1, T2, T3, T4, T5 Class


TupleSurrogate(T1, T2, T3, T4, T5).Item4 Property

TupleSurrogateT1, T2, T3, T4, T5Item4 Property

[Missing <summary> documentation for "P:Galador.Reflection.Serialization.TupleSurrogate`5.Item4"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public T4 Item4 { get; set; }
Public Property Item4 As T4
    Get
    Set
public:
property T4 Item4 {
    T4 get ();
    void set (T4 value);
}
member Item4 : 'T4 with get, set

Property Value

Type: T4
See Also

Reference

TupleSurrogateT1, T2, T3, T4, T5 Class


TupleSurrogate(T1, T2, T3, T4, T5).Item5 Property

TupleSurrogateT1, T2, T3, T4, T5Item5 Property

[Missing <summary> documentation for "P:Galador.Reflection.Serialization.TupleSurrogate`5.Item5"]

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public T5 Item5 { get; set; }
Public Property Item5 As T5
    Get
    Set
public:
property T5 Item5 {
    T5 get ();
    void set (T5 value);
}
member Item5 : 'T5 with get, set

Property Value

Type: T5
See Also

Reference

TupleSurrogateT1, T2, T3, T4, T5 Class


TupleSurrogate(T1, T2, T3, T4, T5) Methods

TupleSurrogateT1, T2, T3, T4, T5 Methods

The TupleSurrogateT1, T2, T3, T4, T5 generic type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

TupleSurrogateT1, T2, T3, T4, T5 Class


TypeDescription Class

TypeDescription Class
This class help transform type to string description and vice version. The string format is very similar to standard .NET type string, except the assembly name is just the name, without version of hash.
Inheritance Hierarchy
SystemObject
Galador.Reflection.SerializationTypeDescription

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
[TypeConverterAttribute(typeof(TypeDescriptionConverter))]
public sealed class TypeDescription
<TypeConverterAttribute(GetType(TypeDescriptionConverter))>
Public NotInheritable Class TypeDescription
[TypeConverterAttribute(typeof(TypeDescriptionConverter))]
public ref class TypeDescription sealed
[<SealedAttribute>]
[<TypeConverterAttribute(typeof(TypeDescriptionConverter))>]
type TypeDescription =  class end

The TypeDescription type exposes the following members.

Constructors
 | Name | Description
Public method | TypeDescription(String) | Parse a string as a TypeDescription
Public method | TypeDescription(Type) | Create a TypeDescription for
Top
Properties
 | Name | Description
Public property | ArrayRanks | Array ranks for array type.
Public property | AssemblyName | Assembly name for the assembly declaring that type.
Public property | Fullname | FullName of the represented type.
Public property | PointerCount | How many 'stars' for pointer type.
Public property | TypeArguments | Type argument for generic type.
Top
Methods
 | Name | Description
Public method | Equals | Compare this to another TypeDescription (Overrides ObjectEquals(Object).)
Public method | GetHashCode | Returns a hash code for this instance. (Overrides ObjectGetHashCode.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | Resolve | Attempt to create the type that corresponds to that description.
Public method | ToString | Returns a String that represents this instance. (Overrides ObjectToString.)
Top
Remarks
This class is a left over of previous iteration and not use anywhere by the serializer currently
See Also

Reference


TypeDescription Constructor

TypeDescription Constructor
Overload List
 | Name | Description
Public method | TypeDescription(String) | Parse a string as a TypeDescription
Public method | TypeDescription(Type) | Create a TypeDescription for
Top
See Also

Reference

TypeDescription Class


TypeDescription Constructor (String)

TypeDescription Constructor (String)
Parse a string as a TypeDescription

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public TypeDescription(
    string s
)
Public Sub New (
    s As String
)
public:
TypeDescription(
    String^ s
)
new :
        s : string -> TypeDescription

Parameters

s
Type: SystemString

[Missing <param name="s"/> documentation for "M:Galador.Reflection.Serialization.TypeDescription.#ctor(System.String)"]

See Also

Reference

TypeDescription Class
TypeDescription Overload


TypeDescription Constructor (Type)

TypeDescription Constructor (Type)
Create a TypeDescription for

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public TypeDescription(
    Type type
)
Public Sub New (
    type As Type
)
public:
TypeDescription(
    Type^ type
)
new :
        type : Type -> TypeDescription

Parameters

type
Type: SystemType

[Missing <param name="type"/> documentation for "M:Galador.Reflection.Serialization.TypeDescription.#ctor(System.Type)"]

See Also

Reference

TypeDescription Class
TypeDescription Overload


TypeDescription Properties

TypeDescription Properties

The TypeDescription type exposes the following members.

Properties
 | Name | Description
Public property | ArrayRanks | Array ranks for array type.
Public property | AssemblyName | Assembly name for the assembly declaring that type.
Public property | Fullname | FullName of the represented type.
Public property | PointerCount | How many 'stars' for pointer type.
Public property | TypeArguments | Type argument for generic type.
Top
See Also

Reference

TypeDescription Class


TypeDescription.ArrayRanks Property

TypeDescriptionArrayRanks Property
Array ranks for array type.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public IReadOnlyList<byte> ArrayRanks { get; }
Public ReadOnly Property ArrayRanks As IReadOnlyList(Of Byte)
    Get
public:
property IReadOnlyList<unsigned char>^ ArrayRanks {
    IReadOnlyList<unsigned char>^ get ();
}
member ArrayRanks : IReadOnlyList<byte> with get

Property Value

Type: IReadOnlyList Byte
See Also

Reference

TypeDescription Class


TypeDescription.AssemblyName Property

TypeDescriptionAssemblyName Property
Assembly name for the assembly declaring that type.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public string AssemblyName { get; }
Public ReadOnly Property AssemblyName As String
    Get
public:
property String^ AssemblyName {
    String^ get ();
}
member AssemblyName : string with get

Property Value

Type: String
See Also

Reference

TypeDescription Class


TypeDescription.Fullname Property

TypeDescriptionFullname Property
FullName of the represented type.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public string Fullname { get; }
Public ReadOnly Property Fullname As String
    Get
public:
property String^ Fullname {
    String^ get ();
}
member Fullname : string with get

Property Value

Type: String
See Also

Reference

TypeDescription Class


TypeDescription.PointerCount Property

TypeDescriptionPointerCount Property
How many 'stars' for pointer type.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public byte PointerCount { get; }
Public ReadOnly Property PointerCount As Byte
    Get
public:
property unsigned char PointerCount {
    unsigned char get ();
}
member PointerCount : byte with get

Property Value

Type: Byte
See Also

Reference

TypeDescription Class


TypeDescription.TypeArguments Property

TypeDescriptionTypeArguments Property
Type argument for generic type.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public IReadOnlyList<TypeDescription> TypeArguments { get; }
Public ReadOnly Property TypeArguments As IReadOnlyList(Of TypeDescription)
    Get
public:
property IReadOnlyList<TypeDescription^>^ TypeArguments {
    IReadOnlyList<TypeDescription^>^ get ();
}
member TypeArguments : IReadOnlyList<TypeDescription> with get

Property Value

Type: IReadOnlyList TypeDescription
See Also

Reference

TypeDescription Class


TypeDescription Methods

TypeDescription Methods

The TypeDescription type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Compare this to another TypeDescription (Overrides ObjectEquals(Object).)
Public method | GetHashCode | Returns a hash code for this instance. (Overrides ObjectGetHashCode.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | Resolve | Attempt to create the type that corresponds to that description.
Public method | ToString | Returns a String that represents this instance. (Overrides ObjectToString.)
Top
See Also

Reference

TypeDescription Class


TypeDescription.Equals Method

TypeDescriptionEquals Method
Compare this to another TypeDescription

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public override bool Equals(
    Object obj
)
Public Overrides Function Equals (
    obj As Object
) As Boolean
public:
virtual bool Equals(
    Object^ obj
) override
abstract Equals :
        obj : Object -> bool
override Equals :
        obj : Object -> bool

Parameters

obj
Type: SystemObject

[Missing <param name="obj"/> documentation for "M:Galador.Reflection.Serialization.TypeDescription.Equals(System.Object)"]

Return Value

Type: Boolean
Whether is a TypeDescription of the same type, or not.
See Also

Reference

TypeDescription Class


TypeDescription.GetHashCode Method

TypeDescriptionGetHashCode Method
Returns a hash code for this instance.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public override int GetHashCode()
Public Overrides Function GetHashCode As Integer
public:
virtual int GetHashCode() override
abstract GetHashCode : unit -> int
override GetHashCode : unit -> int

Return Value

Type: Int32
A hash code for this instance, suitable for use in hashing algorithms and data structures like a hash table.
See Also

Reference

TypeDescription Class


TypeDescription.Resolve Method

TypeDescriptionResolve Method
Attempt to create the type that corresponds to that description.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public Type Resolve()
Public Function Resolve As Type
public:
Type^ Resolve()
member Resolve : unit -> Type

Return Value

Type: Type

[Missing <returns> documentation for "M:Galador.Reflection.Serialization.TypeDescription.Resolve"]

See Also

Reference

TypeDescription Class


TypeDescription.ToString Method

TypeDescriptionToString Method
Returns a String that represents this instance.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public override string ToString()
Public Overrides Function ToString As String
public:
virtual String^ ToString() override
abstract ToString : unit -> string
override ToString : unit -> string

Return Value

Type: String
A String that represents this instance.
See Also

Reference

TypeDescription Class


TypeDescriptionConverter Class

TypeDescriptionConverter Class
TypeConverter for TypeDescription
Inheritance Hierarchy
SystemObject
System.ComponentModelTypeConverter
Galador.Reflection.SerializationTypeDescriptionConverter

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public class TypeDescriptionConverter : TypeConverter
Public Class TypeDescriptionConverter
    Inherits TypeConverter
public ref class TypeDescriptionConverter : public TypeConverter
type TypeDescriptionConverter =
    class
        inherit TypeConverter
    end

The TypeDescriptionConverter type exposes the following members.

Constructors
 | Name | Description
Public method | TypeDescriptionConverter | Initializes a new instance of the TypeDescriptionConverter class
Top
Methods
 | Name | Description
Public method | CanConvertFrom(Type) | Returns whether this converter can convert an object of the given type to the type of this converter. (Inherited from TypeConverter.)
Public method | CanConvertFrom(ITypeDescriptorContext, Type) | Determines whether this instance [can convert from] the specified context. (Overrides TypeConverterCanConvertFrom(ITypeDescriptorContext, Type).)
Public method | CanConvertTo(Type) | Returns whether this converter can convert the object to the specified type. (Inherited from TypeConverter.)
Public method | CanConvertTo(ITypeDescriptorContext, Type) | Determines whether this instance [can convert to] the specified context. (Overrides TypeConverterCanConvertTo(ITypeDescriptorContext, Type).)
Public method | ConvertFrom(Object) | Converts the given value to the type of this converter. (Inherited from TypeConverter.)
Public method | ConvertFrom(ITypeDescriptorContext, CultureInfo, Object) | Converts from. (Overrides TypeConverterConvertFrom(ITypeDescriptorContext, CultureInfo, Object).)
Public method | ConvertFromInvariantString(String) | Converts the given string to the type of this converter, using the invariant culture. (Inherited from TypeConverter.)
Public method | ConvertFromInvariantString(ITypeDescriptorContext, String) | Converts the given string to the type of this converter, using the invariant culture and the specified context. (Inherited from TypeConverter.)
Public method | ConvertFromString(String) | Converts the specified text to an object. (Inherited from TypeConverter.)
Public method | ConvertFromString(ITypeDescriptorContext, String) | Converts the given text to an object, using the specified context. (Inherited from TypeConverter.)
Public method | ConvertFromString(ITypeDescriptorContext, CultureInfo, String) | Converts the given text to an object, using the specified context and culture information. (Inherited from TypeConverter.)
Public method | ConvertTo(Object, Type) | Converts the given value object to the specified type, using the arguments. (Inherited from TypeConverter.)
Public method | ConvertTo(ITypeDescriptorContext, CultureInfo, Object, Type) | Converts to. (Overrides TypeConverterConvertTo(ITypeDescriptorContext, CultureInfo, Object, Type).)
Public method | ConvertToInvariantString(Object) | Converts the specified value to a culture-invariant string representation. (Inherited from TypeConverter.)
Public method | ConvertToInvariantString(ITypeDescriptorContext, Object) | Converts the specified value to a culture-invariant string representation, using the specified context. (Inherited from TypeConverter.)
Public method | ConvertToString(Object) | Converts the specified value to a string representation. (Inherited from TypeConverter.)
Public method | ConvertToString(ITypeDescriptorContext, Object) | Converts the given value to a string representation, using the given context. (Inherited from TypeConverter.)
Public method | ConvertToString(ITypeDescriptorContext, CultureInfo, Object) | Converts the given value to a string representation, using the specified context and culture information. (Inherited from TypeConverter.)
Public method | CreateInstance(IDictionary) | Re-creates an Object given a set of property values for the object. (Inherited from TypeConverter.)
Public method | CreateInstance(ITypeDescriptorContext, IDictionary) | Creates an instance of the type that this TypeConverter is associated with, using the specified context, given a set of property values for the object. (Inherited from TypeConverter.)
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Protected method | GetConvertFromException | Returns an exception to throw when a conversion cannot be performed. (Inherited from TypeConverter.)
Protected method | GetConvertToException | Returns an exception to throw when a conversion cannot be performed. (Inherited from TypeConverter.)
Public method | GetCreateInstanceSupported | Returns whether changing a value on this object requires a call to the CreateInstance(IDictionary) method to create a new value. (Inherited from TypeConverter.)
Public method | GetCreateInstanceSupported(ITypeDescriptorContext) | Returns whether changing a value on this object requires a call to CreateInstance(IDictionary) to create a new value, using the specified context. (Inherited from TypeConverter.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetProperties(Object) | Returns a collection of properties for the type of array specified by the value parameter. (Inherited from TypeConverter.)
Public method | GetProperties(ITypeDescriptorContext, Object) | Returns a collection of properties for the type of array specified by the value parameter, using the specified context. (Inherited from TypeConverter.)
Public method | GetProperties(ITypeDescriptorContext, Object, Attribute) | Returns a collection of properties for the type of array specified by the value parameter, using the specified context and attributes. (Inherited from TypeConverter.)
Public method | GetPropertiesSupported | Returns whether this object supports properties. (Inherited from TypeConverter.)
Public method | GetPropertiesSupported(ITypeDescriptorContext) | Returns whether this object supports properties, using the specified context. (Inherited from TypeConverter.)
Public method | GetStandardValues | Returns a collection of standard values from the default context for the data type this type converter is designed for. (Inherited from TypeConverter.)
Public method | GetStandardValues(ITypeDescriptorContext) | Returns a collection of standard values for the data type this type converter is designed for when provided with a format context. (Inherited from TypeConverter.)
Public method | GetStandardValuesExclusive | Returns whether the collection of standard values returned from GetStandardValues is an exclusive list. (Inherited from TypeConverter.)
Public method | GetStandardValuesExclusive(ITypeDescriptorContext) | Returns whether the collection of standard values returned from GetStandardValues is an exclusive list of possible values, using the specified context. (Inherited from TypeConverter.)
Public method | GetStandardValuesSupported | Returns whether this object supports a standard set of values that can be picked from a list. (Inherited from TypeConverter.)
Public method | GetStandardValuesSupported(ITypeDescriptorContext) | Returns whether this object supports a standard set of values that can be picked from a list, using the specified context. (Inherited from TypeConverter.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | IsValid(Object) | Returns whether the given value object is valid for this type. (Inherited from TypeConverter.)
Public method | IsValid(ITypeDescriptorContext, Object) | Returns whether the given value object is valid for this type and for the specified context. (Inherited from TypeConverter.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Protected method | SortProperties | Sorts a collection of properties. (Inherited from TypeConverter.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference


TypeDescriptionConverter Constructor

TypeDescriptionConverter Constructor
Initializes a new instance of the TypeDescriptionConverter class

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public TypeDescriptionConverter()
Public Sub New
public:
TypeDescriptionConverter()
new : unit -> TypeDescriptionConverter
See Also

Reference

TypeDescriptionConverter Class


TypeDescriptionConverter Methods

TypeDescriptionConverter Methods

The TypeDescriptionConverter type exposes the following members.

Methods
 | Name | Description
Public method | CanConvertFrom(Type) | Returns whether this converter can convert an object of the given type to the type of this converter. (Inherited from TypeConverter.)
Public method | CanConvertFrom(ITypeDescriptorContext, Type) | Determines whether this instance [can convert from] the specified context. (Overrides TypeConverterCanConvertFrom(ITypeDescriptorContext, Type).)
Public method | CanConvertTo(Type) | Returns whether this converter can convert the object to the specified type. (Inherited from TypeConverter.)
Public method | CanConvertTo(ITypeDescriptorContext, Type) | Determines whether this instance [can convert to] the specified context. (Overrides TypeConverterCanConvertTo(ITypeDescriptorContext, Type).)
Public method | ConvertFrom(Object) | Converts the given value to the type of this converter. (Inherited from TypeConverter.)
Public method | ConvertFrom(ITypeDescriptorContext, CultureInfo, Object) | Converts from. (Overrides TypeConverterConvertFrom(ITypeDescriptorContext, CultureInfo, Object).)
Public method | ConvertFromInvariantString(String) | Converts the given string to the type of this converter, using the invariant culture. (Inherited from TypeConverter.)
Public method | ConvertFromInvariantString(ITypeDescriptorContext, String) | Converts the given string to the type of this converter, using the invariant culture and the specified context. (Inherited from TypeConverter.)
Public method | ConvertFromString(String) | Converts the specified text to an object. (Inherited from TypeConverter.)
Public method | ConvertFromString(ITypeDescriptorContext, String) | Converts the given text to an object, using the specified context. (Inherited from TypeConverter.)
Public method | ConvertFromString(ITypeDescriptorContext, CultureInfo, String) | Converts the given text to an object, using the specified context and culture information. (Inherited from TypeConverter.)
Public method | ConvertTo(Object, Type) | Converts the given value object to the specified type, using the arguments. (Inherited from TypeConverter.)
Public method | ConvertTo(ITypeDescriptorContext, CultureInfo, Object, Type) | Converts to. (Overrides TypeConverterConvertTo(ITypeDescriptorContext, CultureInfo, Object, Type).)
Public method | ConvertToInvariantString(Object) | Converts the specified value to a culture-invariant string representation. (Inherited from TypeConverter.)
Public method | ConvertToInvariantString(ITypeDescriptorContext, Object) | Converts the specified value to a culture-invariant string representation, using the specified context. (Inherited from TypeConverter.)
Public method | ConvertToString(Object) | Converts the specified value to a string representation. (Inherited from TypeConverter.)
Public method | ConvertToString(ITypeDescriptorContext, Object) | Converts the given value to a string representation, using the given context. (Inherited from TypeConverter.)
Public method | ConvertToString(ITypeDescriptorContext, CultureInfo, Object) | Converts the given value to a string representation, using the specified context and culture information. (Inherited from TypeConverter.)
Public method | CreateInstance(IDictionary) | Re-creates an Object given a set of property values for the object. (Inherited from TypeConverter.)
Public method | CreateInstance(ITypeDescriptorContext, IDictionary) | Creates an instance of the type that this TypeConverter is associated with, using the specified context, given a set of property values for the object. (Inherited from TypeConverter.)
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Protected method | GetConvertFromException | Returns an exception to throw when a conversion cannot be performed. (Inherited from TypeConverter.)
Protected method | GetConvertToException | Returns an exception to throw when a conversion cannot be performed. (Inherited from TypeConverter.)
Public method | GetCreateInstanceSupported | Returns whether changing a value on this object requires a call to the CreateInstance(IDictionary) method to create a new value. (Inherited from TypeConverter.)
Public method | GetCreateInstanceSupported(ITypeDescriptorContext) | Returns whether changing a value on this object requires a call to CreateInstance(IDictionary) to create a new value, using the specified context. (Inherited from TypeConverter.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetProperties(Object) | Returns a collection of properties for the type of array specified by the value parameter. (Inherited from TypeConverter.)
Public method | GetProperties(ITypeDescriptorContext, Object) | Returns a collection of properties for the type of array specified by the value parameter, using the specified context. (Inherited from TypeConverter.)
Public method | GetProperties(ITypeDescriptorContext, Object, Attribute) | Returns a collection of properties for the type of array specified by the value parameter, using the specified context and attributes. (Inherited from TypeConverter.)
Public method | GetPropertiesSupported | Returns whether this object supports properties. (Inherited from TypeConverter.)
Public method | GetPropertiesSupported(ITypeDescriptorContext) | Returns whether this object supports properties, using the specified context. (Inherited from TypeConverter.)
Public method | GetStandardValues | Returns a collection of standard values from the default context for the data type this type converter is designed for. (Inherited from TypeConverter.)
Public method | GetStandardValues(ITypeDescriptorContext) | Returns a collection of standard values for the data type this type converter is designed for when provided with a format context. (Inherited from TypeConverter.)
Public method | GetStandardValuesExclusive | Returns whether the collection of standard values returned from GetStandardValues is an exclusive list. (Inherited from TypeConverter.)
Public method | GetStandardValuesExclusive(ITypeDescriptorContext) | Returns whether the collection of standard values returned from GetStandardValues is an exclusive list of possible values, using the specified context. (Inherited from TypeConverter.)
Public method | GetStandardValuesSupported | Returns whether this object supports a standard set of values that can be picked from a list. (Inherited from TypeConverter.)
Public method | GetStandardValuesSupported(ITypeDescriptorContext) | Returns whether this object supports a standard set of values that can be picked from a list, using the specified context. (Inherited from TypeConverter.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | IsValid(Object) | Returns whether the given value object is valid for this type. (Inherited from TypeConverter.)
Public method | IsValid(ITypeDescriptorContext, Object) | Returns whether the given value object is valid for this type and for the specified context. (Inherited from TypeConverter.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Protected method | SortProperties | Sorts a collection of properties. (Inherited from TypeConverter.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

TypeDescriptionConverter Class


TypeDescriptionConverter.CanConvertFrom Method

TypeDescriptionConverterCanConvertFrom Method
Overload List
 | Name | Description
Public method | CanConvertFrom(Type) | Returns whether this converter can convert an object of the given type to the type of this converter. (Inherited from TypeConverter.)
Public method | CanConvertFrom(ITypeDescriptorContext, Type) | Determines whether this instance [can convert from] the specified context. (Overrides TypeConverterCanConvertFrom(ITypeDescriptorContext, Type).)
Top
See Also

Reference

TypeDescriptionConverter Class


TypeDescriptionConverter.CanConvertFrom Method (ITypeDescriptorContext, Type)

TypeDescriptionConverterCanConvertFrom Method (ITypeDescriptorContext, Type)
Determines whether this instance [can convert from] the specified context.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public override bool CanConvertFrom(
    ITypeDescriptorContext context,
    Type sourceType
)
Public Overrides Function CanConvertFrom (
    context As ITypeDescriptorContext,
    sourceType As Type
) As Boolean
public:
virtual bool CanConvertFrom(
    ITypeDescriptorContext^ context,
    Type^ sourceType
) override
abstract CanConvertFrom :
        context : ITypeDescriptorContext *
        sourceType : Type -> bool
override CanConvertFrom :
        context : ITypeDescriptorContext *
        sourceType : Type -> bool

Parameters

context
Type: System.ComponentModelITypeDescriptorContext
The context.
sourceType
Type: SystemType
Type of the source.

Return Value

Type: Boolean

[Missing <returns> documentation for "M:Galador.Reflection.Serialization.TypeDescriptionConverter.CanConvertFrom(System.ComponentModel.ITypeDescriptorContext,System.Type)"]

See Also

Reference

TypeDescriptionConverter Class
CanConvertFrom Overload


TypeDescriptionConverter.CanConvertTo Method

TypeDescriptionConverterCanConvertTo Method
Overload List
 | Name | Description
Public method | CanConvertTo(Type) | Returns whether this converter can convert the object to the specified type. (Inherited from TypeConverter.)
Public method | CanConvertTo(ITypeDescriptorContext, Type) | Determines whether this instance [can convert to] the specified context. (Overrides TypeConverterCanConvertTo(ITypeDescriptorContext, Type).)
Top
See Also

Reference

TypeDescriptionConverter Class


TypeDescriptionConverter.CanConvertTo Method (ITypeDescriptorContext, Type)

TypeDescriptionConverterCanConvertTo Method (ITypeDescriptorContext, Type)
Determines whether this instance [can convert to] the specified context.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public override bool CanConvertTo(
    ITypeDescriptorContext context,
    Type destinationType
)
Public Overrides Function CanConvertTo (
    context As ITypeDescriptorContext,
    destinationType As Type
) As Boolean
public:
virtual bool CanConvertTo(
    ITypeDescriptorContext^ context,
    Type^ destinationType
) override
abstract CanConvertTo :
        context : ITypeDescriptorContext *
        destinationType : Type -> bool
override CanConvertTo :
        context : ITypeDescriptorContext *
        destinationType : Type -> bool

Parameters

context
Type: System.ComponentModelITypeDescriptorContext
The context.
destinationType
Type: SystemType
Type of the destination.

Return Value

Type: Boolean

[Missing <returns> documentation for "M:Galador.Reflection.Serialization.TypeDescriptionConverter.CanConvertTo(System.ComponentModel.ITypeDescriptorContext,System.Type)"]

See Also

Reference

TypeDescriptionConverter Class
CanConvertTo Overload


TypeDescriptionConverter.ConvertFrom Method

TypeDescriptionConverterConvertFrom Method
Overload List
 | Name | Description
Public method | ConvertFrom(Object) | Converts the given value to the type of this converter. (Inherited from TypeConverter.)
Public method | ConvertFrom(ITypeDescriptorContext, CultureInfo, Object) | Converts from. (Overrides TypeConverterConvertFrom(ITypeDescriptorContext, CultureInfo, Object).)
Top
See Also

Reference

TypeDescriptionConverter Class


TypeDescriptionConverter.ConvertFrom Method (ITypeDescriptorContext, CultureInfo, Object)

TypeDescriptionConverterConvertFrom Method (ITypeDescriptorContext, CultureInfo, Object)
Converts from.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public override Object ConvertFrom(
    ITypeDescriptorContext context,
    CultureInfo culture,
    Object value
)
Public Overrides Function ConvertFrom (
    context As ITypeDescriptorContext,
    culture As CultureInfo,
    value As Object
) As Object
public:
virtual Object^ ConvertFrom(
    ITypeDescriptorContext^ context,
    CultureInfo^ culture,
    Object^ value
) override
abstract ConvertFrom :
        context : ITypeDescriptorContext *
        culture : CultureInfo *
        value : Object -> Object
override ConvertFrom :
        context : ITypeDescriptorContext *
        culture : CultureInfo *
        value : Object -> Object

Parameters

context
Type: System.ComponentModelITypeDescriptorContext
The context.
culture
Type: System.GlobalizationCultureInfo
The culture.
value
Type: SystemObject
The value.

Return Value

Type: Object

[Missing <returns> documentation for "M:Galador.Reflection.Serialization.TypeDescriptionConverter.ConvertFrom(System.ComponentModel.ITypeDescriptorContext,System.Globalization.CultureInfo,System.Object)"]

See Also

Reference

TypeDescriptionConverter Class
ConvertFrom Overload


TypeDescriptionConverter.ConvertTo Method

TypeDescriptionConverterConvertTo Method
Overload List
 | Name | Description
Public method | ConvertTo(Object, Type) | Converts the given value object to the specified type, using the arguments. (Inherited from TypeConverter.)
Public method | ConvertTo(ITypeDescriptorContext, CultureInfo, Object, Type) | Converts to. (Overrides TypeConverterConvertTo(ITypeDescriptorContext, CultureInfo, Object, Type).)
Top
See Also

Reference

TypeDescriptionConverter Class


TypeDescriptionConverter.ConvertTo Method (ITypeDescriptorContext, CultureInfo, Object, Type)

TypeDescriptionConverterConvertTo Method (ITypeDescriptorContext, CultureInfo, Object, Type)
Converts to.

Namespace: Galador.Reflection.Serialization
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public override Object ConvertTo(
    ITypeDescriptorContext context,
    CultureInfo culture,
    Object value,
    Type destinationType
)
Public Overrides Function ConvertTo (
    context As ITypeDescriptorContext,
    culture As CultureInfo,
    value As Object,
    destinationType As Type
) As Object
public:
virtual Object^ ConvertTo(
    ITypeDescriptorContext^ context,
    CultureInfo^ culture,
    Object^ value,
    Type^ destinationType
) override
abstract ConvertTo :
        context : ITypeDescriptorContext *
        culture : CultureInfo *
        value : Object *
        destinationType : Type -> Object
override ConvertTo :
        context : ITypeDescriptorContext *
        culture : CultureInfo *
        value : Object *
        destinationType : Type -> Object

Parameters

context
Type: System.ComponentModelITypeDescriptorContext
The context.
culture
Type: System.GlobalizationCultureInfo
The culture.
value
Type: SystemObject
The value.
destinationType
Type: SystemType
Type of the destination.

Return Value

Type: Object

[Missing <returns> documentation for "M:Galador.Reflection.Serialization.TypeDescriptionConverter.ConvertTo(System.ComponentModel.ITypeDescriptorContext,System.Globalization.CultureInfo,System.Object,System.Type)"]

See Also

Reference

TypeDescriptionConverter Class
ConvertTo Overload


Galador.Reflection.Utils Namespace

Galador.Reflection.Utils Namespace

[Missing <summary> documentation for "N:Galador.Reflection.Utils"]

Classes
 | Class | Description
Public class | EmptyT | Provides immutable empty list instances.
Public class | FastMember | Represent a member of this type, i.e. a property or field that will be serialized. Also this will use fast member accessor generated with Emit on platform supporting it.
Public class | FastMethod | Wrap a MethodBase and provide fast call with System.Emit when available, or fallback to normal reflection otherwise.
Public class | FastType | Each FastType instance is associate with a particular .NET Type. It provides access to optimized members and constructor method, using System.Emit whenever possible for top performance.
Public class | ReflectionEx | Collection of utilities for Reflection
Public class | ValueTuple |
Public class | WeakEvents | Helper class to create weak events. i.e. event handlers that do not prevent their target to be garbage collected.
Structures
 | Structure | Description
Public structure | ValueTupleT1, T2 |
Public structure | ValueTupleT1, T2, T3 |
Public structure | ValueTupleT1, T2, T3, T4 |
Public structure | ValueTupleT1, T2, T3, T4, T5 |


Empty(T) Class

EmptyT Class
Provides immutable empty list instances.
Inheritance Hierarchy
SystemObject
Galador.Reflection.UtilsEmptyT

Namespace: Galador.Reflection.Utils
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public static class Empty<T>

Public NotInheritable Class Empty(Of T)
generic<typename T>
public ref class Empty abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
type Empty<'T> =  class end

Type Parameters

T

[Missing <typeparam name="T"/> documentation for "T:Galador.Reflection.Utils.Empty`1"]

The EmptyT type exposes the following members.

Fields
Name | Description
Array | A strongly type empty array, i.e. of Length = 0.
Top
See Also

Reference

Galador.Reflection.Utils Namespace


Empty(T) Fields

EmptyT Fields

The EmptyT generic type exposes the following members.

Fields
Name | Description
Array | A strongly type empty array, i.e. of Length = 0.
Top
See Also

Reference

EmptyT Class
Galador.Reflection.Utils Namespace


Empty(T).Array Field

EmptyTArray Field
A strongly type empty array, i.e. of Length = 0.

Namespace: Galador.Reflection.Utils
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public static readonly T[] Array
Public Shared ReadOnly Array As T()
public:
static initonly array<T>^ Array
static val Array: 'T[]

Field Value

Type: T
See Also

Reference

EmptyT Class
Galador.Reflection.Utils Namespace


FastMember Class

FastMember Class
Represent a member of this type, i.e. a property or field that will be serialized. Also this will use fast member accessor generated with Emit on platform supporting it.
Inheritance Hierarchy
SystemObject
Galador.Reflection.UtilsFastMember

Namespace: Galador.Reflection.Utils
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public sealed class FastMember : IMember
Public NotInheritable Class FastMember
    Implements IMember
public ref class FastMember sealed : IMember
[<SealedAttribute>]
type FastMember =
    class
        interface IMember
    end

The FastMember type exposes the following members.

Properties
 | Name | Description
Public property | CanSet | Whether this member can be set. Will be false if the member is a property without setter, or if the field is a literal (set at compile time), true otherwise.
Public property | IsField | Whether this is a field or a property
Public property | IsPublic | Whether this is a public member or not
Public property | IsStatic | Whether or not this describe a static member.
Public property | Member | Return the reflection member associated with this instance, be it a FieldInfo or PropertyInfo.
Public property | Name | This is the member name for the member, i.e. Name.
Public property | Type | This is the info for the declared type of this member, i.e. either of PropertyType or FieldType.
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | GetValue | Gets the value of this member for the given instance.
Public method | SetValue | Sets the value of this member (if possible) for the given instance.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Public method | TryFastReadSet | Am even faster way to et known value type, using strongly typed accessor on platform supporting it.
Top
See Also

Reference

Galador.Reflection.Utils Namespace


FastMember Properties

FastMember Properties

The FastMember type exposes the following members.

Properties
 | Name | Description
Public property | CanSet | Whether this member can be set. Will be false if the member is a property without setter, or if the field is a literal (set at compile time), true otherwise.
Public property | IsField | Whether this is a field or a property
Public property | IsPublic | Whether this is a public member or not
Public property | IsStatic | Whether or not this describe a static member.
Public property | Member | Return the reflection member associated with this instance, be it a FieldInfo or PropertyInfo.
Public property | Name | This is the member name for the member, i.e. Name.
Public property | Type | This is the info for the declared type of this member, i.e. either of PropertyType or FieldType.
Top
See Also

Reference

FastMember Class
Galador.Reflection.Utils Namespace


FastMember.CanSet Property

FastMemberCanSet Property
Whether this member can be set. Will be false if the member is a property without setter, or if the field is a literal (set at compile time), true otherwise.

Namespace: Galador.Reflection.Utils
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public bool CanSet { get; }
Public ReadOnly Property CanSet As Boolean
    Get
public:
property bool CanSet {
    bool get ();
}
member CanSet : bool with get

Property Value

Type: Boolean
See Also

Reference

FastMember Class
Galador.Reflection.Utils Namespace


FastMember.IsField Property

FastMemberIsField Property
Whether this is a field or a property

Namespace: Galador.Reflection.Utils
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public bool IsField { get; }
Public ReadOnly Property IsField As Boolean
    Get
public:
property bool IsField {
    bool get ();
}
member IsField : bool with get

Property Value

Type: Boolean
See Also

Reference

FastMember Class
Galador.Reflection.Utils Namespace


FastMember.IsPublic Property

FastMemberIsPublic Property
Whether this is a public member or not

Namespace: Galador.Reflection.Utils
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public bool IsPublic { get; }
Public ReadOnly Property IsPublic As Boolean
    Get
public:
property bool IsPublic {
    bool get ();
}
member IsPublic : bool with get

Property Value

Type: Boolean
See Also

Reference

FastMember Class
Galador.Reflection.Utils Namespace


FastMember.IsStatic Property

FastMemberIsStatic Property
Whether or not this describe a static member.

Namespace: Galador.Reflection.Utils
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public bool IsStatic { get; }
Public ReadOnly Property IsStatic As Boolean
    Get
public:
property bool IsStatic {
    bool get ();
}
member IsStatic : bool with get

Property Value

Type: Boolean
See Also

Reference

FastMember Class
Galador.Reflection.Utils Namespace


FastMember.Member Property

FastMemberMember Property
Return the reflection member associated with this instance, be it a FieldInfo or PropertyInfo.

Namespace: Galador.Reflection.Utils
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public MemberInfo Member { get; }
Public ReadOnly Property Member As MemberInfo
    Get
public:
property MemberInfo^ Member {
    MemberInfo^ get ();
}
member Member : MemberInfo with get

Property Value

Type: MemberInfo
See Also

Reference

FastMember Class
Galador.Reflection.Utils Namespace


FastMember.Name Property

FastMemberName Property
This is the member name for the member, i.e. Name.

Namespace: Galador.Reflection.Utils
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public string Name { get; }
Public ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () sealed;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String

Implements

IMemberName
See Also

Reference

FastMember Class
Galador.Reflection.Utils Namespace


FastMember.Type Property

FastMemberType Property
This is the info for the declared type of this member, i.e. either of PropertyType or FieldType.

Namespace: Galador.Reflection.Utils
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public FastType Type { get; }
Public ReadOnly Property Type As FastType
    Get
public:
property FastType^ Type {
    FastType^ get ();
}
member Type : FastType with get

Property Value

Type: FastType
See Also

Reference

FastMember Class
Galador.Reflection.Utils Namespace


FastMember Methods

FastMember Methods

The FastMember type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | GetValue | Gets the value of this member for the given instance.
Public method | SetValue | Sets the value of this member (if possible) for the given instance.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Public method | TryFastReadSet | Am even faster way to et known value type, using strongly typed accessor on platform supporting it.
Top
See Also

Reference

FastMember Class
Galador.Reflection.Utils Namespace


FastMember.GetValue Method

FastMemberGetValue Method
Gets the value of this member for the given instance.

Namespace: Galador.Reflection.Utils
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public Object GetValue(
    Object instance
)
Public Function GetValue (
    instance As Object
) As Object
public:
Object^ GetValue(
    Object^ instance
)
member GetValue :
        instance : Object -> Object

Parameters

instance
Type: SystemObject
The instance from which to take the value.

Return Value

Type: Object
The value of the member.
See Also

Reference

FastMember Class
Galador.Reflection.Utils Namespace


FastMember.SetValue Method

FastMemberSetValue Method
Sets the value of this member (if possible) for the given instance.

Namespace: Galador.Reflection.Utils
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public bool SetValue(
    Object instance,
    Object value
)
Public Function SetValue (
    instance As Object,
    value As Object
) As Boolean
public:
bool SetValue(
    Object^ instance,
    Object^ value
)
member SetValue :
        instance : Object *
        value : Object -> bool

Parameters

instance
Type: SystemObject
The instance on which the member value will be set.
value
Type: SystemObject
The value that must be set.

Return Value

Type: Boolean
Whether the value has been set, or not.
See Also

Reference

FastMember Class
Galador.Reflection.Utils Namespace


FastMember.TryFastReadSet Method

FastMemberTryFastReadSet Method
Am even faster way to et known value type, using strongly typed accessor on platform supporting it.

Namespace: Galador.Reflection.Utils
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public bool TryFastReadSet(
    ObjectReader reader,
    Object instance
)
Public Function TryFastReadSet (
    reader As ObjectReader,
    instance As Object
) As Boolean
public:
bool TryFastReadSet(
    ObjectReader^ reader,
    Object^ instance
)
member TryFastReadSet :
        reader : ObjectReader *
        instance : Object -> bool

Parameters

reader
Type: Galador.Reflection.SerializationObjectReader
The source of the value
instance
Type: SystemObject
The instance which member would be set

Return Value

Type: Boolean
Whether the value could be set. If not the reader won't be read.
See Also

Reference

FastMember Class
Galador.Reflection.Utils Namespace


FastMethod Class

FastMethod Class
Wrap a MethodBase and provide fast call with System.Emit when available, or fallback to normal reflection otherwise.
Inheritance Hierarchy
SystemObject
Galador.Reflection.UtilsFastMethod

Namespace: Galador.Reflection.Utils
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public sealed class FastMethod
Public NotInheritable Class FastMethod
public ref class FastMethod sealed
[<SealedAttribute>]
type FastMethod =  class end

The FastMethod type exposes the following members.

Properties
 | Name | Description
Public property | Method | Underlying method
Public property | Name | Name of the method.
Public property | Paremeters | Return the method's parameters.
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
 | GetMethod | Create and return cached FastMethod from any MethodBase.
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | Invoke | Call the associated method.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

Galador.Reflection.Utils Namespace


FastMethod Properties

FastMethod Properties

The FastMethod type exposes the following members.

Properties
 | Name | Description
Public property | Method | Underlying method
Public property | Name | Name of the method.
Public property | Paremeters | Return the method's parameters.
Top
See Also

Reference

FastMethod Class
Galador.Reflection.Utils Namespace


FastMethod.Method Property

FastMethodMethod Property
Underlying method

Namespace: Galador.Reflection.Utils
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public MethodBase Method { get; }
Public ReadOnly Property Method As MethodBase
    Get
public:
property MethodBase^ Method {
    MethodBase^ get ();
}
member Method : MethodBase with get

Property Value

Type: MethodBase
See Also

Reference

FastMethod Class
Galador.Reflection.Utils Namespace


FastMethod.Name Property

FastMethodName Property
Name of the method.

Namespace: Galador.Reflection.Utils
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public string Name { get; }
Public ReadOnly Property Name As String
    Get
public:
property String^ Name {
    String^ get ();
}
member Name : string with get

Property Value

Type: String
See Also

Reference

FastMethod Class
Galador.Reflection.Utils Namespace


FastMethod.Paremeters Property

FastMethodParemeters Property
Return the method's parameters.

Namespace: Galador.Reflection.Utils
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public IReadOnlyList<ParameterInfo> Paremeters { get; }
Public ReadOnly Property Paremeters As IReadOnlyList(Of ParameterInfo)
    Get
public:
property IReadOnlyList<ParameterInfo^>^ Paremeters {
    IReadOnlyList<ParameterInfo^>^ get ();
}
member Paremeters : IReadOnlyList<ParameterInfo> with get

Property Value

Type: IReadOnlyListParameterInfo
See Also

Reference

FastMethod Class
Galador.Reflection.Utils Namespace


FastMethod Methods

FastMethod Methods

The FastMethod type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
 | GetMethod | Create and return cached FastMethod from any MethodBase.
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | Invoke | Call the associated method.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

FastMethod Class
Galador.Reflection.Utils Namespace


FastMethod.GetMethod Method

FastMethodGetMethod Method
Create and return cached FastMethod from any MethodBase.

Namespace: Galador.Reflection.Utils
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public static FastMethod GetMethod(
    MethodBase method
)
Public Shared Function GetMethod (
    method As MethodBase
) As FastMethod
public:
static FastMethod^ GetMethod(
    MethodBase^ method
)
static member GetMethod :
        method : MethodBase -> FastMethod

Parameters

method
Type: System.ReflectionMethodBase

[Missing <param name="method"/> documentation for "M:Galador.Reflection.Utils.FastMethod.GetMethod(System.Reflection.MethodBase)"]

Return Value

Type: FastMethod

[Missing <returns> documentation for "M:Galador.Reflection.Utils.FastMethod.GetMethod(System.Reflection.MethodBase)"]

See Also

Reference

FastMethod Class
Galador.Reflection.Utils Namespace


FastMethod.Invoke Method

FastMethodInvoke Method
Call the associated method.

Namespace: Galador.Reflection.Utils
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public Object Invoke(
    Object target,
    params Object[] args
)
Public Function Invoke (
    target As Object,
    ParamArray args As Object()
) As Object
public:
Object^ Invoke(
    Object^ target,
    ... array<Object^>^ args
)
member Invoke :
        target : Object *
        args : Object[] -> Object

Parameters

target
Type: SystemObject
The instance to use to call. For constructor and static method, pass null.
args
Type: SystemObject
The arguments of the method call. Argument with default value can be omitted.

Return Value

Type: Object
The return of the method, if any.
See Also

Reference

FastMethod Class
Galador.Reflection.Utils Namespace


FastType Class

FastType Class
Each FastType instance is associate with a particular .NET Type. It provides access to optimized members and constructor method, using System.Emit whenever possible for top performance.
Inheritance Hierarchy
SystemObject
Galador.Reflection.UtilsFastType

Namespace: Galador.Reflection.Utils
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public sealed class FastType
Public NotInheritable Class FastType
public ref class FastType sealed
[<SealedAttribute>]
type FastType =  class end

The FastType type exposes the following members.

Properties
 | Name | Description
Public property | BaseType | Gets the FastType associated with the BaseType.
Public property | DeclaredConstructors | Gets all the declared constructors of Type as FastMethod.
Public property | DeclaredMembers | Members list for this Type as FastMember.
Public property | DeclaredMethods | Gets all the declared methods of Type as FastMethod.
Public property | IsAbstract | Whether this is an abstract class or not.
Public property | IsGenericMeta | Whether this is a real class (false), or a generic one missing arguments (true).
Public property | IsMscorlib | Whether or not this type is defined in mscorlib. Assembly name can be omitted for such type when serializing. Also they don't need be generated when creating serialized type code.
Public property | IsReference | Whether or not this is a type passed by reference.
Public property | Kind | The possible well know type, as an enum.
Public property | Type | The type associated with this instance.
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetRuntimeMembers | Enumerate all FastMember of this class and all of its base classes.
 | GetType(Type) | Gets the FastType associated with type type.
 | GetType(PrimitiveType) | Get the FastType associated with each primitive type. Except for object, where it returns null.
 | GetTypeT | Gets the FastType associated with T type.
 | IsFromMscorlib | Check whether a type is from mscorlib base library, or not. Impacting the information needed for serialization.
 | IsUndefined | Whether type is a generic type with generic argument, such as List<>.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Public method | TryConstruct | Will create and return a new instance of Type associated to this FastType By using either the default constructor (i.e. constructor with no parameter or where all parameters have a default value) or creating a so called "uninitialized object". It might return null if it fails.
Top
See Also

Reference

Galador.Reflection.Utils Namespace


FastType Properties

FastType Properties

The FastType type exposes the following members.

Properties
 | Name | Description
Public property | BaseType | Gets the FastType associated with the BaseType.
Public property | DeclaredConstructors | Gets all the declared constructors of Type as FastMethod.
Public property | DeclaredMembers | Members list for this Type as FastMember.
Public property | DeclaredMethods | Gets all the declared methods of Type as FastMethod.
Public property | IsAbstract | Whether this is an abstract class or not.
Public property | IsGenericMeta | Whether this is a real class (false), or a generic one missing arguments (true).
Public property | IsMscorlib | Whether or not this type is defined in mscorlib. Assembly name can be omitted for such type when serializing. Also they don't need be generated when creating serialized type code.
Public property | IsReference | Whether or not this is a type passed by reference.
Public property | Kind | The possible well know type, as an enum.
Public property | Type | The type associated with this instance.
Top
See Also

Reference

FastType Class
Galador.Reflection.Utils Namespace


FastType.BaseType Property

FastTypeBaseType Property
Gets the FastType associated with the BaseType.

Namespace: Galador.Reflection.Utils
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public FastType BaseType { get; }
Public ReadOnly Property BaseType As FastType
    Get
public:
property FastType^ BaseType {
    FastType^ get ();
}
member BaseType : FastType with get

Property Value

Type: FastType
See Also

Reference

FastType Class
Galador.Reflection.Utils Namespace


FastType.DeclaredConstructors Property

FastTypeDeclaredConstructors Property
Gets all the declared constructors of Type as FastMethod.

Namespace: Galador.Reflection.Utils
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public IReadOnlyList<FastMethod> DeclaredConstructors { get; }
Public ReadOnly Property DeclaredConstructors As IReadOnlyList(Of FastMethod)
    Get
public:
property IReadOnlyList<FastMethod^>^ DeclaredConstructors {
    IReadOnlyList<FastMethod^>^ get ();
}
member DeclaredConstructors : IReadOnlyList<FastMethod> with get

Property Value

Type: IReadOnlyListFastMethod
See Also

Reference

FastType Class
Galador.Reflection.Utils Namespace


FastType.DeclaredMembers Property

FastTypeDeclaredMembers Property
Members list for this Type as FastMember.

Namespace: Galador.Reflection.Utils
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public MemberList<FastMember> DeclaredMembers { get; }
Public ReadOnly Property DeclaredMembers As MemberList(Of FastMember)
    Get
public:
property MemberList<FastMember^>^ DeclaredMembers {
    MemberList<FastMember^>^ get ();
}
member DeclaredMembers : MemberList<FastMember> with get

Property Value

Type: MemberList FastMember
See Also

Reference

FastType Class
Galador.Reflection.Utils Namespace


FastType.DeclaredMethods Property

FastTypeDeclaredMethods Property
Gets all the declared methods of Type as FastMethod.

Namespace: Galador.Reflection.Utils
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public IReadOnlyList<FastMethod> DeclaredMethods { get; }
Public ReadOnly Property DeclaredMethods As IReadOnlyList(Of FastMethod)
    Get
public:
property IReadOnlyList<FastMethod^>^ DeclaredMethods {
    IReadOnlyList<FastMethod^>^ get ();
}
member DeclaredMethods : IReadOnlyList<FastMethod> with get

Property Value

Type: IReadOnlyListFastMethod
See Also

Reference

FastType Class
Galador.Reflection.Utils Namespace


FastType.IsAbstract Property

FastTypeIsAbstract Property
Whether this is an abstract class or not.

Namespace: Galador.Reflection.Utils
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public bool IsAbstract { get; set; }
Public Property IsAbstract As Boolean
    Get
    Set
public:
property bool IsAbstract {
    bool get ();
    void set (bool value);
}
member IsAbstract : bool with get, set

Property Value

Type: Boolean
See Also

Reference

FastType Class
Galador.Reflection.Utils Namespace


FastType.IsGenericMeta Property

FastTypeIsGenericMeta Property
Whether this is a real class (false), or a generic one missing arguments (true).

Namespace: Galador.Reflection.Utils
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public bool IsGenericMeta { get; }
Public ReadOnly Property IsGenericMeta As Boolean
    Get
public:
property bool IsGenericMeta {
    bool get ();
}
member IsGenericMeta : bool with get

Property Value

Type: Boolean
See Also

Reference

FastType Class
Galador.Reflection.Utils Namespace


FastType.IsMscorlib Property

FastTypeIsMscorlib Property
Whether or not this type is defined in mscorlib. Assembly name can be omitted for such type when serializing. Also they don't need be generated when creating serialized type code.

Namespace: Galador.Reflection.Utils
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public bool IsMscorlib { get; }
Public ReadOnly Property IsMscorlib As Boolean
    Get
public:
property bool IsMscorlib {
    bool get ();
}
member IsMscorlib : bool with get

Property Value

Type: Boolean
See Also

Reference

FastType Class
Galador.Reflection.Utils Namespace


FastType.IsReference Property

FastTypeIsReference Property
Whether or not this is a type passed by reference.

Namespace: Galador.Reflection.Utils
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public bool IsReference { get; }
Public ReadOnly Property IsReference As Boolean
    Get
public:
property bool IsReference {
    bool get ();
}
member IsReference : bool with get

Property Value

Type: Boolean
See Also

Reference

FastType Class
Galador.Reflection.Utils Namespace


FastType.Kind Property

FastTypeKind Property
The possible well know type, as an enum.

Namespace: Galador.Reflection.Utils
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public PrimitiveType Kind { get; }
Public ReadOnly Property Kind As PrimitiveType
    Get
public:
property PrimitiveType Kind {
    PrimitiveType get ();
}
member Kind : PrimitiveType with get

Property Value

Type: PrimitiveType
See Also

Reference

FastType Class
Galador.Reflection.Utils Namespace


FastType.Type Property

FastTypeType Property
The type associated with this instance.

Namespace: Galador.Reflection.Utils
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public Type Type { get; }
Public ReadOnly Property Type As Type
    Get
public:
property Type^ Type {
    Type^ get ();
}
member Type : Type with get

Property Value

Type: Type
See Also

Reference

FastType Class
Galador.Reflection.Utils Namespace


FastType Methods

FastType Methods

The FastType type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetRuntimeMembers | Enumerate all FastMember of this class and all of its base classes.
 | GetType(Type) | Gets the FastType associated with type type.
 | GetType(PrimitiveType) | Get the FastType associated with each primitive type. Except for object, where it returns null.
 | GetTypeT | Gets the FastType associated with T type.
 | IsFromMscorlib | Check whether a type is from mscorlib base library, or not. Impacting the information needed for serialization.
 | IsUndefined | Whether type is a generic type with generic argument, such as List<>.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Public method | TryConstruct | Will create and return a new instance of Type associated to this FastType By using either the default constructor (i.e. constructor with no parameter or where all parameters have a default value) or creating a so called "uninitialized object". It might return null if it fails.
Top
See Also

Reference

FastType Class
Galador.Reflection.Utils Namespace


FastType.GetRuntimeMembers Method

FastTypeGetRuntimeMembers Method
Enumerate all FastMember of this class and all of its base classes.

Namespace: Galador.Reflection.Utils
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public IEnumerable<FastMember> GetRuntimeMembers()
Public Function GetRuntimeMembers As IEnumerable(Of FastMember)
public:
IEnumerable<FastMember^>^ GetRuntimeMembers()
member GetRuntimeMembers : unit -> IEnumerable<FastMember>

Return Value

Type: IEnumerableFastMember

[Missing <returns> documentation for "M:Galador.Reflection.Utils.FastType.GetRuntimeMembers"]

See Also

Reference

FastType Class
Galador.Reflection.Utils Namespace


FastType.GetType Method

FastTypeGetType Method
Overload List
Name | Description
GetTypeT | Gets the FastType associated with T type.
GetType(Type) | Gets the FastType associated with type type.
GetType(PrimitiveType) | Get the FastType associated with each primitive type. Except for object, where it returns null.
Top
See Also

Reference

FastType Class
Galador.Reflection.Utils Namespace


FastType.GetType(T) Method

FastTypeGetTypeT Method
Gets the FastType associated with T type.

Namespace: Galador.Reflection.Utils
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public static FastType GetType<T>()

Public Shared Function GetType(Of T) As FastType
public:
generic<typename T>
static FastType^ GetType()
static member GetType : unit -> FastType

Type Parameters

T

[Missing <typeparam name="T"/> documentation for "M:Galador.Reflection.Utils.FastType.GetType``1"]

Return Value

Type: FastType

[Missing <returns> documentation for "M:Galador.Reflection.Utils.FastType.GetType``1"]

See Also

Reference

FastType Class
GetType Overload
Galador.Reflection.Utils Namespace


FastType.GetType Method (Type)

FastTypeGetType Method (Type)
Gets the FastType associated with type type.

Namespace: Galador.Reflection.Utils
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public static FastType GetType(
    Type type
)
Public Shared Function GetType (
    type As Type
) As FastType
public:
static FastType^ GetType(
    Type^ type
)
static member GetType :
        type : Type -> FastType

Parameters

type
Type: SystemType

[Missing <param name="type"/> documentation for "M:Galador.Reflection.Utils.FastType.GetType(System.Type)"]

Return Value

Type: FastType

[Missing <returns> documentation for "M:Galador.Reflection.Utils.FastType.GetType(System.Type)"]

See Also

Reference

FastType Class
GetType Overload
Galador.Reflection.Utils Namespace


FastType.GetType Method (PrimitiveType)

FastTypeGetType Method (PrimitiveType)
Get the FastType associated with each primitive type. Except for object, where it returns null.

Namespace: Galador.Reflection.Utils
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public static FastType GetType(
    PrimitiveType kind
)
Public Shared Function GetType (
    kind As PrimitiveType
) As FastType
public:
static FastType^ GetType(
    PrimitiveType kind
)
static member GetType :
        kind : PrimitiveType -> FastType

Parameters

kind
Type: Galador.Reflection.SerializationPrimitiveType

[Missing <param name="kind"/> documentation for "M:Galador.Reflection.Utils.FastType.GetType(Galador.Reflection.Serialization.PrimitiveType)"]

Return Value

Type: FastType

[Missing <returns> documentation for "M:Galador.Reflection.Utils.FastType.GetType(Galador.Reflection.Serialization.PrimitiveType)"]

See Also

Reference

FastType Class
GetType Overload
Galador.Reflection.Utils Namespace


FastType.IsFromMscorlib Method

FastTypeIsFromMscorlib Method
Check whether a type is from mscorlib base library, or not. Impacting the information needed for serialization.

Namespace: Galador.Reflection.Utils
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public static bool IsFromMscorlib(
    Type type
)
Public Shared Function IsFromMscorlib (
    type As Type
) As Boolean
public:
static bool IsFromMscorlib(
    Type^ type
)
static member IsFromMscorlib :
        type : Type -> bool

Parameters

type
Type: SystemType

[Missing <param name="type"/> documentation for "M:Galador.Reflection.Utils.FastType.IsFromMscorlib(System.Type)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:Galador.Reflection.Utils.FastType.IsFromMscorlib(System.Type)"]

See Also

Reference

FastType Class
Galador.Reflection.Utils Namespace


FastType.IsUndefined Method

FastTypeIsUndefined Method
Whether type is a generic type with generic argument, such as List<>.

Namespace: Galador.Reflection.Utils
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public static bool IsUndefined(
    Type type
)
Public Shared Function IsUndefined (
    type As Type
) As Boolean
public:
static bool IsUndefined(
    Type^ type
)
static member IsUndefined :
        type : Type -> bool

Parameters

type
Type: SystemType

[Missing <param name="type"/> documentation for "M:Galador.Reflection.Utils.FastType.IsUndefined(System.Type)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:Galador.Reflection.Utils.FastType.IsUndefined(System.Type)"]

See Also

Reference

FastType Class
Galador.Reflection.Utils Namespace


FastType.TryConstruct Method

FastTypeTryConstruct Method
Will create and return a new instance of Type associated to this FastType By using either the default constructor (i.e. constructor with no parameter or where all parameters have a default value) or creating a so called "uninitialized object". It might return null if it fails.

Namespace: Galador.Reflection.Utils
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public Object TryConstruct()
Public Function TryConstruct As Object
public:
Object^ TryConstruct()
member TryConstruct : unit -> Object

Return Value

Type: Object

[Missing <returns> documentation for "M:Galador.Reflection.Utils.FastType.TryConstruct"]

See Also

Reference

FastType Class
Galador.Reflection.Utils Namespace


ReflectionEx Class

ReflectionEx Class
Collection of utilities for Reflection
Inheritance Hierarchy
SystemObject
Galador.Reflection.UtilsReflectionEx

Namespace: Galador.Reflection.Utils
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public static class ReflectionEx
<ExtensionAttribute>
Public NotInheritable Class ReflectionEx
[ExtensionAttribute]
public ref class ReflectionEx abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type ReflectionEx =  class end

The ReflectionEx type exposes the following members.

Methods
Name | Description
GetLambdaPath(LambdaExpression) | Gets the member path from a lambda expression
GetLambdaPath(LambdaExpression, Object) | Gets the member path from a lambda expression
GetTypeHierarchy | Get all base type and interfaces implemented by this type.
IsBaseClass | Determines whether t is a base class of sub
IsInstanceOf | Determines whether t is a base class of o
TryConstruct(ConstructorInfo, Object) | Try to call a constructor with the given argument. Will check argument type and will fill the blank with default parameter values.
TryConstruct(Type, Object) | Try to find a constructor matching the arguments and call it. It will also consider default parameters value.
TryGetConstructors | Try the get constructors that match the given arguments types. This method will consider public constructor first and will also consider default values.
TryGetMethods | Try the get a method by name, generic type argument and normal argument type.
Top
See Also

Reference

Galador.Reflection.Utils Namespace


ReflectionEx Methods

ReflectionEx Methods

The ReflectionEx type exposes the following members.

Methods
Name | Description
GetLambdaPath(LambdaExpression) | Gets the member path from a lambda expression
GetLambdaPath(LambdaExpression, Object) | Gets the member path from a lambda expression
GetTypeHierarchy | Get all base type and interfaces implemented by this type.
IsBaseClass | Determines whether t is a base class of sub
IsInstanceOf | Determines whether t is a base class of o
TryConstruct(ConstructorInfo, Object) | Try to call a constructor with the given argument. Will check argument type and will fill the blank with default parameter values.
TryConstruct(Type, Object) | Try to find a constructor matching the arguments and call it. It will also consider default parameters value.
TryGetConstructors | Try the get constructors that match the given arguments types. This method will consider public constructor first and will also consider default values.
TryGetMethods | Try the get a method by name, generic type argument and normal argument type.
Top
See Also

Reference

ReflectionEx Class
Galador.Reflection.Utils Namespace


ReflectionEx.GetLambdaPath Method

ReflectionExGetLambdaPath Method
Overload List
Name | Description
GetLambdaPath(LambdaExpression) | Gets the member path from a lambda expression
GetLambdaPath(LambdaExpression, Object) | Gets the member path from a lambda expression
Top
See Also

Reference

ReflectionEx Class
Galador.Reflection.Utils Namespace


ReflectionEx.GetLambdaPath Method (LambdaExpression)

ReflectionExGetLambdaPath Method (LambdaExpression)
Gets the member path from a lambda expression

Namespace: Galador.Reflection.Utils
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public static MemberInfo[] GetLambdaPath(
    LambdaExpression e
)
Public Shared Function GetLambdaPath (
    e As LambdaExpression
) As MemberInfo()
public:
static array<MemberInfo^>^ GetLambdaPath(
    LambdaExpression^ e
)
static member GetLambdaPath :
        e : LambdaExpression -> MemberInfo[]

Parameters

e
Type: System.Linq.ExpressionsLambdaExpression
The expression to parse.

Return Value

Type: MemberInfo
All the members that are called in order.
Exceptions
Exception | Condition
ArgumentNullException | If the expression is null.
NotSupportedException | If the lambda expression is not a property of field path.
NotImplementedException | if the lambad contains an index / array expression
See Also

Reference

ReflectionEx Class
GetLambdaPath Overload
Galador.Reflection.Utils Namespace


ReflectionEx.GetLambdaPath Method (LambdaExpression, Object)

ReflectionExGetLambdaPath Method (LambdaExpression, Object)
Gets the member path from a lambda expression

Namespace: Galador.Reflection.Utils
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public static MemberInfo[] GetLambdaPath(
    LambdaExpression e,
    out Object root
)
Public Shared Function GetLambdaPath (
    e As LambdaExpression,
    <OutAttribute> ByRef root As Object
) As MemberInfo()
public:
static array<MemberInfo^>^ GetLambdaPath(
    LambdaExpression^ e,
    [OutAttribute] Object^% root
)
static member GetLambdaPath :
        e : LambdaExpression *
        root : Object byref -> MemberInfo[]

Parameters

e
Type: System.Linq.ExpressionsLambdaExpression
The expression to parse.
root
Type: SystemObject
The root of the expression.

Return Value

Type: MemberInfo
All the members that are called in order.
Exceptions
Exception | Condition
ArgumentNullException | If the expression is null.
NotSupportedException | If the lambda expression is not a property of field path.
NotImplementedException | if the lambad contains an index / array expression
See Also

Reference

ReflectionEx Class
GetLambdaPath Overload
Galador.Reflection.Utils Namespace


ReflectionEx.GetTypeHierarchy Method

ReflectionExGetTypeHierarchy Method
Get all base type and interfaces implemented by this type.

Namespace: Galador.Reflection.Utils
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public static IEnumerable<Type> GetTypeHierarchy(
    this Type t
)
<ExtensionAttribute>
Public Shared Function GetTypeHierarchy (
    t As Type
) As IEnumerable(Of Type)
public:
[ExtensionAttribute]
static IEnumerable<Type^>^ GetTypeHierarchy(
    Type^ t
)
[<ExtensionAttribute>]
static member GetTypeHierarchy :
        t : Type -> IEnumerable<Type>

Parameters

t
Type: SystemType
The type to expand.

Return Value

Type: IEnumerableType
A list of types which can be used a base class of arg type.

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type Type. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

ReflectionEx Class
Galador.Reflection.Utils Namespace


ReflectionEx.IsBaseClass Method

ReflectionExIsBaseClass Method
Determines whether t is a base class of sub

Namespace: Galador.Reflection.Utils
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public static bool IsBaseClass(
    this Type t,
    Type sub
)
<ExtensionAttribute>
Public Shared Function IsBaseClass (
    t As Type,
    sub As Type
) As Boolean
public:
[ExtensionAttribute]
static bool IsBaseClass(
    Type^ t,
    Type^ sub
)
[<ExtensionAttribute>]
static member IsBaseClass :
        t : Type *
        sub : Type -> bool

Parameters

t
Type: SystemType
The potential base class.
sub
Type: SystemType
The potential subclass.

Return Value

Type: Boolean
Whether sub is a t

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type Type. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

ReflectionEx Class
Galador.Reflection.Utils Namespace


ReflectionEx.IsInstanceOf Method

ReflectionExIsInstanceOf Method
Determines whether t is a base class of o

Namespace: Galador.Reflection.Utils
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public static bool IsInstanceOf(
    this Type t,
    Object o
)
<ExtensionAttribute>
Public Shared Function IsInstanceOf (
    t As Type,
    o As Object
) As Boolean
public:
[ExtensionAttribute]
static bool IsInstanceOf(
    Type^ t,
    Object^ o
)
[<ExtensionAttribute>]
static member IsInstanceOf :
        t : Type *
        o : Object -> bool

Parameters

t
Type: SystemType
The potential base class.
o
Type: SystemObject
An instance of a possible subclass.

Return Value

Type: Boolean
Whether o is a t

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type Type. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

ReflectionEx Class
Galador.Reflection.Utils Namespace


ReflectionEx.TryConstruct Method

ReflectionExTryConstruct Method
Overload List
Name | Description
TryConstruct(ConstructorInfo, Object) | Try to call a constructor with the given argument. Will check argument type and will fill the blank with default parameter values.
TryConstruct(Type, Object) | Try to find a constructor matching the arguments and call it. It will also consider default parameters value.
Top
See Also

Reference

ReflectionEx Class
Galador.Reflection.Utils Namespace


ReflectionEx.TryConstruct Method (ConstructorInfo, Object[])

ReflectionExTryConstruct Method (ConstructorInfo, Object)
Try to call a constructor with the given argument. Will check argument type and will fill the blank with default parameter values.

Namespace: Galador.Reflection.Utils
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public static Object TryConstruct(
    this ConstructorInfo ctor,
    params Object[] args
)
<ExtensionAttribute>
Public Shared Function TryConstruct (
    ctor As ConstructorInfo,
    ParamArray args As Object()
) As Object
public:
[ExtensionAttribute]
static Object^ TryConstruct(
    ConstructorInfo^ ctor,
    ... array<Object^>^ args
)
[<ExtensionAttribute>]
static member TryConstruct :
        ctor : ConstructorInfo *
        args : Object[] -> Object

Parameters

ctor
Type: System.ReflectionConstructorInfo
The constructor to used.
args
Type: SystemObject
The arguments to use.

Return Value

Type: Object
A newly constructed object, or null.

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type ConstructorInfo. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

ReflectionEx Class
TryConstruct Overload
Galador.Reflection.Utils Namespace


ReflectionEx.TryConstruct Method (Type, Object[])

ReflectionExTryConstruct Method (Type, Object)
Try to find a constructor matching the arguments and call it. It will also consider default parameters value.

Namespace: Galador.Reflection.Utils
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public static Object TryConstruct(
    this Type type,
    params Object[] args
)
<ExtensionAttribute>
Public Shared Function TryConstruct (
    type As Type,
    ParamArray args As Object()
) As Object
public:
[ExtensionAttribute]
static Object^ TryConstruct(
    Type^ type,
    ... array<Object^>^ args
)
[<ExtensionAttribute>]
static member TryConstruct :
        type : Type *
        args : Object[] -> Object

Parameters

type
Type: SystemType
The type to search for constructor.
args
Type: SystemObject
Constructor arguments.

Return Value

Type: Object
A new object in case of success or null.

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type Type. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

ReflectionEx Class
TryConstruct Overload
Galador.Reflection.Utils Namespace


ReflectionEx.TryGetConstructors Method

ReflectionExTryGetConstructors Method
Try the get constructors that match the given arguments types. This method will consider public constructor first and will also consider default values.

Namespace: Galador.Reflection.Utils
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public static IEnumerable<ConstructorInfo> TryGetConstructors(
    this Type type,
    params Type[] argsType
)
<ExtensionAttribute>
Public Shared Function TryGetConstructors (
    type As Type,
    ParamArray argsType As Type()
) As IEnumerable(Of ConstructorInfo)
public:
[ExtensionAttribute]
static IEnumerable<ConstructorInfo^>^ TryGetConstructors(
    Type^ type,
    ... array<Type^>^ argsType
)
[<ExtensionAttribute>]
static member TryGetConstructors :
        type : Type *
        argsType : Type[] -> IEnumerable<ConstructorInfo>

Parameters

type
Type: SystemType
The type where constructors will be searched.
argsType
Type: SystemType
Type of the arguments.

Return Value

Type: IEnumerableConstructorInfo
A list of constructors probably with 0 or 1 element, or more in case of overloading.

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type Type. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

ReflectionEx Class
Galador.Reflection.Utils Namespace


ReflectionEx.TryGetMethods Method

ReflectionExTryGetMethods Method
Try the get a method by name, generic type argument and normal argument type.

Namespace: Galador.Reflection.Utils
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public static IEnumerable<MethodInfo> TryGetMethods(
    this Type type,
    string method,
    Type[] genericArgs,
    params Type[] argsType
)
<ExtensionAttribute>
Public Shared Function TryGetMethods (
    type As Type,
    method As String,
    genericArgs As Type(),
    ParamArray argsType As Type()
) As IEnumerable(Of MethodInfo)
public:
[ExtensionAttribute]
static IEnumerable<MethodInfo^>^ TryGetMethods(
    Type^ type,
    String^ method,
    array<Type^>^ genericArgs,
    ... array<Type^>^ argsType
)
[<ExtensionAttribute>]
static member TryGetMethods :
        type : Type *
        method : string *
        genericArgs : Type[] *
        argsType : Type[] -> IEnumerable<MethodInfo>

Parameters

type
Type: SystemType
The type that is searched.
method
Type: SystemString
The method.
genericArgs
Type: SystemType
The generic arguments.
argsType
Type: SystemType
Type of the arguments.

Return Value

Type: IEnumerableMethodInfo
A (possibly empty) list of method that match all criteria.

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type Type. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

ReflectionEx Class
Galador.Reflection.Utils Namespace


ValueTuple Class

ValueTuple Class

[Missing <summary> documentation for "T:Galador.Reflection.Utils.ValueTuple"]

Inheritance Hierarchy
SystemObject
Galador.Reflection.UtilsValueTuple

Namespace: Galador.Reflection.Utils
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public static class ValueTuple
Public NotInheritable Class ValueTuple
public ref class ValueTuple abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
type ValueTuple =  class end
Methods
Name | Description
CreateT1, T2(T1, T2) |
CreateT1, T2, T3(T1, T2, T3) |
CreateT1, T2, T3, T4(T1, T2, T3, T4) |
CreateT1, T2, T3, T4, T5(T1, T2, T3, T4, T5) |
Top
See Also

Reference

Galador.Reflection.Utils Namespace


ValueTuple Methods

ValueTuple Methods
Methods
Name | Description
CreateT1, T2(T1, T2) |
CreateT1, T2, T3(T1, T2, T3) |
CreateT1, T2, T3, T4(T1, T2, T3, T4) |
CreateT1, T2, T3, T4, T5(T1, T2, T3, T4, T5) |
Top
See Also

Reference

ValueTuple Class
Galador.Reflection.Utils Namespace


ValueTuple.Create Method

ValueTupleCreate Method
Overload List
Name | Description
CreateT1, T2(T1, T2) |
CreateT1, T2, T3(T1, T2, T3) |
CreateT1, T2, T3, T4(T1, T2, T3, T4) |
CreateT1, T2, T3, T4, T5(T1, T2, T3, T4, T5) |
Top
See Also

Reference

ValueTuple Class
Galador.Reflection.Utils Namespace


ValueTuple.Create(T1, T2) Method (T1, T2)

ValueTupleCreateT1, T2 Method (T1, T2)

[Missing <summary> documentation for "M:Galador.Reflection.Utils.ValueTuple.Create``2(``0,``1)"]

Namespace: Galador.Reflection.Utils
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public static ValueTuple<T1, T2> Create<T1, T2>(
    T1 t1,
    T2 t2
)

Public Shared Function Create(Of T1, T2) (
    t1 As T1,
    t2 As T2
) As ValueTuple(Of T1, T2)
public:
generic<typename T1, typename T2>
static ValueTuple<T1, T2> Create(
    T1 t1,
    T2 t2
)
static member Create :
        t1 : 'T1 *
        t2 : 'T2 -> ValueTuple<'T1, 'T2>

Parameters

t1
Type: T1

[Missing <param name="t1"/> documentation for "M:Galador.Reflection.Utils.ValueTuple.Create``2(``0,``1)"]

t2
Type: T2

[Missing <param name="t2"/> documentation for "M:Galador.Reflection.Utils.ValueTuple.Create``2(``0,``1)"]

Type Parameters

T1

[Missing <typeparam name="T1"/> documentation for "M:Galador.Reflection.Utils.ValueTuple.Create``2(``0,``1)"]

T2

[Missing <typeparam name="T2"/> documentation for "M:Galador.Reflection.Utils.ValueTuple.Create``2(``0,``1)"]

Return Value

Type: ValueTuple T1, T2

[Missing <returns> documentation for "M:Galador.Reflection.Utils.ValueTuple.Create``2(``0,``1)"]

See Also

Reference

ValueTuple Class
Create Overload
Galador.Reflection.Utils Namespace


ValueTuple.Create(T1, T2, T3) Method (T1, T2, T3)

ValueTupleCreateT1, T2, T3 Method (T1, T2, T3)

[Missing <summary> documentation for "M:Galador.Reflection.Utils.ValueTuple.Create``3(``0,``1,``2)"]

Namespace: Galador.Reflection.Utils
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public static ValueTuple<T1, T2, T3> Create<T1, T2, T3>(
    T1 t1,
    T2 t2,
    T3 t3
)

Public Shared Function Create(Of T1, T2, T3) (
    t1 As T1,
    t2 As T2,
    t3 As T3
) As ValueTuple(Of T1, T2, T3)
public:
generic<typename T1, typename T2, typename T3>
static ValueTuple<T1, T2, T3> Create(
    T1 t1,
    T2 t2,
    T3 t3
)
static member Create :
        t1 : 'T1 *
        t2 : 'T2 *
        t3 : 'T3 -> ValueTuple<'T1, 'T2, 'T3>

Parameters

t1
Type: T1

[Missing <param name="t1"/> documentation for "M:Galador.Reflection.Utils.ValueTuple.Create``3(``0,``1,``2)"]

t2
Type: T2

[Missing <param name="t2"/> documentation for "M:Galador.Reflection.Utils.ValueTuple.Create``3(``0,``1,``2)"]

t3
Type: T3

[Missing <param name="t3"/> documentation for "M:Galador.Reflection.Utils.ValueTuple.Create``3(``0,``1,``2)"]

Type Parameters

T1

[Missing <typeparam name="T1"/> documentation for "M:Galador.Reflection.Utils.ValueTuple.Create``3(``0,``1,``2)"]

T2

[Missing <typeparam name="T2"/> documentation for "M:Galador.Reflection.Utils.ValueTuple.Create``3(``0,``1,``2)"]

T3

[Missing <typeparam name="T3"/> documentation for "M:Galador.Reflection.Utils.ValueTuple.Create``3(``0,``1,``2)"]

Return Value

Type: ValueTuple T1, T2, T3

[Missing <returns> documentation for "M:Galador.Reflection.Utils.ValueTuple.Create``3(``0,``1,``2)"]

See Also

Reference

ValueTuple Class
Create Overload
Galador.Reflection.Utils Namespace


ValueTuple.Create(T1, T2, T3, T4) Method (T1, T2, T3, T4)

ValueTupleCreateT1, T2, T3, T4 Method (T1, T2, T3, T4)

[Missing <summary> documentation for "M:Galador.Reflection.Utils.ValueTuple.Create``4(``0,``1,``2,``3)"]

Namespace: Galador.Reflection.Utils
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public static ValueTuple<T1, T2, T3, T4> Create<T1, T2, T3, T4>(
    T1 t1,
    T2 t2,
    T3 t3,
    T4 t4
)

Public Shared Function Create(Of T1, T2, T3, T4) (
    t1 As T1,
    t2 As T2,
    t3 As T3,
    t4 As T4
) As ValueTuple(Of T1, T2, T3, T4)
public:
generic<typename T1, typename T2, typename T3, typename T4>
static ValueTuple<T1, T2, T3, T4> Create(
    T1 t1,
    T2 t2,
    T3 t3,
    T4 t4
)
static member Create :
        t1 : 'T1 *
        t2 : 'T2 *
        t3 : 'T3 *
        t4 : 'T4 -> ValueTuple<'T1, 'T2, 'T3, 'T4>

Parameters

t1
Type: T1

[Missing <param name="t1"/> documentation for "M:Galador.Reflection.Utils.ValueTuple.Create``4(``0,``1,``2,``3)"]

t2
Type: T2

[Missing <param name="t2"/> documentation for "M:Galador.Reflection.Utils.ValueTuple.Create``4(``0,``1,``2,``3)"]

t3
Type: T3

[Missing <param name="t3"/> documentation for "M:Galador.Reflection.Utils.ValueTuple.Create``4(``0,``1,``2,``3)"]

t4
Type: T4

[Missing <param name="t4"/> documentation for "M:Galador.Reflection.Utils.ValueTuple.Create``4(``0,``1,``2,``3)"]

Type Parameters

T1

[Missing <typeparam name="T1"/> documentation for "M:Galador.Reflection.Utils.ValueTuple.Create``4(``0,``1,``2,``3)"]

T2

[Missing <typeparam name="T2"/> documentation for "M:Galador.Reflection.Utils.ValueTuple.Create``4(``0,``1,``2,``3)"]

T3

[Missing <typeparam name="T3"/> documentation for "M:Galador.Reflection.Utils.ValueTuple.Create``4(``0,``1,``2,``3)"]

T4

[Missing <typeparam name="T4"/> documentation for "M:Galador.Reflection.Utils.ValueTuple.Create``4(``0,``1,``2,``3)"]

Return Value

Type: ValueTuple T1, T2, T3, T4

[Missing <returns> documentation for "M:Galador.Reflection.Utils.ValueTuple.Create``4(``0,``1,``2,``3)"]

See Also

Reference

ValueTuple Class
Create Overload
Galador.Reflection.Utils Namespace


ValueTuple.Create(T1, T2, T3, T4, T5) Method (T1, T2, T3, T4, T5)

ValueTupleCreateT1, T2, T3, T4, T5 Method (T1, T2, T3, T4, T5)

[Missing <summary> documentation for "M:Galador.Reflection.Utils.ValueTuple.Create``5(``0,``1,``2,``3,``4)"]

Namespace: Galador.Reflection.Utils
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public static ValueTuple<T1, T2, T3, T4, T5> Create<T1, T2, T3, T4, T5>(
    T1 t1,
    T2 t2,
    T3 t3,
    T4 t4,
    T5 t5
)

Public Shared Function Create(Of T1, T2, T3, T4, T5) (
    t1 As T1,
    t2 As T2,
    t3 As T3,
    t4 As T4,
    t5 As T5
) As ValueTuple(Of T1, T2, T3, T4, T5)
public:
generic<typename T1, typename T2, typename T3, typename T4, typename T5>
static ValueTuple<T1, T2, T3, T4, T5> Create(
    T1 t1,
    T2 t2,
    T3 t3,
    T4 t4,
    T5 t5
)
static member Create :
        t1 : 'T1 *
        t2 : 'T2 *
        t3 : 'T3 *
        t4 : 'T4 *
        t5 : 'T5 -> ValueTuple<'T1, 'T2, 'T3, 'T4, 'T5>

Parameters

t1
Type: T1

[Missing <param name="t1"/> documentation for "M:Galador.Reflection.Utils.ValueTuple.Create``5(``0,``1,``2,``3,``4)"]

t2
Type: T2

[Missing <param name="t2"/> documentation for "M:Galador.Reflection.Utils.ValueTuple.Create``5(``0,``1,``2,``3,``4)"]

t3
Type: T3

[Missing <param name="t3"/> documentation for "M:Galador.Reflection.Utils.ValueTuple.Create``5(``0,``1,``2,``3,``4)"]

t4
Type: T4

[Missing <param name="t4"/> documentation for "M:Galador.Reflection.Utils.ValueTuple.Create``5(``0,``1,``2,``3,``4)"]

t5
Type: T5

[Missing <param name="t5"/> documentation for "M:Galador.Reflection.Utils.ValueTuple.Create``5(``0,``1,``2,``3,``4)"]

Type Parameters

T1

[Missing <typeparam name="T1"/> documentation for "M:Galador.Reflection.Utils.ValueTuple.Create``5(``0,``1,``2,``3,``4)"]

T2

[Missing <typeparam name="T2"/> documentation for "M:Galador.Reflection.Utils.ValueTuple.Create``5(``0,``1,``2,``3,``4)"]

T3

[Missing <typeparam name="T3"/> documentation for "M:Galador.Reflection.Utils.ValueTuple.Create``5(``0,``1,``2,``3,``4)"]

T4

[Missing <typeparam name="T4"/> documentation for "M:Galador.Reflection.Utils.ValueTuple.Create``5(``0,``1,``2,``3,``4)"]

T5

[Missing <typeparam name="T5"/> documentation for "M:Galador.Reflection.Utils.ValueTuple.Create``5(``0,``1,``2,``3,``4)"]

Return Value

Type: ValueTuple T1, T2, T3, T4, T5

[Missing <returns> documentation for "M:Galador.Reflection.Utils.ValueTuple.Create``5(``0,``1,``2,``3,``4)"]

See Also

Reference

ValueTuple Class
Create Overload
Galador.Reflection.Utils Namespace


ValueTuple(T1, T2) Structure

ValueTupleT1, T2 Structure

[Missing <summary> documentation for "T:Galador.Reflection.Utils.ValueTuple`2"]

Namespace: Galador.Reflection.Utils
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public struct ValueTuple<T1, T2>

Public Structure ValueTuple(Of T1, T2)
generic<typename T1, typename T2>
public value class ValueTuple
[<SealedAttribute>]
type ValueTuple<'T1, 'T2> =  struct end

Type Parameters

T1

[Missing <typeparam name="T1"/> documentation for "T:Galador.Reflection.Utils.ValueTuple`2"]

T2

[Missing <typeparam name="T2"/> documentation for "T:Galador.Reflection.Utils.ValueTuple`2"]

The ValueTupleT1, T2 type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Indicates whether this instance and a specified object are equal. (Inherited from ValueType.)
Public method | GetHashCode | Returns the hash code for this instance. (Inherited from ValueType.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | ToString | (Overrides ValueTypeToString.)
Top
Fields
 | Name | Description
Public field | Item1 | The item1
Public field | Item2 |
Top
See Also

Reference

Galador.Reflection.Utils Namespace


ValueTuple(T1, T2) Methods

ValueTupleT1, T2 Methods

The ValueTupleT1, T2 generic type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Indicates whether this instance and a specified object are equal. (Inherited from ValueType.)
Public method | GetHashCode | Returns the hash code for this instance. (Inherited from ValueType.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | ToString | (Overrides ValueTypeToString.)
Top
See Also

Reference

ValueTupleT1, T2 Structure
Galador.Reflection.Utils Namespace


ValueTuple(T1, T2).ToString Method

ValueTupleT1, T2ToString Method

[Missing <summary> documentation for "M:Galador.Reflection.Utils.ValueTuple`2.ToString"]

Namespace: Galador.Reflection.Utils
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public override string ToString()
Public Overrides Function ToString As String
public:
virtual String^ ToString() override
abstract ToString : unit -> string
override ToString : unit -> string

Return Value

Type: String

[Missing <returns> documentation for "M:Galador.Reflection.Utils.ValueTuple`2.ToString"]

See Also

Reference

ValueTupleT1, T2 Structure
Galador.Reflection.Utils Namespace


ValueTuple(T1, T2) Fields

ValueTupleT1, T2 Fields

The ValueTupleT1, T2 generic type exposes the following members.

Fields
 | Name | Description
Public field | Item1 | The item1
Public field | Item2 |
Top
See Also

Reference

ValueTupleT1, T2 Structure
Galador.Reflection.Utils Namespace


ValueTuple(T1, T2).Item1 Field

ValueTupleT1, T2Item1 Field
The item1

Namespace: Galador.Reflection.Utils
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public T1 Item1
Public Item1 As T1
public:
T1 Item1
val mutable Item1: 'T1

Field Value

Type: T1
See Also

Reference

ValueTupleT1, T2 Structure
Galador.Reflection.Utils Namespace


ValueTuple(T1, T2).Item2 Field

ValueTupleT1, T2Item2 Field

[Missing <summary> documentation for "F:Galador.Reflection.Utils.ValueTuple`2.Item2"]

Namespace: Galador.Reflection.Utils
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public T2 Item2
Public Item2 As T2
public:
T2 Item2
val mutable Item2: 'T2

Field Value

Type: T2
See Also

Reference

ValueTupleT1, T2 Structure
Galador.Reflection.Utils Namespace


ValueTuple(T1, T2, T3) Structure

ValueTupleT1, T2, T3 Structure

[Missing <summary> documentation for "T:Galador.Reflection.Utils.ValueTuple`3"]

Namespace: Galador.Reflection.Utils
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public struct ValueTuple<T1, T2, T3>

Public Structure ValueTuple(Of T1, T2, T3)
generic<typename T1, typename T2, typename T3>
public value class ValueTuple
[<SealedAttribute>]
type ValueTuple<'T1, 'T2, 'T3> =  struct end

Type Parameters

T1

[Missing <typeparam name="T1"/> documentation for "T:Galador.Reflection.Utils.ValueTuple`3"]

T2

[Missing <typeparam name="T2"/> documentation for "T:Galador.Reflection.Utils.ValueTuple`3"]

T3

[Missing <typeparam name="T3"/> documentation for "T:Galador.Reflection.Utils.ValueTuple`3"]

The ValueTupleT1, T2, T3 type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Indicates whether this instance and a specified object are equal. (Inherited from ValueType.)
Public method | GetHashCode | Returns the hash code for this instance. (Inherited from ValueType.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | ToString | (Overrides ValueTypeToString.)
Top
Fields
 | Name | Description
Public field | Item1 |
Public field | Item2 |
Public field | Item3 |
Top
See Also

Reference

Galador.Reflection.Utils Namespace


ValueTuple(T1, T2, T3) Methods

ValueTupleT1, T2, T3 Methods

The ValueTupleT1, T2, T3 generic type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Indicates whether this instance and a specified object are equal. (Inherited from ValueType.)
Public method | GetHashCode | Returns the hash code for this instance. (Inherited from ValueType.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | ToString | (Overrides ValueTypeToString.)
Top
See Also

Reference

ValueTupleT1, T2, T3 Structure
Galador.Reflection.Utils Namespace


ValueTuple(T1, T2, T3).ToString Method

ValueTupleT1, T2, T3ToString Method

[Missing <summary> documentation for "M:Galador.Reflection.Utils.ValueTuple`3.ToString"]

Namespace: Galador.Reflection.Utils
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public override string ToString()
Public Overrides Function ToString As String
public:
virtual String^ ToString() override
abstract ToString : unit -> string
override ToString : unit -> string

Return Value

Type: String

[Missing <returns> documentation for "M:Galador.Reflection.Utils.ValueTuple`3.ToString"]

See Also

Reference

ValueTupleT1, T2, T3 Structure
Galador.Reflection.Utils Namespace


ValueTuple(T1, T2, T3) Fields

ValueTupleT1, T2, T3 Fields

The ValueTupleT1, T2, T3 generic type exposes the following members.

Fields
 | Name | Description
Public field | Item1 |
Public field | Item2 |
Public field | Item3 |
Top
See Also

Reference

ValueTupleT1, T2, T3 Structure
Galador.Reflection.Utils Namespace


ValueTuple(T1, T2, T3).Item1 Field

ValueTupleT1, T2, T3Item1 Field

[Missing <summary> documentation for "F:Galador.Reflection.Utils.ValueTuple`3.Item1"]

Namespace: Galador.Reflection.Utils
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public T1 Item1
Public Item1 As T1
public:
T1 Item1
val mutable Item1: 'T1

Field Value

Type: T1
See Also

Reference

ValueTupleT1, T2, T3 Structure
Galador.Reflection.Utils Namespace


ValueTuple(T1, T2, T3).Item2 Field

ValueTupleT1, T2, T3Item2 Field

[Missing <summary> documentation for "F:Galador.Reflection.Utils.ValueTuple`3.Item2"]

Namespace: Galador.Reflection.Utils
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public T2 Item2
Public Item2 As T2
public:
T2 Item2
val mutable Item2: 'T2

Field Value

Type: T2
See Also

Reference

ValueTupleT1, T2, T3 Structure
Galador.Reflection.Utils Namespace


ValueTuple(T1, T2, T3).Item3 Field

ValueTupleT1, T2, T3Item3 Field

[Missing <summary> documentation for "F:Galador.Reflection.Utils.ValueTuple`3.Item3"]

Namespace: Galador.Reflection.Utils
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public T3 Item3
Public Item3 As T3
public:
T3 Item3
val mutable Item3: 'T3

Field Value

Type: T3
See Also

Reference

ValueTupleT1, T2, T3 Structure
Galador.Reflection.Utils Namespace


ValueTuple(T1, T2, T3, T4) Structure

ValueTupleT1, T2, T3, T4 Structure

[Missing <summary> documentation for "T:Galador.Reflection.Utils.ValueTuple`4"]

Namespace: Galador.Reflection.Utils
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public struct ValueTuple<T1, T2, T3, T4>

Public Structure ValueTuple(Of T1, T2, T3, T4)
generic<typename T1, typename T2, typename T3, typename T4>
public value class ValueTuple
[<SealedAttribute>]
type ValueTuple<'T1, 'T2, 'T3, 'T4> =  struct end

Type Parameters

T1

[Missing <typeparam name="T1"/> documentation for "T:Galador.Reflection.Utils.ValueTuple`4"]

T2

[Missing <typeparam name="T2"/> documentation for "T:Galador.Reflection.Utils.ValueTuple`4"]

T3

[Missing <typeparam name="T3"/> documentation for "T:Galador.Reflection.Utils.ValueTuple`4"]

T4

[Missing <typeparam name="T4"/> documentation for "T:Galador.Reflection.Utils.ValueTuple`4"]

The ValueTupleT1, T2, T3, T4 type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Indicates whether this instance and a specified object are equal. (Inherited from ValueType.)
Public method | GetHashCode | Returns the hash code for this instance. (Inherited from ValueType.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | ToString | (Overrides ValueTypeToString.)
Top
Fields
 | Name | Description
Public field | Item1 |
Public field | Item2 |
Public field | Item3 |
Public field | Item4 |
Top
See Also

Reference

Galador.Reflection.Utils Namespace


ValueTuple(T1, T2, T3, T4) Methods

ValueTupleT1, T2, T3, T4 Methods

The ValueTupleT1, T2, T3, T4 generic type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Indicates whether this instance and a specified object are equal. (Inherited from ValueType.)
Public method | GetHashCode | Returns the hash code for this instance. (Inherited from ValueType.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | ToString | (Overrides ValueTypeToString.)
Top
See Also

Reference

ValueTupleT1, T2, T3, T4 Structure
Galador.Reflection.Utils Namespace


ValueTuple(T1, T2, T3, T4).ToString Method

ValueTupleT1, T2, T3, T4ToString Method

[Missing <summary> documentation for "M:Galador.Reflection.Utils.ValueTuple`4.ToString"]

Namespace: Galador.Reflection.Utils
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public override string ToString()
Public Overrides Function ToString As String
public:
virtual String^ ToString() override
abstract ToString : unit -> string
override ToString : unit -> string

Return Value

Type: String

[Missing <returns> documentation for "M:Galador.Reflection.Utils.ValueTuple`4.ToString"]

See Also

Reference

ValueTupleT1, T2, T3, T4 Structure
Galador.Reflection.Utils Namespace


ValueTuple(T1, T2, T3, T4) Fields

ValueTupleT1, T2, T3, T4 Fields

The ValueTupleT1, T2, T3, T4 generic type exposes the following members.

Fields
 | Name | Description
Public field | Item1 |
Public field | Item2 |
Public field | Item3 |
Public field | Item4 |
Top
See Also

Reference

ValueTupleT1, T2, T3, T4 Structure
Galador.Reflection.Utils Namespace


ValueTuple(T1, T2, T3, T4).Item1 Field

ValueTupleT1, T2, T3, T4Item1 Field

[Missing <summary> documentation for "F:Galador.Reflection.Utils.ValueTuple`4.Item1"]

Namespace: Galador.Reflection.Utils
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public T1 Item1
Public Item1 As T1
public:
T1 Item1
val mutable Item1: 'T1

Field Value

Type: T1
See Also

Reference

ValueTupleT1, T2, T3, T4 Structure
Galador.Reflection.Utils Namespace


ValueTuple(T1, T2, T3, T4).Item2 Field

ValueTupleT1, T2, T3, T4Item2 Field

[Missing <summary> documentation for "F:Galador.Reflection.Utils.ValueTuple`4.Item2"]

Namespace: Galador.Reflection.Utils
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public T2 Item2
Public Item2 As T2
public:
T2 Item2
val mutable Item2: 'T2

Field Value

Type: T2
See Also

Reference

ValueTupleT1, T2, T3, T4 Structure
Galador.Reflection.Utils Namespace


ValueTuple(T1, T2, T3, T4).Item3 Field

ValueTupleT1, T2, T3, T4Item3 Field

[Missing <summary> documentation for "F:Galador.Reflection.Utils.ValueTuple`4.Item3"]

Namespace: Galador.Reflection.Utils
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public T3 Item3
Public Item3 As T3
public:
T3 Item3
val mutable Item3: 'T3

Field Value

Type: T3
See Also

Reference

ValueTupleT1, T2, T3, T4 Structure
Galador.Reflection.Utils Namespace


ValueTuple(T1, T2, T3, T4).Item4 Field

ValueTupleT1, T2, T3, T4Item4 Field

[Missing <summary> documentation for "F:Galador.Reflection.Utils.ValueTuple`4.Item4"]

Namespace: Galador.Reflection.Utils
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public T4 Item4
Public Item4 As T4
public:
T4 Item4
val mutable Item4: 'T4

Field Value

Type: T4
See Also

Reference

ValueTupleT1, T2, T3, T4 Structure
Galador.Reflection.Utils Namespace


ValueTuple(T1, T2, T3, T4, T5) Structure

ValueTupleT1, T2, T3, T4, T5 Structure

[Missing <summary> documentation for "T:Galador.Reflection.Utils.ValueTuple`5"]

Namespace: Galador.Reflection.Utils
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public struct ValueTuple<T1, T2, T3, T4, T5>

Public Structure ValueTuple(Of T1, T2, T3, T4, T5)
generic<typename T1, typename T2, typename T3, typename T4, typename T5>
public value class ValueTuple
[<SealedAttribute>]
type ValueTuple<'T1, 'T2, 'T3, 'T4, 'T5> =  struct end

Type Parameters

T1

[Missing <typeparam name="T1"/> documentation for "T:Galador.Reflection.Utils.ValueTuple`5"]

T2

[Missing <typeparam name="T2"/> documentation for "T:Galador.Reflection.Utils.ValueTuple`5"]

T3

[Missing <typeparam name="T3"/> documentation for "T:Galador.Reflection.Utils.ValueTuple`5"]

T4

[Missing <typeparam name="T4"/> documentation for "T:Galador.Reflection.Utils.ValueTuple`5"]

T5

[Missing <typeparam name="T5"/> documentation for "T:Galador.Reflection.Utils.ValueTuple`5"]

The ValueTupleT1, T2, T3, T4, T5 type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Indicates whether this instance and a specified object are equal. (Inherited from ValueType.)
Public method | GetHashCode | Returns the hash code for this instance. (Inherited from ValueType.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | ToString | (Overrides ValueTypeToString.)
Top
Fields
 | Name | Description
Public field | Item1 |
Public field | Item2 |
Public field | Item3 |
Public field | Item4 |
Public field | Item5 |
Top
See Also

Reference

Galador.Reflection.Utils Namespace


ValueTuple(T1, T2, T3, T4, T5) Methods

ValueTupleT1, T2, T3, T4, T5 Methods

The ValueTupleT1, T2, T3, T4, T5 generic type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Indicates whether this instance and a specified object are equal. (Inherited from ValueType.)
Public method | GetHashCode | Returns the hash code for this instance. (Inherited from ValueType.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | ToString | (Overrides ValueTypeToString.)
Top
See Also

Reference

ValueTupleT1, T2, T3, T4, T5 Structure
Galador.Reflection.Utils Namespace


ValueTuple(T1, T2, T3, T4, T5).ToString Method

ValueTupleT1, T2, T3, T4, T5ToString Method

[Missing <summary> documentation for "M:Galador.Reflection.Utils.ValueTuple`5.ToString"]

Namespace: Galador.Reflection.Utils
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public override string ToString()
Public Overrides Function ToString As String
public:
virtual String^ ToString() override
abstract ToString : unit -> string
override ToString : unit -> string

Return Value

Type: String

[Missing <returns> documentation for "M:Galador.Reflection.Utils.ValueTuple`5.ToString"]

See Also

Reference

ValueTupleT1, T2, T3, T4, T5 Structure
Galador.Reflection.Utils Namespace


ValueTuple(T1, T2, T3, T4, T5) Fields

ValueTupleT1, T2, T3, T4, T5 Fields

The ValueTupleT1, T2, T3, T4, T5 generic type exposes the following members.

Fields
 | Name | Description
Public field | Item1 |
Public field | Item2 |
Public field | Item3 |
Public field | Item4 |
Public field | Item5 |
Top
See Also

Reference

ValueTupleT1, T2, T3, T4, T5 Structure
Galador.Reflection.Utils Namespace


ValueTuple(T1, T2, T3, T4, T5).Item1 Field

ValueTupleT1, T2, T3, T4, T5Item1 Field

[Missing <summary> documentation for "F:Galador.Reflection.Utils.ValueTuple`5.Item1"]

Namespace: Galador.Reflection.Utils
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public T1 Item1
Public Item1 As T1
public:
T1 Item1
val mutable Item1: 'T1

Field Value

Type: T1
See Also

Reference

ValueTupleT1, T2, T3, T4, T5 Structure
Galador.Reflection.Utils Namespace


ValueTuple(T1, T2, T3, T4, T5).Item2 Field

ValueTupleT1, T2, T3, T4, T5Item2 Field

[Missing <summary> documentation for "F:Galador.Reflection.Utils.ValueTuple`5.Item2"]

Namespace: Galador.Reflection.Utils
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public T2 Item2
Public Item2 As T2
public:
T2 Item2
val mutable Item2: 'T2

Field Value

Type: T2
See Also

Reference

ValueTupleT1, T2, T3, T4, T5 Structure
Galador.Reflection.Utils Namespace


ValueTuple(T1, T2, T3, T4, T5).Item3 Field

ValueTupleT1, T2, T3, T4, T5Item3 Field

[Missing <summary> documentation for "F:Galador.Reflection.Utils.ValueTuple`5.Item3"]

Namespace: Galador.Reflection.Utils
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public T3 Item3
Public Item3 As T3
public:
T3 Item3
val mutable Item3: 'T3

Field Value

Type: T3
See Also

Reference

ValueTupleT1, T2, T3, T4, T5 Structure
Galador.Reflection.Utils Namespace


ValueTuple(T1, T2, T3, T4, T5).Item4 Field

ValueTupleT1, T2, T3, T4, T5Item4 Field

[Missing <summary> documentation for "F:Galador.Reflection.Utils.ValueTuple`5.Item4"]

Namespace: Galador.Reflection.Utils
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public T4 Item4
Public Item4 As T4
public:
T4 Item4
val mutable Item4: 'T4

Field Value

Type: T4
See Also

Reference

ValueTupleT1, T2, T3, T4, T5 Structure
Galador.Reflection.Utils Namespace


ValueTuple(T1, T2, T3, T4, T5).Item5 Field

ValueTupleT1, T2, T3, T4, T5Item5 Field

[Missing <summary> documentation for "F:Galador.Reflection.Utils.ValueTuple`5.Item5"]

Namespace: Galador.Reflection.Utils
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public T5 Item5
Public Item5 As T5
public:
T5 Item5
val mutable Item5: 'T5

Field Value

Type: T5
See Also

Reference

ValueTupleT1, T2, T3, T4, T5 Structure
Galador.Reflection.Utils Namespace


WeakEvents Class

WeakEvents Class
Helper class to create weak events. i.e. event handlers that do not prevent their target to be garbage collected.
Inheritance Hierarchy
SystemObject
Galador.Reflection.UtilsWeakEvents

Namespace: Galador.Reflection.Utils
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public static class WeakEvents
<ExtensionAttribute>
Public NotInheritable Class WeakEvents
[ExtensionAttribute]
public ref class WeakEvents abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type WeakEvents =  class end

The WeakEvents type exposes the following members.

Methods
Name | Description
AddWeakHandlerT | Help listening to INotifyPropertyChanged in a weak fashion.
SetHandlerT(T, ActionEventHandler, ActionEventHandler, ActionT) | Help listening to a EventHandler in a weak fashion.
SetHandlerT, TArgs(T, ActionEventHandlerTArgs, ActionEventHandlerTArgs, ActionT, TArgs) | Help listening to a EventHandlerTEventArgs in a weak fashion.
Top
See Also

Reference

Galador.Reflection.Utils Namespace


WeakEvents Methods

WeakEvents Methods

The WeakEvents type exposes the following members.

Methods
Name | Description
AddWeakHandlerT | Help listening to INotifyPropertyChanged in a weak fashion.
SetHandlerT(T, ActionEventHandler, ActionEventHandler, ActionT) | Help listening to a EventHandler in a weak fashion.
SetHandlerT, TArgs(T, ActionEventHandlerTArgs, ActionEventHandlerTArgs, ActionT, TArgs) | Help listening to a EventHandlerTEventArgs in a weak fashion.
Top
See Also

Reference

WeakEvents Class
Galador.Reflection.Utils Namespace


WeakEvents.AddWeakHandler(T) Method

WeakEventsAddWeakHandlerT Method
Help listening to INotifyPropertyChanged in a weak fashion.

Namespace: Galador.Reflection.Utils
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public static PropertyChangedEventHandler AddWeakHandler<T>(
    this INotifyPropertyChanged model,
    T target,
    Action<T, PropertyChangedEventArgs> action
)
where T : class

<ExtensionAttribute>
Public Shared Function AddWeakHandler(Of T As Class) (
    model As INotifyPropertyChanged,
    target As T,
    action As Action(Of T, PropertyChangedEventArgs)
) As PropertyChangedEventHandler
public:
[ExtensionAttribute]
generic<typename T>
where T : ref class
static PropertyChangedEventHandler^ AddWeakHandler(
    INotifyPropertyChanged^ model,
    T target,
    Action<T, PropertyChangedEventArgs^>^ action
)
[<ExtensionAttribute>]
static member AddWeakHandler :
        model : INotifyPropertyChanged *
        target : 'T *
        action : Action<'T, PropertyChangedEventArgs> -> PropertyChangedEventHandler  when 'T : not struct

Parameters

model
Type: System.ComponentModelINotifyPropertyChanged
The model, source of the event.
target
Type: T
The target, implementing the even handler.
action
Type: SystemActionT, PropertyChangedEventArgs
Action to be called on a (the) target. Do not use the current target variable but use the action parameter instead, so as to not capture the target in the handler, preventing garbage collection.

Type Parameters

T
The target type

Return Value

Type: PropertyChangedEventHandler
The registered handler, for early removal.

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type INotifyPropertyChanged. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

WeakEvents Class
Galador.Reflection.Utils Namespace


WeakEvents.SetHandler Method

WeakEventsSetHandler Method
Overload List
Name | Description
SetHandlerT, TArgs(T, ActionEventHandlerTArgs, ActionEventHandlerTArgs, ActionT, TArgs) | Help listening to a EventHandlerTEventArgs in a weak fashion.
SetHandlerT(T, ActionEventHandler, ActionEventHandler, ActionT) | Help listening to a EventHandler in a weak fashion.
Top
See Also

Reference

WeakEvents Class
Galador.Reflection.Utils Namespace


WeakEvents.SetHandler(T, TArgs) Method (T, Action(EventHandler(TArgs)), Action(EventHandler(TArgs)), Action(T, TArgs))

WeakEventsSetHandlerT, TArgs Method (T, ActionEventHandlerTArgs, ActionEventHandlerTArgs, ActionT, TArgs)
Help listening to a EventHandlerTEventArgs in a weak fashion.

Namespace: Galador.Reflection.Utils
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public static EventHandler<TArgs> SetHandler<T, TArgs>(
    T subscriber,
    Action<EventHandler<TArgs>> add,
    Action<EventHandler<TArgs>> remove,
    Action<T, TArgs> action
)
where T : class
where TArgs : EventArgs

Public Shared Function SetHandler(Of T As Class, TArgs As EventArgs) (
    subscriber As T,
    add As Action(Of EventHandler(Of TArgs)),
    remove As Action(Of EventHandler(Of TArgs)),
    action As Action(Of T, TArgs)
) As EventHandler(Of TArgs)
public:
generic<typename T, typename TArgs>
where T : ref class
where TArgs : EventArgs
static EventHandler<TArgs>^ SetHandler(
    T subscriber,
    Action<EventHandler<TArgs>^>^ add,
    Action<EventHandler<TArgs>^>^ remove,
    Action<T, TArgs>^ action
)
static member SetHandler :
        subscriber : 'T *
        add : Action<EventHandler<'TArgs>> *
        remove : Action<EventHandler<'TArgs>> *
        action : Action<'T, 'TArgs> -> EventHandler<'TArgs>  when 'T : not struct when 'TArgs : EventArgs

Parameters

subscriber
Type: T
The target, implementing the even handler.
add
Type: SystemActionEventHandlerTArgs
How to register an event handler with the event source.
remove
Type: SystemActionEventHandlerTArgs
How to unregister an event with the event source.
action
Type: SystemActionT, TArgs
The handler to be called when the event is triggered.

Type Parameters

T
The target type.
TArgs
The type of the arguments.

Return Value

Type: EventHandlerTArgs
The registered handler, for early removal.
See Also

Reference

WeakEvents Class
SetHandler Overload
Galador.Reflection.Utils Namespace


WeakEvents.SetHandler(T) Method (T, Action(EventHandler), Action(EventHandler), Action(T))

WeakEventsSetHandlerT Method (T, ActionEventHandler, ActionEventHandler, ActionT)
Help listening to a EventHandler in a weak fashion.

Namespace: Galador.Reflection.Utils
Assembly: Galador.Reflection (in Galador.Reflection.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy
public static EventHandler SetHandler<T>(
    T subscriber,
    Action<EventHandler> add,
    Action<EventHandler> remove,
    Action<T> action
)
where T : class

Public Shared Function SetHandler(Of T As Class) (
    subscriber As T,
    add As Action(Of EventHandler),
    remove As Action(Of EventHandler),
    action As Action(Of T)
) As EventHandler
public:
generic<typename T>
where T : ref class
static EventHandler^ SetHandler(
    T subscriber,
    Action<EventHandler^>^ add,
    Action<EventHandler^>^ remove,
    Action<T>^ action
)
static member SetHandler :
        subscriber : 'T *
        add : Action<EventHandler> *
        remove : Action<EventHandler> *
        action : Action<'T> -> EventHandler  when 'T : not struct

Parameters

subscriber
Type: T
The target, implementing the even handler.
add
Type: SystemActionEventHandler
How to register an event handler with the event source.
remove
Type: SystemActionEventHandler
How to unregister an event with the event source.
action
Type: SystemActionT
The handler to be called when the event is triggered.

Type Parameters

T
The target type.

Return Value

Type: EventHandler
The registered handler, for early removal.
See Also

Reference

WeakEvents Class
SetHandler Overload
Galador.Reflection.Utils Namespace